// The MIT License (MIT)
//
// Copyright (c) 2016-2022 Camptocamp SA
//
// Permission is hereby granted, free of charge, to any person obtaining a copy of
// this software and associated documentation files (the "Software"), to deal in
// the Software without restriction, including without limitation the rights to
// use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
// the Software, and to permit persons to whom the Software is furnished to do so,
// subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in all
// copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
// FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
// COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
// IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
// CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

/* eslint max-len: ["error", { "code": 110, "ignoreStrings": true }] */

export default {
  asitvd:
    '<Capabilities xmlns="http://www.opengis.net/wmts/1.0" xmlns:ows="http://www.opengis.net/ows/1.1" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:gml="http://www.opengis.net/gml" xsi:schemaLocation="http://www.opengis.net/wmts/1.0 http://schemas.opengis.net/wmts/1.0/wmtsGetCapabilities_response.xsd" version="1.0.0"><ows:ServiceIdentification><ows:Title>ASITVD-WMTS-FONDS</ows:Title><ows:Abstract>Ce service permet l affichage d\'un fond de plan homogegravene et harmonieux sur tout le canton. Ce fond de plan pourra avantageusement mettre en valeur vos données dans un guichet cartographique ou une application métier. </ows:Abstract><ows:ServiceType>OGC WMTS</ows:ServiceType><ows:ServiceTypeVersion>1.0.0</ows:ServiceTypeVersion></ows:ServiceIdentification><ows:ServiceProvider><ows:ServiceContact><ows:ContactInfo></ows:ContactInfo></ows:ServiceContact></ows:ServiceProvider><ows:OperationsMetadata><ows:Operation name="GetCapabilities"><ows:DCP><ows:HTTP><ows:Get xlink:href="http://ows.asitvd.ch/wmts?"><ows:Constraint name="GetEncoding"><ows:AllowedValues><ows:Value>KVP</ows:Value></ows:AllowedValues></ows:Constraint></ows:Get></ows:HTTP></ows:DCP></ows:Operation><ows:Operation name="GetTile"><ows:DCP><ows:HTTP><ows:Get xlink:href="http://ows.asitvd.ch/wmts?"><ows:Constraint name="GetEncoding"><ows:AllowedValues><ows:Value>KVP</ows:Value></ows:AllowedValues></ows:Constraint></ows:Get></ows:HTTP></ows:DCP></ows:Operation><ows:Operation name="GetFeatureInfo"><ows:DCP><ows:HTTP><ows:Get xlink:href="http://ows.asitvd.ch/wmts?"><ows:Constraint name="GetEncoding"><ows:AllowedValues><ows:Value>KVP</ows:Value></ows:AllowedValues></ows:Constraint></ows:Get></ows:HTTP></ows:DCP></ows:Operation></ows:OperationsMetadata><Contents><Layer><ows:Title>Fond ASIT VD - couleur</ows:Title><ows:Abstract>Service de fond de plan WMTS ASIT VD: données OSM et Etat de Vaud - couleurs</ows:Abstract><ows:Identifier>asitvd.fond_couleur</ows:Identifier><Style isDefault="true"><ows:Identifier>default</ows:Identifier></Style><Format>image/png</Format><Dimension><ows:Identifier>DIM1</ows:Identifier><Default>default</Default><Value>default</Value></Dimension><Dimension><ows:Identifier>ELEVATION</ows:Identifier><Default>0</Default><Value>0</Value></Dimension><TileMatrixSetLink><TileMatrixSet>21781</TileMatrixSet></TileMatrixSetLink><TileMatrixSetLink><TileMatrixSet>2056</TileMatrixSet></TileMatrixSetLink><ResourceURL format="image/png" resourceType="tile" template="http://ows.asitvd.ch/wmts/1.0.0/asitvd.fond_couleur/default/{DIM1}/{ELEVATION}/{TileMatrixSet}/{TileMatrix}/{TileRow}/{TileCol}.png"></ResourceURL></Layer><Layer><ows:Title>Fond de plan ASIT VD - transparent pour photos</ows:Title><ows:Abstract>Service de fond de plan WMTS ASIT VD: données OSM et Etat de Vaud - transparent pour orthophotos</ows:Abstract><ows:Identifier>asitvd.fond_pourortho</ows:Identifier><Style isDefault="true"><ows:Identifier>default</ows:Identifier></Style><Format>image/png</Format><Dimension><ows:Identifier>DIM1</ows:Identifier><Default>default</Default><Value>default</Value></Dimension><Dimension><ows:Identifier>ELEVATION</ows:Identifier><Default>0</Default><Value>0</Value></Dimension><TileMatrixSetLink><TileMatrixSet>21781</TileMatrixSet></TileMatrixSetLink><TileMatrixSetLink><TileMatrixSet>2056</TileMatrixSet></TileMatrixSetLink><ResourceURL format="image/png" resourceType="tile" template="http://ows.asitvd.ch/wmts/1.0.0/asitvd.fond_pourortho/default/{DIM1}/{ELEVATION}/{TileMatrixSet}/{TileMatrix}/{TileRow}/{TileCol}.png"></ResourceURL></Layer><Layer><ows:Title>Fond ASIT VD - niveau de gris</ows:Title><ows:Abstract>Service de fond de plan WMTS ASIT VD: données OSM et Etat de Vaud - tons de gris</ows:Abstract><ows:Identifier>asitvd.fond_gris</ows:Identifier><Style isDefault="true"><ows:Identifier>default</ows:Identifier></Style><Format>image/png</Format><Dimension><ows:Identifier>DIM1</ows:Identifier><Default>default</Default><Value>default</Value></Dimension><Dimension><ows:Identifier>ELEVATION</ows:Identifier><Default>0</Default><Value>0</Value></Dimension><TileMatrixSetLink><TileMatrixSet>21781</TileMatrixSet></TileMatrixSetLink><TileMatrixSetLink><TileMatrixSet>2056</TileMatrixSet></TileMatrixSetLink><ResourceURL format="image/png" resourceType="tile" template="http://ows.asitvd.ch/wmts/1.0.0/asitvd.fond_gris/default/{DIM1}/{ELEVATION}/{TileMatrixSet}/{TileMatrix}/{TileRow}/{TileCol}.png"></ResourceURL></Layer><TileMatrixSet><ows:Identifier>21781</ows:Identifier><ows:BoundingBox crs="urn:ogc:def:crs:EPSG:6.3:21781"><ows:LowerCorner>420000.000000 30000.000000</ows:LowerCorner><ows:UpperCorner>900000.000000 350000.000000</ows:UpperCorner></ows:BoundingBox><ows:SupportedCRS>urn:ogc:def:crs:EPSG:6.3:21781</ows:SupportedCRS><TileMatrix><ows:Identifier>0</ows:Identifier><ScaleDenominator>14285714.28571428731083869934</ScaleDenominator><TopLeftCorner>420000.000000 350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>1</ows:Identifier><ScaleDenominator>13392857.14285714365541934967</ScaleDenominator><TopLeftCorner>420000.000000 350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>2</ows:Identifier><ScaleDenominator>12500000.00000000186264514923</ScaleDenominator><TopLeftCorner>420000.000000 350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>3</ows:Identifier><ScaleDenominator>11607142.85714285820722579956</ScaleDenominator><TopLeftCorner>420000.000000 350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>4</ows:Identifier><ScaleDenominator>10714285.71428571455180644989</ScaleDenominator><TopLeftCorner>420000.000000 350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>5</ows:Identifier><ScaleDenominator>9821428.57142857275903224945</ScaleDenominator><TopLeftCorner>420000.000000 350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>6</ows:Identifier><ScaleDenominator>8928571.42857142910361289978</ScaleDenominator><TopLeftCorner>420000.000000 350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>7</ows:Identifier><ScaleDenominator>8035714.28571428637951612473</ScaleDenominator><TopLeftCorner>420000.000000 350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>8</ows:Identifier><ScaleDenominator>7142857.14285714365541934967</ScaleDenominator><TopLeftCorner>420000.000000 350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>9</ows:Identifier><ScaleDenominator>6250000.00000000093132257462</ScaleDenominator><TopLeftCorner>420000.000000 350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>10</ows:Identifier><ScaleDenominator>5357142.85714285727590322495</ScaleDenominator><TopLeftCorner>420000.000000 350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>11</ows:Identifier><ScaleDenominator>4464285.71428571455180644989</ScaleDenominator><TopLeftCorner>420000.000000 350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>12</ows:Identifier><ScaleDenominator>3571428.57142857182770967484</ScaleDenominator><TopLeftCorner>420000.000000 350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>13</ows:Identifier><ScaleDenominator>2678571.42857142863795161247</ScaleDenominator><TopLeftCorner>420000.000000 350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>3</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>14</ows:Identifier><ScaleDenominator>2321428.57142857182770967484</ScaleDenominator><TopLeftCorner>420000.000000 350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>3</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>15</ows:Identifier><ScaleDenominator>1785714.28571428591385483742</ScaleDenominator><TopLeftCorner>420000.000000 350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>4</MatrixWidth><MatrixHeight>3</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>16</ows:Identifier><ScaleDenominator>892857.14285714295692741871</ScaleDenominator><TopLeftCorner>420000.000000 350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>8</MatrixWidth><MatrixHeight>5</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>17</ows:Identifier><ScaleDenominator>357142.85714285715948790312</ScaleDenominator><TopLeftCorner>420000.000000 350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>19</MatrixWidth><MatrixHeight>13</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>18</ows:Identifier><ScaleDenominator>178571.42857142857974395156</ScaleDenominator><TopLeftCorner>420000.000000 350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>38</MatrixWidth><MatrixHeight>25</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>19</ows:Identifier><ScaleDenominator>71428.57142857143480796367</ScaleDenominator><TopLeftCorner>420000.000000 350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>94</MatrixWidth><MatrixHeight>63</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>20</ows:Identifier><ScaleDenominator>35714.28571428571740398183</ScaleDenominator><TopLeftCorner>420000.000000 350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>188</MatrixWidth><MatrixHeight>125</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>21</ows:Identifier><ScaleDenominator>17857.14285714285870199092</ScaleDenominator><TopLeftCorner>420000.000000 350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>375</MatrixWidth><MatrixHeight>250</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>22</ows:Identifier><ScaleDenominator>8928.57142857142935099546</ScaleDenominator><TopLeftCorner>420000.000000 350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>750</MatrixWidth><MatrixHeight>500</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>23</ows:Identifier><ScaleDenominator>7142.85714285714311699849</ScaleDenominator><TopLeftCorner>420000.000000 350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>938</MatrixWidth><MatrixHeight>625</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>24</ows:Identifier><ScaleDenominator>5357.14285714285779249622</ScaleDenominator><TopLeftCorner>420000.000000 350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1250</MatrixWidth><MatrixHeight>834</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>25</ows:Identifier><ScaleDenominator>3571.42857142857155849924</ScaleDenominator><TopLeftCorner>420000.000000 350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1875</MatrixWidth><MatrixHeight>1250</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>26</ows:Identifier><ScaleDenominator>1785.71428571428577924962</ScaleDenominator><TopLeftCorner>420000.000000 350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>3750</MatrixWidth><MatrixHeight>2500</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>27</ows:Identifier><ScaleDenominator>892.85714285714288962481</ScaleDenominator><TopLeftCorner>420000.000000 350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>7500</MatrixWidth><MatrixHeight>5000</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>28</ows:Identifier><ScaleDenominator>357.14285714285716721861</ScaleDenominator><TopLeftCorner>420000.000000 350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>18750</MatrixWidth><MatrixHeight>12500</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>29</ows:Identifier><ScaleDenominator>178.57142857142858360930</ScaleDenominator><TopLeftCorner>420000.000000 350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>37500</MatrixWidth><MatrixHeight>25000</MatrixHeight></TileMatrix></TileMatrixSet><TileMatrixSet><ows:Identifier>2056</ows:Identifier><ows:BoundingBox crs="urn:ogc:def:crs:EPSG:6.3:2056"><ows:LowerCorner>2420000.000000 130000.000000</ows:LowerCorner><ows:UpperCorner>2900000.000000 1350000.000000</ows:UpperCorner></ows:BoundingBox><ows:SupportedCRS>urn:ogc:def:crs:EPSG:6.3:2056</ows:SupportedCRS><TileMatrix><ows:Identifier>0</ows:Identifier><ScaleDenominator>14285714.28571428731083869934</ScaleDenominator><TopLeftCorner>2420000.000000 1350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>1</ows:Identifier><ScaleDenominator>13392857.14285714365541934967</ScaleDenominator><TopLeftCorner>2420000.000000 1350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>2</ows:Identifier><ScaleDenominator>12500000.00000000186264514923</ScaleDenominator><TopLeftCorner>2420000.000000 1350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>3</ows:Identifier><ScaleDenominator>11607142.85714285820722579956</ScaleDenominator><TopLeftCorner>2420000.000000 1350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>4</ows:Identifier><ScaleDenominator>10714285.71428571455180644989</ScaleDenominator><TopLeftCorner>2420000.000000 1350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>5</ows:Identifier><ScaleDenominator>9821428.57142857275903224945</ScaleDenominator><TopLeftCorner>2420000.000000 1350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>6</ows:Identifier><ScaleDenominator>8928571.42857142910361289978</ScaleDenominator><TopLeftCorner>2420000.000000 1350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>7</ows:Identifier><ScaleDenominator>8035714.28571428637951612473</ScaleDenominator><TopLeftCorner>2420000.000000 1350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>3</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>8</ows:Identifier><ScaleDenominator>7142857.14285714365541934967</ScaleDenominator><TopLeftCorner>2420000.000000 1350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>3</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>9</ows:Identifier><ScaleDenominator>6250000.00000000093132257462</ScaleDenominator><TopLeftCorner>2420000.000000 1350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>3</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>10</ows:Identifier><ScaleDenominator>5357142.85714285727590322495</ScaleDenominator><TopLeftCorner>2420000.000000 1350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>4</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>11</ows:Identifier><ScaleDenominator>4464285.71428571455180644989</ScaleDenominator><TopLeftCorner>2420000.000000 1350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>4</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>12</ows:Identifier><ScaleDenominator>3571428.57142857182770967484</ScaleDenominator><TopLeftCorner>2420000.000000 1350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>5</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>13</ows:Identifier><ScaleDenominator>2678571.42857142863795161247</ScaleDenominator><TopLeftCorner>2420000.000000 1350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>3</MatrixWidth><MatrixHeight>7</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>14</ows:Identifier><ScaleDenominator>2321428.57142857182770967484</ScaleDenominator><TopLeftCorner>2420000.000000 1350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>3</MatrixWidth><MatrixHeight>8</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>15</ows:Identifier><ScaleDenominator>1785714.28571428591385483742</ScaleDenominator><TopLeftCorner>2420000.000000 1350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>4</MatrixWidth><MatrixHeight>10</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>16</ows:Identifier><ScaleDenominator>892857.14285714295692741871</ScaleDenominator><TopLeftCorner>2420000.000000 1350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>8</MatrixWidth><MatrixHeight>20</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>17</ows:Identifier><ScaleDenominator>357142.85714285715948790312</ScaleDenominator><TopLeftCorner>2420000.000000 1350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>19</MatrixWidth><MatrixHeight>48</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>18</ows:Identifier><ScaleDenominator>178571.42857142857974395156</ScaleDenominator><TopLeftCorner>2420000.000000 1350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>38</MatrixWidth><MatrixHeight>96</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>19</ows:Identifier><ScaleDenominator>71428.57142857143480796367</ScaleDenominator><TopLeftCorner>2420000.000000 1350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>94</MatrixWidth><MatrixHeight>239</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>20</ows:Identifier><ScaleDenominator>35714.28571428571740398183</ScaleDenominator><TopLeftCorner>2420000.000000 1350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>188</MatrixWidth><MatrixHeight>477</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>21</ows:Identifier><ScaleDenominator>17857.14285714285870199092</ScaleDenominator><TopLeftCorner>2420000.000000 1350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>375</MatrixWidth><MatrixHeight>954</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>22</ows:Identifier><ScaleDenominator>8928.57142857142935099546</ScaleDenominator><TopLeftCorner>2420000.000000 1350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>750</MatrixWidth><MatrixHeight>1907</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>23</ows:Identifier><ScaleDenominator>7142.85714285714311699849</ScaleDenominator><TopLeftCorner>2420000.000000 1350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>938</MatrixWidth><MatrixHeight>2383</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>24</ows:Identifier><ScaleDenominator>5357.14285714285779249622</ScaleDenominator><TopLeftCorner>2420000.000000 1350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1250</MatrixWidth><MatrixHeight>3178</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>25</ows:Identifier><ScaleDenominator>3571.42857142857155849924</ScaleDenominator><TopLeftCorner>2420000.000000 1350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1875</MatrixWidth><MatrixHeight>4766</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>26</ows:Identifier><ScaleDenominator>1785.71428571428577924962</ScaleDenominator><TopLeftCorner>2420000.000000 1350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>3750</MatrixWidth><MatrixHeight>9532</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>27</ows:Identifier><ScaleDenominator>892.85714285714288962481</ScaleDenominator><TopLeftCorner>2420000.000000 1350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>7500</MatrixWidth><MatrixHeight>19063</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>28</ows:Identifier><ScaleDenominator>357.14285714285716721861</ScaleDenominator><TopLeftCorner>2420000.000000 1350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>18750</MatrixWidth><MatrixHeight>47657</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>29</ows:Identifier><ScaleDenominator>178.57142857142858360930</ScaleDenominator><TopLeftCorner>2420000.000000 1350000.000000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>37500</MatrixWidth><MatrixHeight>95313</MatrixHeight></TileMatrix></TileMatrixSet></Contents></Capabilities>',

  map:
    '<Capabilities version="1.0.0" xmlns="http://www.opengis.net/wmts/1.0" xmlns:ows="http://www.opengis.net/ows/1.1" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:gml="http://www.opengis.net/gml" xsi:schemaLocation="http://schemas.opengis.net/wmts/1.0/wmtsGetCapabilities_response.xsd"> <ows:ServiceIdentification> </ows:ServiceIdentification> <ows:ServiceProvider> </ows:ServiceProvider> <ows:OperationsMetadata> <ows:Operation name="GetCapabilities"> <ows:DCP> <ows:HTTP> <ows:Get xlink:href="https://tiles.geomapfish-demo.camptocamp.net/1.0.0/WMTSCapabilities.xml"> <ows:Constraint name="GetEncoding"> <ows:AllowedValues> <ows:Value>REST</ows:Value> </ows:AllowedValues> </ows:Constraint> </ows:Get> </ows:HTTP> </ows:DCP> </ows:Operation> <ows:Operation name="GetTile"> <ows:DCP> <ows:HTTP> <ows:Get xlink:href="https://tiles.geomapfish-demo.camptocamp.net/"> <ows:Constraint name="GetEncoding"> <ows:AllowedValues> <ows:Value>REST</ows:Value> </ows:AllowedValues> </ows:Constraint> </ows:Get> <ows:Get xlink:href="https://tiles0.geomapfish-demo.camptocamp.net/"> <ows:Constraint name="GetEncoding"> <ows:AllowedValues> <ows:Value>REST</ows:Value> </ows:AllowedValues> </ows:Constraint> </ows:Get> <ows:Get xlink:href="https://tiles1.geomapfish-demo.camptocamp.net/"> <ows:Constraint name="GetEncoding"> <ows:AllowedValues> <ows:Value>REST</ows:Value> </ows:AllowedValues> </ows:Constraint> </ows:Get> <ows:Get xlink:href="https://tiles2.geomapfish-demo.camptocamp.net/"> <ows:Constraint name="GetEncoding"> <ows:AllowedValues> <ows:Value>REST</ows:Value> </ows:AllowedValues> </ows:Constraint> </ows:Get> <ows:Get xlink:href="https://tiles3.geomapfish-demo.camptocamp.net/"> <ows:Constraint name="GetEncoding"> <ows:AllowedValues> <ows:Value>REST</ows:Value> </ows:AllowedValues> </ows:Constraint> </ows:Get> <ows:Get xlink:href="https://tiles4.geomapfish-demo.camptocamp.net/"> <ows:Constraint name="GetEncoding"> <ows:AllowedValues> <ows:Value>REST</ows:Value> </ows:AllowedValues> </ows:Constraint> </ows:Get> <ows:Get xlink:href="https://tiles5.geomapfish-demo.camptocamp.net/"> <ows:Constraint name="GetEncoding"> <ows:AllowedValues> <ows:Value>REST</ows:Value> </ows:AllowedValues> </ows:Constraint> </ows:Get> <ows:Get xlink:href="https://tiles6.geomapfish-demo.camptocamp.net/"> <ows:Constraint name="GetEncoding"> <ows:AllowedValues> <ows:Value>REST</ows:Value> </ows:AllowedValues> </ows:Constraint> </ows:Get> <ows:Get xlink:href="https://tiles7.geomapfish-demo.camptocamp.net/"> <ows:Constraint name="GetEncoding"> <ows:AllowedValues> <ows:Value>REST</ows:Value> </ows:AllowedValues> </ows:Constraint> </ows:Get> <ows:Get xlink:href="https://tiles8.geomapfish-demo.camptocamp.net/"> <ows:Constraint name="GetEncoding"> <ows:AllowedValues> <ows:Value>REST</ows:Value> </ows:AllowedValues> </ows:Constraint> </ows:Get> <ows:Get xlink:href="https://tiles9.geomapfish-demo.camptocamp.net/"> <ows:Constraint name="GetEncoding"> <ows:AllowedValues> <ows:Value>REST</ows:Value> </ows:AllowedValues> </ows:Constraint> </ows:Get> </ows:HTTP> </ows:DCP> </ows:Operation> </ows:OperationsMetadata> <!-- <ServiceMetadataURL xlink:href="" /> --> <Contents> <Layer> <ows:Title>map</ows:Title> <ows:Identifier>map</ows:Identifier> <Style isDefault="true"> <ows:Identifier>default</ows:Identifier> </Style> <Format>image/png</Format> <ResourceURL format="image/png" resourceType="tile" template="https://tiles.geomapfish-demo.camptocamp.net/1.0.0/map/default/{TileMatrixSet}/{TileMatrix}/{TileRow}/{TileCol}.png" /> <ResourceURL format="image/png" resourceType="tile" template="https://tiles0.geomapfish-demo.camptocamp.net/1.0.0/map/default/{TileMatrixSet}/{TileMatrix}/{TileRow}/{TileCol}.png" /> <ResourceURL format="image/png" resourceType="tile" template="https://tiles1.geomapfish-demo.camptocamp.net/1.0.0/map/default/{TileMatrixSet}/{TileMatrix}/{TileRow}/{TileCol}.png" /> <ResourceURL format="image/png" resourceType="tile" template="https://tiles2.geomapfish-demo.camptocamp.net/1.0.0/map/default/{TileMatrixSet}/{TileMatrix}/{TileRow}/{TileCol}.png" /> <ResourceURL format="image/png" resourceType="tile" template="https://tiles3.geomapfish-demo.camptocamp.net/1.0.0/map/default/{TileMatrixSet}/{TileMatrix}/{TileRow}/{TileCol}.png" /> <ResourceURL format="image/png" resourceType="tile" template="https://tiles4.geomapfish-demo.camptocamp.net/1.0.0/map/default/{TileMatrixSet}/{TileMatrix}/{TileRow}/{TileCol}.png" /> <ResourceURL format="image/png" resourceType="tile" template="https://tiles5.geomapfish-demo.camptocamp.net/1.0.0/map/default/{TileMatrixSet}/{TileMatrix}/{TileRow}/{TileCol}.png" /> <ResourceURL format="image/png" resourceType="tile" template="https://tiles6.geomapfish-demo.camptocamp.net/1.0.0/map/default/{TileMatrixSet}/{TileMatrix}/{TileRow}/{TileCol}.png" /> <ResourceURL format="image/png" resourceType="tile" template="https://tiles7.geomapfish-demo.camptocamp.net/1.0.0/map/default/{TileMatrixSet}/{TileMatrix}/{TileRow}/{TileCol}.png" /> <ResourceURL format="image/png" resourceType="tile" template="https://tiles8.geomapfish-demo.camptocamp.net/1.0.0/map/default/{TileMatrixSet}/{TileMatrix}/{TileRow}/{TileCol}.png" /> <ResourceURL format="image/png" resourceType="tile" template="https://tiles9.geomapfish-demo.camptocamp.net/1.0.0/map/default/{TileMatrixSet}/{TileMatrix}/{TileRow}/{TileCol}.png" /> <TileMatrixSetLink> <TileMatrixSet>swissgrid_005</TileMatrixSet> </TileMatrixSetLink> </Layer> <Layer> <ows:Title>map_jpeg</ows:Title> <ows:Identifier>map_jpeg</ows:Identifier> <Style isDefault="true"> <ows:Identifier>default</ows:Identifier> </Style> <Format>image/jpeg</Format> <ResourceURL format="image/jpeg" resourceType="tile" template="https://tiles.geomapfish-demo.camptocamp.net/1.0.0/map_jpeg/default/{TileMatrixSet}/{TileMatrix}/{TileRow}/{TileCol}.jpeg" /> <ResourceURL format="image/jpeg" resourceType="tile" template="https://tiles0.geomapfish-demo.camptocamp.net/1.0.0/map_jpeg/default/{TileMatrixSet}/{TileMatrix}/{TileRow}/{TileCol}.jpeg" /> <ResourceURL format="image/jpeg" resourceType="tile" template="https://tiles1.geomapfish-demo.camptocamp.net/1.0.0/map_jpeg/default/{TileMatrixSet}/{TileMatrix}/{TileRow}/{TileCol}.jpeg" /> <ResourceURL format="image/jpeg" resourceType="tile" template="https://tiles2.geomapfish-demo.camptocamp.net/1.0.0/map_jpeg/default/{TileMatrixSet}/{TileMatrix}/{TileRow}/{TileCol}.jpeg" /> <ResourceURL format="image/jpeg" resourceType="tile" template="https://tiles3.geomapfish-demo.camptocamp.net/1.0.0/map_jpeg/default/{TileMatrixSet}/{TileMatrix}/{TileRow}/{TileCol}.jpeg" /> <ResourceURL format="image/jpeg" resourceType="tile" template="https://tiles4.geomapfish-demo.camptocamp.net/1.0.0/map_jpeg/default/{TileMatrixSet}/{TileMatrix}/{TileRow}/{TileCol}.jpeg" /> <ResourceURL format="image/jpeg" resourceType="tile" template="https://tiles5.geomapfish-demo.camptocamp.net/1.0.0/map_jpeg/default/{TileMatrixSet}/{TileMatrix}/{TileRow}/{TileCol}.jpeg" /> <ResourceURL format="image/jpeg" resourceType="tile" template="https://tiles6.geomapfish-demo.camptocamp.net/1.0.0/map_jpeg/default/{TileMatrixSet}/{TileMatrix}/{TileRow}/{TileCol}.jpeg" /> <ResourceURL format="image/jpeg" resourceType="tile" template="https://tiles7.geomapfish-demo.camptocamp.net/1.0.0/map_jpeg/default/{TileMatrixSet}/{TileMatrix}/{TileRow}/{TileCol}.jpeg" /> <ResourceURL format="image/jpeg" resourceType="tile" template="https://tiles8.geomapfish-demo.camptocamp.net/1.0.0/map_jpeg/default/{TileMatrixSet}/{TileMatrix}/{TileRow}/{TileCol}.jpeg" /> <ResourceURL format="image/jpeg" resourceType="tile" template="https://tiles9.geomapfish-demo.camptocamp.net/1.0.0/map_jpeg/default/{TileMatrixSet}/{TileMatrix}/{TileRow}/{TileCol}.jpeg" /> <TileMatrixSetLink> <TileMatrixSet>swissgrid_005</TileMatrixSet> </TileMatrixSetLink> </Layer> <TileMatrixSet> <ows:Identifier>swissgrid_005</ows:Identifier> <ows:SupportedCRS>urn:ogc:def:crs:EPSG::21781</ows:SupportedCRS> <TileMatrix> <ows:Identifier>0</ows:Identifier> <ScaleDenominator>3571428.57143</ScaleDenominator> <TopLeftCorner>420000.0 350000.0</TopLeftCorner> <TileWidth>256</TileWidth> <TileHeight>256</TileHeight> <MatrixWidth>2</MatrixWidth> <MatrixHeight>2</MatrixHeight> </TileMatrix> <TileMatrix> <ows:Identifier>1</ows:Identifier> <ScaleDenominator>1785714.28571</ScaleDenominator> <TopLeftCorner>420000.0 350000.0</TopLeftCorner> <TileWidth>256</TileWidth> <TileHeight>256</TileHeight> <MatrixWidth>4</MatrixWidth> <MatrixHeight>3</MatrixHeight> </TileMatrix> <TileMatrix> <ows:Identifier>2</ows:Identifier> <ScaleDenominator>892857.142857</ScaleDenominator> <TopLeftCorner>420000.0 350000.0</TopLeftCorner> <TileWidth>256</TileWidth> <TileHeight>256</TileHeight> <MatrixWidth>8</MatrixWidth> <MatrixHeight>5</MatrixHeight> </TileMatrix> <TileMatrix> <ows:Identifier>3</ows:Identifier> <ScaleDenominator>357142.857143</ScaleDenominator> <TopLeftCorner>420000.0 350000.0</TopLeftCorner> <TileWidth>256</TileWidth> <TileHeight>256</TileHeight> <MatrixWidth>19</MatrixWidth> <MatrixHeight>13</MatrixHeight> </TileMatrix> <TileMatrix> <ows:Identifier>4</ows:Identifier> <ScaleDenominator>178571.428571</ScaleDenominator> <TopLeftCorner>420000.0 350000.0</TopLeftCorner> <TileWidth>256</TileWidth> <TileHeight>256</TileHeight> <MatrixWidth>38</MatrixWidth> <MatrixHeight>25</MatrixHeight> </TileMatrix> <TileMatrix> <ows:Identifier>5</ows:Identifier> <ScaleDenominator>71428.5714286</ScaleDenominator> <TopLeftCorner>420000.0 350000.0</TopLeftCorner> <TileWidth>256</TileWidth> <TileHeight>256</TileHeight> <MatrixWidth>94</MatrixWidth> <MatrixHeight>63</MatrixHeight> </TileMatrix> <TileMatrix> <ows:Identifier>6</ows:Identifier> <ScaleDenominator>35714.2857143</ScaleDenominator> <TopLeftCorner>420000.0 350000.0</TopLeftCorner> <TileWidth>256</TileWidth> <TileHeight>256</TileHeight> <MatrixWidth>188</MatrixWidth> <MatrixHeight>125</MatrixHeight> </TileMatrix> <TileMatrix> <ows:Identifier>7</ows:Identifier> <ScaleDenominator>17857.1428571</ScaleDenominator> <TopLeftCorner>420000.0 350000.0</TopLeftCorner> <TileWidth>256</TileWidth> <TileHeight>256</TileHeight> <MatrixWidth>375</MatrixWidth> <MatrixHeight>250</MatrixHeight> </TileMatrix> <TileMatrix> <ows:Identifier>8</ows:Identifier> <ScaleDenominator>7142.85714286</ScaleDenominator> <TopLeftCorner>420000.0 350000.0</TopLeftCorner> <TileWidth>256</TileWidth> <TileHeight>256</TileHeight> <MatrixWidth>938</MatrixWidth> <MatrixHeight>625</MatrixHeight> </TileMatrix> <TileMatrix> <ows:Identifier>9</ows:Identifier> <ScaleDenominator>3571.42857143</ScaleDenominator> <TopLeftCorner>420000.0 350000.0</TopLeftCorner> <TileWidth>256</TileWidth> <TileHeight>256</TileHeight> <MatrixWidth>1875</MatrixWidth> <MatrixHeight>1250</MatrixHeight> </TileMatrix> <TileMatrix> <ows:Identifier>10</ows:Identifier> <ScaleDenominator>1785.71428571</ScaleDenominator> <TopLeftCorner>420000.0 350000.0</TopLeftCorner> <TileWidth>256</TileWidth> <TileHeight>256</TileHeight> <MatrixWidth>3750</MatrixWidth> <MatrixHeight>2500</MatrixHeight> </TileMatrix> <TileMatrix> <ows:Identifier>11</ows:Identifier> <ScaleDenominator>892.857142857</ScaleDenominator> <TopLeftCorner>420000.0 350000.0</TopLeftCorner> <TileWidth>256</TileWidth> <TileHeight>256</TileHeight> <MatrixWidth>7500</MatrixWidth> <MatrixHeight>5000</MatrixHeight> </TileMatrix> <TileMatrix> <ows:Identifier>12</ows:Identifier> <ScaleDenominator>357.142857143</ScaleDenominator> <TopLeftCorner>420000.0 350000.0</TopLeftCorner> <TileWidth>256</TileWidth> <TileHeight>256</TileHeight> <MatrixWidth>18750</MatrixWidth> <MatrixHeight>12500</MatrixHeight> </TileMatrix> <TileMatrix> <ows:Identifier>13</ows:Identifier> <ScaleDenominator>178.571428571</ScaleDenominator> <TopLeftCorner>420000.0 350000.0</TopLeftCorner> <TileWidth>256</TileWidth> <TileHeight>256</TileHeight> <MatrixWidth>37500</MatrixWidth> <MatrixHeight>25000</MatrixHeight> </TileMatrix> </TileMatrixSet> </Contents> </Capabilities>',

  demo:
    '<Capabilities xmlns="http://www.opengis.net/wmts/1.0" xmlns:ows="http://www.opengis.net/ows/1.1" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:gml="http://www.opengis.net/gml" version="1.0.0" xsi:schemaLocation="http://schemas.opengis.net/wmts/1.0/wmtsGetCapabilities_response.xsd"><ows:ServiceIdentification><ows:Title>Camptocamp GeoMapFish demo</ows:Title><ows:Abstract>Camptocamp GeoMapFish demo</ows:Abstract><ows:Keywords><ows:Keyword>camptocamp</ows:Keyword><ows:Keyword>geomapfish</ows:Keyword><ows:Keyword>demo</ows:Keyword></ows:Keywords><ows:ServiceType>OGC WMTS</ows:ServiceType><ows:ServiceTypeVersion>1.0.0</ows:ServiceTypeVersion><ows:Fees>None</ows:Fees><ows:AccessConstraint>None</ows:AccessConstraint></ows:ServiceIdentification><ows:ServiceProvider><ows:ProviderName>Camptocamp</ows:ProviderName><ows:ProviderSite>https://www.camptocamp.com/solutions/geospatial/</ows:ProviderSite><ows:ServiceContact><ows:IndividualName>Camtocamp</ows:IndividualName><ows:PositionName>Compygny</ows:PositionName><ows:ContactInfo><ows:Phone><ows:Voice>+41 21 619 10 10</ows:Voice></ows:Phone><ows:Address><ows:DeliveryPoint>EPFL Innovation Park - Building A</ows:DeliveryPoint><ows:City>Lausanne</ows:City><ows:AdministrativeArea>VD</ows:AdministrativeArea><ows:PostalCode>1015</ows:PostalCode><ows:Country>Switzerland</ows:Country><ows:ElectronicMailAddress>info@camptocamp.com</ows:ElectronicMailAddress></ows:Address></ows:ContactInfo></ows:ServiceContact></ows:ServiceProvider><ows:OperationsMetadata><ows:Operation name="GetCapabilities"><ows:DCP><ows:HTTP><ows:Get xlink:href="https://geomapfish-demo-2-6.camptocamp.com/tiles/1.0.0/WMTSCapabilities.xml"><ows:Constraint name="GetEncoding"><ows:AllowedValues><ows:Value>REST</ows:Value></ows:AllowedValues></ows:Constraint></ows:Get><ows:Get xlink:href="https://geomapfish-demo-2-6.camptocamp.com/tiles/"><ows:Constraint name="GetEncoding"><ows:AllowedValues><ows:Value>KVP</ows:Value></ows:AllowedValues></ows:Constraint></ows:Get></ows:HTTP></ows:DCP></ows:Operation><ows:Operation name="GetTile"><ows:DCP><ows:HTTP><ows:Get xlink:href="https://geomapfish-demo-2-6.camptocamp.com/tiles/"><ows:Constraint name="GetEncoding"><ows:AllowedValues><ows:Value>REST</ows:Value><ows:Value>KVP</ows:Value></ows:AllowedValues></ows:Constraint></ows:Get></ows:HTTP></ows:DCP></ows:Operation></ows:OperationsMetadata><!--  <ServiceMetadataURL xlink:href="" />  --><Contents><Layer><ows:Title>map</ows:Title><ows:Identifier>map</ows:Identifier><Style isDefault="true"><ows:Identifier>default</ows:Identifier><LegendURL format="image/png" xlink:href="https://geomapfish-demo-2-6.camptocamp.com/tiles/static/1.0.0/map/default/legend0.png" width="35" height="5"/></Style><Format>image/png</Format><ResourceURL format="image/png" resourceType="tile" template="https://geomapfish-demo-2-6.camptocamp.com/tiles/1.0.0/map/default/{TileMatrixSet}/{TileMatrix}/{TileRow}/{TileCol}.png"/><TileMatrixSetLink><TileMatrixSet>epsg2056_005</TileMatrixSet></TileMatrixSetLink></Layer><Layer><ows:Title>map_jpeg</ows:Title><ows:Identifier>map_jpeg</ows:Identifier><Style isDefault="true"><ows:Identifier>default</ows:Identifier><LegendURL format="image/png" xlink:href="https://geomapfish-demo-2-6.camptocamp.com/tiles/static/1.0.0/map_jpeg/default/legend0.png" width="35" height="5"/></Style><Format>image/jpeg</Format><ResourceURL format="image/jpeg" resourceType="tile" template="https://geomapfish-demo-2-6.camptocamp.com/tiles/1.0.0/map_jpeg/default/{TileMatrixSet}/{TileMatrix}/{TileRow}/{TileCol}.jpeg"/><TileMatrixSetLink><TileMatrixSet>epsg2056_005</TileMatrixSet></TileMatrixSetLink></Layer><TileMatrixSet><ows:Identifier>epsg2056_005</ows:Identifier><ows:SupportedCRS>urn:ogc:def:crs:EPSG::2056</ows:SupportedCRS><TileMatrix><ows:Identifier>0</ows:Identifier><ScaleDenominator>14285714.285714287</ScaleDenominator><TopLeftCorner>2420000 1350000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>1</ows:Identifier><ScaleDenominator>7142857.142857144</ScaleDenominator><TopLeftCorner>2420000 1350000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>2</ows:Identifier><ScaleDenominator>3571428.571428572</ScaleDenominator><TopLeftCorner>2420000 1350000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>3</ows:Identifier><ScaleDenominator>1785714.285714286</ScaleDenominator><TopLeftCorner>2420000 1350000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>4</MatrixWidth><MatrixHeight>3</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>4</ows:Identifier><ScaleDenominator>892857.142857143</ScaleDenominator><TopLeftCorner>2420000 1350000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>8</MatrixWidth><MatrixHeight>5</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>5</ows:Identifier><ScaleDenominator>357142.85714285716</ScaleDenominator><TopLeftCorner>2420000 1350000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>19</MatrixWidth><MatrixHeight>13</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>6</ows:Identifier><ScaleDenominator>178571.42857142858</ScaleDenominator><TopLeftCorner>2420000 1350000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>38</MatrixWidth><MatrixHeight>25</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>7</ows:Identifier><ScaleDenominator>71428.57142857143</ScaleDenominator><TopLeftCorner>2420000 1350000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>94</MatrixWidth><MatrixHeight>63</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>8</ows:Identifier><ScaleDenominator>35714.28571428572</ScaleDenominator><TopLeftCorner>2420000 1350000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>188</MatrixWidth><MatrixHeight>125</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>9</ows:Identifier><ScaleDenominator>17857.14285714286</ScaleDenominator><TopLeftCorner>2420000 1350000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>375</MatrixWidth><MatrixHeight>250</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>10</ows:Identifier><ScaleDenominator>8928.57142857143</ScaleDenominator><TopLeftCorner>2420000 1350000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>750</MatrixWidth><MatrixHeight>500</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>11</ows:Identifier><ScaleDenominator>3571.4285714285716</ScaleDenominator><TopLeftCorner>2420000 1350000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1875</MatrixWidth><MatrixHeight>1250</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>12</ows:Identifier><ScaleDenominator>1785.7142857142858</ScaleDenominator><TopLeftCorner>2420000 1350000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>3750</MatrixWidth><MatrixHeight>2500</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>13</ows:Identifier><ScaleDenominator>892.8571428571429</ScaleDenominator><TopLeftCorner>2420000 1350000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>7500</MatrixWidth><MatrixHeight>5000</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>14</ows:Identifier><ScaleDenominator>357.14285714285717</ScaleDenominator><TopLeftCorner>2420000 1350000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>18750</MatrixWidth><MatrixHeight>12500</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>15</ows:Identifier><ScaleDenominator>178.57142857142858</ScaleDenominator><TopLeftCorner>2420000 1350000</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>37500</MatrixWidth><MatrixHeight>25000</MatrixHeight></TileMatrix></TileMatrixSet></Contents></Capabilities>',

  swisstopo:
    '<Capabilities xmlns="http://www.opengis.net/wmts/1.0" xmlns:ows="http://www.opengis.net/ows/1.1" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:gml="http://www.opengis.net/gml" xsi:schemaLocation="http://www.opengis.net/wmts/1.0 http://schemas.opengis.net/wmts/1.0/wmtsGetCapabilities_response.xsd" version="1.0.0"><!-- Revision: $Rev$ --><ows:ServiceIdentification>        <ows:Title>WMTS IFDG</ows:Title>        <ows:Abstract>None</ows:Abstract>        <ows:Keywords>            <ows:Keyword>Switzerland</ows:Keyword>            <ows:Keyword>Web Map Service</ows:Keyword>            <ows:Keyword>Suisse</ows:Keyword>            <ows:Keyword>OGC</ows:Keyword>            <ows:Keyword>WMS</ows:Keyword>            <ows:Keyword>swisstopo</ows:Keyword>            <ows:Keyword>Office federal de topographie</ows:Keyword>            <ows:Keyword>Carte nationale</ows:Keyword>            <ows:Keyword>Cartes-pixel</ows:Keyword>            <ows:Keyword>Images aeriennes</ows:Keyword>            <ows:Keyword>SWISSIMAGE</ows:Keyword>            <ows:Keyword>Frontieres</ows:Keyword>            <ows:Keyword>swissBOUNDARIES3D</ows:Keyword>            <ows:Keyword>Cartes historiques</ows:Keyword>            <ows:Keyword>Atlas Siegfried</ows:Keyword>            <ows:Keyword>Carte Dufour</ows:Keyword>        </ows:Keywords>        <ows:ServiceType>OGC WMTS</ows:ServiceType>        <ows:ServiceTypeVersion>1.0.0</ows:ServiceTypeVersion>        <ows:Fees>None</ows:Fees>        <ows:AccessConstraints>None</ows:AccessConstraints></ows:ServiceIdentification><ows:ServiceProvider>        <ows:ProviderName>Office fédéral de topographie swisstopo </ows:ProviderName>        <ows:ProviderSite xlink:href="http://www.swisstopo.admin.ch"/>        <ows:ServiceContact>            <ows:IndividualName>David Oesch</ows:IndividualName>            <ows:PositionName></ows:PositionName>            <ows:ContactInfo>                <ows:Phone>                    <ows:Voice>+41 58 469 01 11</ows:Voice>                    <ows:Facsimile>+41 58 469 04 59</ows:Facsimile>                </ows:Phone>                <ows:Address>                    <ows:DeliveryPoint>swisstopo</ows:DeliveryPoint>                    <ows:City>Bern</ows:City>                    <ows:AdministrativeArea>BE</ows:AdministrativeArea>                    <ows:PostalCode>3084</ows:PostalCode>                    <ows:Country>Switzerland</ows:Country>                    <ows:ElectronicMailAddress>webgis@swisstopo.ch</ows:ElectronicMailAddress>                </ows:Address>            </ows:ContactInfo>        </ows:ServiceContact></ows:ServiceProvider>   <ows:OperationsMetadata>        <ows:Operation name="GetCapabilities">            <ows:DCP>                <ows:HTTP>                    <ows:Get xlink:href="https://wmts.geo.admin.ch/1.0.0/WMTSCapabilities.xml">                        <ows:Constraint name="GetEncoding">                            <ows:AllowedValues>                                <ows:Value>REST</ows:Value>                            </ows:AllowedValues>                        </ows:Constraint>                    </ows:Get>                </ows:HTTP>            </ows:DCP>        </ows:Operation>        <ows:Operation name="GetTile">            <ows:DCP>                <ows:HTTP>                    <ows:Get xlink:href="https://wmts.geo.admin.ch/">                        <ows:Constraint name="GetEncoding">                            <ows:AllowedValues>                                <ows:Value>REST</ows:Value>                            </ows:AllowedValues>                        </ows:Constraint>                    </ows:Get>                </ows:HTTP>            </ows:DCP>        </ows:Operation>    </ows:OperationsMetadata>    <Contents> <Layer><ows:Title>Réseau routes principales</ows:Title><ows:Abstract>Ce jeu de données comprend le réseau des routes principales suisses défini dans l\'Ordonnance concernant l\'utilisation de l\'impôt sur les huiles minérales à affectation obligatoire dans le trafic routier (OUMin). La Confédération, qui alloue des contributions financières aux cantons pour le réseau de routes principales suisses, définit de façon univoque quelle infrastructure fait partie du réseau des routes principales suisses. Les axes des routes principales peuvent être utilisés pour la description et le référencement de faits matériels le long des routes.A la différence du réseau de routes principales défini par l\'OUMin, le réseau des routes principales défini par l\'Ordonnance concernant les routes de grand transit ne fait quant à lui pas l\'objet d\'une cartographie au niveau national. L\'Ordonnance concernant les routes de grand transit définit les itinéraires routiers qui doivent être ouverts au grand transit, sans préciser exactement quel tracé, respectivement quelle infrastructure routière est directement concernée.</ows:Abstract><ows:WGS84BoundingBox><ows:LowerCorner>5.140242 45.398181</ows:LowerCorner><ows:UpperCorner>11.47757 48.230651</ows:UpperCorner></ows:WGS84BoundingBox><ows:Identifier>ch.astra.hauptstrassennetz</ows:Identifier><ows:Metadata xlink:href="https://www.geocat.ch/geonetwork/srv/ger/md.viewer#/full_view/c1333de6-fb91-4b0b-be95-8eab89b05358"/><Style><ows:Title>Réseau routes principales</ows:Title><ows:Identifier>ch.astra.hauptstrassennetz</ows:Identifier><LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.astra.hauptstrassennetz_fr.png"/></Style><Format>image/png</Format><Dimension><ows:Identifier>Time</ows:Identifier><Default>current</Default><Value>current</Value></Dimension><TileMatrixSetLink><TileMatrixSet>2056_26</TileMatrixSet></TileMatrixSetLink><ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.astra.hauptstrassennetz/default/{Time}/2056/{TileMatrix}/{TileCol}/{TileRow}.png"/></Layer>   <Layer><ows:Title>Convention des Alpes</ows:Title><ows:Abstract>Périmètre de la Convention alpine en Suisse. La Convention alpine est un traité de droit international conclu par huit Etats alpins (Allemagne, Autriche, France, Italie, Liechtenstein, Monaco, Suisse, Slovénie) et l`Union européenne. L`accord vise à assurer la préservation et la protection des Alpes à travers une politique plurisectorielle, globale et durable.</ows:Abstract><ows:WGS84BoundingBox><ows:LowerCorner>5.140242 45.398181</ows:LowerCorner><ows:UpperCorner>11.47757 48.230651</ows:UpperCorner></ows:WGS84BoundingBox><ows:Identifier>ch.are.alpenkonvention</ows:Identifier><ows:Metadata xlink:href="https://www.geocat.ch/geonetwork/srv/ger/md.viewer#/full_view/8698bf0b-fceb-4f0f-989b-111e7c4af0a4"/><Style><ows:Title>Convention des Alpes</ows:Title><ows:Identifier>ch.are.alpenkonvention</ows:Identifier><LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.are.alpenkonvention_fr.png"/></Style><Format>image/png</Format><Dimension><ows:Identifier>Time</ows:Identifier><Default>current</Default><Value>current</Value></Dimension><TileMatrixSetLink><TileMatrixSet>2056_26</TileMatrixSet></TileMatrixSetLink><ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.are.alpenkonvention/default/{Time}/2056/{TileMatrix}/{TileCol}/{TileRow}.png"/></Layer>        <Layer>            <ows:Title>Agglomérations et villes isolées</ows:Title>            <ows:Abstract>Les agglomérations et villes isolées (communes non rattachées à une agglomération et comptant au moins 10`000 habitants) font partie des régions d’analyse de la statistique suisse. Ce niveau géographique est défini depuis plus de 100 ans, afin de mesurer l’urbanisation, phénomène fondamental structurant l’organisation du territoire. Sa fonction principale est de permettre une comparaison spatiale entre des espaces urbains inégalement délimités sur le plan institutionnel. Une version ancienne est appliquée pour la première fois en 1930, puis révisée en 1984 et 1990, toujours sur la base des recensements de la population. La version actuelle classe les 2896 communes de Suisse (état 2000) selon leur appartenance ou pas à une agglomération ou ville isolée en fonction de critères statistiques (Etat et évolution de la population, lien de continuité de la zone bâtie, rapport entre population active occupée et population résidante, structure économique et flux de pendulaires). Les agglomérations et les villes isolées forment l`espace urbain, les territoires restant l`espace rural. La définition des agglomérations de l’OFS n’a pas valeur d’obligation légale</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.are.agglomerationen_isolierte_staedte</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=c1a563a5-3af3-4fd6-b2fd-1e4b010f0fc4"/>            <Style>                <ows:Title>Agglomérations et villes isolées</ows:Title>                <ows:Identifier>ch.are.agglomerationen_isolierte_staedte</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.are.agglomerationen_isolierte_staedte_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20140101</Default>                <Value>20140101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.are.agglomerationen_isolierte_staedte/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Convention des Alpes</ows:Title>            <ows:Abstract>Périmètre de la Convention alpine en Suisse. La Convention alpine est un traité de droit international conclu par huit Etats alpins (Allemagne, Autriche, France, Italie, Liechtenstein, Monaco, Suisse, Slovénie) et l`Union européenne. L`accord vise à assurer la préservation et la protection des Alpes à travers une politique plurisectorielle, globale et durable</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.are.alpenkonvention</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=8698bf0b-fceb-4f0f-989b-111e7c4af0a4"/>            <Style>                <ows:Title>Convention des Alpes</ows:Title>                <ows:Identifier>ch.are.alpenkonvention</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.are.alpenkonvention_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20090101</Default>                <Value>20090101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.are.alpenkonvention/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Typologie des communes ARE</ows:Title>            <ows:Abstract>La typologie des communes ARE est le résultat d’une combinaison entre la définition des grands régions, des agglomérations 2000 et de la typologie des communes de l’Office fédéral de la statistique OFS. Neuf types de communes ont été dérivés à partir des 13 types d&#39;origine</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.are.gemeindetypen</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=c967f055-9482-4bcb-a1bb-8de7971e7293"/>            <Style>                <ows:Title>Typologie des communes ARE</ows:Title>                <ows:Identifier>ch.are.gemeindetypen</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.are.gemeindetypen_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20140101</Default>                <Value>20140101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.are.gemeindetypen/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Itinéraires convois exceptionnels</ows:Title>            <ows:Abstract>Les routes nationales ne correspondent à aucune classe de route normée et ne figurent ainsi pas en tant qu&#39;itinéraire pour convois exceptionnels.Les itinéraires cantonaux pour convois exceptionnels représentent l&#39;état actuel ou les intentions cantonales dans la forme générale, mais ne prennent pas en considération les obstacles concrets sur les routes. Certains cantons possèdent des cartes représentants les obstacles au format électronique. Les paramètres des classes de route correspondent aux données de masse techniques exactes (gabarit d&#39;espace libre et charges maximales par type de route), ne comprennent aucune marge et ne sont ainsi pas identiques aux paramètres de passage</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.astra.ausnahmetransportrouten</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=5aa6303c-71e3-4ca5-ab67-cd913a81a1ee"/>            <Style>                <ows:Title>Itinéraires convois exceptionnels</ows:Title>                <ows:Identifier>ch.astra.ausnahmetransportrouten</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.astra.ausnahmetransportrouten_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160713</Default>                <Value>20160713</Value>                <Value>20150211</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.astra.ausnahmetransportrouten/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>IVS Carte de terrain</ows:Title>            <ows:Abstract>L’inventaire initial est basé sur la carte topographique qui fournit des indications supplémentaires sur les objets définis à l’article 3 de l’ordonnance sur l’inventaire fédéral des voies de communication historiques de la Suisse (OIVS) ainsi que ceux d’importance régionale et locale. Etant donné que, dans un premier temps, la carte topographique n’est pas mise à jour, elle ne figure qu’à titre d’information complémentaire dans la publication électronique et en tant qu’élément séparé dans l’édition imprimée (cf. art. 4 OIVS). Lors de la réevaluation des objets d&#39;importance régionale ou locale, le canton de Soleure a remanié ses cartes de terrain. Ces cartes remaniées sont comprises dans les cartes présentées</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.astra.ivs-gelaendekarte</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=c99e4a84-b340-4c83-ad3f-f5bcb15a1bf1"/>            <Style>                <ows:Title>IVS Carte de terrain</ows:Title>                <ows:Identifier>ch.astra.ivs-gelaendekarte</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.astra.ivs-gelaendekarte_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>19980816</Default>                <Value>19980816</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.astra.ivs-gelaendekarte/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>IVS National</ows:Title>            <ows:Abstract>L’inventaire des voies de communication de la Suisse (IVS) offre une mine d’informations sur leur tracé, leur histoire, leur état et leur importance, conformément aux dispositions de la loi fédérale sur la protection de la nature et du paysage (LPN). L’IVS comprend deux parties : l’inventaire fédéral et les autres voies de communication historiques (ordonnance concernant l’inventaire fédéral des voies de communication historiques de la Suisse OIVS, art. 3). La première regroupe les objets d’importance nationale dotés d’une signification historique exceptionnelle. Les objets dont la valeur sur le plan de l’histoire nationale ne s’accompagne pas d’une portée architecturale véritablement remarquable ne font pas partie de l’inventaire fédéral. Relèvent également de cette seconde catégorie de nombreux objets dont l’importance régionale ou locale a été reconnue au niveau cantonal. Vous trouverez des informations complémentaires sur le site Internet de l’IVS : http://www.ivs.admin.ch/. Vous pouvez également consulter la banque de données de l’inventaire au moyen de l’application WebGIS ou télécharger des fiches sur le site suivant : http://ivs-gis.admin.ch (cf. OIVS, art. 4)</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.astra.ivs-nat</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=70b6e2ac-c7ea-4699-a22e-65792aa3b0b9"/>            <Style>                <ows:Title>IVS National</ows:Title>                <ows:Identifier>ch.astra.ivs-nat</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.astra.ivs-nat_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20100416</Default>                <Value>20100416</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.astra.ivs-nat/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>IVS Délimitations</ows:Title>            <ows:Abstract>Les délimitations font partie de la carte de l&#39;inventaire indépendamment du classement (national, régional, local). Les délimitations indiquent le début et la fin d&#39;un tronçon d&#39;une voie. Les délimitations sont des objets ponctuels. Lors de la vérification de leurs inventaires des voies de communication historique d&#39;importance régionale ou locale, les cantons de Berne et Schaffhouse ont intégrés des nouveaux tronçons ou subdivisé des tronçons existants. Pour ces tronçons des nouvelles déliminations ont été saisis. Celles-ci sont comprises dans les données présentes</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.astra.ivs-nat_abgrenzungen</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=aab3c0bf-bfa3-48e0-84d7-1a7b86e04509"/>            <Style>                <ows:Title>IVS Délimitations</ows:Title>                <ows:Identifier>ch.astra.ivs-nat_abgrenzungen</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.astra.ivs-nat_abgrenzungen_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20100414</Default>                <Value>20100414</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.astra.ivs-nat_abgrenzungen/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>IVS Tracé sans substance</ows:Title>            <ows:Abstract>Le tracé des voies de communication historiques d&#39;importance nationale est une information complémentaire à l&#39;inventaire national. Il montre les voies de communication historiques d&#39;importance nationale qui présentent peu, voire plus de substance, dont le tracé reste visible aujourd&#39;hui (art.2, OIVS). Les tracés représentés ne font pas partie de l&#39;inventaire fédéral</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.astra.ivs-nat-verlaeufe</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=8c750eb5-d781-4b14-8dee-3d8943b04465"/>            <Style>                <ows:Title>IVS Tracé sans substance</ows:Title>                <ows:Identifier>ch.astra.ivs-nat-verlaeufe</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.astra.ivs-nat-verlaeufe_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20100416</Default>                <Value>20100416</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.astra.ivs-nat-verlaeufe/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>IVS Eléments du paysage routier</ows:Title>            <ows:Abstract>Les éléments du paysage routier font partie de la carte de l&#39;inventaire indépendamment du classement (national, régional, local). Ils symbolisent des objets tels que pierre de distance, croix routières, chapelles, embarcadères, bac, fontaines et autres. Les éléments du paysage routier sont des points sans attributs complémentaires. Lors du processus de réévaluation des objets d&#39;importance régional eou local, les cantons de Berne, Bâle - Campagne, Soleure et Schaffhouse ont remanié leurs éléments de paysage. Ces modifications sont intégrées dans les données présentes</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.astra.ivs-nat_wegbegleiter</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=3cf031e4-eef0-4c14-8bed-d132393dd4bc"/>            <Style>                <ows:Title>IVS Eléments du paysage routier</ows:Title>                <ows:Identifier>ch.astra.ivs-nat_wegbegleiter</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.astra.ivs-nat_wegbegleiter_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20100414</Default>                <Value>20100414</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.astra.ivs-nat_wegbegleiter/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>IVS Régional et local</ows:Title>            <ows:Abstract>L’inventaire des voies de communication de la Suisse (IVS) offre une mine d’informations sur leur tracé, leur histoire, leur état et leur importance conformément aux dispositions de la loi fédérale du 1er juillet 1996 sur la protection de la nature et du paysage (LPN). Outre les objets d’importance nationale qui figurent dans l’inventaire fédéral (à savoir ceux dotés d’une signification historique exceptionnelle) ou apparaissent à titre d’information complémentaire (à savoir ceux dont la portée architecturale est limitée, voire inexistante), l’IVS comprend également les objets d’importance régionale ou locale. Les cantons déterminent le classement de ces derniers par le biais de la législation, de la planification ou de toute autre mesure jugée adéquate. Les objets peuvent être intégrés dans la publication électronique de l’OFROU même lorsque les cantons n’ont pas encore déterminé leur classement définitif. Dans ce cas, les données publiées sont basées sur une estimation provisoire de la Confédération et la publication se fonde sur leur importance conformément aux critères applicables aux aides financières (Art. 12 OIVS) et aux atteintes (Art. 7 OIVS). Dans les données présentes sont comprises les déterminations des objets d&#39;importance régionales et locales pour les cantons suivantes:Berne Bâle - Campagne Soleure Schaffhouse Dans le canton de Berne la protection des objets d&#39;importance régionale et locale s&#39;oriente aux dispositions générales de la loi fédérale sur la protectioon de la nature et du paysage (LPN) respectivement d&#39;apres l&#39;article 10 de la loi sur les constructions du canton de Berne. Ces objets ont besoin d&#39; un égard particulier</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.astra.ivs-reg_loc</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=f59f9e16-1f67-47bf-ade0-fcce715ce6fe"/>            <Style>                <ows:Title>IVS Régional et local</ows:Title>                <ows:Identifier>ch.astra.ivs-reg_loc</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.astra.ivs-reg_loc_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20100416</Default>                <Value>20100416</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.astra.ivs-reg_loc/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Inventaire PBC</ows:Title>            <ows:Abstract>Dans la version 2009 de l&#39;Inventaire, les biens culturels d&#39;importance nationale représentent environ 3200 objets (bâtiments, collections dans les musées, archives et bibliothèques ainsi que les objets d&#39;archéologie)</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.babs.kulturgueter</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=c1a6591c-31a8-416a-a871-666eeeb7dc91"/>            <Style>                <ows:Title>Inventaire PBC</ows:Title>                <ows:Identifier>ch.babs.kulturgueter</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.babs.kulturgueter_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160101</Default>                <Value>20160101</Value>                <Value>20150101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.babs.kulturgueter/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Végétation dans zones alluviales</ows:Title>            <ows:Abstract>Afin de donner la possibilité aux cantons de prendre aussi tôt que possible les mesures nécessaires à la protection des potentielles zones alluviales d’importance nationale, l’OFEFP leur a fourni 1987 une cartographie détaillée de la végétation des objets en consultation. Pour la majeure partie des objets qui ont été agrandis après la consultation, des cartes de végétation ont été élaborées ultérieurement selon la même méthode. Les objets nouvellement admis dans l’inventaire (sans les zones alluviales alpines) ont été cartographiés à l’aide de photographies aériennes photogrammétriques à infrarouge selon le même système</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.auen-vegetationskarten</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=ab76361f-657d-4705-9053-95f89ecab126"/>            <Style>                <ows:Title>Végétation dans zones alluviales</ows:Title>                <ows:Identifier>ch.bafu.auen-vegetationskarten</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.auen-vegetationskarten_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20150302</Default>                <Value>20150302</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.auen-vegetationskarten/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Batraciens objets fixes</ows:Title>            <ows:Abstract>19 espèces de batraciens vivent en Suisse à l&#39;heure actuelle; presque toutes figurent sur la liste rouge des espèces animales menacées. La surface des zones humides abritant les batraciens s&#39;est réduite à moins d&#39;un dixième au cours des cent dernières années. Il convient donc de préserver les habitats existants. La plupart des espèces préfèrent comme plan d&#39;eau de reproduction des eaux stagnantes tels que les mares et les étangs. L&#39;inventaire comprend, outre des plans d&#39;eau allant des petites mares à des complexes marécageux de grande taille, un nombre important de gravières et des glaisières (représentant environ un cinquième de tous les objets répertoriés) devenues, au cours de leur exploitation, des emplacements quasi naturels méritant d&#39;être protégés. Les objets fixes sont répartis dans deux secteurs différents: le secteur A relève de la protection de la nature. Le secteur B comprend les habitats terrestres et les zones tampon. Il s&#39;agit la plupart du temps de surfaces exploitées à des fins agricole ou sylvicole. Conformément à l&#39;article 18a LPN, le Conseil fédéral a arrêté en 2001 l&#39;entrée en vigueur de l&#39;inventaire fédéral des sites de reproduction de batraciens en tant que quatrième inventaire fédéral. Cet inventaire comprend dans la première série 701 objets et il a été révisé 2003 et 2007 avec 824 objets (742 fixes et 82 itinérants) en total</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.bundesinventare-amphibien</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=1b48774e-1047-4e8f-b743-769a2b3901cb"/>            <Style>                <ows:Title>Batraciens objets fixes</ows:Title>                <ows:Identifier>ch.bafu.bundesinventare-amphibien</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.bundesinventare-amphibien_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20070702</Default>                <Value>20070702</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.bundesinventare-amphibien/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Batraciens objets itinérants</ows:Title>            <ows:Abstract>19 espèces de batraciens vivent en Suisse à l&#39;heure actuelle; presque toutes figurent sur la liste rouge des espèces animales menacées. La surface des zones humides abritant les batraciens s&#39;est réduite à moins d&#39;un dixième au cours des cent dernières années. Il convient donc de préserver les habitats existants. La plupart des espèces préfèrent comme plan d&#39;eau de reproduction des eaux stagnantes tels que les mares et les étangs. L&#39;inventaire comprend, outre des plans d&#39;eau allant des petites mares à des complexes marécageux de grande taille, un nombre important de gravières et des glaisières (représentant environ un cinquième de tous les objets répertoriés) devenues, au cours de leur exploitation, des emplacements quasi naturels méritant d&#39;être protégés. Les objets itinérants comprennent des carrières en exploitation à l&#39;intérieur desquelles il convient de préserver la condition dynamique à même d&#39;assurer le maintien des populations de batraciens. Conformément à l&#39;article 18a LPN, le Conseil fédéral a arrêté en 2001 l&#39;entrée en vigueur de l&#39;inventaire fédéral des sites de reproduction de batraciens en tant que quatrième inventaire fédéral. Cet inventaire comprend dans la première série 701 objets et il a été révisé 2003 et 2007 avec 824 objets (742 fixes et 82 itinérants) en total</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.bundesinventare-amphibien_wanderobjekte</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=36a55486-04be-4533-9936-9c05407114a1"/>            <Style>                <ows:Title>Batraciens objets itinérants</ows:Title>                <ows:Identifier>ch.bafu.bundesinventare-amphibien_wanderobjekte</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.bundesinventare-amphibien_wanderobjekte_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20070702</Default>                <Value>20070702</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.bundesinventare-amphibien_wanderobjekte/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Zones alluviales</ows:Title>            <ows:Abstract>On entend par zones alluviales les zones inondables en bordure de lacs et cours d&#39;eaux, ces zones constituant des biotopes naturels. En mai 1981, le mandat d&#39;établir l&#39;inventaire scientifique des zones alluviales a été donné par le DFI à l&#39;Institut fédéral des recherches forestières (aujourd&#39;hui Institut fédéral de recherches sur la forêt, la neige et le paysage, FNP). Ce mandat a été élaboré par le groupe &#34;Vegetationskunde&#34; (géographie botanique). Conformément à l&#39;article 18a de la loi fédérale du 1er juillet 1966 sur la protection de la nature et du paysage (LPN) - en vigueur depuis le 1er février 1988 - le Conseil fédéral désigne les biotopes d&#39;importance nationale, en détermine la situation et précise les buts visés par la protection. Il ne le fait toutefois qu&#39;après avoir pris l&#39;avis des cantons. Conformément à l&#39;article 18a LPN, le Conseil fédéral a arrêté en 1992 l&#39;entrée en vigueur de l&#39;inventaire fédéral des zones alluviales en tant que deuxième inventaire fédéral. Cet inventaire comprend 169 objets, complété en 2001, 2003 et 2007 par trois suppléments. Entre 1995 et 1997, il a été révisé et complété d&#39;un point de vue objectif par l&#39;inventaire des marges proglaciaires et des plaines alluviales alpines</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.bundesinventare-auen</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=d47dffc7-8072-40c2-bbf7-4fb47367bd29"/>            <Style>                <ows:Title>Zones alluviales</ows:Title>                <ows:Identifier>ch.bafu.bundesinventare-auen</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.bundesinventare-auen_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20070701</Default>                <Value>20070701</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.bundesinventare-auen/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>IFP</ows:Title>            <ows:Abstract>L&#39;article 5 de la loi fédérale du 1er juillet 1966 sur la protection de la nature et du paysage (LPN) demande au Conseil fédéral de réaliser des inventaires d&#39;objets de signification nationale (inventaires fédéraux). L&#39;inventaire fédéral des paysages et des monuments naturels de importance nationale (IFP) représente le premier inventaire fédéral selon la LPN. La première étape en est l&#39;inventaire CPN (Inventaire des paysages à préserver et des monuments naturels d&#39;importance nationale), travail publié pour la première fois en 1963 par des organismes privés, puis complété et remanié périodiquement. L&#39;inventaire IFP a été mis en vigueur par étapes. Jusqu&#39;ici, le Conseil fédéral a ratifié 4 volets de l&#39;inventaire: - une première série en 1977, avec 65 objets - une deuxième série en 1983, avec 54 objets - une troisième série en 1996, avec 33 objets et 11 objets révisés - une quatrième série en 1998, avec 9 objets et 15 objets révisés</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.bundesinventare-bln</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=bc3f1564-1e56-44e9-98b6-f0d8c5130410"/>            <Style>                <ows:Title>IFP</ows:Title>                <ows:Identifier>ch.bafu.bundesinventare-bln</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.bundesinventare-bln_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20010809</Default>                <Value>20010809</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.bundesinventare-bln/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Bas-marais</ows:Title>            <ows:Abstract>Les bas-marais, témoins des paysages d&#39;autrefois, régressent fortement. Ils abritent une biocénose composée de plantes et d&#39;animaux étroitement liés les uns aux autres et parmi lesquels on trouve un grand nombre d&#39;espèces menacées. L&#39;inventaire scientifique des bas-marais a été réalisé de 1987 à 1990 par une communauté de travail mandatée par le DFI. Aux termes de l&#39;art. 18a de la loi fédérale du 1er juillet 1966 sur la protection de la nature et du paysage (LPN), le Conseil fédéral désigne les biotopes d&#39;importance nationale, détermine la situation de ces derniers et précise les buts visés par la protection. Il ne le fait qu&#39;après avoir pris l&#39;avis des cantons. C&#39;est en 1994 que le Conseil fédéral a mis en vigueur l&#39;ordonnance sur les bas-marais ainsi que l&#39;inventaire, qui comprenait alors une première série de 728 objets. Une deuxième série de 364 objets suivait en 1997 et la troisième série de 71 objets en 1998. Cet inventaire a été révisé en 2001, 2004 et 2007</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.bundesinventare-flachmoore</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=c98723f6-4c76-480b-bada-c8a5ce3d20d8"/>            <Style>                <ows:Title>Bas-marais</ows:Title>                <ows:Identifier>ch.bafu.bundesinventare-flachmoore</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.bundesinventare-flachmoore_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20100623</Default>                <Value>20100623</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.bundesinventare-flachmoore/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Hauts-marais</ows:Title>            <ows:Abstract>Les tourbières comptent parmi les milieux naturels les plus sensibles de Suisse. Ils sont fortement en recul: seuls 10 à 20% du nombre initial subsistent aujourd&#39;hui. L&#39;inventaire scientifique des tourbières a été effectué entre 1978 et 1984 par la division Paysage du WSL (Institut fédéral de recherches sur la forêt, la neige et le paysage) sur mandat de Pro Natura Helvetica. Conformement à l&#39;art. 18a de la loi fédérale du 1er juillet 1966 sur la protection de la nature et du paysage (LPN), entrée en vigueur le 1er février 1988, le Conseil fédéral, après avois pris l&#39;avis des cantons, désigne les biotopes d&#39;importance nationale, détermine leur situation et précise les objectifs visés par la protection.Le premier inventaire fédéral selon l&#39;art. 18a LPN fut celui des hauts-marais et marais de transition, entré en vigueur en 1991. Il comportait 514 objets à l&#39;origine; après avoir été complété par une deuxième série en 2003 et révisé en 2007, il compte désormais 545 objets</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.bundesinventare-hochmoore</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=2ce98519-dd40-4cc1-bd95-8f4234d78492"/>            <Style>                <ows:Title>Hauts-marais</ows:Title>                <ows:Identifier>ch.bafu.bundesinventare-hochmoore</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.bundesinventare-hochmoore_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20080721</Default>                <Value>20080721</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.bundesinventare-hochmoore/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Districts francs</ows:Title>            <ows:Abstract>Les districts francs fédéraux existent depuis 1875. Ils servaient à préserver les populations de chamois, de bouquetins, de cerfs et de chevreuils (ongulés), devenues rares à l&#39;époque en raison de la chasse et de la concurrence du bétail. La situation actuelle se caractérise d&#39;une part par des populations d&#39;ongulés importantes, parfois excessives, et par les dommages qu&#39;elles impliquent, et d&#39;autre part par le recul d&#39;espèces sensibles telles que le Grand tétras, la Bartavelle, la Perdrix grise et la Lièvre commun. Le 1er avril 1988 est entrée en vigueur la loi fédérale sur la chasse et la protection des mammifères et oiseaux sauvages (LPN, 20 juin 1986). L&#39;ordonnance sur les districts francs datant de 1962 a été révisée dans la foulée. Ces deux actes visent actuellement à réguler les populations de cerfs, de chevreuils, de chamois et de bouquetins ainsi qu&#39;à protéger et valoriser les espèces rares et leurs habitats. L&#39;inventaire comprend 42 objets, dont certains ont été légèrement modifiés depuis 1992</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.bundesinventare-jagdbanngebiete</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=200a2d0e-afe1-45d8-aeaf-ea3621cc6afe"/>            <Style>                <ows:Title>Districts francs</ows:Title>                <ows:Identifier>ch.bafu.bundesinventare-jagdbanngebiete</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.bundesinventare-jagdbanngebiete_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20131202</Default>                <Value>20131202</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.bundesinventare-jagdbanngebiete/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Sites marécageux</ows:Title>            <ows:Abstract>Les sites marécageux sont des paysages proches de l&#39;état naturel, caractérisés par la présence de marais et abritant également d&#39;autres éléments culturels et naturels remarquables. Pour nombre d&#39;espèces animales et végétales, ils constituent les derniers espaces vitaux. L&#39;inventaire scientifique des sites marécageux a été dressé dans les années 1987 à 1990 par Hintermann &amp; Weber AG, sur mandat du DFI. Conformément à l&#39;article 23b de la loi fédérale du 1er juillet 1966 sur la protection de la nature et du paysage (LPN), le Conseil fédéral désigne les sites marécageux d&#39;une beauté particulière et d&#39;importance nationale et en détermine la situation en tenant compte de l&#39;utilisation du sol et des constructions existantes. Ce faisant, il travaille en étroite collaboration avec les cantons qui, pour leur part, prennent l&#39;avis des propriétaires fonciers concernés. Le Conseil fédéral a mis en vigueur en 1996 l&#39;ordonnance sur les sites marécageux ainsi que l&#39;inventaire fédéral correspondant, qui comprend 88 objets. Une première révision a été faite en 2001 à la demande du canton de Vaud, une deuxième a eu lieu en 2004 avec l&#39;inscription définitive de l&#39;objet Grimsel et deux autres 2007 et 2015</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.bundesinventare-moorlandschaften</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=7ed73e2f-0a41-4e8b-a7ff-413f2d9b5ece"/>            <Style>                <ows:Title>Sites marécageux</ows:Title>                <ows:Identifier>ch.bafu.bundesinventare-moorlandschaften</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.bundesinventare-moorlandschaften_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20150202</Default>                <Value>20150202</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.bundesinventare-moorlandschaften/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Prairies et pâturages secs (PPS)</ows:Title>            <ows:Abstract>Les prairies et pâturages secs doivent leur existence à l’agriculture. Ils sont en effet le résultat de plusieurs siècles d’exploitation extensive et d’agriculture traditionnelle. Depuis la fin du 19e siècle, les prairies et pâturages secs ont régressé de près de 90 %. Parallèlement, les espèces qu’ils abritent depuis toujours subissent de plus en plus de pression: presque 40 % de toutes les espèces végétales et 50 % de toutes les espèces animales qui sont tributaires des terrains secs figurent sur les listes rouges nationales</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.bundesinventare-trockenwiesen_trockenweiden</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=8fa24249-1ad0-48d3-a879-6ba6893db1d7"/>            <Style>                <ows:Title>Prairies et pâturages secs (PPS)</ows:Title>                <ows:Identifier>ch.bafu.bundesinventare-trockenwiesen_trockenweiden</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.bundesinventare-trockenwiesen_trockenweiden_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20130624</Default>                <Value>20130624</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.bundesinventare-trockenwiesen_trockenweiden/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Réserves d&#39;oiseaux d&#39;eau</ows:Title>            <ows:Abstract>La Suisse est un lieu d&#39;hivernage et de repos particulièrement important pour diverses espèces d&#39;oiseaux d&#39;eau migrateurs. Conscient de cette importance, le Conseil Fédéral a signé en 1974 la Convention relative aux zones humides d&#39;importance internationale, conclue à Ramsar en 1971 et ratifiée par l&#39;Assemblée fédérale en 1975.Un inventaire des réserves d&#39;oiseaux d&#39;eau d&#39;importance internationale pour la Suisse a été élaboré en 1976 sur la base de critères antérieurs. La Station ornithologique de Sempach a présenté en 1995 la deuxième version révisée de cet inventaire, comprenant aussi les objets d&#39;importance nationale. Conformément à l&#39;art. 11 de la nouvelle loi fédérale sur la chasse et la protection des mammifères et oiseaux sauvages (LChP), la Confédération est tenue de délimiter des réserves d&#39;oiseaux d&#39;eau et de migrateurs d&#39;importance internationale. Le présent inventaire contient, aprés les révisions de 1992, 2001, 2009 et 2015, les principales régions figurant dans l&#39;inventaire de la Station ornithologique, dont dix zones d&#39;importance internationale et 25 d&#39;importance nationale</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.bundesinventare-vogelreservate</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=8fc6f748-80ce-47b2-8d49-b05a0c8ba975"/>            <Style>                <ows:Title>Réserves d&#39;oiseaux d&#39;eau</ows:Title>                <ows:Identifier>ch.bafu.bundesinventare-vogelreservate</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.bundesinventare-vogelreservate_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20150923</Default>                <Value>20150923</Value>                <Value>20150622</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.bundesinventare-vogelreservate/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Colonies de bouquetins</ows:Title>            <ows:Abstract>Réintroduit en 1906, le Bouquetin des Alpes vit en colonies d’extension variable localisées dans le Jura et l’arc alpin. La croissance des populations a entraîné dans certaines colonies des effets néfastes sur d’autres espèces et sur la végétation, rendant nécessaire la prise de mesures de régulation. Les prescriptions relatives à la planification des tirs de bouquetins se fondent sur la loi fédérale du 20 juin 1986 sur la chasse et la protection des mammifères et oiseaux sauvages. Conformément aux prescriptions concernant le recensement des populations dans l’ordonnance du 30 avril 1990 sur la régulation des populations de bouquetins, les colonies sont recensées et constituent, avec le recensement des populations, la base de la planification des tirs</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.fauna-steinbockkolonien</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=9c762bb5-4d8c-4174-9b77-95e85b962439"/>            <Style>                <ows:Title>Colonies de bouquetins</ows:Title>                <ows:Identifier>ch.bafu.fauna-steinbockkolonien</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.fauna-steinbockkolonien_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20150506</Default>                <Value>20150506</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.fauna-steinbockkolonien/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Ordre des cours d’eau</ows:Title>            <ows:Abstract>L’ordre des cours d’eau selon Strahler indique le degré de ramification du réseau hydrographique. Il est une base pour les analyses et descriptions morphologiques d&#39;un cours d&#39;eau. --- Selon Strahler l’ordre 1 est attribué au sources. Si deux cours d’eau de même ordre se rejoignent, l’ordre augmente de 1. Ainsi le Rhin et l’Aar sont d’ordre 9, le Rhône est d’ordre 7. --- Le reseau hydrographique issu de VECTOR25 a servi comme base de calcul pour l&#39;ordre des cours d&#39;eau</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.flussordnungszahlen-strahler</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=e8b4794c-7045-4970-85eb-6caba4384976"/>            <Style>                <ows:Title>Ordre des cours d’eau</ows:Title>                <ows:Identifier>ch.bafu.flussordnungszahlen-strahler</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.flussordnungszahlen-strahler_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20140805</Default>                <Value>20140805</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.flussordnungszahlen-strahler/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Eaux de baignade (qualité)</ows:Title>            <ows:Abstract>L&#39;OFEV et l&#39;Office fédéral de la santé publique OFSP ont publié des recommandations pour l&#39;évaluation de la qualité hygiénique des eaux de baignade de lacs et de rivières. Elles servent d&#39;aide à l&#39;exécution pour les cantons et s&#39;appuient sur la directive européenne sur les eaux de baignade de 2006. Cette aide à l&#39;exécution remplace les anciennes recommandations de 1991</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.gewaesserschutz-badewasserqualitaet</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=5601eb96-45cb-40a4-a595-2ec0ebda8e8c"/>            <Style>                <ows:Title>Eaux de baignade (qualité)</ows:Title>                <ows:Identifier>ch.bafu.gewaesserschutz-badewasserqualitaet</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.gewaesserschutz-badewasserqualitaet_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20141231</Default>                <Value>20141231</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.gewaesserschutz-badewasserqualitaet/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Apports diffus de phosphore</ows:Title>            <ows:Abstract>Les apports de phosphore dans les eaux constituent une pollution indésirable. D&#39;importantes quantités de phosphore dissous ont, au cours des dernières décennies, mené à une surfertilisation des lacs du Plateau. Au total, près de 900 tonnes de phosphore dissous provenant de sources diffuses se retrouvent chaque année dans les eaux suisses. De grandes quantités de phosphore sont surtout détectées dans les herbages soumis à une exploitation intensive sur des terrains en pente.Ces apports ont été mesurés grâce au modèle des flux de matières MODIFFUS, pour toutes les sources diffuses (surfaces cultivées, prairies permanentes, forêts, glaciers, espaces verts dans les zones urbaines, etc.) et leurs voies d&#39;apport (érosion des sols, lessivage, transport, drainage, dépôt atmosphérique, etc.). La carte montre les pertes additionnées par catégorie d&#39;utilisation des surfaces dans le quadrillage hectométrique utilisé dans la statistique de la superficie 2004/09. Les conditions climatiques sont moyennes et l&#39;année de référence est 2010. Ces valeurs modélisées ne peuvent être comparées aux valeurs mesurées dans les eaux, vu qu&#39;elles ne tiennent pas compte des processus de transformation et de sédimentation tant dans le paysage que dans les eaux. Les résultats peuvent être interprétés pour des unités hydrologiques ou administratives à partir de 50 km2, mais non pour chaque pixel</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.gewaesserschutz-diffuse_eintraege_phosphor</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=9c4bf1ae-ee0a-491c-9ce3-156a3001a954"/>            <Style>                <ows:Title>Apports diffus de phosphore</ows:Title>                <ows:Identifier>ch.bafu.gewaesserschutz-diffuse_eintraege_phosphor</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.gewaesserschutz-diffuse_eintraege_phosphor_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20150701</Default>                <Value>20150701</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_20</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.gewaesserschutz-diffuse_eintraege_phosphor/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Apports diffus d&#39;azote</ows:Title>            <ows:Abstract>Les apports d&#39;azote dans les eaux constituent une pollution indésirable. Dans le cadre de la Convention pour la protection du milieu marin de l&#39;Atlantique du Nord-Est (OSPAR), la Suisse s&#39;est engagée à réduire de moitié par rapport à 1985 les apports d&#39;azote dans le Rhin. Cet objectif n&#39;est pas encore atteint ; au total, près de 51 000 tonnes d&#39;azote émanant de sources diffuses se retrouvent chaque année dans les eaux suisses. Les apports d&#39;azote les plus importants sont dus aux surfaces soumises à une exploitation intensive, notamment aux surfaces drainées.Les apports en question ont été calculés grâce au modèle des flux de matières MODIFFUS en tenant compte de toutes les sources diffuses (surfaces cultivées, prairies permanentes, forêts, glaciers, espaces verts dans les zones urbaines, etc.) et de toutes les voies d&#39;apport (érosion des sols, lessivage, transport, drainage, dépôt atmosphérique, etc.). La carte montre les pertes cumulées par catégorie d&#39;utilisation du territoire dans le quadrillage hectométrique utilisé dans la statistique de la superficie 2004/09. Les conditions climatiques sont moyennes et l&#39;année de référence est 2010. Ces valeurs modélisées ne peuvent pas être comparées aux valeurs mesurées dans les eaux, vu qu&#39;elles ne tiennent pas compte des processus de transformation et de sédimentation tant dans le paysage que dans les eaux. Les résultats peuvent être interprétés pour des unités hydrologiques ou administratives à partir de 50 km2, mais non pour chaque pixel</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.gewaesserschutz-diffuse_eintraege_stickstoff</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=9b7dc233-813b-490b-b13c-3b3ab787e11f"/>            <Style>                <ows:Title>Apports diffus d&#39;azote</ows:Title>                <ows:Identifier>ch.bafu.gewaesserschutz-diffuse_eintraege_stickstoff</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.gewaesserschutz-diffuse_eintraege_stickstoff_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20150701</Default>                <Value>20150701</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_20</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.gewaesserschutz-diffuse_eintraege_stickstoff/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Carte hydrogéologique au 100</ows:Title>            <ows:Abstract>Publiée par l’Office fédéral de l’environnement (OFEV), office compétent du Service géologique national pour l’hydrogéologie.La carte hydrogéologique 1:100 000 présente le sous-sol dans la perspective des trois domaines spécialisés : géologie, hydrologie et hydrogéologie. Le sous-sol est classé d’après des critères lithologiques-pétrographiques et de perméabilité. Les données ponctuelles et linéaires (sources, puits, liaisons hydrauliques, nappes phréatiques, etc.) montrent les voies de circulation des eaux souterraines ainsi que l&#39;utilisation actuelle de ces eaux et des eaux de source. La représentation à l’échelle 1:100 000 donne une vue d’ensemble des caractéristiques hydrogéologiques régionales. Voici les cartes disponibles : 1. Bözberg/Beromünster, 1972; 2. Bodensee, 1980; 3. Panixerpass, 1985; 4. Biel, 1991/92; 5. Toggenburg, 1993/94; 6. Saane, 1999; 8. Vallorbe - Léman nord, 2006; 7. Basel, 2014. Un jeu de données vectorielles, indépendant du découpage en feuilles, a été créé à partir des feuilles 4, 6, 7 et 8 pour le Nord-ouest de la Suisse. Les données peuvent être commandées à l’OFEV (www.bafu.admin.ch  Données, indicateurs, cartes)</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.hydrogeologische-karte_100</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=b01523a1-9f61-43a2-95cb-be843cc1b18a"/>            <Style>                <ows:Title>Carte hydrogéologique au 100</ows:Title>                <ows:Identifier>ch.bafu.hydrogeologische-karte_100</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.hydrogeologische-karte_100_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20141231</Default>                <Value>20141231</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.hydrogeologische-karte_100/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Mesure état des eaux Confédération</ows:Title>            <ows:Abstract>La surveillance nationale continue des cours d’eau suisses (NADUF) suit l’évolution des concentrations et flux de substances dans des cours d’eau suisses sélectionnés. NADUF est, depuis 1972, un projet commun de l&#39;OFEV et de l&#39;Institut de recherches hydrologiques EAWAG, auxquels s&#39;est joint en 2003 l&#39;Institut fédéral de recherches sur la forêt, la neige et le paysage (WSL)</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.hydrologie-daueruntersuchung_fliessgewaesser</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=89a644dc-b73d-4d01-b72e-8feefc8f4bf7"/>            <Style>                <ows:Title>Mesure état des eaux Confédération</ows:Title>                <ows:Identifier>ch.bafu.hydrologie-daueruntersuchung_fliessgewaesser</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.hydrologie-daueruntersuchung_fliessgewaesser_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160101</Default>                <Value>20160101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.hydrologie-daueruntersuchung_fliessgewaesser/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Mesure état des eaux CH</ows:Title>            <ows:Abstract>Cette série de données regroupe des stations de mesure dans lesquelles est relevé l’état des eaux superficielles. Ce sont principalement les cantons qui réalisent ces investigations, puisque, comme pour d’autres domaines environnementaux, ils sont responsables de l’application de la législation en matière de protection des eaux. La Confédération se limite aux enquêtes d’intérêt national. Les données des cantons et de la Confédération sont rassemblées dans la banque de données sur l’état des eaux superficielles (DBGZ), qui est gérée par l’OFEV</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.hydrologie-gewaesserzustandsmessstationen</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=f48022fc-52a9-4303-95c7-18f5096f1a00"/>            <Style>                <ows:Title>Mesure état des eaux CH</ows:Title>                <ows:Identifier>ch.bafu.hydrologie-gewaesserzustandsmessstationen</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.hydrologie-gewaesserzustandsmessstationen_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20130301</Default>                <Value>20130301</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.hydrologie-gewaesserzustandsmessstationen/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Arrière-plan hydrologique</ows:Title>            <ows:Abstract>Outre le contour de la Suisse, le fonds cartographique affiche un réseau hydrographique simplifié et réduit ainsi qu&#39;une sélection de villes afin de faciliter l&#39;orientation en vue rapprochée. La carte est utilisée sur les pages Données et bases hydrologiques du site Internet de l&#39;OFEV (www.hydrodaten.admin.ch) afin de présenter diverses informations hydrologiques (p. ex. seuils d&#39;alerte atteints, comparaisons de températures, etc.). L&#39;utilisation de cette carte simplifiée permet de ne pas masquer les informations hydrologiques (points colorés)</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.hydrologie-hintergrundkarte</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=bbc6aedb-019f-4a49-8a6c-437264b3bd37"/>            <Style>                <ows:Title>Arrière-plan hydrologique</ows:Title>                <ows:Identifier>ch.bafu.hydrologie-hintergrundkarte</ows:Identifier>                                                             </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20141023</Default>                <Value>20141023</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_18</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.hydrologie-hintergrundkarte/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Statistiques des crues</ows:Title>            <ows:Abstract>L’OFEV gère les données relatives aux crues, les analyse du point de vue statistique et les met à disposition sous la forme de feuilles de résultats. Une analyse statistique systématique des données du réseau de mesure des débits sous l&#39;angle des crues est réalisée depuis 1986. Durant de nombreuses années, la division Hydrologie s&#39;est pour cela basée sur les recommandations « Berechnung von Hochwasserwarscheinlichkeiten » de la Deutsche Verband für Wasserwirtschaft und Kulturbau (DVWK 1979, aujourd&#39;hui DWA). Or, depuis 2014, elle travaille avec un nouveau jeu de méthodes</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.hydrologie-hochwasserstatistik</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=74936192-7935-4686-86ad-c7c795d31b44"/>            <Style>                <ows:Title>Statistiques des crues</ows:Title>                <ows:Identifier>ch.bafu.hydrologie-hochwasserstatistik</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.hydrologie-hochwasserstatistik_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20140101</Default>                <Value>20140101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.hydrologie-hochwasserstatistik/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Stations hydrométriques</ows:Title>            <ows:Abstract>Cette série de données regroupe les stations de mesure qui appartiennent au réseau de base de la division Hydrologie de OFEV, c’est-à-dire toutes les stations publiées sur le site Internet de l’office (état 2014). Le réseau de base compte au-jourd’hui quelque 260 stations de mesure des eaux de surface. Il permet de déterminer non seulement le niveau d’eau des lacs mais aussi le débit des cours d’eau en 200 endroits. Quelque 90 % des stations sont équipées pour l’interrogation à distance</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.hydrologie-hydromessstationen</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=bd377507-c61d-4fe2-bf81-9605b405d8ad"/>            <Style>                <ows:Title>Stations hydrométriques</ows:Title>                <ows:Identifier>ch.bafu.hydrologie-hydromessstationen</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.hydrologie-hydromessstationen_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20141201</Default>                <Value>20141201</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.hydrologie-hydromessstationen/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Statistiques des étiages</ows:Title>            <ows:Abstract>La description des étiages s&#39;appuie sur un grand nombre de paramètres. Les statistiques des étiages de la division Hydrologie de l’Office fédéral de l’environnement sont basées sur les recommandations du Deutsche Verband für Wasserwirtschaft und Kulturbau (DVWK 1982/1992, aujourd’hui DWA). Elles comprennent les valeurs annuelles des débits d’étiage moyens sur un nombre x de jours (NMxQ). Les paramètres NMxQ sont intéressants pour les prises ou les restitutions d&#39;eau. La statistique est actualisée une fois par an</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.hydrologie-niedrigwasserstatistik</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=5cfc8b95-c901-44b9-baa3-b768a5edb647"/>            <Style>                <ows:Title>Statistiques des étiages</ows:Title>                <ows:Identifier>ch.bafu.hydrologie-niedrigwasserstatistik</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.hydrologie-niedrigwasserstatistik_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20130101</Default>                <Value>20130101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.hydrologie-niedrigwasserstatistik/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>HUG Bassins recherches hydro</ows:Title>            <ows:Abstract>Depuis 1957, la division Hydrologie de l&#39;OFEV exploite un réseau de mesure des bassins de recherches hydrologiques dans le but d’observer les changements à long terme du régime hydrologique dans des bassins versants naturels de différentes zones climatiques de Suisse. Il dispose ainsi, pour près de 40 bassins versants, de la lame d&#39;eau écoulée et il calcule pour la plupart de ces territoires les précipitations surfaciques mensuelles ou annuelles, ainsi que l&#39;évaporation surfacique annuelle</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.hydrologie-untersuchungsgebiete</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=eb6b589d-1184-441f-84cf-d4fa6ac46a38"/>            <Style>                <ows:Title>HUG Bassins recherches hydro</ows:Title>                <ows:Identifier>ch.bafu.hydrologie-untersuchungsgebiete</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.hydrologie-untersuchungsgebiete_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160111</Default>                <Value>20160111</Value>                <Value>20130101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.hydrologie-untersuchungsgebiete/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>HUG / stations de mesure</ows:Title>            <ows:Abstract>Depuis 1957, la division Hydrologie de l&#39;OFEV exploite un réseau de mesure des bassins de recherches hydrologiques dans le but d’observer les changements à long terme du régime hydrologique dans des bassins versants naturels de différentes zones climatiques de Suisse. Il dispose ainsi, pour près de 40 bassins versants, de la lame d&#39;eau écoulée et il calcule pour la plupart de ces territoires les précipitations surfaciques mensuelles ou annuelles, ainsi que l&#39;évaporation surfacique annuelle</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.hydrologie-untersuchungsgebiete_stationen</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=9ce0ce29-35b2-4fdd-bfc8-247e189dca8f"/>            <Style>                <ows:Title>HUG / stations de mesure</ows:Title>                <ows:Identifier>ch.bafu.hydrologie-untersuchungsgebiete_stationen</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.hydrologie-untersuchungsgebiete_stationen_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20130101</Default>                <Value>20130101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.hydrologie-untersuchungsgebiete_stationen/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Stations de mesure Température eau</ows:Title>            <ows:Abstract>Cette série de données regroupe toutes les stations de mesure de la division Hydrologie de l’Office fédéral de l’environnement (OFEV) où la température de l’eau fait actuellement l’objet d’un relevé (état 2014). Le réseau ne comprend que des stations situées sur des cours d’eau</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.hydrologie-wassertemperaturmessstationen</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=4f10c35a-8fac-4000-ab6d-7a294284059a"/>            <Style>                <ows:Title>Stations de mesure Température eau</ows:Title>                <ows:Identifier>ch.bafu.hydrologie-wassertemperaturmessstationen</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.hydrologie-wassertemperaturmessstationen_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20141201</Default>                <Value>20141201</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.hydrologie-wassertemperaturmessstationen/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Bassin de base</ows:Title>            <ows:Abstract>Les bassins de bases constituent la couche inférieure du système pour la description de la répartition des bassins hydrologiques Suisse (Atlas Hydrologique de la Suisse AHDES). Sur cette couche, en fonction de leurs caractéristiques spatiales naturelles, sont reportés les bassins versants (30-50 km2) les plus homogènes possibles</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.hydrologischer-atlas_basisgebiete</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=f9e7ce17-3622-4ae4-8cbb-067011d5eed5"/>            <Style>                <ows:Title>Bassin de base</ows:Title>                <ows:Identifier>ch.bafu.hydrologischer-atlas_basisgebiete</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.hydrologischer-atlas_basisgebiete_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20040101</Default>                <Value>20040101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.hydrologischer-atlas_basisgebiete/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Bassin de bilan</ows:Title>            <ows:Abstract>Les bassins de bilan constituent la couche moyenne du système des bassins versants pour la description de la répartition hydrographique de la Suisse (Atlas Hydrologique de la Suisse HADES)Ils sont en règle générale d’une grandeur comprise entre 100 et 200 km2</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.hydrologischer-atlas_bilanzgebiete</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=52d0c066-65dd-4dd1-ac94-2b34f83a9bd6"/>            <Style>                <ows:Title>Bassin de bilan</ows:Title>                <ows:Identifier>ch.bafu.hydrologischer-atlas_bilanzgebiete</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.hydrologischer-atlas_bilanzgebiete_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20040101</Default>                <Value>20040101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.hydrologischer-atlas_bilanzgebiete/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Bassin fluvial</ows:Title>            <ows:Abstract>Les bassins fluviaux constituent la couche supérieure du système des bassins versants pour la description de la répartition hydrographique de la Suisse (Atlas Hydrologique de la Suisse AHDES)Les grands bassins versants avec une surface de plusieurs milliers de km2 sont drainés par de grands cours d’eau : Rhin, Aar, Reuss, Limmat, Thur, Rhône, Ticino, Inn, Adda et Adige</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.hydrologischer-atlas_flussgebiete</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=edff6d33-ba8c-441e-b8bd-7ab4969d4440"/>            <Style>                <ows:Title>Bassin fluvial</ows:Title>                <ows:Identifier>ch.bafu.hydrologischer-atlas_flussgebiete</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.hydrologischer-atlas_flussgebiete_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20040101</Default>                <Value>20040101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.hydrologischer-atlas_flussgebiete/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Bruit ferroviaire nuit</ows:Title>            <ows:Abstract>La carte montre l&#39;exposition de la population au bruit ferroviaire pendant la nuit. Les indications s&#39;appuient sur une modélisation effectuée à l&#39;échelle nationale. Le nouveau calcul de bruit ferroviaire est basé sur les données de trafic de l&#39;année 2011. Un réseau d&#39;environ 3000 km a été considéré pour les calculs. Ces données n&#39;ont pas force de loi. Les charges sonores et données d&#39;assainissement officielles sont fournies par l&#39;autorité d&#39;exécution en charge, l&#39;Office fédéral des transports (OFT)</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.laerm-bahnlaerm_nacht</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=93814e81-2466-4690-b54d-c1d958f1c3b8"/>            <Style>                <ows:Title>Bruit ferroviaire nuit</ows:Title>                <ows:Identifier>ch.bafu.laerm-bahnlaerm_nacht</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.laerm-bahnlaerm_nacht_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20111231</Default>                <Value>20111231</Value>                <Value>20061231</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.laerm-bahnlaerm_nacht/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Bruit ferroviaire jour</ows:Title>            <ows:Abstract>La carte montre l&#39;exposition de la population au bruit ferroviaire diurne. Les indications s&#39;appuient sur une modélisation effectuée à l&#39;échelle nationale. Le nouveau calcul de bruit ferroviaire est basé sur les données du trafic de l&#39;année 2011. Un réseau d&#39;environ 3000 km a été considéré pour les calculs. Ces données n&#39;ont pas force de loi. Les charges sonores et données d&#39;assainissement officielles sont fournies par l&#39;autorité d&#39;exécution en charge, l&#39;Office fédéral des transports (OFT)</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.laerm-bahnlaerm_tag</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=c335f61e-1e94-4a59-b0e7-94bb158f5a48"/>            <Style>                <ows:Title>Bruit ferroviaire jour</ows:Title>                <ows:Identifier>ch.bafu.laerm-bahnlaerm_tag</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.laerm-bahnlaerm_tag_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20111231</Default>                <Value>20111231</Value>                <Value>20061231</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.laerm-bahnlaerm_tag/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Bruit du trafic routier nuit</ows:Title>            <ows:Abstract>La carte montre l&#39;exposition de la population au bruit de la circulation routière pendant la nuit. Les indications s&#39;appuient sur une modélisation effectuée à l&#39;échelle nationale utilisant le modèle sonBASE. Elles ont été obtenues à partir des données d&#39;environ 72&#39;000 km de routes. Les calculs actualisés pour 2014 montrent que pendant la nuit une personne sur six est exposée à un bruit routier nuisible ou incommodant. Les données ne sont pas contraignantes juridiquement. Ce sont les autorités d’exécution compétentes qui fournissent les données contraignantes sur la pollution sonore ainsi que sur les assainissements dans le domaine du bruit. Pour les routes nationales: Office fédéral des routes (OFROU). Pour les routes principales et les routes restantes: autorités cantonales compétentes</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.laerm-strassenlaerm_nacht</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=89a0b0bc-10ff-4e3e-a4e4-36d081e2e672"/>            <Style>                <ows:Title>Bruit du trafic routier nuit</ows:Title>                <ows:Identifier>ch.bafu.laerm-strassenlaerm_nacht</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.laerm-strassenlaerm_nacht_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20101231</Default>                <Value>20101231</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.laerm-strassenlaerm_nacht/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Bruit du trafic routier jour</ows:Title>            <ows:Abstract>La carte montre l&#39;exposition de la population au bruit de la circulation routière pendant le jour. Les indications s&#39;appuient sur une modélisation effectuée à l&#39;échelle nationale utilisant le modèle sonBASE. Elles ont été obtenues à partir des données d&#39;environ 72&#39;000 km de routes. Les calculs actualisés pour 2014 montrent que pendant le jour, une personne sur cinq est exposée à un bruit routier nuisible ou incommodant. Les données ne sont pas contraignantes juridiquement. Ce sont les autorités d’exécution compétentes qui fournissent les données contraignantes sur la pollution sonore ainsi que sur les assainissements dans le domaine du bruit. Pour les routes nationales: Office fédéral des routes (OFROU). Pour les routes principales et les routes restantes: autorités cantonales compétentes</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.laerm-strassenlaerm_tag</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=87f3f029-4685-4d51-9de2-2a409b32aff5"/>            <Style>                <ows:Title>Bruit du trafic routier jour</ows:Title>                <ows:Identifier>ch.bafu.laerm-strassenlaerm_tag</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.laerm-strassenlaerm_tag_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20101231</Default>                <Value>20101231</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.laerm-strassenlaerm_tag/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Liste rouge mousses</ows:Title>            <ows:Abstract>La carte montre toutes les stations de Suisse où ont été identifiées des mousses appartenant à des espèces menacées et protégées. Il s’agit de celles inscrites sur la liste rouge dans les catégories CR (en danger critique d’extinction), EN (en danger), VU (vulnérable) et RE (éteint en Suisse) et de toutes celles protégées au niveau national ou cantonal par l’ordonnance sur la protection de la nature et du paysage (OPN). Un point sur la carte correspond soit à l’emplacement exact d’une station (avec une précision de ± 10 m ou ± 100 m), ou, si seul le carré kilométrique de la station est connu, aux coordonnées géographiques de l’angle inférieur gauche de ce carré</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.moose</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=07b046a7-1b21-4cd0-b605-a113f2e5e94d"/>            <Style>                <ows:Title>Liste rouge mousses</ows:Title>                <ows:Identifier>ch.bafu.moose</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.moose_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20120416</Default>                <Value>20120416</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.moose/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Stations de mesure qualité de l&#39;air</ows:Title>            <ows:Abstract>Le réseau national d&#39;observation des polluants atmosphériques NABEL mesure la pollution de l&#39;air en Suisse en 16 emplacements. Les stations sont réparties sur l&#39;ensemble du territoire et elles mesurent la charge en des endroits caractéristiques (p. ex. routes du centre-ville, zones d&#39;habitation, stations rurales).Les stations du réseau NABEL reflètent différentes situations de pollution selon le type d&#39;emplacement. La qualité de l&#39;air doit donc être évaluée principalement en fonction du type d&#39;emplacement et non d&#39;après la situation géographique de la station</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.nabelstationen</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=14de1375-09ae-42b4-9592-5f0af091d050"/>            <Style>                <ows:Title>Stations de mesure qualité de l&#39;air</ows:Title>                <ows:Identifier>ch.bafu.nabelstationen</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.nabelstationen_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20110309</Default>                <Value>20110309</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.nabelstationen/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Chèvrefeuille du Japon</ows:Title>            <ows:Abstract>Le set « plantes exotiques envahissantes » contient les cartes de distribution potentielle pour 56 plantes exotiques envahissantes en Suisse et répertoriées dans la Liste Noire et la Watch-List, ou présentes dans les pays voisins et ayant le potentiel de coloniser la Suisse. Les cartes sont le résultat de modélisation de l&#39;Université de Lausanne et prédisent leur potentiel de propagation de ces espèces en Suisse. Les modèles sont basés respectivement sur les données d’occurrence du GBIF (Global Biodiversity Information Facility) et associées aux données climatiques de Worldclim (résolution de 1km), et sur les données d’occurrence d&#39;infoflora associées aux données climatiques du WSL (résolution de 100m). Les cartes à 100m utilisent également d’autres variables telles que l&#39;utilisation du sol et de la géologie</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.neophyten-japanisches_geissblatt</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=a5bd8033-8457-486b-b099-2e6f3f7864a8"/>            <Style>                <ows:Title>Chèvrefeuille du Japon</ows:Title>                <ows:Identifier>ch.bafu.neophyten-japanisches_geissblatt</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.neophyten-japanisches_geissblatt_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20140825</Default>                <Value>20140825</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_24</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.neophyten-japanisches_geissblatt/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Berce du Caucase</ows:Title>            <ows:Abstract>Le set « plantes exotiques envahissantes » contient les cartes de distribution potentielle pour 56 plantes exotiques envahissantes en Suisse et répertoriées dans la Liste Noire et la Watch-List, ou présentes dans les pays voisins et ayant le potentiel de coloniser la Suisse. Les cartes sont le résultat de modélisation de l&#39;Université de Lausanne et prédisent leur potentiel de propagation de ces espèces en Suisse. Les modèles sont basés respectivement sur les données d’occurrence du GBIF (Global Biodiversity Information Facility) et associées aux données climatiques de Worldclim (résolution de 1km), et sur les données d’occurrence d&#39;infoflora associées aux données climatiques du WSL (résolution de 100m). Les cartes à 100m utilisent également d’autres variables telles que l&#39;utilisation du sol et de la géologie</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.neophyten-riesenbaerenklau</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=98b43c26-0f11-4c58-af85-b007712b17b0"/>            <Style>                <ows:Title>Berce du Caucase</ows:Title>                <ows:Identifier>ch.bafu.neophyten-riesenbaerenklau</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.neophyten-riesenbaerenklau_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20140825</Default>                <Value>20140825</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_24</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.neophyten-riesenbaerenklau/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Ecomorphologie R - Tronçons</ows:Title>            <ows:Abstract>Il est nécessaire de connaître l’état des cours d’eau pour en assurer une protection globale. Les données requises peuvent être obtenues grâce au système modulaire gradué, qui définit le cadre d’une analyse et d’une appréciation standardisées des cours d’eau. Ce système comprend les modules suivants: hydrologie, structure des cours d’eau (écomorphologie), chimie des eaux, écotoxicologie et biocénose animales, végétales et microorganismes (biologie).Le module Ecomorphologie permet d’analyser les propriétés structurelles des cours d’eau de régions entières, p.ex. des cantons, des régions et des communes (niveau R). La série de données « Tronçons » présente la classification des tronçons de cours d’eau de naturels à artificiels et endigués (géométrie de référence VECTOR25 GWN). Cette classification se base sur l’évaluation sommaire de critères écologiques importants tels que la nature des rives</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.oekomorphologie-f_abschnitte</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=ea12e280-75cf-4b71-90f0-d2bcc9d7fdfa"/>            <Style>                <ows:Title>Ecomorphologie R - Tronçons</ows:Title>                <ows:Identifier>ch.bafu.oekomorphologie-f_abschnitte</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.oekomorphologie-f_abschnitte_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20080913</Default>                <Value>20080913</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.oekomorphologie-f_abschnitte/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Ecomorphologie R - Seuils</ows:Title>            <ows:Abstract>Il est nécessaire de connaître l’état des cours d’eau pour en assurer une protection globale. Les données requises peuvent être obtenues grâce au système modulaire gradué, qui définit le cadre d’une analyse et d’une appréciation standardisées des cours d’eau. Ce système comprend les modules suivants: hydrologie, structure des cours d’eau (écomorphologie), chimie des eaux, écotoxicologie et biocénose animales, végétales et microorganismes (biologie).Le module Ecomorphologie permet d’analyser les propriétés structurelles des cours d’eau de régions entières, p.ex. des cantons, des régions et des communes (niveau R). La série de données « Seuils » présente les perturbations naturelles et artificielles de la libre circulation (bois, roches, béton et autres)</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.oekomorphologie-f_abstuerze</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=1ec44d95-573a-489c-9a57-7bc278cc6792"/>            <Style>                <ows:Title>Ecomorphologie R - Seuils</ows:Title>                <ows:Identifier>ch.bafu.oekomorphologie-f_abstuerze</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.oekomorphologie-f_abstuerze_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20110912</Default>                <Value>20110912</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.oekomorphologie-f_abstuerze/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Ecomorphologie R – Ouvrages</ows:Title>            <ows:Abstract>Il est nécessaire de connaître l’état des cours d’eau pour en assurer une protection globale. Les données requises peuvent être obtenues grâce au système modulaire gradué, qui définit le cadre d’une analyse et d’une appréciation standardisées des cours d’eau. Ce système comprend les modules suivants: hydrologie, structure des cours d’eau (écomorphologie), chimie des eaux, écotoxicologie et biocénose animales, végétales et microorganismes (biologie).Le module Ecomorphologie permet d’analyser les propriétés structurelles des cours d’eau de régions entières, p.ex. des cantons, des régions et des communes (niveau R). La série de données « Ouvrages » présente les digues, les ouvrages de retenue, les écluses, les échelles à poissons et d’autres ouvrages réalisés le long des cours d’eau</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.oekomorphologie-f_bauwerke</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=5742b03b-d567-4acb-a84d-a3069faaa396"/>            <Style>                <ows:Title>Ecomorphologie R – Ouvrages</ows:Title>                <ows:Identifier>ch.bafu.oekomorphologie-f_bauwerke</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.oekomorphologie-f_bauwerke_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20110912</Default>                <Value>20110912</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.oekomorphologie-f_bauwerke/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Carte indicative du Pergélisol</ows:Title>            <ows:Abstract>En Suisse, au-dessus de 2400 mètres d&#39;altitude et en fonction de l&#39;orientation géographique, le sol peut être gelé en permanence. Ce phénomène est appelé « pergélisol » ou « permafrost ». Les changements climatiques risquent de remonter l&#39;altitude minimale du pergélisol au cours des prochaines décennies, ce qui peut déclencher des chutes de pierres, des éboulements, des glissements de terrain et des laves torrentielles dans les régions de montagne.La carte de l&#39;extension potentielle du pergélisol en Suisse a été établie grâce à l&#39;analyse d&#39;un modèle numérique de terrain. Pour évaluer la situation à l&#39;échelle locale, il faut encore procéder à des investigations détaillées sur place</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.permafrost</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=71d087ef-6531-4131-98ea-88ff655d8a63"/>            <Style>                <ows:Title>Carte indicative du Pergélisol</ows:Title>                <ows:Identifier>ch.bafu.permafrost</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.permafrost_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20110317</Default>                <Value>20110317</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.permafrost/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>REN  Zones agricoles extensives</ows:Title>            <ows:Abstract>Le Réseau écologique national (REN) a été élaboré en étroite collaboration avec les services cantonaux de la nature et du paysage. Il s’agit d’un rapport technique et scientifique qui présente le paysage suisse sous l’angle écologique. Il expose le mitage et la connectivité des milieux sur des cartes aux échelles 1:500 000 et 1:100 000. Il n’examine pas uniquement la situation actuelle, mais tient compte également du potentiel du paysage. Cette vision globale axée sur l’avenir propose une vue d’ensemble des grands réseaux écologiques du pays. Cartes des réseaux écologiques spécifiques: elles présentent les cinq réseaux spécifiques comportant les zones nodales, les zones d&#39;extension, les continuums ainsi que les corridors. Les connectivités de chaque réseau spécifique font également l&#39;objet de cartes</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.ren-extensive_landwirtschaftsgebiete</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=d60ff6a8-4b80-4535-aa89-cfad26916b80"/>            <Style>                <ows:Title>REN  Zones agricoles extensives</ows:Title>                <ows:Identifier>ch.bafu.ren-extensive_landwirtschaftsgebiete</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.ren-extensive_landwirtschaftsgebiete_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20110214</Default>                <Value>20110214</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.ren-extensive_landwirtschaftsgebiete/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>REN  Zones humides</ows:Title>            <ows:Abstract>Le Réseau écologique national (REN) a été élaboré en étroite collaboration avec les services cantonaux de la nature et du paysage. Il s’agit d’un rapport technique et scientifique qui présente le paysage suisse sous l’angle écologique. Il expose le mitage et la connectivité des milieux sur des cartes aux échelles 1:500 000 et 1:100 000. Il n’examine pas uniquement la situation actuelle, mais tient compte également du potentiel du paysage. Cette vision globale axée sur l’avenir propose une vue d’ensemble des grands réseaux écologiques du pays. Cartes des réseaux écologiques spécifiques: elles présentent les cinq réseaux spécifiques comportant les zones nodales, les zones d&#39;extension, les continuums ainsi que les corridors. Les connectivités de chaque réseau spécifique font également l&#39;objet de cartes</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.ren-feuchtgebiete</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=8bc1565a-023e-490c-9526-fa04a14169ab"/>            <Style>                <ows:Title>REN  Zones humides</ows:Title>                <ows:Identifier>ch.bafu.ren-feuchtgebiete</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.ren-feuchtgebiete_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20110214</Default>                <Value>20110214</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.ren-feuchtgebiete/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>REN  Zones aquatiques</ows:Title>            <ows:Abstract>Le Réseau écologique national (REN) a été élaboré en étroite collaboration avec les services cantonaux de la nature et du paysage. Il s’agit d’un rapport technique et scientifique qui présente le paysage suisse sous l’angle écologique. Il expose le mitage et la connectivité des milieux sur des cartes aux échelles 1:500 000 et 1:100 000. Il n’examine pas uniquement la situation actuelle, mais tient compte également du potentiel du paysage. Cette vision globale axée sur l’avenir propose une vue d’ensemble des grands réseaux écologiques du pays. Cartes des réseaux écologiques spécifiques: elles présentent les cinq réseaux spécifiques comportant les zones nodales, les zones d&#39;extension, les continuums ainsi que les corridors. Les connectivités de chaque réseau spécifique font également l&#39;objet de cartes</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.ren-fliessgewaesser_seen</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=32dfd304-28de-4e82-ad8d-8d6cb6b5fe83"/>            <Style>                <ows:Title>REN  Zones aquatiques</ows:Title>                <ows:Identifier>ch.bafu.ren-fliessgewaesser_seen</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.ren-fliessgewaesser_seen_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20110214</Default>                <Value>20110214</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.ren-fliessgewaesser_seen/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>REN  Zones de prairies sèches</ows:Title>            <ows:Abstract>Le Réseau écologique national (REN) a été élaboré en étroite collaboration avec les services cantonaux de la nature et du paysage. Il s’agit d’un rapport technique et scientifique qui présente le paysage suisse sous l’angle écologique. Il expose le mitage et la connectivité des milieux sur des cartes aux échelles 1:500 000 et 1:100 000. Il n’examine pas uniquement la situation actuelle, mais tient compte également du potentiel du paysage. Cette vision globale axée sur l’avenir propose une vue d’ensemble des grands réseaux écologiques du pays. Cartes des réseaux écologiques spécifiques: elles présentent les cinq réseaux spécifiques comportant les zones nodales, les zones d&#39;extension, les continuums ainsi que les corridors. Les connectivités de chaque réseau spécifique font également l&#39;objet de cartes</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.ren-trockenstandorte</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=b5f7374b-2f4b-4d28-a23c-eb2d2a64b579"/>            <Style>                <ows:Title>REN  Zones de prairies sèches</ows:Title>                <ows:Identifier>ch.bafu.ren-trockenstandorte</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.ren-trockenstandorte_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20110214</Default>                <Value>20110214</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.ren-trockenstandorte/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>REN Zones forêts</ows:Title>            <ows:Abstract>Le Réseau écologique national (REN) a été élaboré en étroite collaboration avec les services cantonaux de la nature et du paysage. Il s’agit d’un rapport technique et scientifique qui présente le paysage suisse sous l’angle écologique. Il expose le mitage et la connectivité des milieux sur des cartes aux échelles 1:500 000 et 1:100 000. Il n’examine pas uniquement la situation actuelle, mais tient compte également du potentiel du paysage. Cette vision globale axée sur l’avenir propose une vue d’ensemble des grands réseaux écologiques du pays. Cartes des réseaux écologiques spécifiques: elles présentent les cinq réseaux spécifiques comportant les zones nodales, les zones d&#39;extension, les continuums ainsi que les corridors. Les connectivités de chaque réseau spécifique font également l&#39;objet de cartes</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.ren-wald</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=a193df6d-071c-4a1d-bb64-0921cc916f2f"/>            <Style>                <ows:Title>REN Zones forêts</ows:Title>                <ows:Identifier>ch.bafu.ren-wald</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.ren-wald_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20110214</Default>                <Value>20110214</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.ren-wald/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Parcs</ows:Title>            <ows:Abstract>La loi sur la protection de la nature et du paysage révisée le 1er décembre 2007 (RS 451) définit trois catégories de parc d’importance nationale : les parcs nationaux, les parcs naturels régionaux et les parcs naturels périurbains. Selon l’état d’avancement du projet, les régions des parcs peuvent demander l’attribution du label « Candidat » (phase de création) ou du label « Parc », qui est une marque protégée (phase d’exploitation). Les parcs d’importance nationale contribuent à protéger et à valoriser des milieux naturels exceptionnels. En parallèle, ils favorisent le développement économique des régions. Le fichier Parcs contient en outre les projets de parc déposés à l’OFEV et le Parc national suisse, aire protégée par la loi du 19 décembre 1980 sur le Parc national (RS 454)</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.schutzgebiete-paerke_nationaler_bedeutung</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=b1fb8e29-8387-4081-9976-022ff925823b"/>            <Style>                <ows:Title>Parcs</ows:Title>                <ows:Identifier>ch.bafu.schutzgebiete-paerke_nationaler_bedeutung</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.schutzgebiete-paerke_nationaler_bedeutung_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160301</Default>                <Value>20160301</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_23</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.schutzgebiete-paerke_nationaler_bedeutung/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Parcs (Perimetre)</ows:Title>            <ows:Abstract>La loi sur la protection de la nature et du paysage révisée le 1er décembre 2007 (RS 451) définit trois catégories de parc d’importance nationale : les parcs nationaux, les parcs naturels régionaux et les parcs naturels périurbains. Selon l’état d’avancement du projet, les régions des parcs peuvent demander l’attribution du label « Candidat » (phase de création) ou du label « Parc », qui est une marque protégée (phase d’exploitation). Les parcs d’importance nationale contribuent à protéger et à valoriser des milieux naturels exceptionnels. En parallèle, ils favorisent le développement économique des régions. Le fichier Parcs contient en outre les projets de parc déposés à l’OFEV et le Parc national suisse, aire protégée par la loi du 19 décembre 1980 sur le Parc national (RS 454)</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.schutzgebiete-paerke_nationaler_bedeutung_perimeter</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=bc4bd921-cec6-4f29-a784-29049c9f8026"/>            <Style>                <ows:Title>Parcs (Perimetre)</ows:Title>                <ows:Identifier>ch.bafu.schutzgebiete-paerke_nationaler_bedeutung_perimeter</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.schutzgebiete-paerke_nationaler_bedeutung_perimeter_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160301</Default>                <Value>20160301</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_23</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.schutzgebiete-paerke_nationaler_bedeutung_perimeter/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Ramsar</ows:Title>            <ows:Abstract>Pour protéger les zones humides, particulièrement comme habitats de la sauvagine, une convention d’importance internationale a été signée dans la ville iranienne de Ramsar en 1971. En ratifiant la Convention de Ramsar en 1976, la Suisse s’est engagée à garantir l’exploitation durable des zones humides et à leur accorder une protection spéciale. Jusqu’à présent, elle a annoncé onze zones en quatre étapes à la Convention de Ramsar; l’objet n° 6 a été élargi en l’an 2000. Les zones comprennent des rives de lacs, des deltas, des tronçons de rivière avec retenue, une roselière et, dans l’étage alpin, des marges proglaciaires et une zone marécageuse</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.schutzgebiete-ramsar</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=d960a5c8-44e4-4d10-a9f6-95f58568563c"/>            <Style>                <ows:Title>Ramsar</ows:Title>                <ows:Identifier>ch.bafu.schutzgebiete-ramsar</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.schutzgebiete-ramsar_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20110830</Default>                <Value>20110830</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.schutzgebiete-ramsar/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Parc national</ows:Title>            <ows:Abstract>Le Parc national a été créé en 1909 sur la base d’initiatives privées. La création officielle remonte au 1er août 1914 avec la cession à la Confédération. Le territoire du parc a été élargi à plusieurs reprises entre 1918 et 2000. Le tracé exact des limites du Parc national est défini dans les contrats conclus entre les communes et la Confédération helvétique. L’organe responsable du parc est la fondation de droit public « Parc national suisse » sise à Berne</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.schutzgebiete-schweizerischer_nationalpark</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=d1359dad-6edf-4275-ada0-2e33be8945b2"/>            <Style>                <ows:Title>Parc national</ows:Title>                <ows:Identifier>ch.bafu.schutzgebiete-schweizerischer_nationalpark</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.schutzgebiete-schweizerischer_nationalpark_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20010117</Default>                <Value>20010117</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.schutzgebiete-schweizerischer_nationalpark/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>ShowMe communes: crues</ows:Title>            <ows:Abstract>Les cartes des dangers mettent en évidence les espaces urbains menacés par des crues, des avalanches, des glissements de terrain ou des processus de chute. Actuellement, les cartes des dangers reprennent 99% de la superficie de la Suisse à traiter en matière d&#39;avalanches, 96% pour les crues, 92% pour les processus de chute et 88% pour les glissements de terrain. La Confédération aide les cantons à élaborer et mettre à jour les cartes des dangers. La carte donne un aperçu de l&#39;avancement de la cartographie des crues à l&#39;échelle suisse</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.showme-gemeinden_hochwasser</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=26456ca7-828c-435a-8411-360433268599"/>            <Style>                <ows:Title>ShowMe communes: crues</ows:Title>                <ows:Identifier>ch.bafu.showme-gemeinden_hochwasser</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.showme-gemeinden_hochwasser_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160101</Default>                <Value>20160101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_23</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.showme-gemeinden_hochwasser/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>ShowMe communes: avalanches</ows:Title>            <ows:Abstract>Les cartes des dangers mettent en évidence les espaces urbains menacés par des crues, des avalanches, des glissements de terrain ou des processus de chute. Actuellement, les cartes des dangers reprennent 99% de la superficie de la Suisse à traiter en matière d&#39;avalanches, 96% pour les crues, 92% pour les processus de chute et 88% pour les glissements de terrain. La Confédération aide les cantons à élaborer et mettre à jour les cartes des dangers. La carte donne un aperçu de l&#39;avancement de la cartographie des avalanches à l&#39;échelle suisse</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.showme-gemeinden_lawinen</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=59d8e986-6d18-4f1e-aab8-07c3964b93ca"/>            <Style>                <ows:Title>ShowMe communes: avalanches</ows:Title>                <ows:Identifier>ch.bafu.showme-gemeinden_lawinen</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.showme-gemeinden_lawinen_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160101</Default>                <Value>20160101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_23</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.showme-gemeinden_lawinen/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>ShowMe communes: glissements</ows:Title>            <ows:Abstract>Les cartes des dangers mettent en évidence les espaces urbains menacés par des crues, des avalanches, des glissements de terrain ou des processus de chute. Actuellement, les cartes des dangers reprennent 99% de la superficie de la Suisse à traiter en matière d&#39;avalanches, 96% pour les crues, 92% pour les processus de chute et 88% pour les glissements de terrain. La Confédération aide les cantons à élaborer et mettre à jour les cartes des dangers. La carte donne un aperçu de l&#39;avancement de la cartographie des glissements de terrain à l&#39;échelle suisse</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.showme-gemeinden_rutschungen</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=7e1a39c8-69ad-4956-9a7b-57e357299fa4"/>            <Style>                <ows:Title>ShowMe communes: glissements</ows:Title>                <ows:Identifier>ch.bafu.showme-gemeinden_rutschungen</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.showme-gemeinden_rutschungen_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160101</Default>                <Value>20160101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_23</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.showme-gemeinden_rutschungen/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>ShowMe communes: processus de chute</ows:Title>            <ows:Abstract>Les cartes des dangers mettent en évidence les espaces urbains menacés par des crues, des avalanches, des glissements de terrain ou des processus de chute. Actuellement, les cartes des dangers reprennent 99% de la superficie de la Suisse à traiter en matière d&#39;avalanches, 96% pour les crues, 92% pour les processus de chute et 88% pour les glissements de terrain. La Confédération aide les cantons à élaborer et mettre à jour les cartes des dangers. La carte donne un aperçu de l&#39;avancement de la cartographie des processus de chute à l&#39;échelle suisse</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.showme-gemeinden_sturzprozesse</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=b43f69ba-4b97-40e0-989f-116e5735145a"/>            <Style>                <ows:Title>ShowMe communes: processus de chute</ows:Title>                <ows:Identifier>ch.bafu.showme-gemeinden_sturzprozesse</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.showme-gemeinden_sturzprozesse_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160101</Default>                <Value>20160101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_23</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.showme-gemeinden_sturzprozesse/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>ShowMe cantons: crues</ows:Title>            <ows:Abstract>Les cartes des dangers mettent en évidence les espaces urbains menacés par des crues, des avalanches, des glissements de terrain ou des processus de chute. Actuellement, les cartes des dangers reprennent 99% de la superficie de la Suisse à traiter en matière d&#39;avalanches, 96% pour les crues, 92% pour les processus de chute et 88% pour les glissements de terrain. La Confédération aide les cantons à élaborer et mettre à jour les cartes des dangers. La carte donne un aperçu de l&#39;avancement de la cartographie des crues à l&#39;échelle suisse</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.showme-kantone_hochwasser</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=69a1bf2e-e07b-46f6-bdb7-a11a1f87c00a"/>            <Style>                <ows:Title>ShowMe cantons: crues</ows:Title>                <ows:Identifier>ch.bafu.showme-kantone_hochwasser</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.showme-kantone_hochwasser_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160101</Default>                <Value>20160101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_23</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.showme-kantone_hochwasser/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>ShowMe cantons: avalanches</ows:Title>            <ows:Abstract>Les cartes des dangers mettent en évidence les espaces urbains menacés par des crues, des avalanches, des glissements de terrain ou des processus de chute. Actuellement, les cartes des dangers reprennent 99% de la superficie de la Suisse à traiter en matière d&#39;avalanches, 96% pour les crues, 92% pour les processus de chute et 88% pour les glissements de terrain. La Confédération aide les cantons à élaborer et mettre à jour les cartes des dangers. La carte donne un aperçu de l&#39;avancement de la cartographie des avalanches à l&#39;échelle suisse</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.showme-kantone_lawinen</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=5e412b36-88c4-4996-b69d-7064f1df3c18"/>            <Style>                <ows:Title>ShowMe cantons: avalanches</ows:Title>                <ows:Identifier>ch.bafu.showme-kantone_lawinen</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.showme-kantone_lawinen_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160101</Default>                <Value>20160101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_23</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.showme-kantone_lawinen/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>ShowMe cantons: glissements</ows:Title>            <ows:Abstract>Les cartes des dangers mettent en évidence les espaces urbains menacés par des crues, des avalanches, des glissements de terrain ou des processus de chute. Actuellement, les cartes des dangers reprennent 99% de la superficie de la Suisse à traiter en matière d&#39;avalanches, 96% pour les crues, 92% pour les processus de chute et 88% pour les glissements de terrain. La Confédération aide les cantons à élaborer et mettre à jour les cartes des dangers. La carte donne un aperçu de l&#39;avancement de la cartographie des glissements de terrain à l&#39;échelle suisse</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.showme-kantone_rutschungen</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=a327b175-7788-4569-946d-a9d1737e7092"/>            <Style>                <ows:Title>ShowMe cantons: glissements</ows:Title>                <ows:Identifier>ch.bafu.showme-kantone_rutschungen</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.showme-kantone_rutschungen_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160101</Default>                <Value>20160101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_23</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.showme-kantone_rutschungen/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>ShowMe cantons : processus de chute</ows:Title>            <ows:Abstract>Les cartes des dangers mettent en évidence les espaces urbains menacés par des crues, des avalanches, des glissements de terrain ou des processus de chute. Actuellement, les cartes des dangers reprennent 99% de la superficie de la Suisse à traiter en matière d&#39;avalanches, 96% pour les crues, 92% pour les processus de chute et 88% pour les glissements de terrain. La Confédération aide les cantons à élaborer et mettre à jour les cartes des dangers. La carte donne un aperçu de l&#39;avancement de la cartographie des processus de chute à l&#39;échelle suisse</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.showme-kantone_sturzprozesse</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=fea64430-554d-4c54-bd5d-2ee8c745d814"/>            <Style>                <ows:Title>ShowMe cantons : processus de chute</ows:Title>                <ows:Identifier>ch.bafu.showme-kantone_sturzprozesse</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.showme-kantone_sturzprozesse_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160101</Default>                <Value>20160101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_23</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.showme-kantone_sturzprozesse/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Tempêtes rafales 100</ows:Title>            <ows:Abstract>Les cartes des dangers relatifs aux tempêtes montrent les pointes des rafales ainsi que leurs pressions dynamiques avec leurs marges d’erreurs. Elles fournissent une base qui permet d’évaluer le danger régional. À ce titre, la référence concernant les pressions dynamiques (norme SIA 261 annexe E) n’est pas remplacée. Le danger de tempête est calculé sur la base de 83 périodes de tempêtes hivernales, enregistrées de 1871 à 2011, ainsi que de l’ensemble des données globales « 20th Century Reanalysis ». Les calculs ne tiennent pas compte des influences locales telles que les tempêtes estivales ou les bourrasques d’orage. Les indications fournies pour les pointes des rafales ne doivent donc pas être interprétées comme des valeurs exactes et précises géographiquement. Elles ne remplacent en aucun cas une évaluation détaillée d’un lieu spécifique. Dans des sites exposés de haute montagne notamment (p. ex. le Jungfraujoch), les pointes des rafales sont souvent sous-estimées</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.sturm-boeenspitzen_100</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=4d1d17aa-2b92-42a9-b847-d6597631a264"/>            <Style>                <ows:Title>Tempêtes rafales 100</ows:Title>                <ows:Identifier>ch.bafu.sturm-boeenspitzen_100</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.sturm-boeenspitzen_100_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20141107</Default>                <Value>20141107</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.sturm-boeenspitzen_100/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Tempêtes rafales 30</ows:Title>            <ows:Abstract>Les cartes des dangers relatifs aux tempêtes montrent les pointes des rafales ainsi que leurs pressions dynamiques avec leurs marges d’erreurs. Elles fournissent une base qui permet d’évaluer le danger régional. À ce titre, la référence concernant les pressions dynamiques (norme SIA 261 annexe E) n’est pas remplacée. Le danger de tempête est calculé sur la base de 83 périodes de tempêtes hivernales, enregistrées de 1871 à 2011, ainsi que de l’ensemble des données globales « 20th Century Reanalysis ». Les calculs ne tiennent pas compte des influences locales telles que les tempêtes estivales ou les bourrasques d’orage. Les indications fournies pour les pointes des rafales ne doivent donc pas être interprétées comme des valeurs exactes et précises géographiquement. Elles ne remplacent en aucun cas une évaluation détaillée d’un lieu spécifique. Dans des sites exposés de haute montagne notamment (p. ex. le Jungfraujoch), les pointes des rafales sont souvent sous-estimées</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.sturm-boeenspitzen_30</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=83d7e62e-2e5e-4877-8434-93f0cabc6438"/>            <Style>                <ows:Title>Tempêtes rafales 30</ows:Title>                <ows:Identifier>ch.bafu.sturm-boeenspitzen_30</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.sturm-boeenspitzen_30_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20141107</Default>                <Value>20141107</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.sturm-boeenspitzen_30/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Tempêtes rafales 300</ows:Title>            <ows:Abstract>Les cartes des dangers relatifs aux tempêtes montrent les pointes des rafales ainsi que leurs pressions dynamiques avec leurs marges d’erreurs. Elles fournissent une base qui permet d’évaluer le danger régional. À ce titre, la référence concernant les pressions dynamiques (norme SIA 261 annexe E) n’est pas remplacée. Le danger de tempête est calculé sur la base de 83 périodes de tempêtes hivernales, enregistrées de 1871 à 2011, ainsi que de l’ensemble des données globales « 20th Century Reanalysis ». Les calculs ne tiennent pas compte des influences locales telles que les tempêtes estivales ou les bourrasques d’orage. Les indications fournies pour les pointes des rafales ne doivent donc pas être interprétées comme des valeurs exactes et précises géographiquement. Elles ne remplacent en aucun cas une évaluation détaillée d’un lieu spécifique. Dans des sites exposés de haute montagne notamment (p. ex. le Jungfraujoch), les pointes des rafales sont souvent sous-estimées</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.sturm-boeenspitzen_300</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=a7956843-bc72-4271-b238-72fb4a21baa0"/>            <Style>                <ows:Title>Tempêtes rafales 300</ows:Title>                <ows:Identifier>ch.bafu.sturm-boeenspitzen_300</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.sturm-boeenspitzen_300_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20141107</Default>                <Value>20141107</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.sturm-boeenspitzen_300/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Tempêtes rafales 50</ows:Title>            <ows:Abstract>Les cartes des dangers relatifs aux tempêtes montrent les pointes des rafales ainsi que leurs pressions dynamiques avec leurs marges d’erreurs. Elles fournissent une base qui permet d’évaluer le danger régional. À ce titre, la référence concernant les pressions dynamiques (norme SIA 261 annexe E) n’est pas remplacée. Le danger de tempête est calculé sur la base de 83 périodes de tempêtes hivernales, enregistrées de 1871 à 2011, ainsi que de l’ensemble des données globales « 20th Century Reanalysis ». Les calculs ne tiennent pas compte des influences locales telles que les tempêtes estivales ou les bourrasques d’orage. Les indications fournies pour les pointes des rafales ne doivent donc pas être interprétées comme des valeurs exactes et précises géographiquement. Elles ne remplacent en aucun cas une évaluation détaillée d’un lieu spécifique. Dans des sites exposés de haute montagne notamment (p. ex. le Jungfraujoch), les pointes des rafales sont souvent sous-estimées</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.sturm-boeenspitzen_50</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=17531a73-040c-4bd8-8d77-3f24c733b37a"/>            <Style>                <ows:Title>Tempêtes rafales 50</ows:Title>                <ows:Identifier>ch.bafu.sturm-boeenspitzen_50</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.sturm-boeenspitzen_50_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20141107</Default>                <Value>20141107</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.sturm-boeenspitzen_50/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Tempêtes pression dynamique 100</ows:Title>            <ows:Abstract>Les cartes des dangers relatifs aux tempêtes montrent les pointes des rafales ainsi que leurs pressions dynamiques avec leurs marges d’erreurs. Elles fournissent une base qui permet d’évaluer le danger régional. À ce titre, la référence concernant les pressions dynamiques (norme SIA 261 annexe E) n’est pas remplacée. Le danger de tempête est calculé sur la base de 83 périodes de tempêtes hivernales, enregistrées de 1871 à 2011, ainsi que de l’ensemble des données globales « 20th Century Reanalysis ». Les calculs ne tiennent pas compte des influences locales telles que les tempêtes estivales ou les bourrasques d’orage. Les indications fournies pour les pointes des rafales ne doivent donc pas être interprétées comme des valeurs exactes et précises géographiquement. Elles ne remplacent en aucun cas une évaluation détaillée d’un lieu spécifique. Dans des sites exposés de haute montagne notamment (p. ex. le Jungfraujoch), les pointes des rafales sont souvent sous-estimées</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.sturm-staudruck_100</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=4200db1b-16dd-48bb-8378-75afe4ec002b"/>            <Style>                <ows:Title>Tempêtes pression dynamique 100</ows:Title>                <ows:Identifier>ch.bafu.sturm-staudruck_100</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.sturm-staudruck_100_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20141107</Default>                <Value>20141107</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.sturm-staudruck_100/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Tempêtes pression dynamique 30</ows:Title>            <ows:Abstract>Les cartes des dangers relatifs aux tempêtes montrent les pointes des rafales ainsi que leurs pressions dynamiques avec leurs marges d’erreurs. Elles fournissent une base qui permet d’évaluer le danger régional. À ce titre, la référence concernant les pressions dynamiques (norme SIA 261 annexe E) n’est pas remplacée. Le danger de tempête est calculé sur la base de 83 périodes de tempêtes hivernales, enregistrées de 1871 à 2011, ainsi que de l’ensemble des données globales « 20th Century Reanalysis ». Les calculs ne tiennent pas compte des influences locales telles que les tempêtes estivales ou les bourrasques d’orage. Les indications fournies pour les pointes des rafales ne doivent donc pas être interprétées comme des valeurs exactes et précises géographiquement. Elles ne remplacent en aucun cas une évaluation détaillée d’un lieu spécifique. Dans des sites exposés de haute montagne notamment (p. ex. le Jungfraujoch), les pointes des rafales sont souvent sous-estimées</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.sturm-staudruck_30</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=6edc63b6-f56b-4fb6-8ba3-1506bea16ec8"/>            <Style>                <ows:Title>Tempêtes pression dynamique 30</ows:Title>                <ows:Identifier>ch.bafu.sturm-staudruck_30</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.sturm-staudruck_30_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20141107</Default>                <Value>20141107</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.sturm-staudruck_30/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Tempêtes pression dynamique 300</ows:Title>            <ows:Abstract>Les cartes des dangers relatifs aux tempêtes montrent les pointes des rafales ainsi que leurs pressions dynamiques avec leurs marges d’erreurs. Elles fournissent une base qui permet d’évaluer le danger régional. À ce titre, la référence concernant les pressions dynamiques (norme SIA 261 annexe E) n’est pas remplacée. Le danger de tempête est calculé sur la base de 83 périodes de tempêtes hivernales, enregistrées de 1871 à 2011, ainsi que de l’ensemble des données globales « 20th Century Reanalysis ». Les calculs ne tiennent pas compte des influences locales telles que les tempêtes estivales ou les bourrasques d’orage. Les indications fournies pour les pointes des rafales ne doivent donc pas être interprétées comme des valeurs exactes et précises géographiquement. Elles ne remplacent en aucun cas une évaluation détaillée d’un lieu spécifique. Dans des sites exposés de haute montagne notamment (p. ex. le Jungfraujoch), les pointes des rafales sont souvent sous-estimées</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.sturm-staudruck_300</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=d416fce6-2319-4afc-9d28-3455083b2f40"/>            <Style>                <ows:Title>Tempêtes pression dynamique 300</ows:Title>                <ows:Identifier>ch.bafu.sturm-staudruck_300</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.sturm-staudruck_300_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20141107</Default>                <Value>20141107</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.sturm-staudruck_300/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Tempêtes pression dynamique 50</ows:Title>            <ows:Abstract>Les cartes des dangers relatifs aux tempêtes montrent les pointes des rafales ainsi que leurs pressions dynamiques avec leurs marges d’erreurs. Elles fournissent une base qui permet d’évaluer le danger régional. À ce titre, la référence concernant les pressions dynamiques (norme SIA 261 annexe E) n’est pas remplacée. Le danger de tempête est calculé sur la base de 83 périodes de tempêtes hivernales, enregistrées de 1871 à 2011, ainsi que de l’ensemble des données globales « 20th Century Reanalysis ». Les calculs ne tiennent pas compte des influences locales telles que les tempêtes estivales ou les bourrasques d’orage. Les indications fournies pour les pointes des rafales ne doivent donc pas être interprétées comme des valeurs exactes et précises géographiquement. Elles ne remplacent en aucun cas une évaluation détaillée d’un lieu spécifique. Dans des sites exposés de haute montagne notamment (p. ex. le Jungfraujoch), les pointes des rafales sont souvent sous-estimées</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.sturm-staudruck_50</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=41ace4c6-967d-4b99-b7aa-a0e51bc63611"/>            <Style>                <ows:Title>Tempêtes pression dynamique 50</ows:Title>                <ows:Identifier>ch.bafu.sturm-staudruck_50</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.sturm-staudruck_50_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20141107</Default>                <Value>20141107</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.sturm-staudruck_50/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Rejets de polluants (SwissPRTR)</ows:Title>            <ows:Abstract>SwissPRTR (Swiss Pollutant Release and Transfer Register) est le Registre suisse des rejets et transferts de polluants. Il est accessible au public et fournit des informations sur les rejets de polluants, les transferts de déchets et les transferts de polluants dans les eaux usées, provenant tant d&#39;entreprises que de sources diffuses</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.swissprtr</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=980b541f-f651-439b-ad0c-ec0f7f10e514"/>            <Style>                <ows:Title>Rejets de polluants (SwissPRTR)</ows:Title>                <ows:Identifier>ch.bafu.swissprtr</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.swissprtr_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20150226</Default>                <Value>20150226</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.swissprtr/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>UNESCO sites naturels</ows:Title>            <ows:Abstract>La Convention pour la protection du patrimoine mondial culturel et naturel (RS 0.451.41) a été conclue par la Conférence générale de l’UNESCO en 1972. Elle vise à conserver les biens culturels et naturels qui ont une valeur universelle exceptionnelle en tant que partie du patrimoine de l’humanité. Les Etats signataires s’engagent à protéger et à conserver les objets situés sur leur territoire. La Suisse a proposé jusqu’à présent huit sites culturels et trois sites naturels que l’UNESCO a inscrits dans la Liste du patrimoine mondial</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.unesco-weltnaturerbe</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=4a571da5-c3af-47fe-99a1-f33fc29d1cd9"/>            <Style>                <ows:Title>UNESCO sites naturels</ows:Title>                <ows:Identifier>ch.bafu.unesco-weltnaturerbe</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.unesco-weltnaturerbe_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20080724</Default>                <Value>20080724</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.unesco-weltnaturerbe/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Exutoires des bassins versants</ows:Title>            <ows:Abstract>La série de données &#34;Exutoires des bassins versants&#34; fait partie de la série de géodonnées &#34;Bassins versants topographiques des eaux suisses&#34;. Elle est constituée des objets ponctuels qui constituent les exutoires des quelque 22 000 bassins versants complets possibles et est complétée par toute une série de paramètres décrivant l’utilisation du sol, la géographie physique et les débits moyens annuels et mensuels modélisés. Les exutoires sont les points sur les cours d’eau pour lesquels ces paramètres ont été déterminés. Il est possible de visualiser une partie de ces paramètres sur les portails SIG de l’OFEV et de COSIG. Pour en voir plus, référez-vous à l’outil gratuit &#34;Subdivision de la Suisse en bassins versants (Einzugsgebietsgliederung Schweiz, EZGG-CH)&#34;</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.wasser-gebietsauslaesse</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=1a4d7eee-5135-4895-a255-e1dfd1fd6ff9"/>            <Style>                <ows:Title>Exutoires des bassins versants</ows:Title>                <ows:Identifier>ch.bafu.wasser-gebietsauslaesse</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.wasser-gebietsauslaesse_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20120701</Default>                <Value>20120701</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.wasser-gebietsauslaesse/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Dérivation</ows:Title>            <ows:Abstract>La loi fédérale du 24 janvier 1991 sur la protection des eaux (LEaux) est entrée en vigueur le 1er novembre 1992 et, avec elle, ses dispositions concernant les débits résiduels. Conformément aux art. 80 ss. LEaux, les débits résiduels doivent, sur ordre des autorités et dans la mesure du possible, être assainis. Dans cette perspective, une première étape consiste pour les cantons à dresser un inventaire des prélèvements d’eau existants et de transmettre celui-ci à la Confédération. Les cantons évaluent sur cette base les prélèvements d’eau effectués et décident si et dans quelle mesure un assainissement est nécessaire. Ils rassemblent les résultats de leurs investigations dans un rapport qu’ils remettent également à la Confédération. Pour garantir une vue d’ensemble de l’application de la LEaux dans le domaine des débits résiduels et de leur assainissement et afin d’informer la population et les autres organes concernés, les données portant sur les prélèvements d’eau transmises par les cantons sont présentées sur une carte nationale des débits résiduels (échelle 1 : 200’000)</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.wasser-leitungen</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=ae65e4e3-f47b-4544-a3a2-81dbf79d5a73"/>            <Style>                <ows:Title>Dérivation</ows:Title>                <ows:Identifier>ch.bafu.wasser-leitungen</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.wasser-leitungen_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20040101</Default>                <Value>20040101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.wasser-leitungen/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Restitution</ows:Title>            <ows:Abstract>La loi fédérale du 24 janvier 1991 sur la protection des eaux (LEaux) est entrée en vigueur le 1er novembre 1992 et, avec elle, ses dispositions concernant les débits résiduels. Conformément aux art. 80 ss. LEaux, les débits résiduels doivent, sur ordre des autorités et dans la mesure du possible, être assainis. Dans cette perspective, une première étape consiste pour les cantons à dresser un inventaire des prélèvements d’eau existants et de transmettre celui-ci à la Confédération. Les cantons évaluent sur cette base les prélèvements d’eau effectués et décident si et dans quelle mesure un assainissement est nécessaire. Ils rassemblent les résultats de leurs investigations dans un rapport qu’ils remettent également à la Confédération. Pour garantir une vue d’ensemble de l’application de la LEaux dans le domaine des débits résiduels et de leur assainissement et afin d’informer la population et les autres organes concernés, les données portant sur les prélèvements d’eau transmises par les cantons sont présentées sur une carte nationale des débits résiduels (échelle 1 : 200’000)</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.wasser-rueckgabe</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=ed1931ac-81bc-4517-9860-80090e530e33"/>            <Style>                <ows:Title>Restitution</ows:Title>                <ows:Identifier>ch.bafu.wasser-rueckgabe</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.wasser-rueckgabe_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20040101</Default>                <Value>20040101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.wasser-rueckgabe/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Bassins versants partiels 2km2</ows:Title>            <ows:Abstract>La série de données &#34;Bassins versants 2km2&#34; constitue l’élément central de la série de géodonnées &#34;Bassins versants topographiques des eaux suisses&#34;. Elle correspond à une mosaïque de plus de 22 000 bassins versants partiels, délimités en fonction de la topographie et couvrant l’ensemble du territoire suisse. Grâce au codage hiérarchique des bassins, la série peut être aisément intégrée à un SIG et les bassins versants complets reconstitués. Cette série de géodonnées a été complétée par toute une série de paramètres, décrivant l’utilisation du sol, la géographie physique et les débits modélisés, pour former l’outil &#34;Subdivision de la Suisse en bassins versants (Einzugsgebietsgliederung Schweiz, EZGG-CH)&#34;, qui est mis gratuitement à disposition du public</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.wasser-teileinzugsgebiete_2</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=6d9c8ba5-2532-46ed-bc26-0a4017787a56"/>            <Style>                <ows:Title>Bassins versants partiels 2km2</ows:Title>                <ows:Identifier>ch.bafu.wasser-teileinzugsgebiete_2</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.wasser-teileinzugsgebiete_2_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20120701</Default>                <Value>20120701</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.wasser-teileinzugsgebiete_2/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Bassins versants partiels 40km2</ows:Title>            <ows:Abstract>La série de données &#34;Bassins versants 40km2&#34; est l’un des quatre niveaux d’agrégation de la série de géodonnées &#34;Bassins versants topographiques des eaux suisses&#34;. Elle correspond à une mosaïque d’environ 1200 bassins versants partiels, délimités en fonction de la topographie et couvrant l’ensemble du territoire suisse. Lorsque c’était possible, la subdivision a été harmonisée avec les &#34;bassins versants de base&#34; de l’Atlas hydrologique de la Suisse (HADES). Ces bassins versants font partie de l’outil gratuit &#34;Subdivision de la Suisse en bassins versants (Einzugsgebietsgliederung Schweiz, EZGG-CH)&#34;</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.wasser-teileinzugsgebiete_40</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=102e547e-6210-46ea-9246-123f966ba9be"/>            <Style>                <ows:Title>Bassins versants partiels 40km2</ows:Title>                <ows:Identifier>ch.bafu.wasser-teileinzugsgebiete_40</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.wasser-teileinzugsgebiete_40_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20120701</Default>                <Value>20120701</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.wasser-teileinzugsgebiete_40/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Zones de tranquillité</ows:Title>            <ows:Abstract>Les animaux sauvages ont besoin de sites de repli dans lesquels ils ne sont pas dérangés. Selon la loi fédérale sur la chasse (art. 7, al. 4 LChP) les zones de tranquillité pour la faune sauvage servent à éviter des dérangements excessifs causés par l’augmentation des activités de loisirs. Il existe des zones de tranquillité contraignantes et des zones de tranquillité recommandées. Les zones de tranquillité contraignantes sont délimitées par le biais d’un processus législatif (p. ex. via la loi cantonale sur la chasse ou le plan directeur communal). A l&#39;intérieur des zones de tranquillité et des sites de protection contraignantes, seuls les routes et les chemins figurant sur la carte peuvent être empruntés. Les pistes (de ski de fond), les sentiers de randonnées hivernales et les itinéraires dégagés ou accessibles en hiver ne sont pas représentés. Naturellement, ceux-ci peuvent être empruntés par les randonneurs. Dans les zones de tranquillité recommandées, les routes et les chemins autorisés sont à comprendre comme recommandés. L&#39;avancement de la saisie des données varient considérablement d&#39;un canton à l&#39;autre. C&#39;est pourquoi le jeu de données actuel présente quelques lacunes. La carte est actualisée au moins une fois par an (au début de l’hiver).Merci de respecter les remarques générales ainsi que les modifications ci-dessous (ex. modification de périmètre) qui n&#39;ont pas encore pu être prises en compte sur la carte. La campagne &#34;Respecter, c&#39;est protéger&#34; s&#39;engage pour la protection de la faune et pour faire connaître les zones de tranquillité au grand public</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.wrz-wildruhezonen_portal</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=4a0c8bc7-89d1-484e-a34a-454a31267c41"/>            <Style>                <ows:Title>Zones de tranquillité</ows:Title>                <ows:Identifier>ch.bafu.wrz-wildruhezonen_portal</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.wrz-wildruhezonen_portal_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160106</Default>                <Value>20160106</Value>                <Value>20151103</Value>                <Value>20150106</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.wrz-wildruhezonen_portal/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Zones à risque de Borréliose</ows:Title>            <ows:Abstract>L&#39;agent de la borréliose, ou maladie de Lyme, est la bactérie Borrelia burgdorferi. La transmission à l&#39;homme se produit le plus souvent par des tiques infectées qui sucent le sang humain. Une infection à Borrelia burgdorferi peut conduire à une borréliose de Lyme (synonymes : maladie de Lyme ou borréliose). Cette maladie peut toucher plusieurs organes (peau, articulations, nerfs, méninges, mœlle épinière, cerveau, cœur, yeux)</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bag.zecken-lyme</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=ea45cb27-07e4-4969-8e97-b1151fb12cb7"/>            <Style>                <ows:Title>Zones à risque de Borréliose</ows:Title>                <ows:Identifier>ch.bag.zecken-lyme</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bag.zecken-lyme_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20110613</Default>                <Value>20110613</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bag.zecken-lyme/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Inventaire fédéral ISOS</ows:Title>            <ows:Abstract>En règle générale, l’Inventaire fédéral des sites construits d’importance nationale à protéger en Suisse ISOS comprend les agglomérations permanentes qui méritent d’être protégées en Suisse. Celles-ci doivent comporter au moins dix bâtiments principaux sur la première édition de la carte Siegfried et être indiquées sur la carte nationale. L’ISOS établit des relevés de sites pouvant être comparés entre eux et coordonnés avec d’autres inventaires. L’Inventaire promeut la sauvegarde du patrimoine bâti dans le cadre de l’aménagement des localités. Selon la loi, il doit être pris en considération dans l’établissement des plans directeurs cantonaux. L’ISOS sert de base de décision aux spécialistes de la sauvegarde du patrimoine et de l’aménagement du territoire</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bak.bundesinventar-schuetzenswerte-ortsbilder</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=954451d0-f68a-4785-92e1-60aff077dd91"/>            <Style>                <ows:Title>Inventaire fédéral ISOS</ows:Title>                <ows:Identifier>ch.bak.bundesinventar-schuetzenswerte-ortsbilder</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bak.bundesinventar-schuetzenswerte-ortsbilder_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160222</Default>                <Value>20160222</Value>                <Value>20150511</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bak.bundesinventar-schuetzenswerte-ortsbilder/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Nombre d&#39;opérateurs de raccord</ows:Title>            <ows:Abstract>L&#39;atlas large bande donne un aperçu de la desserte de la Suisse en réseaux modernes de télécommunication. La situation est représentée sous la forme de données statistiques par cellule (250x250 mètres). La carte montre le nombre de fournisseur de raccord par cellule, c&#39;est-à-dire le nombre d&#39;opérateurs fournissant des services sur leurs propres raccordements. En cliquant sur la cellule, on fait apparaître la liste des entreprises. Un autre clic sur le nom de l&#39; entreprise mène à son site internet. Vous y trouverez notamment des indications sur les services de télécommunication fournis par l&#39;entreprise et/ou par ses partenaires. Il ne s&#39;agit pas toujours d&#39;une liste exhaustive. La situation effective peut être demandée aux fournisseurs</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bakom.anbieter-eigenes_festnetz</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=b9b367de-baf0-47d9-b642-bd0f7f29c842"/>            <Style>                <ows:Title>Nombre d&#39;opérateurs de raccord</ows:Title>                <ows:Identifier>ch.bakom.anbieter-eigenes_festnetz</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bakom.anbieter-eigenes_festnetz_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160622</Default>                <Value>20160622</Value>                <Value>20151120</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bakom.anbieter-eigenes_festnetz/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Fibre optique</ows:Title>            <ows:Abstract>L&#39;atlas large bande donne un aperçu de la desserte de la Suisse en réseaux modernes de télécommunication. La situation est représentée sous la forme de données statistiques par cellule (250x250 mètres). La carte montre dans combien de bâtiments un raccordement par la fibre optique est offert (en pour cent des entrées de bâtiment selon les données de l&#39;Office fédéral de la statistique). Il se peut que l&#39;image représentant la situation de la desserte ne corresponde pas tout à fait à la réalité. La situation effective peut être demandée aux fournisseurs. Voir à ce propos les informations relatives à la carte &#34;Nombre opérateurs de raccord&#34;</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bakom.anschlussart-glasfaser</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=89c839ce-d778-4f53-be64-68bdc458e8c0"/>            <Style>                <ows:Title>Fibre optique</ows:Title>                <ows:Identifier>ch.bakom.anschlussart-glasfaser</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bakom.anschlussart-glasfaser_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160622</Default>                <Value>20160622</Value>                <Value>20151120</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bakom.anschlussart-glasfaser/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Câble coaxial</ows:Title>            <ows:Abstract>L&#39;atlas large bande donne un aperçu de la desserte de la Suisse en réseaux modernes de télécommunication. La situation est représentée sous la forme de données statistiques par cellule (250x250 mètres). La carte montre dans combien de bâtiments un raccordement par câble coaxial (raccordement TV câblée) est offert (en pour cent des entrées de bâtiment selon les données de l&#39;Office fédéral de la statistique). Il se peut que l&#39;image représentant la situation de la desserte ne corresponde pas tout à fait à la réalité. La situation effective peut être demandée aux fournisseurs. Voir à ce propos les informations relatives à la carte &#34;Nombre opérateurs de raccord&#34;</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bakom.anschlussart-koaxialkabel</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=aed73a77-fc04-4406-8ba3-fd998e2625db"/>            <Style>                <ows:Title>Câble coaxial</ows:Title>                <ows:Identifier>ch.bakom.anschlussart-koaxialkabel</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bakom.anschlussart-koaxialkabel_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160622</Default>                <Value>20160622</Value>                <Value>20151120</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bakom.anschlussart-koaxialkabel/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Fil de cuivre</ows:Title>            <ows:Abstract>L&#39;atlas large bande donne un aperçu de la desserte de la Suisse en réseaux modernes de télécommunication. La situation est représentée sous la forme de données statistiques par cellule (250x250 mètres). La carte montre dans combien de bâtiments un raccordement par fil de cuivre (fil du téléphone) est offert (en pour cent des entrées de bâtiment selon les données de l&#39;Office fédéral de la statistique). Il se peut que l&#39;image représentant la situation de la desserte ne corresponde pas tout à fait à la réalité. La situation effective peut être demandée aux fournisseurs. Voir à ce propos les informations relatives à la carte &#34;Nombre opérateurs de raccord&#34;</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bakom.anschlussart-kupferdraht</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=fdb8b91e-1cc5-4c7a-8db7-3e3833e8a486"/>            <Style>                <ows:Title>Fil de cuivre</ows:Title>                <ows:Identifier>ch.bakom.anschlussart-kupferdraht</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bakom.anschlussart-kupferdraht_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160622</Default>                <Value>20160622</Value>                <Value>20151120</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bakom.anschlussart-kupferdraht/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Liaison ≥ 1 Mbit/s descendante</ows:Title>            <ows:Abstract>L&#39;atlas large bande donne un aperçu de la desserte de la Suisse en réseaux modernes de télécommunication. La situation est représentée sous la forme de données statistiques par cellule (250x250 mètres). La carte montre dans combien de bâtiments une liaison internet descendante de 1 Mbit/s ou plus est offerte sur réseau fixe (en pour cent des entrées de bâtiment selon les données de l&#39;Office fédéral de la statistique). Il se peut que l&#39;image représentant la situation de la desserte ne corresponde pas tout à fait à la réalité. La situation effective peut être demandée aux fournisseurs. Voir à ce propos les informations relatives à la carte &#34;Nombre opérateurs de raccord&#34;</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bakom.downlink1</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=484aec3b-befd-4b29-adb5-85365119192f"/>            <Style>                <ows:Title>Liaison ≥ 1 Mbit/s descendante</ows:Title>                <ows:Identifier>ch.bakom.downlink1</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bakom.downlink1_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160622</Default>                <Value>20160622</Value>                <Value>20151120</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bakom.downlink1/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Liaison ≥10 Mbit/s descend</ows:Title>            <ows:Abstract>L&#39;atlas large bande donne un aperçu de la desserte de la Suisse en réseaux modernes de télécommunication. La situation est représentée sous la forme de données statistiques par cellule (250x250 mètres). La carte montre dans combien de bâtiments une liaison internet descendante de 10 Mbit/s ou plus est offerte sur réseau fixe (en pour cent des entrées de bâtiment selon les données de l&#39;Office fédéral de la statistique). Il se peut que l&#39;image représentant la situation de la desserte ne corresponde pas tout à fait à la réalité. La situation effective peut être demandée aux fournisseurs. Voir à ce propos les informations relatives à la carte &#34;Nombre opérateurs de raccord&#34;</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bakom.downlink10</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=662ddb1a-b016-4d66-97dc-3f97fe092d39"/>            <Style>                <ows:Title>Liaison ≥10 Mbit/s descend</ows:Title>                <ows:Identifier>ch.bakom.downlink10</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bakom.downlink10_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160622</Default>                <Value>20160622</Value>                <Value>20151120</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bakom.downlink10/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Liaison ≥ 100 Mbit/s descend</ows:Title>            <ows:Abstract>L&#39;atlas large bande donne un aperçu de la desserte de la Suisse en réseaux modernes de télécommunication. La situation est représentée sous la forme de données statistiques par cellule (250x250 mètres). La carte montre dans combien de bâtiments une liaison internet descendante de 100 Mbit/s ou plus est offerte sur réseau fixe (en pour cent des entrées de bâtiment selon les données de l&#39;Office fédéral de la statistique). Il se peut que l&#39;image représentant la situation de la desserte ne corresponde pas tout à fait à la réalité. La situation effective peut être demandée aux fournisseurs. Voir à ce propos les informations relatives à la carte &#34;Nombre opérateurs de raccord&#34;</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bakom.downlink100</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=0be906d8-ce6d-436c-8690-749a892ef5bb"/>            <Style>                <ows:Title>Liaison ≥ 100 Mbit/s descend</ows:Title>                <ows:Identifier>ch.bakom.downlink100</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bakom.downlink100_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160622</Default>                <Value>20160622</Value>                <Value>20151120</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bakom.downlink100/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Liaison ≥ 2 Mbit/s descendante</ows:Title>            <ows:Abstract>L&#39;atlas large bande donne un aperçu de la desserte de la Suisse en réseaux modernes de télécommunication. La situation est représentée sous la forme de données statistiques par cellule (250x250 mètres). La carte montre dans combien de bâtiments une liaison internet descendante de 2 Mbit/s ou plus est offerte sur réseau fixe (en pour cent des entrées de bâtiment selon les données de l&#39;Office fédéral de la statistique). Il se peut que l&#39;image représentant la situation de la desserte ne corresponde pas tout à fait à la réalité. La situation effective peut être demandée aux fournisseurs. Voir à ce propos les informations relatives à la carte &#34;Nombre opérateurs de raccord&#34;</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bakom.downlink2</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=a5f0a7d8-4e9f-43b5-ae73-0966df615d96"/>            <Style>                <ows:Title>Liaison ≥ 2 Mbit/s descendante</ows:Title>                <ows:Identifier>ch.bakom.downlink2</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bakom.downlink2_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160622</Default>                <Value>20160622</Value>                <Value>20151120</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bakom.downlink2/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Liaison ≥ 20 Mbit/s descend</ows:Title>            <ows:Abstract>L&#39;atlas large bande donne un aperçu de la desserte de la Suisse en réseaux modernes de télécommunication. La situation est représentée sous la forme de données statistiques par cellule (250x250 mètres). La carte montre dans combien de bâtiments une liaison internet descendante de 20 Mbit/s ou plus est offerte sur réseau fixe (en pour cent des entrées de bâtiment selon les données de l&#39;Office fédéral de la statistique). Il se peut que l&#39;image représentant la situation de la desserte ne corresponde pas tout à fait à la réalité. La situation effective peut être demandée aux fournisseurs. Voir à ce propos les informations relatives à la carte &#34;Nombre opérateurs de raccord&#34;</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bakom.downlink20</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=38b6998c-713b-4c69-b84e-2ebe9c538f2f"/>            <Style>                <ows:Title>Liaison ≥ 20 Mbit/s descend</ows:Title>                <ows:Identifier>ch.bakom.downlink20</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bakom.downlink20_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160622</Default>                <Value>20160622</Value>                <Value>20151120</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bakom.downlink20/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Liaison ≥ 50 Mbit/s descend</ows:Title>            <ows:Abstract>L&#39;atlas large bande donne un aperçu de la desserte de la Suisse en réseaux modernes de télécommunication. La situation est représentée sous la forme de données statistiques par cellule (250x250 mètres). La carte montre dans combien de bâtiments une liaison internet descendante de 50 Mbit/s ou plus est offerte sur réseau fixe (en pour cent des entrées de bâtiment selon les données de l&#39;Office fédéral de la statistique). Il se peut que l&#39;image représentant la situation de la desserte ne corresponde pas tout à fait à la réalité. La situation effective peut être demandée aux fournisseurs. Voir à ce propos les informations relatives à la carte &#34;Nombre opérateurs de raccord&#34;</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bakom.downlink50</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=9b63de18-3f5a-437d-804a-40eba5596890"/>            <Style>                <ows:Title>Liaison ≥ 50 Mbit/s descend</ows:Title>                <ows:Identifier>ch.bakom.downlink50</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bakom.downlink50_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160622</Default>                <Value>20160622</Value>                <Value>20151120</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bakom.downlink50/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Liaison ≥ 1 Mbit/s ascendante</ows:Title>            <ows:Abstract>L&#39;atlas large bande donne un aperçu de la desserte de la Suisse en réseaux modernes de télécommunication. La situation est représentée sous la forme de données statistiques par cellule (250x250 mètres). La carte montre dans combien de bâtiments une liaison internet ascendante de 1 Mbit/s ou plus est offerte sur réseau fixe (en pour cent des entrées de bâtiment selon les données de l&#39;Office fédéral de la statistique). Il se peut que l&#39;image représentant la situation de la desserte ne corresponde pas tout à fait à la réalité. La situation effective peut être demandée aux fournisseurs. Voir à ce propos les informations relatives à la carte &#34;Nombre opérateurs de raccord&#34;</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bakom.uplink1</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=04ade34e-9654-4dfa-8788-ac6a3da206d6"/>            <Style>                <ows:Title>Liaison ≥ 1 Mbit/s ascendante</ows:Title>                <ows:Identifier>ch.bakom.uplink1</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bakom.uplink1_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160622</Default>                <Value>20160622</Value>                <Value>20151120</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bakom.uplink1/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Liaison ≥ 10 Mbit/s ascendante</ows:Title>            <ows:Abstract>L&#39;atlas large bande donne un aperçu de la desserte de la Suisse en réseaux modernes de télécommunication. La situation est représentée sous la forme de données statistiques par cellule (250x250 mètres). La carte montre dans combien de bâtiments une liaison internet ascendante de 10 Mbit/s ou plus est offerte sur réseau fixe (en pour cent des entrées de bâtiment selon les données de l&#39;Office fédéral de la statistique). Il se peut que l&#39;image représentant la situation de la desserte ne corresponde pas tout à fait à la réalité. La situation effective peut être demandée aux fournisseurs. Voir à ce propos les informations relatives à la carte &#34;Nombre opérateurs de raccord&#34;</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bakom.uplink10</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=41263c2e-bec9-4b1e-9e2d-11d69f8df58c"/>            <Style>                <ows:Title>Liaison ≥ 10 Mbit/s ascendante</ows:Title>                <ows:Identifier>ch.bakom.uplink10</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bakom.uplink10_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160622</Default>                <Value>20160622</Value>                <Value>20151120</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bakom.uplink10/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Liaison ≥100 Mbit/s ascendante</ows:Title>            <ows:Abstract>L&#39;atlas large bande donne un aperçu de la desserte de la Suisse en réseaux modernes de télécommunication. La situation est représentée sous la forme de données statistiques par cellule (250x250 mètres). La carte montre dans combien de bâtiments une liaison internet ascendante de 100 Mbit/s ou plus est offerte sur réseau fixe (en pour cent des entrées de bâtiment selon les données de l&#39;Office fédéral de la statistique). Il se peut que l&#39;image représentant la situation de la desserte ne corresponde pas tout à fait à la réalité. La situation effective peut être demandée aux fournisseurs. Voir à ce propos les informations relatives à la carte &#34;Nombre opérateurs de raccord&#34;</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bakom.uplink100</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=4f9876c4-5fa6-4cbc-b3db-b5934c681e7b"/>            <Style>                <ows:Title>Liaison ≥100 Mbit/s ascendante</ows:Title>                <ows:Identifier>ch.bakom.uplink100</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bakom.uplink100_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160622</Default>                <Value>20160622</Value>                <Value>20151120</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bakom.uplink100/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Liaison ≥ 2 Mbit/s ascendante</ows:Title>            <ows:Abstract>L&#39;atlas large bande donne un aperçu de la desserte de la Suisse en réseaux modernes de télécommunication. La situation est représentée sous la forme de données statistiques par cellule (250x250 mètres). La carte montre dans combien de bâtiments une liaison internet ascendante de 2 Mbit/s ou plus est offerte sur réseau fixe (en pour cent des entrées de bâtiment selon les données de l&#39;Office fédéral de la statistique). Il se peut que l&#39;image représentant la situation de la desserte ne corresponde pas tout à fait à la réalité. La situation effective peut être demandée aux fournisseurs. Voir à ce propos les informations relatives à la carte &#34;Nombre opérateurs de raccord&#34;</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bakom.uplink2</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=4c6dfd42-9046-4b97-806c-eaa18377e6c0"/>            <Style>                <ows:Title>Liaison ≥ 2 Mbit/s ascendante</ows:Title>                <ows:Identifier>ch.bakom.uplink2</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bakom.uplink2_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160622</Default>                <Value>20160622</Value>                <Value>20151120</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bakom.uplink2/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Liaison ≥ 20 Mbit/s ascendante</ows:Title>            <ows:Abstract>L&#39;atlas large bande donne un aperçu de la desserte de la Suisse en réseaux modernes de télécommunication. La situation est représentée sous la forme de données statistiques par cellule (250x250 mètres). La carte montre dans combien de bâtiments une liaison internet ascendante de 20 Mbit/s ou plus est offerte sur réseau fixe (en pour cent des entrées de bâtiment selon les données de l&#39;Office fédéral de la statistique). Il se peut que l&#39;image représentant la situation de la desserte ne corresponde pas tout à fait à la réalité. La situation effective peut être demandée aux fournisseurs. Voir à ce propos les informations relatives à la carte &#34;Nombre opérateurs de raccord&#34;</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bakom.uplink20</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=fe828fd1-b1a9-4b7c-b1ee-39fef49a1348"/>            <Style>                <ows:Title>Liaison ≥ 20 Mbit/s ascendante</ows:Title>                <ows:Identifier>ch.bakom.uplink20</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bakom.uplink20_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160622</Default>                <Value>20160622</Value>                <Value>20151120</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bakom.uplink20/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Liaison ≥ 50 Mbit/s ascendante</ows:Title>            <ows:Abstract>L&#39;atlas large bande donne un aperçu de la desserte de la Suisse en réseaux modernes de télécommunication. La situation est représentée sous la forme de données statistiques par cellule (250x250 mètres). La carte montre dans combien de bâtiments une liaison internet ascendante de 50 Mbit/s ou plus est offerte sur réseau fixe (en pour cent des entrées de bâtiment selon les données de l&#39;Office fédéral de la statistique). Il se peut que l&#39;image représentant la situation de la desserte ne corresponde pas tout à fait à la réalité. La situation effective peut être demandée aux fournisseurs. Voir à ce propos les informations relatives à la carte &#34;Nombre opérateurs de raccord&#34;</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bakom.uplink50</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=e1312b14-d1c2-4b82-a7a9-807be7b8e0de"/>            <Style>                <ows:Title>Liaison ≥ 50 Mbit/s ascendante</ows:Title>                <ows:Identifier>ch.bakom.uplink50</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bakom.uplink50_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160622</Default>                <Value>20160622</Value>                <Value>20151120</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bakom.uplink50/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Disponibilité HDTV réseau fixe</ows:Title>            <ows:Abstract>L&#39;atlas large bande donne un aperçu de la desserte de la Suisse en réseaux modernes de télécommunication. La situation est représentée sous la forme de données statistiques par cellule (250x250 mètres). La carte montre dans combien de bâtiments la télévision sur réseau fixe est offerte en haute résolution (HD) (en pour cent des entrées de bâtiment selon les données de l&#39;Office fédéral de la statistique). Il se peut que l&#39;image représentant la situation de la desserte ne corresponde pas tout à fait à la réalité. La situation effective peut être demandée aux fournisseurs. Voir à ce propos les informations relatives à la carte &#34;Nombre opérateurs de raccord&#34;</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bakom.verfuegbarkeit-hdtv</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=cd1a0328-e765-49b9-8c2a-92b4d411b770"/>            <Style>                <ows:Title>Disponibilité HDTV réseau fixe</ows:Title>                <ows:Identifier>ch.bakom.verfuegbarkeit-hdtv</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bakom.verfuegbarkeit-hdtv_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160622</Default>                <Value>20160622</Value>                <Value>20151120</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bakom.verfuegbarkeit-hdtv/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Disponibilité TV réseau fixe</ows:Title>            <ows:Abstract>L&#39;atlas large bande donne un aperçu de la desserte de la Suisse en réseaux modernes de télécommunication. La situation est représentée sous la forme de données statistiques par cellule (250x250 mètres). La carte montre dans combien de bâtiments la télévision sur réseau fixe est offerte (en pour cent des entrées de bâtiment selon les données de l&#39;Office fédéral de la statistique). Il se peut que l&#39;image représentant la situation de la desserte ne corresponde pas tout à fait à la réalité. La situation effective peut être demandée aux fournisseurs. Voir à ce propos les informations relatives à la carte &#34;Nombre opérateurs de raccord&#34;</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bakom.verfuegbarkeit-tv</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=9509aa85-bde5-40c2-867d-5aea0ce20c7c"/>            <Style>                <ows:Title>Disponibilité TV réseau fixe</ows:Title>                <ows:Identifier>ch.bakom.verfuegbarkeit-tv</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bakom.verfuegbarkeit-tv_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160622</Default>                <Value>20160622</Value>                <Value>20151120</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bakom.verfuegbarkeit-tv/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Zones de diffusion TV</ows:Title>            <ows:Abstract>Zones de desserte de tous les diffuseurs privés, régionaux et locaux de programmes de télévision chargés d&#39;un mandat de prestations et au bénéfice d&#39;une quote-part de la redevance selon l&#39;art. 38, ou chargés d&#39;un mandat de prestations selon l&#39;art. 43 de la loi fédérale sur la radio et la télévision (LRTV). Les prescriptions techniques correspondantes, les principes applicables à la planification et les contours des zones de desserte évoquées à l&#39;art. 38 ORTV sont fixés dans les annexes 1 (radio) et 2 (télévision) de l&#39;ORTV</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bakom.versorgungsgebiet-tv</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=f57f174b-15ab-4428-b41f-916f33ea4cbb"/>            <Style>                <ows:Title>Zones de diffusion TV</ows:Title>                <ows:Identifier>ch.bakom.versorgungsgebiet-tv</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bakom.versorgungsgebiet-tv_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20070704</Default>                <Value>20070704</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bakom.versorgungsgebiet-tv/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Zones de diffusion radio</ows:Title>            <ows:Abstract>Zones de desserte de tous les diffuseurs privés, régionaux et locaux de programmes de radio chargés d&#39;un mandat de prestations et au bénéfice d&#39;une quote-part de la redevance selon l&#39;art. 38, ou chargés d&#39;un mandat de prestations selon l&#39;art. 43 de la loi fédérale sur la radio et la télévision (LRTV). Les prescriptions techniques correspondantes, les principes applicables à la planification et les contours des zones de desserte évoquées à l&#39;art. 38 ORTV sont fixés dans les annexes 1 (radio) et 2 (télévision) de l&#39;ORTV</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bakom.versorgungsgebiet-ukw</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=60a2fcd0-3a04-4fea-9bae-c3e0f9b31604"/>            <Style>                <ows:Title>Zones de diffusion radio</ows:Title>                <ows:Identifier>ch.bakom.versorgungsgebiet-ukw</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bakom.versorgungsgebiet-ukw_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20070704</Default>                <Value>20070704</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bakom.versorgungsgebiet-ukw/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>UNESCO sites culturels</ows:Title>            <ows:Abstract>La Convention pour la protection du patrimoine mondial culturel et naturel (RS 0.451.41) a été conclue par la Conférence générale de l’UNESCO en 1972. Elle vise à conserver les biens culturels et naturels qui ont une valeur universelle exceptionnelle en tant que partie du patrimoine de l’humanité. Les Etats signataires s’engagent à protéger et à conserver les objets situés sur leur territoire. La Suisse a proposé jusqu’à présent huit sites culturels et trois sites naturels que l’UNESCO a inscrits dans la Liste du patrimoine mondial</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bak.schutzgebiete-unesco_weltkulturerbe</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=fb349ad4-5e01-43b7-9fcd-a0f60ae9c4db"/>            <Style>                <ows:Title>UNESCO sites culturels</ows:Title>                <ows:Identifier>ch.bak.schutzgebiete-unesco_weltkulturerbe</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bak.schutzgebiete-unesco_weltkulturerbe_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20120203</Default>                <Value>20120203</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bak.schutzgebiete-unesco_weltkulturerbe/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Arrêts tp</ows:Title>            <ows:Abstract>Le jeu de géodonnées de base « Arrêts des transports publics » contient les arrêts ainsi que des sites ponctuels géoréférencés qui ont une fonction d’exploitation ou structurante dans les transports publics (points de service)</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bav.haltestellen-oev</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=841d42ff-8177-4e07-a96b-e8e5455ae048"/>            <Style>                <ows:Title>Arrêts tp</ows:Title>                <ows:Identifier>ch.bav.haltestellen-oev</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bav.haltestellen-oev_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20151213</Default>                <Value>20151213</Value>                <Value>20150127</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bav.haltestellen-oev/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Réseau ferré</ows:Title>            <ows:Abstract>Le jeu de géodonnées de base « réseau ferré » représente le réseau suisse des transports guidéspar rail sous surveillance fédérale. Il comprend les tronçons à voie normale et étroite des chemins de fer, des trams et des chemins de fer à crémaillère sur lesquels des voyageurs sont transportés régulièrement et à titre professionnel ou sur lesquels l’accès au réseau est possible. Il ne contient pas les voies de raccordement ni les tronçons de funiculaires (jeu de données spécial Installations de transport à câbles), modèles réduits, circuits miniatures pour enfants, circuits de chemin de fer ou chemins de fer industriels</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bav.schienennetz</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=4545b545-cdc9-4713-809c-210ee84436b0"/>            <Style>                <ows:Title>Réseau ferré</ows:Title>                <ows:Identifier>ch.bav.schienennetz</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bav.schienennetz_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20151213</Default>                <Value>20151213</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bav.schienennetz/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Carte aéronautique OACI</ows:Title>            <ows:Abstract>La carte aéronautique OACI au 1:500&#39;000 est la carte aéronautique officielle de la Suisse publiée en collaboration avec skyguide. Sur la carte figurent les aéroports et aérodromes, les espaces aériens par classes, les zones interdites ou dangereuses ainsi que les obstacles à la navigation aérienne. La carte est disponible sous forme analogique (carte papier) et digitale (carte-pixel). La feuille de l&#39;édition imprimée est disponible pliée. En marge de la carte figurent d&#39;autres informations aéronautiques ainsi qu&#39;une liste des fréquences radio. La carte OACI est mise annuellement à jour. La carte-pixel est la carte OACI digitalisée, livrable sous forme de données raster géoréférencées (format TIF, 254 dpi). La carte-pixel est à disposition soit en couleurs combinées, soit en 3 couches de couleurs, séparées par thématique (carte de base, classes de l&#39;espace aérien/informations de sécurité de vol, obstacles à la navigation aérienne/lignes de transport de force)</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bazl.luftfahrtkarten-icao</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=f27432fa-948b-4608-98d5-22ebe118c98a"/>            <Style>                <ows:Title>Carte aéronautique OACI</ows:Title>                <ows:Identifier>ch.bazl.luftfahrtkarten-icao</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bazl.luftfahrtkarten-icao_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160331</Default>                <Value>20160331</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_20</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bazl.luftfahrtkarten-icao/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Zones réservées: aéroports</ows:Title>            <ows:Abstract>Zone clairement délimitée dont les terrains sont réservés en vue de futures installations aéroportuaires. Représentation des parcelles sur un plan à grande échelle. Les modifications de construction contraires à cette affectation ne sont pas admises. Durée limitée à une période de cinq ans prorogeable de trois ans au plus. Base légale (LA, art. 37n, al. 1): «En vue d’assurer la libre disposition des terrains nécessaires à des installations d’aéroport, l’Office fédéral peut, d’office ou sur requête de l’exploitant de l’aérodrome, du canton ou de la commune déterminer des zones réservées dont le périmètre est bien délimité. …»</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bazl.projektierungszonen-flughafenanlagen</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=d76d6e8d-c6ac-40f3-92c0-2a953cb99d9f"/>            <Style>                <ows:Title>Zones réservées: aéroports</ows:Title>                <ows:Identifier>ch.bazl.projektierungszonen-flughafenanlagen</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bazl.projektierungszonen-flughafenanlagen_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20130822</Default>                <Value>20130822</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bazl.projektierungszonen-flughafenanlagen/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Carte vol à voile</ows:Title>            <ows:Abstract>La carte de vol à voile au 1:300&#39;000 est publiée en collaboration avec skyguide. Sur la carte figurent les aéroports et aérodromes, les espaces aériens par classes, les zones interdites ou dangereuses, les obstacles à la navigation aérienne ainsi que d&#39;autres informations concernant la pratique du vol à voile. La carte est disponible sous forme analogique (carte papier) et digitale (carte-pixel). La feuille de l&#39;édition imprimée est disponible pliée. En marge de la carte figurent d&#39;autres informations aéronautiques et une liste des fréquences radio. Sur une carte supplémentaire figure la TMA de Genève à l&#39;échelle 1:300&#39;000. La carte de vol à voile est mise annuellement à jour. La carte-pixel est la carte de vol à voile digitalisée, livrable sous forme de données raster géoréférencées (format TIF, 254 dpi). La carte-pixel est à disposition soit en couleurs combinées, soit en 3 couches de couleurs</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bazl.segelflugkarte</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=eba8c71c-0c66-4a4e-b419-5e0260d5b43c"/>            <Style>                <ows:Title>Carte vol à voile</ows:Title>                <ows:Identifier>ch.bazl.segelflugkarte</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bazl.segelflugkarte_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160331</Default>                <Value>20160331</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_20</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bazl.segelflugkarte/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Centrales nucléaires</ows:Title>            <ows:Abstract>Les centrales nucléaires sont des installations qui utilisent la fission nucléaire contrôlée pour produire de l’électricité dans un but commercial. Les quatre centrales nucléaires suisses totalisent une puissance de 3,2 GW et leur disponibilité annuelle atteint environ 90%. L’Office fédéral de l’énergie (OFEN) accomplit des tâches importantes en matière d’application de la législation sur l’énergie nucléaire. Etablissement de droit public autonome de la Confédération, l’Inspection fédérale de la sécurité nucléaire (IFSN) est chargée de la surveillance de la sécurité des installations nucléaires suisses. En Suisse, l&#39;autorisation d&#39;exploiter une centrale nucléaire est en principe délivrée pour une durée illimitée. Une centrale nucléaire peut être exploitée aussi longtemps que sa sécurité est garantie. Si les conditions d&#39;une exploitation sûre d&#39;une centrale nucléaire ne sont plus remplies, l&#39;autorisation d&#39;exploiter peut être retirée à tout moment. Le détenteur de l&#39;autorisation d&#39;exploiter doit procéder sans délai à la mise hors service de son installation si les critères de mise hors service figurant dans l&#39;ordonnance du DETEC sur la méthode et sur les standards de vérification des critères de la mise hors service provisoire d&#39;une centrale nucléaire sont remplis</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bfe.kernkraftwerke</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=74e0e4a7-165a-414d-b1a5-1921162f04ab"/>            <Style>                <ows:Title>Centrales nucléaires</ows:Title>                <ows:Identifier>ch.bfe.kernkraftwerke</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bfe.kernkraftwerke_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20120911</Default>                <Value>20120911</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bfe.kernkraftwerke/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Potentiel petite hydraulique</ows:Title>            <ows:Abstract>Le produit de géodonnées «Kleinwasserkraftpotentiale der Schweizer Gewässer» (potentiel des cours d&#39;eau suisses pour la petite hydraulique) est le résultat d&#39;une analyse SIG menée dans le cadre du programme de recherche 102835 «Erhebung des Kleinwasserkraftpotentials der Schweiz» (Relevé du potentiel de la petite hydraulique en Suisse). Il calcule le potentiel hydroélectrique théorique de tous les cours d&#39;eau naturels de la Suisse. Lors de l&#39;interprétation des données sur le potentiel théorique, il convient de tenir compte du fait que seule une partie de ce potentiel est vraiment utilisable pour la production d&#39;électricité, compte tenu des aspects techniques, écologiques, scientifiques et juridiques</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bfe.kleinwasserkraftpotentiale</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=c4b695b0-23ad-4d0d-a496-16fc0f597819"/>            <Style>                <ows:Title>Potentiel petite hydraulique</ows:Title>                <ows:Identifier>ch.bfe.kleinwasserkraftpotentiale</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bfe.kleinwasserkraftpotentiale_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20120531</Default>                <Value>20120531</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bfe.kleinwasserkraftpotentiale/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Solaire: aptitude des toitures</ows:Title>            <ows:Abstract>L’énergie solaire qui atteint la surface terrestre peut être exploitée au moyen de deux technologies éprouvées que sont le photovoltaïque (électricité) et le solaire thermique (chaleur), pour produire soi-même une énergie renouvelable.Le potentiel de l’électricité d’origine solaire est considérable: en 2050, le photovoltaïque pourrait couvrir environ 20% des besoins en électricité. Grâce à des installations standardisées, la chaleur solaire constitue une option intéressante pour la production d’eau chaude et le chauffage d’appoint. La carte d’aptitude renseigne sur la capacité d’un toit à exploiter l’énergie solaire et sur le rendement potentiel. Le rayonnement solaire sur chaque surface de toit est calculé grâce à une simulation de la trajectoire du soleil tout au long de l’année. Les calculs se basent sur les valeurs relatives au rayonnement solaire fournies par l’Office fédéral de météorologie et de climatologie (MétéoSuisse) et les données en 3D des bâtiments fournies par l’Office fédéral de topographie swisstopo (produit swissBUILDINGS3D 2.0). La moitié du parc immobilier a d’ores et déjà été enregistrée; l’ensemble des toitures de la Suisse seront disponibles d’ici à début 2018</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bfe.solarenergie-eignung-daecher</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=b614de5c-2f12-4355-b2c9-7aef2c363ad6"/>            <Style>                <ows:Title>Solaire: aptitude des toitures</ows:Title>                <ows:Identifier>ch.bfe.solarenergie-eignung-daecher</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bfe.solarenergie-eignung-daecher_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160613</Default>                <Value>20160613</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bfe.solarenergie-eignung-daecher/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Installations éoliennes</ows:Title>            <ows:Abstract>Les installations éoliennes utilisent l’énergie cinétique des masses d’air qui se déplacent pour faire tourner des hélices. L’énergie mécanique ainsi générée est ensuite transformée en énergie électrique grâce à un générateur. D’une puissance de 28 kW, la première centrale éolienne suisse a été mise en service en 1986 près de la ferme Soolhof (Langenbruck). En 2013, notre pays compte 34 installations éoliennes, qui produisent ensemble quelque 85 gigawattheures (GWh) d’électricité. Situé au Mont Crosin, sur les hauts de Saint-Imier dans le Jura bernois, le plus grand parc éolien de Suisse abrite seize éoliennes, qui totalisent une puissance de 23,6 MW. D’autres grandes installations ont été construites dans la vallée du Rhône (VS), à Entlebuch (LU) et sur le Gütsch au-dessus d’Andermatt (UR). En Suisse, l’énergie éolienne dispose d’un large potentiel. La production annuelle pourrait en effet atteindre quelque 600 GWh à l’horizon 2020 et dépasser 4000 GWh d’ici à 2050. Les sites appropriés se trouvent sur les crêtes du Jura, mais également dans les Alpes et les Préalpes, ainsi qu’à l’ouest du Plateau. Les géodonnées techniques «installations éoliennes» renseignent sur l’état actuel des installations éoliennes en Suisse. L’ensemble des informations se fondent sur les données fournies par les exploitants des installations. Les indications servent à informer le grand public et ne constituent pas des informations officielles ni des déclarations de nature contraignante</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bfe.windenergieanlagen</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=b11962c5-cad9-4783-9e88-d8248e90c47f"/>            <Style>                <ows:Title>Installations éoliennes</ows:Title>                <ows:Identifier>ch.bfe.windenergieanlagen</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bfe.windenergieanlagen_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20140101</Default>                <Value>20140101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bfe.windenergieanlagen/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Stat. superficie 2004/09 NOLC04</ows:Title>            <ows:Abstract>Couverture du sol selon 27 catégories de base et 6 domaines principaux, relevée par interprétation visuelle de points d’échantillonnage distants de 100m et affichés sur des images aériennes digitales en 3 dimensions. Pour la première fois, on relève de manière distincte la couverture et l’utilisation du sol , de sorte que chaque point d&#39;échantillonnage se voit assorti de deux codes. On peut ainsi soit considérer seuls le type de couverture ou le mode d&#39;utilisation, soit combiner ces deux caractères</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bfs.arealstatistik-bodenbedeckung</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=b53c03bb-a168-491f-b266-c7e9ec0af320"/>            <Style>                <ows:Title>Stat. superficie 2004/09 NOLC04</ows:Title>                <ows:Identifier>ch.bfs.arealstatistik-bodenbedeckung</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bfs.arealstatistik-bodenbedeckung_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20131121</Default>                <Value>20131121</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bfs.arealstatistik-bodenbedeckung/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Stat. superficie 1979/85 NOLC04</ows:Title>            <ows:Abstract>Couverture du sol selon 27 catégories de base et 6 domaines principaux, relevée par interprétation visuelle de points d’échantillonnage distants de 100m et affichés sur des images aériennes digitales en 3 dimensions. Pour la première fois, on relève de manière distincte la couverture et l’utilisation du sol , de sorte que chaque point d&#39;échantillonnage se voit assorti de deux codes. On peut ainsi soit considérer seuls le type de couverture ou le mode d&#39;utilisation, soit combiner ces deux caractères</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bfs.arealstatistik-bodenbedeckung-1985</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=1c6bc7a0-b243-49f0-9078-6576b37716b7"/>            <Style>                <ows:Title>Stat. superficie 1979/85 NOLC04</ows:Title>                <ows:Identifier>ch.bfs.arealstatistik-bodenbedeckung-1985</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bfs.arealstatistik-bodenbedeckung-1985_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20131121</Default>                <Value>20131121</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bfs.arealstatistik-bodenbedeckung-1985/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Stat. superficie 1992/97 NOLC04</ows:Title>            <ows:Abstract>Couverture du sol selon 27 catégories de base et 6 domaines principaux, relevée par interprétation visuelle de points d’échantillonnage distants de 100m et affichés sur des images aériennes digitales en 3 dimensions. Pour la première fois, on relève de manière distincte la couverture et l’utilisation du sol , de sorte que chaque point d&#39;échantillonnage se voit assorti de deux codes. On peut ainsi soit considérer seuls le type de couverture ou le mode d&#39;utilisation, soit combiner ces deux caractères</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bfs.arealstatistik-bodenbedeckung-1997</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=af74a95b-7295-47b8-8cfe-795e9a09a086"/>            <Style>                <ows:Title>Stat. superficie 1992/97 NOLC04</ows:Title>                <ows:Identifier>ch.bfs.arealstatistik-bodenbedeckung-1997</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bfs.arealstatistik-bodenbedeckung-1997_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20131121</Default>                <Value>20131121</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bfs.arealstatistik-bodenbedeckung-1997/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Stat. superficie 2004/09 NOLU04</ows:Title>            <ows:Abstract>Utilisation du sol selon 46 catégories de base, 10 classes et 4 domaines principaux, relevée par interprétation visuelle de points d’échantillonnage distants de 100m et affichés sur des images aériennes digitales en 3 dimensions. Pour la première fois, on relève de manière distincte la couverture et l’utilisation du sol , de sorte que chaque point d&#39;échantillonnage se voit assorti de deux codes. On peut ainsi soit considérer seuls le type de couverture ou le mode d&#39;utilisation, soit combiner ces deux caractères</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bfs.arealstatistik-bodennutzung</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=5082c28a-33cc-47d6-a577-a6118238def5"/>            <Style>                <ows:Title>Stat. superficie 2004/09 NOLU04</ows:Title>                <ows:Identifier>ch.bfs.arealstatistik-bodennutzung</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bfs.arealstatistik-bodennutzung_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20131121</Default>                <Value>20131121</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bfs.arealstatistik-bodennutzung/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Stat. superficie 1979/85 NOLU04</ows:Title>            <ows:Abstract>Utilisation du sol selon 46 catégories de base, 10 classes et 4 domaines principaux, relevée par interprétation visuelle de points d’échantillonnage distants de 100m et affichés sur des images aériennes digitales en 3 dimensions. Pour la première fois, on relève de manière distincte la couverture et l’utilisation du sol , de sorte que chaque point d&#39;échantillonnage se voit assorti de deux codes. On peut ainsi soit considérer seuls le type de couverture ou le mode d&#39;utilisation, soit combiner ces deux caractères</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bfs.arealstatistik-bodennutzung-1985</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=f954beeb-7f1e-44a4-b975-19ea9b8c369f"/>            <Style>                <ows:Title>Stat. superficie 1979/85 NOLU04</ows:Title>                <ows:Identifier>ch.bfs.arealstatistik-bodennutzung-1985</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bfs.arealstatistik-bodennutzung-1985_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20131121</Default>                <Value>20131121</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bfs.arealstatistik-bodennutzung-1985/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Stat. superficie 1992/97 NOLU04</ows:Title>            <ows:Abstract>Utilisation du sol selon 46 catégories de base, 10 classes et 4 domaines principaux, relevée par interprétation visuelle de points d’échantillonnage distants de 100m et affichés sur des images aériennes digitales en 3 dimensions. Pour la première fois, on relève de manière distincte la couverture et l’utilisation du sol , de sorte que chaque point d&#39;échantillonnage se voit assorti de deux codes. On peut ainsi soit considérer seuls le type de couverture ou le mode d&#39;utilisation, soit combiner ces deux caractères</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bfs.arealstatistik-bodennutzung-1997</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=5257c12e-bb39-4983-a98a-8103cb3f1611"/>            <Style>                <ows:Title>Stat. superficie 1992/97 NOLU04</ows:Title>                <ows:Identifier>ch.bfs.arealstatistik-bodennutzung-1997</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bfs.arealstatistik-bodennutzung-1997_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20131121</Default>                <Value>20131121</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bfs.arealstatistik-bodennutzung-1997/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Mixité des forêts 1990/1992</ows:Title>            <ows:Abstract>Sur la base des images satellite Landsat-TM l&#39;OFS a produit 1996 dans le cadre du projet &#34;Différenciation de la forêt à l&#39;aide d&#39;images numériques de satellite&#34; deux jeux de données couvrant toute la Suisse, qui répartissent la forêt dans les catégories forêt résineuse, forêt à prédominance résineuse, forêt à prédominance feuillue et forêt feuillue. Ce projet contribuera d&#39;une part à l&#39;acquisition d&#39;expérience et de connaissances dans le domaine de la télédétection numérique et de l&#39;utilisation de données satellites à des fins statistiques. Il permettra d&#39;autre part de compléter la statistique de la superficie de la Suisse par un apport de données statistiquement fiables et géographiquement différenciées sur les forêts résineuses, feuillues et mixtes. Après la correction géométrique et radiométrique des images satellites, celles-ci ont été interprétées en deux temps: les surfaces forestières ont été séparées des surfaces non forestières puis ont été réparties en quatre degrés de mixité</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bfs.arealstatistik-waldmischungsgrad</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=116447b0-31b0-477c-9203-9f51d43e4ac5"/>            <Style>                <ows:Title>Mixité des forêts 1990/1992</ows:Title>                <ows:Identifier>ch.bfs.arealstatistik-waldmischungsgrad</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bfs.arealstatistik-waldmischungsgrad_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>19970901</Default>                <Value>19970901</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bfs.arealstatistik-waldmischungsgrad/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Produits d&#39;alpage</ows:Title>            <ows:Abstract>Pour pouvoir porter la désignation &#34;produit d&#39;alpage&#34; (p. ex. fromage d&#39;alpage), les matières premières utilisées doivent provenir de la région d&#39;estivage et avoir été également transformées dans celle-ci. Si la transformation a lieu en dehors de la région d&#39;estivage, seule l&#39;origine des matières premières pourra être mentionnée (p. ex. &#34;yoghourt au lait d&#39;alpage&#34;). Cette règle ne s&#39;applique pas au fromage. En l&#39;occurrence, il faut toujours que le lait soit produit et transformé en fromage dans la région d&#39;estivage. Seul l&#39;affinage peut être réalisé en dehors de la région de production du fromage</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.blw.alpprodukte</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=843b3f48-ec98-4143-b9e6-1db1ad6ddac0"/>            <Style>                <ows:Title>Produits d&#39;alpage</ows:Title>                <ows:Identifier>ch.blw.alpprodukte</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.blw.alpprodukte_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20150422</Default>                <Value>20150422</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.blw.alpprodukte/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Produits montagne et alpage</ows:Title>            <ows:Abstract>Pour pouvoir porter la désignation &#34;produit de montagne&#34; (p. ex. fromage de montagne), les matières premières utilisées doivent provenir de la région de montagne ou de la région d&#39;estivage et avoir été également transformées dans des communes entièrement ou partiellement situées dans la région de montagne ou d&#39;estivage. Si la transformation a lieu en dehors de la région de montagne ou de la région d&#39;estivage, seule l&#39;origine des matières premières pourra être mentionnée (p. ex. &#34;yoghourt au lait de montagne&#34;). Cette règle ne s&#39;applique pas au fromage. En l&#39;occurrence, il faut toujours que le lait soit produit et transformé en fromage dans la région de montagne. Seul l&#39;affinage peut être réalisé en dehors de la région de production du fromage</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.blw.bergprodukte</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=c5bc9d6b-cafb-4617-97d7-868ab4cd5506"/>            <Style>                <ows:Title>Produits montagne et alpage</ows:Title>                <ows:Identifier>ch.blw.bergprodukte</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.blw.bergprodukte_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20150422</Default>                <Value>20150422</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.blw.bergprodukte/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Besoins en irrigation</ows:Title>            <ows:Abstract>Langjähriges 33 % Quantil der relativen Evapotranspiration (Ver-hältnis von aktueller zu potenzieller Evapotranspiration, ET/ETP) für die landwirtschaftliche Nutzfläche der Schweiz; Berechnung für die Vegetationsperioden des Zeitraumes 1980-2006 im500m x 500m Raster</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.blw.bewaesserungsbeduerftigkeit</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=a3acc755-aad5-4992-b3f3-91f1137a94cb"/>            <Style>                <ows:Title>Besoins en irrigation</ows:Title>                <ows:Identifier>ch.blw.bewaesserungsbeduerftigkeit</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.blw.bewaesserungsbeduerftigkeit_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20091110</Default>                <Value>20091110</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.blw.bewaesserungsbeduerftigkeit/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Profondeur</ows:Title>            <ows:Abstract>Profondeur du sol exploitable par les racines (enracinement général; on ne tient pas compte par exemple de racines pénétrant dans des crevasses)</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.blw.bodeneignung-gruendigkeit</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=a1c56c8d-05c9-425f-9aed-71e265081634"/>            <Style>                <ows:Title>Profondeur</ows:Title>                <ows:Identifier>ch.blw.bodeneignung-gruendigkeit</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.blw.bodeneignung-gruendigkeit_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20120601</Default>                <Value>20120601</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.blw.bodeneignung-gruendigkeit/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Sols: Terres cultivées</ows:Title>            <ows:Abstract>Sur la carte, chaque unité cartographique est assortie d&#39;un code composé d&#39;une lettre majuscule et d&#39;un chiffre. Les majuscules représentent 25 différentes unités géologiques et géomorphologiques. Les lettres sont subdvisées en divers éléments du paysage, ordonnés selon le type de roche-mère, l&#39;exposition et la pente. En outre, à chaque unité cartographique correspond un ou plusieurs types de sol. Les 144 unités cartographiques sont réparties sur la carte en 18 groupes de couleur différente, en fonction de l&#39;aptitude des sols. Cette classification repose essentiellement sur des critères agricoles</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.blw.bodeneignung-kulturland</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=843de9c9-6feb-4577-ab3b-e4fb62a9c56a"/>            <Style>                <ows:Title>Sols: Terres cultivées</ows:Title>                <ows:Identifier>ch.blw.bodeneignung-kulturland</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.blw.bodeneignung-kulturland_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20081024</Default>                <Value>20081024</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.blw.bodeneignung-kulturland/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Sols: Typologies des cultures</ows:Title>            <ows:Abstract>Sur la carte, chaque unité cartographique est assortie d&#39;un code composé d&#39;une lettre majuscule et d&#39;un chiffre. Les majuscules représentent 25 différentes unités géologiques et géomorphologiques. Les lettres sont subdvisées en divers éléments du paysage, ordonnés selon le type de roche-mère, l&#39;exposition et la pente. En outre, à chaque unité cartographique correspond un ou plusieurs types de sol. Les 144 unités cartographiques sont réparties sur la carte en 18 groupes de couleur différente, en fonction de l&#39;aptitude des sols. Cette classification repose essentiellement sur des critères agricoles</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.blw.bodeneignung-kulturtyp</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=4d7ea1c8-451b-46b6-8e16-ffee10e0c9a7"/>            <Style>                <ows:Title>Sols: Typologies des cultures</ows:Title>                <ows:Identifier>ch.blw.bodeneignung-kulturtyp</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.blw.bodeneignung-kulturtyp_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20081024</Default>                <Value>20081024</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.blw.bodeneignung-kulturtyp/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Rétention substances nutritives</ows:Title>            <ows:Abstract>Comme pour l&#39;eau, on peut donner le nombre d&#39;équivalents en cation que le sol peut retenir. Ces milliéquivalents sont donnés pour un colonne de sol de 1 cm2 de base et d&#39;une hauteur correspondante à la profondeur physiologique. On en tire le nombre de milliéquivalents (mev) de cations par cm2</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.blw.bodeneignung-naehrstoffspeichervermoegen</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=05216096-7514-4084-a361-49a2cee1f44c"/>            <Style>                <ows:Title>Rétention substances nutritives</ows:Title>                <ows:Identifier>ch.blw.bodeneignung-naehrstoffspeichervermoegen</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.blw.bodeneignung-naehrstoffspeichervermoegen_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20120601</Default>                <Value>20120601</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.blw.bodeneignung-naehrstoffspeichervermoegen/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Pierrosité</ows:Title>            <ows:Abstract>On entend par pierrosité l&#39;ensemble des fragments minéraux plus gros que 2 mm (refus du tamis). Envisagés principalement dans les 50 cm supérieurs du profil du sol</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.blw.bodeneignung-skelettgehalt</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=b07f2385-ee3d-4dae-aac2-3fce678ead33"/>            <Style>                <ows:Title>Pierrosité</ows:Title>                <ows:Identifier>ch.blw.bodeneignung-skelettgehalt</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.blw.bodeneignung-skelettgehalt_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20120601</Default>                <Value>20120601</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.blw.bodeneignung-skelettgehalt/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Mouillure</ows:Title>            <ows:Abstract>La mouillure est le fait d&#39;une nappe phréatique (de pente ou de fond)</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.blw.bodeneignung-vernaessung</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=ace71da1-bfd1-4745-a2f1-40b4567f4907"/>            <Style>                <ows:Title>Mouillure</ows:Title>                <ows:Identifier>ch.blw.bodeneignung-vernaessung</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.blw.bodeneignung-vernaessung_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20120601</Default>                <Value>20120601</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.blw.bodeneignung-vernaessung/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Perméabilité</ows:Title>            <ows:Abstract>La perméabilité est mesurée en laboratoire sur des échantillons cylindriques saturés. Les observations de terrain permettent d&#39;etablir des relations entre les précipitations, la perméablilité et les traits morphologiques. On a pris en considération l&#39;horizon le moins perméable des 50 cm supérieurs</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.blw.bodeneignung-wasserdurchlaessigkeit</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=d5bd22a3-0656-4582-97bc-37f77b5426ca"/>            <Style>                <ows:Title>Perméabilité</ows:Title>                <ows:Identifier>ch.blw.bodeneignung-wasserdurchlaessigkeit</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.blw.bodeneignung-wasserdurchlaessigkeit_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20120601</Default>                <Value>20120601</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.blw.bodeneignung-wasserdurchlaessigkeit/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Capacité de rétention hydrique</ows:Title>            <ows:Abstract>Il s&#39;agit de l&#39;eau qui est retenue dans le sol par les forces de tension et qui est facilement accessible aux plantes (0,1 - 1,0 atm). On peut admettre grosso modo 1 mm d&#39;eau est facilement accessible par 1 cm de profondeur physiologique. La profondeur physiologique s&#39;obtient à partir de la profondeur d&#39;enracinement, sous déduction de la place des pierres, de celle des gros vides dans les sols sablo-graveleux, d&#39;éléments structuraux compacts et d&#39;horizons pauvres en oxygène</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.blw.bodeneignung-wasserspeichervermoegen</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=6caf4d0f-52da-433a-809f-92781316ad0e"/>            <Style>                <ows:Title>Capacité de rétention hydrique</ows:Title>                <ows:Identifier>ch.blw.bodeneignung-wasserspeichervermoegen</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.blw.bodeneignung-wasserspeichervermoegen_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20120601</Default>                <Value>20120601</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.blw.bodeneignung-wasserspeichervermoegen/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Risque d’érosion qualitatif 1</ows:Title>            <ows:Abstract>Carte des risques d’érosion de la surface agricole utile au raster 2x2 m, sur la base du modèle MNT-MO. Cette carte couvre la région de plaine (région de plaine et des collines). Elle indique le risque d’érosion qualitatif potentiel en cas d’exploitation permanente des terres arables. L’évaluation globale est attribuée à l’un des trois niveaux de risque (pas de risque, risque avéré, risque élevé), sans tenir compte de l’utilisation ou du mode d’exploitation du sol. Les pertes de sol moyennes qui s’étendent sur de nombreuses années sont calculées à l’aide du logiciel AVErosion 1.0 en utilisant MUSLE87 (Modified Universal Soil Loss Equation 1987)</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.blw.erosion</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=02210bb3-1c51-4c2c-a665-a696286b945c"/>            <Style>                <ows:Title>Risque d’érosion qualitatif 1</ows:Title>                <ows:Identifier>ch.blw.erosion</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.blw.erosion_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20100103</Default>                <Value>20100103</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.blw.erosion/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Risque d’érosion qualitatif 2</ows:Title>            <ows:Abstract>Carte des risques d’érosion de la surface agricole utile dans une grille de 2x2 mètres, sur la base du modèle MNT-MO. La carte comprend la région de plaine (région de plaine et des collines) et les régions de montagne I + II. On montre ainsi le risque potentiel qualitativ d’érosion en cas d’exploitation permanente des terres arables. L’évaluation globale est attribuée à l’un des trois niveaux de risque (pas de risque, risque avéré, risque élevé), sans tenir compte de l’utilisation ou du mode d’exploitation du sol. Ces pertes de sol moyennes qui s’étendent sur de nombreuses années sont calculées à l’aide du logiciel AVErosion 1.0 en utilisant MUSLE87 (Modified Universal Soil Loss Equation 1987)</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.blw.erosion-mit_bergzonen</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=c71cbdaf-d9db-42b6-a5d3-a24b6aa075a7"/>            <Style>                <ows:Title>Risque d’érosion qualitatif 2</ows:Title>                <ows:Identifier>ch.blw.erosion-mit_bergzonen</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.blw.erosion-mit_bergzonen_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20100103</Default>                <Value>20100103</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.blw.erosion-mit_bergzonen/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Risque d’érosion quantitatif</ows:Title>            <ows:Abstract>Carte des risques d’érosion de la surface agricole utile de la Suisse au raster 2x2 m, sur la base du modèle MNT-MO. Cette carte indique la perte moyenne potentielle de sol sur un grand nombre d’années en tonnes par hectare et par an, calculée sur la base d&#39;une jachère nue, autrement dit l&#39;érosion qui pourrait théoriquement se produire si le sol était nu en permanence. Une couleur a été attribuée à chacune des classes de risque définies (trois couleurs) : vert pour le niveau de risque 1, jaune pour le niveau 2 et rouge pour le niveau 3. Les valeurs modélisées sont toutes beaucoup plus élevées (environ d’un facteur 10) que dans la réalité du fait que le travail et le mode d&#39;exploitation du sol (facteur C) ont été factorisés et intégrés en tant que constante de valeur 1 dans le calcul effectué sur la base du système MUSLE87 (Modified Universal Soil Loss Equation 1987). A la différence de la carte à trois couleurs, la carte à neuf couleurs permet de représenter de manière beaucoup plus précise et détaillée la structure du terrain, p. ex. le tracé des cuvettes ou des fortes pentes transversales et par conséquent, d’identifier également le risque d’érosion de talweg. Cela aide à interpréter la représentation graphique du risque potentiel d’érosion : Où sont les cuvettes? Où se trouvent des fossés ? Quel est en gros le relief du terrain? Les pentes sont-elles concaves ou convexes?</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.blw.erosion-quantitativ</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=14c92382-adf0-45d9-ad07-d41bd976c2a3"/>            <Style>                <ows:Title>Risque d’érosion quantitatif</ows:Title>                <ows:Identifier>ch.blw.erosion-quantitativ</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.blw.erosion-quantitativ_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20100601</Default>                <Value>20100601</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.blw.erosion-quantitativ/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Carte de blocs de parcelles</ows:Title>            <ows:Abstract>Un bloc de parcelles est une surface d’un seul tenant, utilisable pour l’agriculture, qui est entourée par des limites extérieures relativement stables et identifiables dans la nature (par exemple forêt, routes, surfaces construites, cours d’eau, fossés). Un bloc de parcelles est ainsi une sorte de bassin hydrologique fermé, car tous les pixels dans le bloc de parcelles sont liés ensemble sur le plan hydrologique et peuvent donc s’influencer mutuellement du point de vue de l’érosion. Les autres blocs de parcelles ou surfaces en dehors d’un bloc de parcelles ne peuvent pas influencer les flux hydriques et l’érosion à l’intérieur du bloc de parcelles dans le modèle. Les apports d’eau parasite ne sont donc pas possibles dans le modèle. La taille minimale d’un bloc de parcelle a été fixée à 25 ares. Le risque d&#39;érosion a été calculé pour plus de 180 000 blocs de parcelles au total. Le contrôle des blocs de parcelles dans les régions prioritaires permet d’optimiser la surveillance par les autorités compétentes de l’érosion sur les terres arables. Une nouvelle estimation du risque d’érosion est nécessaire lorsque la taille des blocs de parcelles est modifiée, ainsi lorsque de nouveaux chemins sont construits ou que des haies sont plantées ou supprimées</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.blw.feldblockkarte</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=9d673266-aed0-46f3-a536-4eb7d57582e9"/>            <Style>                <ows:Title>Carte de blocs de parcelles</ows:Title>                <ows:Identifier>ch.blw.feldblockkarte</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.blw.feldblockkarte_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20120601</Default>                <Value>20120601</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.blw.feldblockkarte/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Surface en connection des eaux</ows:Title>            <ows:Abstract>La carte potentielle des surfaces attenantes à un cours d’eau représente, dans le cas d&#39;un « Scénario du pire », (jachère nue permanente, pas de bordures tampons, mesures de construction), les surfaces sur lesquelles il faut s’attendre à un risque élevé d’apports de substances polluantes dans les eaux lors d’exploitation non adaptée aux conditions locales. Cette carte constitue donc un outil pour une planification ciblée de la protection des eaux. Le modèle d’identification des surfaces agricoles potentiellement menacées d’érosion attenantes à un cours d’eau est fondé sur la carte CRE2. Ce modèle permet de calculer pour chaque cellule de raster de la CRE2 la probabilité de surfaces attenantes à un cours d’eau. Pour passer du modèle potentiel au modèle actuel il faut acquérir des informations sur l’utilisation des surfaces menacées et sur les mesures éventuellement prises pour diminuer l’écoulement. Ces données doivent être relevées sur le terrain</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.blw.gewaesseranschlusskarte</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=77c1fecd-d698-442f-b957-65664297b26d"/>            <Style>                <ows:Title>Surface en connection des eaux</ows:Title>                <ows:Identifier>ch.blw.gewaesseranschlusskarte</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.blw.gewaesseranschlusskarte_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20121201</Default>                <Value>20121201</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.blw.gewaesseranschlusskarte/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Surface en connection élargie</ows:Title>            <ows:Abstract>A titre de complément, une autre carte a été établie qui différencie les surfaces attenantes à des cours d’eau, entre surfaces en connexion directe et surfaces en connexion indirecte. Les surfaces en connexion directe se situent à côté de cours d’eau ou sont connectées à des cours d’eau par des fossés de drainage temporaire ou par des isobathes. L’écoulement des eaux de surfaces peut parvenir aussi indirectement dans les cours d’eau par les puits de drainage et les regards du système d’évacuation des eaux de chaussée. Grâce à ces informations, il est possible de planifier le cas échéant de manière encore mieux ciblée les mesures contre l’apport de substances polluantes dans les eaux. Six catégories de probabilité de connexion de surfaces agricoles à des eaux de surface ont été établies</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.blw.gewaesseranschlusskarte-direkt</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=f03ce6ec-d927-4171-88a4-2369a75d4685"/>            <Style>                <ows:Title>Surface en connection élargie</ows:Title>                <ows:Identifier>ch.blw.gewaesseranschlusskarte-direkt</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.blw.gewaesseranschlusskarte-direkt_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20121201</Default>                <Value>20121201</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.blw.gewaesseranschlusskarte-direkt/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Terrains en pente</ows:Title>            <ows:Abstract>Afin que la difficulté des conditions de production et de vie dans l’agriculture soit équitablement prise en compte, des contributions pour des terrains en pente sont versées pour les surfaces donnant droit aux paiements directs. Pour les paiements directs généraux, deux jeux de géodonnées ont été créés : un sur terrains en pente (OGéo 152.1 ; OPD art. 43) et un sur les vignobles en pente (OGéo 152.2 ; DZV art. 45). Plusieurs classes de déclivité sont prises en compte. Le jeu de données sur les terrains en pente est l’un des supports qui permet de calculer les paiements directs au moyen d’un système d’informations géographiques SIG. Il a été élaboré à l’échelle nationale de manière harmonisée. La production se fonde sur le modèle de terrain « MNT-MO Grid 2m » de swisstopo. On a distingué les classes de déclivité suivantes : &lt;18% ; 18-35% ; 35-50%; &gt;50%. Les surfaces en pente d’une superficie inférieure à un are n’ont pas été prises en compte</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.blw.hang_steillagen</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=689dcf53-f025-4ea2-890a-dfcebca5812f"/>            <Style>                <ows:Title>Terrains en pente</ows:Title>                <ows:Identifier>ch.blw.hang_steillagen</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.blw.hang_steillagen_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20121231</Default>                <Value>20121231</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.blw.hang_steillagen/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Climat - culture fourragère</ows:Title>            <ows:Abstract>La carte établie à l&#39;échelle 1:200 000 reflète, une appréciation générale des conditions climatiques et des restrictions à l&#39;égard de l&#39;agriculture, subdivisées en vingt catégories d&#39;aptitudes. Son but est de souligner les différences sensibles relatives aux possibilités de culture propres aux diverses régions</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.blw.klimaeignung-futterbau</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=4f01b7dd-a576-45ee-9158-82789334c577"/>            <Style>                <ows:Title>Climat - culture fourragère</ows:Title>                <ows:Identifier>ch.blw.klimaeignung-futterbau</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.blw.klimaeignung-futterbau_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20081024</Default>                <Value>20081024</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.blw.klimaeignung-futterbau/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Climat - cultures céréalières</ows:Title>            <ows:Abstract>La carte établie à l&#39;échelle 1:200 000 reflète, une appréciation générale des conditions climatiques et des restrictions à l&#39;égard de l&#39;agriculture, subdivisées en vingt catégories d&#39;aptitudes. Son but est de souligner les différences sensibles relatives aux possibilités de culture propres aux diverses régions</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.blw.klimaeignung-getreidebau</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=04aa6587-d884-4c20-87a3-ff537e6d2626"/>            <Style>                <ows:Title>Climat - cultures céréalières</ows:Title>                <ows:Identifier>ch.blw.klimaeignung-getreidebau</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.blw.klimaeignung-getreidebau_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20081024</Default>                <Value>20081024</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.blw.klimaeignung-getreidebau/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Climat - pommes de terre</ows:Title>            <ows:Abstract>La carte établie à l&#39;échelle 1:200 000 reflète, une appréciation générale des conditions climatiques et des restrictions à l&#39;égard de l&#39;agriculture, subdivisées en vingt catégories d&#39;aptitudes. Son but est de souligner les différences sensibles relatives aux possibilités de culture propres aux diverses régions</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.blw.klimaeignung-kartoffeln</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=859f26d4-f820-4b1f-bad4-44e88bae59a6"/>            <Style>                <ows:Title>Climat - pommes de terre</ows:Title>                <ows:Identifier>ch.blw.klimaeignung-kartoffeln</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.blw.klimaeignung-kartoffeln_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20081024</Default>                <Value>20081024</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.blw.klimaeignung-kartoffeln/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Climat - maïs grain</ows:Title>            <ows:Abstract>La carte établie à l&#39;échelle 1:200 000 reflète, une appréciation générale des conditions climatiques et des restrictions à l&#39;égard de l&#39;agriculture, subdivisées en vingt catégories d&#39;aptitudes. Son but est de souligner les différences sensibles relatives aux possibilités de culture propres aux diverses régions</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.blw.klimaeignung-koernermais</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=aaa31b34-09da-4944-b43e-fb1b21cc6f96"/>            <Style>                <ows:Title>Climat - maïs grain</ows:Title>                <ows:Identifier>ch.blw.klimaeignung-koernermais</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.blw.klimaeignung-koernermais_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20081024</Default>                <Value>20081024</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.blw.klimaeignung-koernermais/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Climat - terres cultivées</ows:Title>            <ows:Abstract>La carte établie à l&#39;échelle 1:200 000 reflète, une appréciation générale des conditions climatiques et des restrictions à l&#39;égard de l&#39;agriculture, subdivisées en vingt catégories d&#39;aptitudes. Son but est de souligner les différences sensibles relatives aux possibilités de culture propres aux diverses régions</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.blw.klimaeignung-kulturland</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=8148d26b-7aae-48b1-8c02-a391c33f59a7"/>            <Style>                <ows:Title>Climat - terres cultivées</ows:Title>                <ows:Identifier>ch.blw.klimaeignung-kulturland</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.blw.klimaeignung-kulturland_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20081024</Default>                <Value>20081024</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.blw.klimaeignung-kulturland/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Climat - cultures spéciales</ows:Title>            <ows:Abstract>La carte établie à l&#39;échelle 1:200 000 reflète, une appréciation générale des conditions climatiques et des restrictions à l&#39;égard de l&#39;agriculture, subdivisées en vingt catégories d&#39;aptitudes. Son but est de souligner les différences sensibles relatives aux possibilités de culture propres aux diverses régions</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.blw.klimaeignung-spezialkulturen</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=fe7c18e2-87d3-464f-a22e-7cc03e61d480"/>            <Style>                <ows:Title>Climat - cultures spéciales</ows:Title>                <ows:Identifier>ch.blw.klimaeignung-spezialkulturen</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.blw.klimaeignung-spezialkulturen_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20081024</Default>                <Value>20081024</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.blw.klimaeignung-spezialkulturen/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Climat - vue d&#39;ensemble</ows:Title>            <ows:Abstract>La carte établie à l&#39;échelle 1:200 000 reflète, une appréciation générale des conditions climatiques et des restrictions à l&#39;égard de l&#39;agriculture, subdivisées en vingt catégories d&#39;aptitudes. Son but est de souligner les différences sensibles relatives aux possibilités de culture propres aux diverses régions</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.blw.klimaeignung-typ</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=f743a51c-7487-46a5-af16-5bf031edc417"/>            <Style>                <ows:Title>Climat - vue d&#39;ensemble</ows:Title>                <ows:Identifier>ch.blw.klimaeignung-typ</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.blw.klimaeignung-typ_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20081024</Default>                <Value>20081024</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.blw.klimaeignung-typ/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Climat - cultures dérobées</ows:Title>            <ows:Abstract>La carte établie à l&#39;échelle 1:200 000 reflète, une appréciation générale des conditions climatiques et des restrictions à l&#39;égard de l&#39;agriculture, subdivisées en vingt catégories d&#39;aptitudes. Son but est de souligner les différences sensibles relatives aux possibilités de culture propres aux diverses régions</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.blw.klimaeignung-zwischenfruchtbau</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=17b0f989-a79e-4837-b5a2-cf38c23a662c"/>            <Style>                <ows:Title>Climat - cultures dérobées</ows:Title>                <ows:Identifier>ch.blw.klimaeignung-zwischenfruchtbau</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.blw.klimaeignung-zwischenfruchtbau_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20081024</Default>                <Value>20081024</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.blw.klimaeignung-zwischenfruchtbau/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Limites des zones agricoles</ows:Title>            <ows:Abstract>Dans notre pays montagneux et collinaire, les agriculteurs doivent faire face aux conditions de production et de vie difficiles. Celles-ci sont équitablement prises en considération lors de l`application de la loi sur l`agriculture. C`est la subdivision des surfaces agricoles en zones qui permet de le garantir. Elle constitue la base du cadastre de la production agricole</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.blw.landwirtschaftliche-zonengrenzen</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=6e4544bc-55f4-4aef-b36a-e36fe376eaf8"/>            <Style>                <ows:Title>Limites des zones agricoles</ows:Title>                <ows:Identifier>ch.blw.landwirtschaftliche-zonengrenzen</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.blw.landwirtschaftliche-zonengrenzen_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20150708</Default>                <Value>20150708</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.blw.landwirtschaftliche-zonengrenzen/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Régime pluviométrique</ows:Title>            <ows:Abstract>La carte établie à l&#39;échelle 1:200 000 reflète, une appréciation générale des conditions climatiques et des restrictions à l&#39;égard de l&#39;agriculture, subdivisées en vingt catégories d&#39;aptitudes. Son but est de souligner les différences sensibles relatives aux possibilités de culture propres aux diverses régions</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.blw.niederschlagshaushalt</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=0335f9f0-b0b1-4925-9c9d-d530ed2dd1cf"/>            <Style>                <ows:Title>Régime pluviométrique</ows:Title>                <ows:Identifier>ch.blw.niederschlagshaushalt</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.blw.niederschlagshaushalt_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20081024</Default>                <Value>20081024</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.blw.niederschlagshaushalt/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Vignobles en pente</ows:Title>            <ows:Abstract>Afin que la difficulté des conditions de production et de vie dans l’agriculture soit équitablement prise en compte, des contributions pour des terrains en pente sont versées pour les surfaces donnant droit aux paiements directs. Pour les paiements directs, deux jeux de géodonnées ont été créés : un sur les terrains en pente (OGéo 152.1 ; OPD art. 43) et un sur les vignobles en pente (OGéo 152.2 ; DZV art. 45). Plusieurs classes de déclivité sont prises en compte. Le jeu de données sur les vignobles en pente est l’un des supports qui permet de calculer les paiements directs au moyen d’un système d’informations géographiques SIG. Il a été élaboré à l’échelle nationale de manière harmonisée. La production se fonde sur le modèle de terrain « MNT-MO Grid 2m » de swisstopo. On a distingué les classes de déclivité suivantes : &lt;30%; 30-50%; &gt;50 %. Les surfaces en pente d’une superficie inférieure à un are n’ont pas été prises en compte</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.blw.steil_terrassenlagen_rebbau</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=c3e162d0-512b-4baa-ae0f-0d4bd7418ad7"/>            <Style>                <ows:Title>Vignobles en pente</ows:Title>                <ows:Identifier>ch.blw.steil_terrassenlagen_rebbau</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.blw.steil_terrassenlagen_rebbau_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20121231</Default>                <Value>20121231</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.blw.steil_terrassenlagen_rebbau/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>IGP produits à base de viande</ows:Title>            <ows:Abstract>Le registre des appellations d’origine (AOP) et des indications géographiques (IGP) sert à protéger les noms géographiques et les dénominations traditionnelles qui désignent des produits agricoles (autres que le vin) dont l’identité et les principales caractéristiques sont déterminées par leur origine. Lorsqu’un nom est protégé, son utilisation est réservée aux producteurs de l’aire géographique définie, pour autant qu’ils respectent un cahier des charges détaillé. La protection de certaines désignations de produits agricoles vise à défendre les consommateurs contre la tromperie et à protéger les paysans contre la concurrence déloyale quant à l’utilisation de ces désignations. La réglementation applicable dans ce domaine permet la reconnaissance réciproque des produits de qualité entre la Suisse et l’Union européenne.Les AOP/IGP sont réparties en quatre catégories : fromages, produits à base de viande, produits végétaux et spiritueux. Environ 30 produits sont aujourd’hui inscrits au registre des appellations d’origine, qui en accueille en permanence de nouveaux</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.blw.ursprungsbezeichnungen-fleisch</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=d8a34a75-b1c3-4387-8b03-63dd150f529b"/>            <Style>                <ows:Title>IGP produits à base de viande</ows:Title>                <ows:Identifier>ch.blw.ursprungsbezeichnungen-fleisch</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.blw.ursprungsbezeichnungen-fleisch_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20110805</Default>                <Value>20110805</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.blw.ursprungsbezeichnungen-fleisch/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>AOP fromage</ows:Title>            <ows:Abstract>Le registre des appellations d’origine (AOP) et des indications géographiques (IGP) sert à protéger les noms géographiques et les dénominations traditionnelles qui désignent des produits agricoles (autres que le vin) dont l’identité et les principales caractéristiques sont déterminées par leur origine. Lorsqu’un nom est protégé, son utilisation est réservée aux producteurs de l’aire géographique définie, pour autant qu’ils respectent un cahier des charges détaillé. La protection de certaines désignations de produits agricoles vise à défendre les consommateurs contre la tromperie et à protéger les paysans contre la concurrence déloyale quant à l’utilisation de ces désignations. La réglementation applicable dans ce domaine permet la reconnaissance réciproque des produits de qualité entre la Suisse et l’Union européenne.Les AOP/IGP sont réparties en quatre catégories : fromages, produits à base de viande, produits végétaux et spiritueux. Environ 30 produits sont aujourd’hui inscrits au registre des appellations d’origine, qui en accueille en permanence de nouveaux</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.blw.ursprungsbezeichnungen-kaese</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=2109a970-681d-4efb-9fd5-6f7da5ae0e14"/>            <Style>                <ows:Title>AOP fromage</ows:Title>                <ows:Identifier>ch.blw.ursprungsbezeichnungen-kaese</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.blw.ursprungsbezeichnungen-kaese_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20081024</Default>                <Value>20081024</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.blw.ursprungsbezeichnungen-kaese/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>IGP Pâtisserie</ows:Title>            <ows:Abstract>Le registre des appellations d’origine (AOP) et des indications géographiques (IGP) sert à protéger les noms géographiques et les dénominations traditionnelles qui désignent des produits agricoles (autres que le vin) dont l’identité et les principales caractéristiques sont déterminées par leur origine. Lorsqu’un nom est protégé, son utilisation est réservée aux producteurs de l’aire géographique définie, pour autant qu’ils respectent un cahier des charges détaillé. La protection de certaines désignations de produits agricoles vise à défendre les consommateurs contre la tromperie et à protéger les paysans contre la concurrence déloyale quant à l’utilisation de ces désignations. La réglementation applicable dans ce domaine permet la reconnaissance réciproque des produits de qualité entre la Suisse et l’Union européenne.Les AOP/IGP sont réparties en quatre catégories : fromages, produits à base de viande, produits végétaux et spiritueux. Environ 30 produits sont aujourd’hui inscrits au registre des appellations d’origine, qui en accueille en permanence de nouveaux</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.blw.ursprungsbezeichnungen-konditoreiwaren</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=0652c964-e9d5-4c4a-8efe-5043f48b457f"/>            <Style>                <ows:Title>IGP Pâtisserie</ows:Title>                <ows:Identifier>ch.blw.ursprungsbezeichnungen-konditoreiwaren</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.blw.ursprungsbezeichnungen-konditoreiwaren_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20150306</Default>                <Value>20150306</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.blw.ursprungsbezeichnungen-konditoreiwaren/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>AOP Produits végétaux</ows:Title>            <ows:Abstract>Le registre des appellations d’origine (AOP) et des indications géographiques (IGP) sert à protéger les noms géographiques et les dénominations traditionnelles qui désignent des produits agricoles (autres que le vin) dont l’identité et les principales caractéristiques sont déterminées par leur origine. Lorsqu’un nom est protégé, son utilisation est réservée aux producteurs de l’aire géographique définie, pour autant qu’ils respectent un cahier des charges détaillé. La protection de certaines désignations de produits agricoles vise à défendre les consommateurs contre la tromperie et à protéger les paysans contre la concurrence déloyale quant à l’utilisation de ces désignations. La réglementation applicable dans ce domaine permet la reconnaissance réciproque des produits de qualité entre la Suisse et l’Union européenne.Les AOP/IGP sont réparties en quatre catégories : fromages, produits à base de viande, produits végétaux et spiritueux. Environ 30 produits sont aujourd’hui inscrits au registre des appellations d’origine, qui en accueille en permanence de nouveaux</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.blw.ursprungsbezeichnungen-pflanzen</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=199c9078-9da7-4a77-b811-b342adc2a116"/>            <Style>                <ows:Title>AOP Produits végétaux</ows:Title>                <ows:Identifier>ch.blw.ursprungsbezeichnungen-pflanzen</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.blw.ursprungsbezeichnungen-pflanzen_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20081024</Default>                <Value>20081024</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.blw.ursprungsbezeichnungen-pflanzen/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>AOP spiritueux</ows:Title>            <ows:Abstract>Le registre des appellations d’origine (AOP) et des indications géographiques (IGP) sert à protéger les noms géographiques et les dénominations traditionnelles qui désignent des produits agricoles (autres que le vin) dont l’identité et les principales caractéristiques sont déterminées par leur origine. Lorsqu’un nom est protégé, son utilisation est réservée aux producteurs de l’aire géographique définie, pour autant qu’ils respectent un cahier des charges détaillé. La protection de certaines désignations de produits agricoles vise à défendre les consommateurs contre la tromperie et à protéger les paysans contre la concurrence déloyale quant à l’utilisation de ces désignations. La réglementation applicable dans ce domaine permet la reconnaissance réciproque des produits de qualité entre la Suisse et l’Union européenne.Les AOP/IGP sont réparties en quatre catégories : fromages, produits à base de viande, produits végétaux et spiritueux. Environ 30 produits sont aujourd’hui inscrits au registre des appellations d’origine, qui en accueille en permanence de nouveaux</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.blw.ursprungsbezeichnungen-spirituosen</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=bc34236a-ffe9-40af-9eae-d2cf1e0e96e6"/>            <Style>                <ows:Title>AOP spiritueux</ows:Title>                <ows:Identifier>ch.blw.ursprungsbezeichnungen-spirituosen</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.blw.ursprungsbezeichnungen-spirituosen_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20081024</Default>                <Value>20081024</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.blw.ursprungsbezeichnungen-spirituosen/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Plans des zones d’urgence</ows:Title>            <ows:Abstract>Les plans des zones d’urgence au voisinage des installations nucléaires montrent le classement des communes aux alentours des centrales nucléaires dans les zones 1 et 2.L&#39;IFSN élabore et entretient les plans de zones selon l&#39;article 3, par. 4 de l&#39; ordonnance sur la protection en cas d’urgence au voisinage des installations nucléaires (SR 732.33).La zone 1 couvre l’aire proche de l’installation nucléaire où une défaillance grave peut causer un danger exigeant des mesures immédiates de protection de la population.La zone 2 est contiguë à la zone 1 et couvre l’aire où une défaillance grave de l’installation nucléaire peut causer un danger exigeant des mesures de protection de la population. Elle est subdivisée en secteurs de danger.Le reste du territoire suisse constitue la zone 3.Pour le dépôt intermédiaire fédéral à l’IPS-Est et le dépôt intermédiaire SCSI à Würenlingen une zone spécifique de danger de l’IPS/SCSI a été definie</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.ensi.zonenplan-notfallschutz-kernanlagen</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=60e40dd3-a00b-4b34-a9c6-8813f21711b9"/>            <Style>                <ows:Title>Plans des zones d’urgence</ows:Title>                <ows:Identifier>ch.ensi.zonenplan-notfallschutz-kernanlagen</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.ensi.zonenplan-notfallschutz-kernanlagen_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20120101</Default>                <Value>20120101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.ensi.zonenplan-notfallschutz-kernanlagen/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Epaisseur des roches meubles</ows:Title>            <ows:Abstract>Les formes du relief actuel de la Suisse s’expliquent largement par l’action des glaciations (Quaternaire : ~2,4 millions d’années jusqu’à nos jours). Cette période est marquée par des changements climatiques importantes, et par plusieurs avancées des glaciers jusque loin le piémont, des deux côtés des Alpes. Les vallums morainiques, les terrasses de kames, les drumlins, les chenaux d’eau de fonte, les accumulations de gravier de même que les blocs erratiques sont des témoins-clés pour la reconstitution de l’extension des glaciers. Ils sont le plus épais dans les vallées – jusqu’à plusieurs centaines de mètres. Beaucoup de ces types de dépôts sont des importants aquifères, des ressources naturelles (p.ex. gravier) et des sols arables. Le contraste de densité entre ces sédiments et le substratum rocheux plus âgé et plus profond permet une cartographie de l’épaisseur des roches non consolidées par les méthodes gravimétriques. Cette carte de la Commission suisse de géophysique représente une synthèse, pas encore actualisée, de documents déjà publiés, de valeurs obtenues par inversion des anomalies de Bouguer, et de données gracieusement fournies par la NAGRA.- Par E. KLINGELE, 2012</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.sgpk.maechtigkeit-lockergesteine</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=8097719b-8fca-49be-bfd5-e0916be08848"/>            <Style>                <ows:Title>Epaisseur des roches meubles</ows:Title>                <ows:Identifier>ch.sgpk.maechtigkeit-lockergesteine</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.sgpk.maechtigkeit-lockergesteine_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20120918</Default>                <Value>20120918</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.sgpk.maechtigkeit-lockergesteine/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>MN95 Maillage triangulaire</ows:Title>            <ows:Abstract>Le maillage triangulaire au niveau de la mensuration nationale (FINELTRA-MN) a été achevé dans les années 90 et a permis de transformer des géodonnées MN03 vers MN95, et réciproquement, avec une précision de l&#39;ordre du décimètre. Ce maillage a été consolidé de manière systématique par les cantons ces dernières années, puis assemblé par swisstopo en 2006 en un jeu de données nommé CHENyx06. Avec CHENyx06, des géodonnées peuvent être transformées avec une précision moyenne de 2 cm de MN03 vers MN95, et inversement. Les maillages triangulaires sont élaborés à partir de points d’appui pour la transformation (PAT). Les PAT sont des points mesurés de façon précise dans les cadres de référence MN03 et MN95. Les PAT de catégories 1 et 2 sont disponibles sur le service de données sur les points fixes (FPDS) ou dans la couche « Points fixes en planimétrie » du géoportail fédéral map.geo.admin.ch. Les informations concernant d’autres PAT sont disponibles auprès des cantons</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.dreiecksvermaschung</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=fb7fe701-04b1-4a0c-ba3a-90dbc5bd23d3"/>            <Style>                <ows:Title>MN95 Maillage triangulaire</ows:Title>                <ows:Identifier>ch.swisstopo.dreiecksvermaschung</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.dreiecksvermaschung_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20061231</Default>                <Value>20061231</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.dreiecksvermaschung/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>AGNES</ows:Title>            <ows:Abstract>Au lieu de mettre à diposition des utilisateurs le nouveau cadre de référence MN95 de manière classique à travers les coordonnées sur des protocoles de points, il est possible de réaliser MN95 au moyen de stations GNSS permanentes stables. A partir de cette hypothèse est né le réseau automatique GNSS Suisse (AGNES)</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.fixpunkte-agnes</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=d2152a5b-3c64-4a4a-abf5-0ae342f2f108"/>            <Style>                <ows:Title>AGNES</ows:Title>                <ows:Identifier>ch.swisstopo.fixpunkte-agnes</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.fixpunkte-agnes_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20140924</Default>                <Value>20140924</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.fixpunkte-agnes/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Points fixes altimétriques PFA1</ows:Title>            <ows:Abstract>Les points de mensuration constituent la base de toutes les données à référence spatiale. L’utilisation des points dits fixes est recommandée pour tous les travaux techniques nécessitant des mesures fiables et précises d’ouvrages. Par point fixe altimétrique, on entend un point matérialisé de façon durable à l&#39;aide d&#39;une cheville dont l&#39;altitude est connue. La mensuration nationale (swisstopo) est responsable des points fixes altimétriques de première catégorie (PFA1). Ces derniers composent le cadre de référence altimétrique de tous les travaux de mensuration effectués en Suisse. L&#39;altitude usuelle NF02 des PFA1 a été déterminée par nivellement de précision fédéral</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.fixpunkte-hfp1</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=1ca6ef94-7204-424c-b2a6-d73158305df6"/>            <Style>                <ows:Title>Points fixes altimétriques PFA1</ows:Title>                <ows:Identifier>ch.swisstopo.fixpunkte-hfp1</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.fixpunkte-hfp1_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20121212</Default>                <Value>20121212</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_18</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.fixpunkte-hfp1/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Points fixes altimétriques PFA2</ows:Title>            <ows:Abstract>Les points de mensuration constituent la base de toutes les données à référence spatiale. L’utilisation des points dits fixes est recommandée pour tous les travaux techniques nécessitant des mesures fiables et précises d’ouvrages. Par point fixe altimétrique, on entend un point matérialisé de façon durable à l&#39;aide d&#39;une cheville dont l&#39;altitude est connue. Les points fixes de catégorie 2 (PFA2) et 3 (PFA3) servent à densifier le réseau de points national et constituent la base de la mensuration officielle. Les cantons sont responsables des PFA2 et les géomètres ou les cantons des PFA3. Les points fixes altimétries de la deuxième catégorie (PFA2), avec les PFA1, composent le cadre de référence altimétrique de tous les travaux de mensuration effectués en Suisse. L&#39;altitude usuelle NF02 des PFA2 a été déterminée par nivellement cantonal</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.fixpunkte-hfp2</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=06044c35-4164-41c6-a4df-297749c03227"/>            <Style>                <ows:Title>Points fixes altimétriques PFA2</ows:Title>                <ows:Identifier>ch.swisstopo.fixpunkte-hfp2</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.fixpunkte-hfp2_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20121212</Default>                <Value>20121212</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_18</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.fixpunkte-hfp2/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Points fixes planimétriques PFP1</ows:Title>            <ows:Abstract>Les points de mensuration constituent la base de toutes les données à référence spatiale. L’utilisation des points dits fixes est recommandée pour tous les travaux techniques nécessitant des mesures fiables et précises d’ouvrages. Par point fixe planimétrique, on entend un point matérialisé de façon durable à l&#39;aide d&#39;une borne ou d&#39;une cheville (parfois située dans un regard) dont les coordonnées et éventuellement l&#39;altitude sont connues. La mensuration nationale (swisstopo) est responsable des points fixes planimétriques de première catégorie. Il en existe plusieurs types: * Les points fixes planimétriques de la première catégorie (PFP1) composent le cadre de référence planimétrique de tous les travaux de mensuration effectués en Suisse. Les coordonnées MN03 des points fixes planimétriques historiques ont été déterminées par triangulation au début du 20ème siècle. * Les points d’appui pour la transformation (PAT1) sont des points fixes planimétriques dont les coordonnées ont été mesurées de façon précise dans les cadres de références MN03 et MN95. * Les points EUREF sont des points fixes planimétriques du réseau de référence GNSS européen EUREF (European Reference Frame). * Les points MN95 sont des points fixes planimétriques servant de base pour le nouveau cadre de référence MN95. Leurs coordonnées ont été mesurées de façon précise par GNSS. Puisqu&#39;un point fixe peut être à la fois de plusieurs types, les symboles de la légende peuvent être superposés sur la carte</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.fixpunkte-lfp1</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=7a49183b-9766-40dd-936c-fb09fdded185"/>            <Style>                <ows:Title>Points fixes planimétriques PFP1</ows:Title>                <ows:Identifier>ch.swisstopo.fixpunkte-lfp1</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.fixpunkte-lfp1_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20121212</Default>                <Value>20121212</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_18</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.fixpunkte-lfp1/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Points fixes planimétriques PFP2</ows:Title>            <ows:Abstract>Les points de mensuration constituent la base de toutes les données à référence spatiale. L’utilisation des points dits fixes est recommandée pour tous les travaux techniques nécessitant des mesures fiables et précises d’ouvrages. Par point fixe planimétrique, on entend un point matérialisé de façon durable à l&#39;aide d&#39;une borne ou d&#39;une cheville (parfois située dans un regard) dont les coordonnées et éventuellement l&#39;altitude sont connues. Les points fixes planimétriques de catégorie 2 (PFP2) et 3 (PFP3) servent à densifier le réseau de points national et constituent la base de la mensuration officielle. Les cantons sont responsables des PFP2 et les géomètres ou les cantons des PFP3. Il existe plusieurs types de points fixes planimétriques de catégorie 2: * Les points fixes planimétriques de deuxième catégorie (PFP2), avec les PFP1, composent avec le cadre de référence planimétrique de tous les travaux de mensuration effectués en Suisse. Les coordonnées MN03 des points fixes planimétriques historiques ont été déterminées par triangulation au début du 20ème siècle. * Les points d’appui pour la transformation (PAT2) sont des points fixes planimétriques dont les coordonnées ont été mesurées de façon précise par GNSS dans les cadres de références MN03 et MN95. Puisqu&#39;un point fixe peut être à la fois de plusieurs types, les symboles de la légende peuvent être superposés sur la carte</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.fixpunkte-lfp2</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=12ee04c7-b38d-4809-b417-ce304df6c7cc"/>            <Style>                <ows:Title>Points fixes planimétriques PFP2</ows:Title>                <ows:Identifier>ch.swisstopo.fixpunkte-lfp2</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.fixpunkte-lfp2_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20121212</Default>                <Value>20121212</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_18</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.fixpunkte-lfp2/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Géoïde en CH1903</ows:Title>            <ows:Abstract>Modèle du géoïde de la Suisse de la version de 2004 (CHGeo2004) dans le système de référence CH1903. Le modèle forme la surface zéro de référence (proche du niveau moyen des mers) pour la détermination des altitudes. Il permet la transformation entre des hauteurs ellipsoïdales et des altitudes orthométriques (RAN95). Les altitudes du géoïde sont enregistrées sur une grille de résolution 1 x 1 km et sont interpolées par la méthode biquadratique. Le modèle est disponible en plusieurs systèmes de référence et en différents formats</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.geoidmodell-ch1903</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=2b20aece-5cb1-41f1-a618-7c6e1ff6a81b"/>            <Style>                <ows:Title>Géoïde en CH1903</ows:Title>                <ows:Identifier>ch.swisstopo.geoidmodell-ch1903</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.geoidmodell-ch1903_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20041231</Default>                <Value>20041231</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.geoidmodell-ch1903/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Géoïde en ETRS89</ows:Title>            <ows:Abstract>Modèle du géoïde de la Suisse de la version de 2004 (CHGeo2004) dans le système de référence ETRS89. Le modèle forme la surface zéro de référence (proche du niveau moyen des mers) pour la détermination des altitudes. Il permet la transformation entre des hauteurs ellipsoïdales et des altitudes orthométriques (RAN95). Les altitudes du géoïde sont enregistrées sur une grille de résolution 30 x 30 secondes et sont interpolées par la méthode biquadratique. Le modèle est disponible en plusieurs systèmes de référence et en différents formats</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.geoidmodell-etrs89</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=8454f7d9-e3f2-4cc7-be6d-a82196660ccd"/>            <Style>                <ows:Title>Géoïde en ETRS89</ows:Title>                <ows:Identifier>ch.swisstopo.geoidmodell-etrs89</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.geoidmodell-etrs89_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20041231</Default>                <Value>20041231</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.geoidmodell-etrs89/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Radiation terrestre</ows:Title>            <ows:Abstract>Les sols et les roches renferment des éléments naturels instables, comme l’uranium, le thorium et le potassium, qui émettent un rayonnement radioactif en se désintégrant. La majeure partie du rayonnement mesuré en surface provient des 30 à 40 cm supérieurs du sol. Le débit de dose radioactive terrestre est enregistré à un mètre de hauteur et il est exprimé en nanosieverts par heure (nSv/h). En Suisse, on trouve des lithologies riches en uranium, thorium et potassium dans les Alpes principalement. La carte du débit de dose radioactive terrestre a été établie par spectrométrie gamma mise en oeuvre à différents niveaux: mesures d’échantillons de sol en laboratoire, mesures directes sur le terrain et mesures aériennes. Comme les points de mesure sont inégalement répartis sur le territoire suisse, les données existantes ont été interpolées pour obtenir un maillage régulier de 2 × 2 km</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.geologie-dosisleistung-terrestrisch</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=eccbc751-9928-4221-89e1-1184cbb3aff5"/>            <Style>                <ows:Title>Radiation terrestre</ows:Title>                <ows:Identifier>ch.swisstopo.geologie-dosisleistung-terrestrisch</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.geologie-dosisleistung-terrestrisch_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>19961231</Default>                <Value>19961231</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.geologie-dosisleistung-terrestrisch/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Dernier max. glaciaire (vect.) 500</ows:Title>            <ows:Abstract>La Carte (GK500-LGM) représente la plus grande extension des glaciers en Suisse lors de la culmination de la dernière période glaciaire, il y a environ 24&#39;000 ans. Elle présente les derniers résultats de la recherche glaciaire avec un rendu cartographique de haute qualité. La formation et la fonte des glaciers permettent de tirer des conclusions sur les changements écologiques dûs au climat durant le passé géologique récent. - Par A. Bini, J.-F. Buoncristiani, S. Couterrand, D. Ellwanger, M. Felber, D. Florineth, H. R. Graf, O. Keller, M. Kelly, C. Schlüchter, &amp; P. Schoeneich, 2009</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.geologie-eiszeit-lgm</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=75c2f212-413c-4d55-8a93-c021c8bbfc95"/>            <Style>                <ows:Title>Dernier max. glaciaire (vect.) 500</ows:Title>                <ows:Identifier>ch.swisstopo.geologie-eiszeit-lgm</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.geologie-eiszeit-lgm_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20110318</Default>                <Value>20110318</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.geologie-eiszeit-lgm/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Dernier max. glaciaire (carte) 500</ows:Title>            <ows:Abstract>La carte (GK500-LGM) représente la plus grande extension des glaciers en Suisse lors de la culmination de la dernière période glaciaire, il y a environ 24&#39;000 ans. Elle présente les derniers résultats de la recherche glaciaire avec un rendu cartographique de haute qualité. La formation et la fonte des glaciers permettent de tirer des conclusions sur les changements écologiques dûs au climat durant le passé géologique récent.- Par A. Bini, J.-F. Buoncristiani, S. Couterrand, D. Ellwanger, M. Felber, D. Florineth, H. R. Graf, O. Keller, M. Kelly, C. Schlüchter, &amp; P. Schoeneich, 2009</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.geologie-eiszeit-lgm-raster</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=f1455593-7571-48b0-8603-307ec59a6702"/>            <Style>                <ows:Title>Dernier max. glaciaire (carte) 500</ows:Title>                <ows:Identifier>ch.swisstopo.geologie-eiszeit-lgm-raster</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.geologie-eiszeit-lgm-raster_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20081231</Default>                <Value>20081231</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.geologie-eiszeit-lgm-raster/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>GeoCover - données vectorielles</ows:Title>            <ows:Abstract>Les jeux de données vectorielles se basent sur les feuilles de l&#39;Atlas géologique Suisse (GA25) lorsque celles-ci sont disponibles en version imprimée. Dans les autres cas, les jeux de données sont digitalisés sur la base d&#39;une compilation de cartes spéciales et d&#39;originaux à différentes échelles, disponibles au Service géologique national</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.geologie-geocover</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=2467ab13-e794-4c13-8c55-59fe276398c5"/>            <Style>                <ows:Title>GeoCover - données vectorielles</ows:Title>                <ows:Identifier>ch.swisstopo.geologie-geocover</ows:Identifier>                                                             </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20161231</Default>                <Value>20161231</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_23</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.geologie-geocover/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Anomalies de Bouguer 500</ows:Title>            <ows:Abstract>L’accélération de la pesanteur dépend de la position du point de mesure ainsi que des variations latérales des densités du sous-sol. On nomme anomalie de Bouguer la différence entre l’intensité de la pesanteur mesurée en un point donnée de la surface terrestre et la valeur calculée au même point d’un modèle de Terre idéale, dotée d’un croûte homogène. Les calculs des anomalies gravitaires de la croûte terrestre se basent sur la formule internationale de gravité de 1967. L&#39;incidence de la topographie a été prise en compte avec une densité constante de 2670 kg / m3 jusqu’à 167 km (zone O2 de Hayford). La carte met en évidence les anomalies régionales négatives de la pesanteur de la chaîne alpine et d&#39;autre part l&#39;anomalie positive de la zone Sesia–Finero qui signifie un excédent de masse en profondeur.- Par E. KLINGELE &amp; R. OLIVIER, 1979- Nouvelle édition R. OLIVIER, B. DUMONT &amp; E. KLINGELE, 2008</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.geologie-geodaesie-bouguer_anomalien</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=618c9697-129f-47c7-830a-7a256b4c2499"/>            <Style>                <ows:Title>Anomalies de Bouguer 500</ows:Title>                <ows:Identifier>ch.swisstopo.geologie-geodaesie-bouguer_anomalien</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.geologie-geodaesie-bouguer_anomalien_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20110406</Default>                <Value>20110406</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.geologie-geodaesie-bouguer_anomalien/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Anomalies isostatiques 500</ows:Title>            <ows:Abstract>En utilisant l’hypothèse de Pratt ou d’Airy, l’anomalie isostatique peut être dérivée. Cette anomalie correspond à la déviation de la flottaison statique de la croûte dans le manteau terrestre supérieure. La déviation tient compte la structure de racine sous la croûte (chaîne de montagnes), mais la forme de structure de racine n’est pas toujours clairement définie. L’hypothèse d’Airy-Heiskanen et les densités suivantes ont été utilisées pour la carte : manteau terrestre = 3.31 g/cm3, croûte terrestre au-dessous ellipsoïde = de 2.81 g/cm3, croûte terrestre au-dessus ellipsoïde = de 2.67 g/cm3. - Par E. KLINGELE, 1979</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.geologie-geodaesie-isostatische_anomalien</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=7234896a-842c-4524-8710-5d900953cb1d"/>            <Style>                <ows:Title>Anomalies isostatiques 500</ows:Title>                <ows:Identifier>ch.swisstopo.geologie-geodaesie-isostatische_anomalien</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.geologie-geodaesie-isostatische_anomalien_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>19791231</Default>                <Value>19791231</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.geologie-geodaesie-isostatische_anomalien/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Géologie 500 - papier</ows:Title>            <ows:Abstract>Découpage d&#39; une série de cartes géologiques, tectoniques, hydrogéologiques et géophysiques d&#39;ensemble de la Suisse. Ces cartes donnent une vue d&#39;ensemble à grande échelle de la nature et des caractéristiques du sous-sol de notre pays</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.geologie-geolkarten500.metadata</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=c8e951b2-35d1-4382-9c41-d7c55d846960"/>            <Style>                <ows:Title>Géologie 500 - papier</ows:Title>                <ows:Identifier>ch.swisstopo.geologie-geolkarten500.metadata</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.geologie-geolkarten500.metadata_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20070425</Default>                <Value>20070425</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.geologie-geolkarten500.metadata/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Géologie 500</ows:Title>            <ows:Abstract>La carte géologique de la Suisse au 1:500`000 (GK500-Geol) donne un aperçu des couches géologiques superficielles de tout le territoire suisse et des régions limitrophes. Elle donne un aperçu des couches géologiques superficielles. Il s’agit donc d’une importante base de données et d’un outil aidant à mieux comprendre notre environnement dans l’optique d`un développement durable. C’est un auxiliaire indispensable pour la formation dans les domaines des sciences de la terre, de l`environnement et des dangers naturels</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.geologie-geologische_karte</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=ca917a71-dcc9-44b6-8804-823c694be516"/>            <Style>                <ows:Title>Géologie 500</ows:Title>                <ows:Identifier>ch.swisstopo.geologie-geologische_karte</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.geologie-geologische_karte_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20080630</Default>                <Value>20080630</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.geologie-geologische_karte/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Atlas géologique AG25</ows:Title>            <ows:Abstract>Les feuilles de l&#39;Atlas géologique de la Suisse (AG25) fournissent des renseignements détaillés sur les couches superficielles du sous-sol. Les formations géologiques sont représentées au moyen de couleurs, et de figurés en fonction de leur âge, de la nature de leurs substances et de leurs relations stratigraphiques (tectonique). Chaque feuille de l&#39;atlas est publiée avec une notice explicative décrivant les formations et les particularités géologiques du secteur concernée. Des 220 cartes géologiques prévues, un peu plus de la moitié sont déjà publiés</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.geologie-geologischer_atlas</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=258814a5-8fcf-47df-b0c6-160602b0078c"/>            <Style>                <ows:Title>Atlas géologique AG25</ows:Title>                <ows:Identifier>ch.swisstopo.geologie-geologischer_atlas</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.geologie-geologischer_atlas_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20131120</Default>                <Value>20131120</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.geologie-geologischer_atlas/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Aéromagnétique Plateau/Jura 500</ows:Title>            <ows:Abstract>La magnétisation d’une roche est produite par la magnétisation induite par le champ terrestre et par la magnétisation rémanente produite par le champ terrestre lors de la formation de la roche. Les déviations locales ou régionales du champ magnétique terrestre, appelées anomalies, par rapport à un modèle global peuvent être mesurées à l’aide de levés fait par avion. Ces anomalies peuvent permettre la mise en évidence de structures géologiques ou tectoniques ainsi que de la présence de concentration de minéraux utiles. La carte aéromagnétique spéciale montrent l&#39;intensité totale du champ magnétique mesurée à 1829 m.s.M. (Epoque 1980.5). – Carte papier: E. KLINGELE, 1983 (champ total). - Carte papier: champ total, E. KLINGELE, 1982. – Carte vectorielle: version en ligne, anomalies aéromagnétiques résiduelles(soustraction des tendances régionales), E. KLINGELE, 2009</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.geologie-geophysik-aeromagnetische_karte_jura</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=f952b9be-9a11-478c-a21c-9d5e8631c7c2"/>            <Style>                <ows:Title>Aéromagnétique Plateau/Jura 500</ows:Title>                <ows:Identifier>ch.swisstopo.geologie-geophysik-aeromagnetische_karte_jura</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.geologie-geophysik-aeromagnetische_karte_jura_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>19831231</Default>                <Value>19831231</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.geologie-geophysik-aeromagnetische_karte_jura/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Aéromagnétique 500</ows:Title>            <ows:Abstract>La magnétisation d’une roche est produite par la magnétisation induite par le champ terrestre et par la magnétisation rémanente produite par le champ terrestre lors de la formation de la roche. Les déviations locales ou régionales du champ magnétique terrestre, appelées anomalies, par rapport à un modèle global peuvent être mesurées à l’aide de levés fait par avion. Ces anomalies peuvent permettre la mise en évidence de structures géologiques ou tectoniques ainsi que de la présence de concentration de minéraux utiles. La Carte aéromagnétique de la Suisse montrent l&#39;intensité totale du champ magnétique mesurée à 5000 m.s.M. (Epoque 1981.5).- Carte papier: E. KLINGELE, 1982 (champ total). - Carte papier: champ total, E. KLINGELE, 1982. - Carte vectorielle: version en ligne, anomalies aéromagnétiques résiduelles(soustraction des tendances régionales), E. KLINGELE, 2009</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.geologie-geophysik-aeromagnetische_karte_schweiz</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=4cc706a2-0005-4cc6-8326-7b944a1d5b05"/>            <Style>                <ows:Title>Aéromagnétique 500</ows:Title>                <ows:Identifier>ch.swisstopo.geologie-geophysik-aeromagnetische_karte_schweiz</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.geologie-geophysik-aeromagnetische_karte_schweiz_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20120628</Default>                <Value>20120628</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.geologie-geophysik-aeromagnetische_karte_schweiz/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Déclinaison 500</ows:Title>            <ows:Abstract>Les cartes géomagnétiques découlent des mesures des éléments de l’intensité totale, de la déclinaison et de l’inclinaison. La déclinaison est l’écart du nord magnétique par rapport au nord géographique. Du fait que le champ magnétique terrestre varie en fonction du temps les cartes géomagnétiques ne se réfèrent qu’à une époque donnée. Elles peuvent être adaptées à l’aide de formules correctives dont les coefficients sont déterminés expérimentalement.- Carte papier: G. FISCHER &amp; P.-A. SCHNEGG, 1979 (Notice explicative au dos de la carte). - Carte vectorielle: 2001</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.geologie-geophysik-deklination</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=8f38b25f-f984-450a-ae48-02290e82136c"/>            <Style>                <ows:Title>Déclinaison 500</ows:Title>                <ows:Identifier>ch.swisstopo.geologie-geophysik-deklination</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.geologie-geophysik-deklination_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20011203</Default>                <Value>20011203</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.geologie-geophysik-deklination/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Densité de flux thermique 500</ows:Title>            <ows:Abstract>La carte géothermique rend compte de l’énergie thermique produite dans le sous-sol qui traverse 1 m2 de surface terrestre. Un grand partie de la chaleur est libérée par des processus de désintégration radioactive qui se déroulent dans la mince croûte terrestre (~30 km). En Suisse, le flux de chaleur moyen est ~90 mW/m2. Le flux de chaleur est le plus élevé dans le nord de la Suisse, et il est le plus faible dans l’arc alpin et dans le Jura. Les écartes sont généralement dus à des eaux souterraines qui circulent en profondeur dans des roches perméables. Les valeurs du flux de chaleur sont calculées à partir du gradient thermique (en moyenne ~30 K/km) et de la conductivité thermique des roches (en moyenne 3 W/m/K).- Carte papier: PH. BODMER, 1982. - Carte vectorielle: 2001</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.geologie-geophysik-geothermie</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=2d8174b2-8c4a-44ea-b470-cb3f216b90d1"/>            <Style>                <ows:Title>Densité de flux thermique 500</ows:Title>                <ows:Identifier>ch.swisstopo.geologie-geophysik-geothermie</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.geologie-geophysik-geothermie_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20111121</Default>                <Value>20111121</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.geologie-geophysik-geothermie/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Inclinaison 500</ows:Title>            <ows:Abstract>Les cartes géomagnétiques découlent des mesures des éléments de l’intensité totale, de la déclinaison et de l’inclinaison. L’inclinaison est l’angle entre le champ magnétique et la surface de la Terre. Du fait que le champ magnétique terrestre varie en fonction du temps les cartes géomagnétiques ne se réfèrent qu’à une époque donnée. Elles peuvent être adaptées à l’aide de formules correctives dont les coefficients sont déterminés expérimentalement.- Carte papier: G. FISCHER &amp; P.-A. SCHNEGG, 1979 (Notice explicative au dos de la carte). - Carte vectorielle: 2001</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.geologie-geophysik-inklination</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=639c0536-bfea-44d3-b088-ed7b6b43cde9"/>            <Style>                <ows:Title>Inclinaison 500</ows:Title>                <ows:Identifier>ch.swisstopo.geologie-geophysik-inklination</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.geologie-geophysik-inklination_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20111128</Default>                <Value>20111128</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.geologie-geophysik-inklination/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Intensité champ magnétique 500</ows:Title>            <ows:Abstract>Les cartes géomagnétiques découlent des mesures des éléments de l’intensité totale, de la déclinaison et de l’inclinaison. Le champ magnétique terrestre est défini à l’aide d’un vecteur représenté par sa direction et son intensité (nT). Du fait que le champ magnétique terrestre varie en fonction du temps les cartes géomagnétiques ne se réfèrent qu’à une époque donnée. Elles peuvent être adaptées à l’aide de formules correctives dont les coefficients sont déterminés expérimentalement.- Carte papier: G. FISCHER &amp; P.-A. SCHNEGG, 1979 (Notice explicative au dos de la carte). - Carte vectorielle: 2001</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.geologie-geophysik-totalintensitaet</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=132d9ff6-92de-4c02-87a7-72df26bcb33e"/>            <Style>                <ows:Title>Intensité champ magnétique 500</ows:Title>                <ows:Identifier>ch.swisstopo.geologie-geophysik-totalintensitaet</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.geologie-geophysik-totalintensitaet_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>19800101</Default>                <Value>19800101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.geologie-geophysik-totalintensitaet/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Carte géotechnique 200</ows:Title>            <ows:Abstract>Dans la carte géotechnique 1:200&#39;000 (GK200) le sous-sol est classé par critères lithologiques-pétrographiques. La légende est conçue pour servir à l&#39;utilisation technique du sous-sol (extraction de ressources minérales, projets de construction). Les points superposés indiquent les carrières de roches meubles et cohérentes ainsi que les usines de traitement. Les cartes suivantes sont disponibles: Feuille 1, Neuchâtel-Bern-Basel (1964); Feuille 2, Luzern-Zürich-St.Gallen-Chur (1963); Feuille 3, Genève-Lausanne-Sion (1965); Feuille 4, Bellinzona-St.Moritz (1967)</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.geologie-geotechnik-gk200</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=6dd16d72-047b-4489-91dc-b36eeabf972e"/>            <Style>                <ows:Title>Carte géotechnique 200</ows:Title>                <ows:Identifier>ch.swisstopo.geologie-geotechnik-gk200</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.geologie-geotechnik-gk200_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>19670101</Default>                <Value>19670101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.geologie-geotechnik-gk200/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Origine des roches 500</ows:Title>            <ows:Abstract>La carte géotechnique 1:500&#39;000 (GK500) de la Commission Géotechnique Suisse (SGTK) montre le sous-sol selon des critères lithologiques pétrographiques. La légende est conçu pour répondre à l&#39;utilisation technique du sous-sol (extraction de ressources minérales, constructions). Dans cette représentation, les roches sont subdivisées en groupes en fonction de leur mode de formation (genèse), p. ex. dépôts fluviatiles et glaciaires, roches résultant de la solidification d&#39;un magma, roches résultant de la transformation sous l&#39;action de la pression et de la température</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.geologie-geotechnik-gk500-genese</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=65652bdd-76e3-4df2-9329-140a04a2a66c"/>            <Style>                <ows:Title>Origine des roches 500</ows:Title>                <ows:Identifier>ch.swisstopo.geologie-geotechnik-gk500-genese</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.geologie-geotechnik-gk500-genese_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20060304</Default>                <Value>20060304</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.geologie-geotechnik-gk500-genese/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Classification des roches 500</ows:Title>            <ows:Abstract>La carte géotechnique 1:500&#39;000 (GK500) de la Commission Géotechnique Suisse (SGTK) montre le sous-sol selon des critères lithologiques pétrographiques. La légende est conçu pour répondre à l&#39;utilisation technique du sous-sol (extraction de ressources minérales, constructions). Une classification sommaire permet de distinguer trois types de roches: roches meubles, roches sédimentaires et roches cristallines</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.geologie-geotechnik-gk500-gesteinsklassierung</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=f2c81b93-f0c5-4899-83a9-974ce36c48e6"/>            <Style>                <ows:Title>Classification des roches 500</ows:Title>                <ows:Identifier>ch.swisstopo.geologie-geotechnik-gk500-gesteinsklassierung</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.geologie-geotechnik-gk500-gesteinsklassierung_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20060304</Default>                <Value>20060304</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.geologie-geotechnik-gk500-gesteinsklassierung/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Lithologie (Groupes) 500</ows:Title>            <ows:Abstract>La carte géotechnique 1:500&#39;000 (GK500) de la Commission Géotechnique Suisse (SGTK) montre le sous-sol selon des critères lithologiques pétrographiques. La légende est conçu pour répondre à l&#39;utilisation technique du sous-sol (extraction de ressources minérales, constructions). Dans la vue d&#39;ensemble, les roches sont subdivisées en 25 groupes selon leur genèse, leur composition minéralogique, leur granulométrie et leur degré de cristallisation</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.geologie-geotechnik-gk500-lithologie_hauptgruppen</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=435522fb-599e-41c0-a7c0-49d922ea6acf"/>            <Style>                <ows:Title>Lithologie (Groupes) 500</ows:Title>                <ows:Identifier>ch.swisstopo.geologie-geotechnik-gk500-lithologie_hauptgruppen</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.geologie-geotechnik-gk500-lithologie_hauptgruppen_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20060304</Default>                <Value>20060304</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.geologie-geotechnik-gk500-lithologie_hauptgruppen/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Mat. premières minérales 200</ows:Title>            <ows:Abstract>Dans la carte des matières premières minérales 1:200&#39;000 (RK200), le sous-sol est classé selon des critères géo-chimiques. Des données de type point sont superposées sur des gisements de minerai y c. des informations sur le type de minéralisation, morphologie, importance et degrès de relevé</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.geologie-geotechnik-mineralische_rohstoffe200</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=d86f291c-49b8-4bc8-93f7-dbab48dcb26c"/>            <Style>                <ows:Title>Mat. premières minérales 200</ows:Title>                <ows:Identifier>ch.swisstopo.geologie-geotechnik-mineralische_rohstoffe200</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.geologie-geotechnik-mineralische_rohstoffe200_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>19900101</Default>                <Value>19900101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.geologie-geotechnik-mineralische_rohstoffe200/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Pierres des monuments hist</ows:Title>            <ows:Abstract>La base de données reprend le fichier du même nom de Francis de Quervain, assemblé en 1954–1983. Cette oeuvre comprend env. 2’400 pages avec 10’000 fiches sur les roches et pierres appliquées à 4’000 monuments et d’autres objets isolés. On peut considérer cette collection comme représentative pour les applications historiques de pierre en construction et sculpture en Suisse</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.geologie-geotechnik-steine_historische_bauwerke</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=efe1b3cf-dac4-4660-a5bd-a9269a3d97db"/>            <Style>                <ows:Title>Pierres des monuments hist</ows:Title>                <ows:Identifier>ch.swisstopo.geologie-geotechnik-steine_historische_bauwerke</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.geologie-geotechnik-steine_historische_bauwerke_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20130620</Default>                <Value>20130620</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.geologie-geotechnik-steine_historische_bauwerke/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Sentiers géologiques</ows:Title>            <ows:Abstract>Le géotourisme met en valeur des particularités géologiques et paysagères. Les sentiers géologiques permettent à tout un chacun d’appréhender les processus géologiques et géomorphologiques sur le terrain. La Plate-forme Géosciences de l’Académie suisse des sciences naturelles (SCNAT) et « Géologie Vivante » ont compilé une liste des sentiers géologiques de Suisse</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.geologie-geowege</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=3356602e-23d5-4e42-9d75-55fe9cc2daba"/>            <Style>                <ows:Title>Sentiers géologiques</ows:Title>                <ows:Identifier>ch.swisstopo.geologie-geowege</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.geologie-geowege_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20120903</Default>                <Value>20120903</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.geologie-geowege/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Atlas gravimétrique 100</ows:Title>            <ows:Abstract>Les anomalies de Bouguer sont représentées sur 22 feuilles couvrant l’ensemble du territoire suisse. On nomme anomalie de Bouguer la différence entre l’intensité de la pesanteur mesurée en un point donnée de la surface terrestre et la valeur calculée au même point d’un modèle de Terre idéale, dotée d’un croûte homogène. Les calculs des anomalies gravitaires de la croûte terrestre se basent sur la formule internationale de gravité de 1967. L&#39;incidence de la topographie a été prise en compte avec une densité constante de 2670 kg / m3 jusqu’à 167 km (zone O2 de Hayford).- L&#39;Atlas gravimétrique de la Suisse (GRAV100) est une publication de la Commission suisse de géophysique (organe de l&#39;Académie suisse des sciences naturelles)</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.geologie-gravimetrischer_atlas</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=732cb247-8307-4cc7-8c31-b1c505a94633"/>            <Style>                <ows:Title>Atlas gravimétrique 100</ows:Title>                <ows:Identifier>ch.swisstopo.geologie-gravimetrischer_atlas</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.geologie-gravimetrischer_atlas_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20021231</Default>                <Value>20021231</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.geologie-gravimetrischer_atlas/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Points de mesure gravim. 100</ows:Title>            <ows:Abstract>Un réseau des points de mesure de la pesanteur avec une densité de 0.5 point par kilomètre carré couvrant l’ensemble du territoire suisse a permis l&#39;élaboration des cartes de Bouguer à haute résolution (échelles 1:100000 et 1:500000). On nomme anomalie de Bouguer la différence entre l’intensité de la pesanteur mesurée en un point donnée de la surface terrestre et la valeur calculée au même point d’un modèle de Terre idéale, dotée d’un croûte homogène. Les calculs des anomalies gravitaires de la croûte terrestre se basent sur la formule internationale de gravité de 1967. L&#39;incidence de la topographie a été prise en compte avec une densité constante de 2670 kg / m3 jusqu’à distance de 167 km (zone O2 de Hayford).- L&#39;Atlas gravimétrique de la Suisse (GRAV100) est une publication de la Commission suisse de géophysique (organe de l&#39;Académie suisse des sciences naturelles)</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.geologie-gravimetrischer_atlas.messpunkte</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=297a1958-3636-45af-a17c-e90120605132"/>            <Style>                <ows:Title>Points de mesure gravim. 100</ows:Title>                <ows:Identifier>ch.swisstopo.geologie-gravimetrischer_atlas.messpunkte</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.geologie-gravimetrischer_atlas.messpunkte_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20150731</Default>                <Value>20150731</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.geologie-gravimetrischer_atlas.messpunkte/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Atlas gravimétrique 100 - papier</ows:Title>            <ows:Abstract>Les anomalies de Bouguer sont représentées sur 22 feuilles couvrant l’ensemble du territoire suisse. On nomme anomalie de Bouguer la différence entre l’intensité de la pesanteur mesurée en un point donnée de la surface terrestre et la valeur calculée au même point d’un modèle de Terre idéale, dotée d’un croûte homogène. Le jeu de données «Découpage de l&#39;atlas gravimétrique de la Suisse 1:100000» comprend le périmètre, le numéro et le nom de chaque feuille. Les périmètres correspondent aux dimensions d’une feuille standard. Le découpage par feuille permet de représenter géographiquement différentes informations comme les états de mise à jour ou les années de publication.- L&#39;Atlas gravimétrique de la Suisse (GRAV100) est une publication de la Commission suisse de géophysique (organe de l&#39;Académie suisse des sciences naturelles)</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.geologie-gravimetrischer_atlas.metadata</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=2f9315dd-3d8f-4248-850c-46270e47dfe7"/>            <Style>                <ows:Title>Atlas gravimétrique 100 - papier</ows:Title>                <ows:Identifier>ch.swisstopo.geologie-gravimetrischer_atlas.metadata</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.geologie-gravimetrischer_atlas.metadata_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20021231</Default>                <Value>20021231</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.geologie-gravimetrischer_atlas.metadata/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Réservoirs aquifères 500</ows:Title>            <ows:Abstract>L’Office fédéral de l’environnement OFEV est l’office compétent du Service géologique national pour l&#39;hydrogéologie. La Carte hydrogéologique 1:500&#39;000 est dans la série GéoCartes (GK500) et composée de deux feuilles. La première (GK500-Hydro) est consacrée aux réservoirs aquifères et fournit des informations sur leur productivité. La seconde (GK500-Hydro_Vul) traite de la vulnérabilité de ces réservoirs et de leur sensibilité à des menaces possibles par des polluants. En outre la première feuille montre la nature des réservoirs aquifères (roches karstiques, meubles ou cohérentes), les principaux captages d&#39;eau souterraine et d&#39;eau de source et fournit des données hydrodynamiques sur les régions d&#39;infiltration et d&#39;exfiltration des eaux. Le contenu des deux feuilles est également publié comme Planche 8.6 et 8.7 de l&#39;Atlas hydrologique de la Suisse HADES (OFEV, 2004 et 2007)</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.geologie-hydrogeologische_karte-grundwasservorkommen</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=f198f6f6-8efa-4235-a55f-99767ea0206c"/>            <Style>                <ows:Title>Réservoirs aquifères 500</ows:Title>                <ows:Identifier>ch.swisstopo.geologie-hydrogeologische_karte-grundwasservorkommen</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.geologie-hydrogeologische_karte-grundwasservorkommen_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20081103</Default>                <Value>20081103</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.geologie-hydrogeologische_karte-grundwasservorkommen/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Vulnérabilité des aquifères 500</ows:Title>            <ows:Abstract>L’Office fédéral de l’environnement OFEV est l’office compétent du Service géologique national pour l’hydrogéologie. La Carte hydrogéologique 1:500&#39;000 est dans la série GéoCartes (GK500) et composée de deux feuilles. La première (GK500-Hydro) est consacrée aux réservoirs aquifères et fournit des informations sur leur productivité. La seconde (GK500-Hydro_Vul) traite de la vulnérabilité de ces réservoirs et de leur sensibilité à des menaces possibles par des polluants. La notion de vulnérabilité représente un élément important pour une protection des eaux basée sur la prévention. Le contenu des deux feuilles est également publié comme Planche 8.6 et 8.7 de l&#39;Atlas hydrologique de la Suisse HADES (OFEV, 2004 et 2007)</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.geologie-hydrogeologische_karte-grundwasservulnerabilitaet</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=b8efde6b-7323-4496-aa70-b976ec55cec9"/>            <Style>                <ows:Title>Vulnérabilité des aquifères 500</ows:Title>                <ows:Identifier>ch.swisstopo.geologie-hydrogeologische_karte-grundwasservulnerabilitaet</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.geologie-hydrogeologische_karte-grundwasservulnerabilitaet_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20081016</Default>                <Value>20081016</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.geologie-hydrogeologische_karte-grundwasservulnerabilitaet/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Cartes géologiques spéciales</ows:Title>            <ows:Abstract>Les cartes géologiques spéciales (GSK) existent dans des échelles entre le 1:25000 et le 1:100000. Leur délimitation a été choisie dans une perspective géographique ou thématique; elles renseignent sur les conditions géologiques régionales et mettent en lumière des priorités thématiques choisies. Un auxiliaire important pour les géologues, les ingénieurs, les aménagistes, les services officiels, les scientifiques et les écoles. Actuellement, non toutes les feuilles sont livrables</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.geologie-spezialkarten_schweiz.metadata</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=300982fb-dcb5-49d4-846b-b059c8db10b2"/>            <Style>                <ows:Title>Cartes géologiques spéciales</ows:Title>                <ows:Identifier>ch.swisstopo.geologie-spezialkarten_schweiz.metadata</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.geologie-spezialkarten_schweiz.metadata_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20110101</Default>                <Value>20110101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.geologie-spezialkarten_schweiz.metadata/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Tectonique 500</ows:Title>            <ows:Abstract>La Carte tectonique de la Suisse (GK500-Tekto) illustre les unités tectoniques et des éléments structuraux de tout le territoire suisse et des régions avoisinantes. Elle est un excellent outil pour la découverte géologique de la Suisse et pour une bonne compréhension de son environnement. Elle constitue aussi un auxiliaire indispensable pour la formation dans les domaines des sciences de la terre et de l`environnement</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.geologie-tektonische_karte</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=a4cdef47-505e-41ab-b6a7-ad5b92d80e41"/>            <Style>                <ows:Title>Tectonique 500</ows:Title>                <ows:Identifier>ch.swisstopo.geologie-tektonische_karte</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.geologie-tektonische_karte_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20080522</Default>                <Value>20080522</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.geologie-tektonische_karte/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Classes de pente plus de 30°</ows:Title>            <ows:Abstract>Représentation dérivée des modèles altimétriques numériques swissALTI3D et MNT25 qui permet d&#39;identifier les pentes de plus de 30°. Cette information est utile à la prévention des accidents d&#39;avalanche. Les pentes de plus de 30° sont classées en 4 catégories selon les recommandations de l&#39;institut pour l&#39;étude de la neige et des avalanches SLF. La pente représente la première dérivée d&#39;un modèle altimétrique numérique. Elle a été calculée sur un modèle altimétrique numérique avec une résolution de 10m combinant swissALTI3D (pour la Suisse et le Liechtenstein) et MNT25 (pour la partie à l&#39;étranger). Au passage entre les deux modèles de base, l&#39;exactitude des valeurs de pente n&#39;est pas garantie. Toute responsabilité basée sur la représentation des pentes de plus de 30° est exclue</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.hangneigung-ueber_30</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=77f0637f-8d52-45bc-b824-d6e5719de55b"/>            <Style>                <ows:Title>Classes de pente plus de 30°</ows:Title>                <ows:Identifier>ch.swisstopo.hangneigung-ueber_30</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.hangneigung-ueber_30_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20130101</Default>                <Value>20130101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_25</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.hangneigung-ueber_30/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Carte Dufour Première édition</ows:Title>            <ows:Abstract>Entre 1844 et 1864, la première série de cartes officielles de la Suisse a été publiée à l&#39;échelle 1:100&#39;000 sous la direction du général Henri-Guillaume Dufour. Dufour a été également le fondateur et le premier directeur du Bureau topographique fédéral qu&#39;il établit à Genève en 1838. Les 25 feuilles de la « carte Dufour » ne comportaient qu&#39;une couleur et utilisaient le mode de reproduction de la gravure sur cuivre. Une fois la première édition terminée en 1865, cette série de cartes a été distinguée à plusieurs reprises sur la scène internationale et mise à jour jusqu&#39;à son remplacement par la nouvelle carte nationale au 1:100&#39;000. Depuis 2006, toutes les éditions sont disponibles sous forme numérique pour des analyses du développement du paysage et d&#39;autres applications</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.hiks-dufour</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=d12f970f-6a83-4c33-8cfe-7504b6a5dca9"/>            <Style>                <ows:Title>Carte Dufour Première édition</ows:Title>                <ows:Identifier>ch.swisstopo.hiks-dufour</ows:Identifier>                                                             </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>18650101</Default>                <Value>18650101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.hiks-dufour/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Carte Siegfried Première édition</ows:Title>            <ows:Abstract>L&#39;Atlas topographique de la Suisse a été publié entre 1870 et 1926, initialement sous la direction du colonel Hermann Siegfried. Cest la première carte d&#39;ensemble détaillée de la Suisse à l&#39;échelle 1:25&#39;000 pour le Plateau central, le Jura et le sud du Tessin et, au 1:50&#39;000, pour les Alpes. Au total, si l&#39;on tient compte de la mise à jour périodique effectuée jusqu&#39;en 1949, plus de 4000 feuilles mises à jour ont été publiées. Deux techniques différentes ont été appliquées pour lélaboration initiale: la gravure sur cuivre pour les 462 feuilles à l&#39;échelle 1:25&#39;000 et la lithographie pour les 142 feuilles au 1:50000. Toutes les éditions ont été scannées et sont désormais disponibles sous forme numérique pour des analyses du développement du paysage et d&#39;autres applications</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.hiks-siegfried</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=d3b21424-70a4-4984-a693-aa7f11813c53"/>            <Style>                <ows:Title>Carte Siegfried Première édition</ows:Title>                <ows:Identifier>ch.swisstopo.hiks-siegfried</ows:Identifier>                                                             </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>19260101</Default>                <Value>19260101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_25</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.hiks-siegfried/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>MN95 Changements de coordonnées</ows:Title>            <ows:Abstract>Les changements de coordonnées entre l&#39;ancien cadre de référence MN03 et le nouveau MN95, respectivement les déformations de MN03, sont mises en évidence par rapport à Zimmerwald (BE): les plus grandes modifications de coordonnées d&#39;environ 1.5 m apparaissent dans le sud du Tessin et dans la vallée de Poschiavo (GR). Les différences les plus faibles se situent aux environs de Berne, puisque tant MN03 que MN95 ont leur origine à l&#39;ancien observatoire de Berne. Les différentes translations en abscisse et ordonnée de l&#39;origine (MN03: 600&#39;000 / 200&#39;000 et MN95: 2&#39;600&#39;000 / 1&#39;200&#39;000) ont été supprimées pour la représentation graphique</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.koordinatenaenderung</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=d749d5c4-d362-489b-a6c1-a8ee68aeeaab"/>            <Style>                <ows:Title>MN95 Changements de coordonnées</ows:Title>                <ows:Identifier>ch.swisstopo.koordinatenaenderung</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.koordinatenaenderung_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20061231</Default>                <Value>20061231</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.koordinatenaenderung/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Carte nationale 1:10&#39;000 (couleur)</ows:Title>            <ows:Abstract>La carte nationale 1:10&#39;000 est la carte topographique de plus grande échelle produite par swisstopo. Elle représente avec un grand niveau de détails les réseaux de transport, les localités, le terrain, la végétation, ainsi que des écritures encore plus denses. Le contenu est complété avec la représentation des rochers et du relief. Le périmètre de la carte comprend le territoire Suisse et la principauté du Liechtenstein. La mise à jour est faite annuellement sur la base actualisée du modèle topographique du paysage MTP de swisstopo. La carte nationale 1:10&#39;000 sera produite au format digital en couleur ou en nuances de gris. Les deux versions servent de cartes de bases pour les 4 premiers niveaux de zoom du visualisateur de géodonnées de la confédération map.geo.admin.ch. La carte nationale 1:10&#39;000 reste également disponible en tant que produit Swiss Map Raster 10 livré au format TIF géoréférencé et peut être acheté sous forme d’un extrait de zone défini par l’utilisateur</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.landeskarte-farbe-10</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=cb0f8401-c49a-4bdf-aff6-40a7015ba43a"/>            <Style>                <ows:Title>Carte nationale 1:10&#39;000 (couleur)</ows:Title>                <ows:Identifier>ch.swisstopo.landeskarte-farbe-10</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.landeskarte-farbe-10_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>current</Default>                <Value>current</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_27</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.landeskarte-farbe-10/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Carte nationale 1:10&#39;000 (grise)</ows:Title>            <ows:Abstract>La carte nationale 1:10&#39;000 est la carte topographique de plus grande échelle produite par swisstopo. Elle représente avec un grand niveau de détails les réseaux de transport, les localités, le terrain, la végétation, ainsi que des écritures encore plus denses. Le contenu est complété avec la représentation des rochers et du relief. Le périmètre de la carte comprend le territoire Suisse et la principauté du Liechtenstein. La mise à jour est faite annuellement sur la base actualisée du modèle topographique du paysage MTP de swisstopo. La carte nationale 1:10&#39;000 sera produite au format digital en couleur ou en nuances de gris. Les deux versions servent de cartes de bases pour les 4 premiers niveaux de zoom du visualisateur de géodonnées de la confédération map.geo.admin.ch. La carte nationale 1:10&#39;000 reste également disponible en tant que produit Swiss Map Raster 10 livré au format TIF géoréférencé et peut être acheté sous forme d’un extrait de zone défini par l’utilisateur</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.landeskarte-grau-10</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=b495f369-9262-4269-8532-27b06591e33a"/>            <Style>                <ows:Title>Carte nationale 1:10&#39;000 (grise)</ows:Title>                <ows:Identifier>ch.swisstopo.landeskarte-grau-10</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.landeskarte-grau-10_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>current</Default>                <Value>current</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_27</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.landeskarte-grau-10/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Réseau de base gravimétrique</ows:Title>            <ows:Abstract>Stations actuelles du réseau gravimétrique national. Ces stations sont observées régulièrement et servent comme points de référence pour des projets gravimétriques.La base de ce réseau est formée par les stations absolues qui sont densifiées par des mesures relatives sur des points fixes de la mensuration nationale</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.landesschwerenetz</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=95879cd4-e93d-4d4d-af57-4ec6731b9c97"/>            <Style>                <ows:Title>Réseau de base gravimétrique</ows:Title>                <ows:Identifier>ch.swisstopo.landesschwerenetz</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.landesschwerenetz_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20150731</Default>                <Value>20150731</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.landesschwerenetz/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Déviations de la verticale</ows:Title>            <ows:Abstract>La déviation de la verticale est l&#39;angle entre la verticale du champ de pesanteur et la perpendiculaire de l&#39;ellipsoïde de référence. Cet angle peut atteindre des valeurs jusqu&#39;à 1 minute d&#39;arc et doit être considéré pour corriger des mesures géodésiques précises. Cet angle est formé de deux composantes sud-nord (Xi) et ouest-est (Eta). La déviation de la verticale est une information très importante pour la détermination du géoïde.On peut observer la déviation de la verticale par comparaison des coordonnées astronomiques (longitudes et latitudes) avec des coordonnées déterminées par GPS. La précision d&#39;une mesure de la déviation de la verticale avec des caméras zénithales modernes est de l&#39;ordre de grandeur de 0.1 seconde d&#39;arc</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.lotabweichungen</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=ef5df57e-8eb3-4b55-96e5-0e70adead7ad"/>            <Style>                <ows:Title>Déviations de la verticale</ows:Title>                <ows:Identifier>ch.swisstopo.lotabweichungen</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.lotabweichungen_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160606</Default>                <Value>20160606</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.lotabweichungen/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Images aériennes de privés</ows:Title>            <ows:Abstract>Dans le cadre de différents projets de clients privés et publics, des images aériennes de la Suisse sont saisies par différentes entreprises privées. Toutes ces images aériennes sont représentées sous la forme des coordonnées du centre de l&#39;image, de la zone couverte par l&#39;image (footprint) ainsi que par des métadonnées. Les images aériennes peuvent être commandées auprès des entreprises privées concernées</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.lubis-luftbilder-dritte-firmen</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=f614decc-a4f2-480f-b007-b8d9b99bdde5"/>            <Style>                <ows:Title>Images aériennes de privés</ows:Title>                <ows:Identifier>ch.swisstopo.lubis-luftbilder-dritte-firmen</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.lubis-luftbilder-dritte-firmen_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>99991231</Default>                <Value>99991231</Value>                <Value>20091231</Value>                <Value>20081231</Value>                <Value>20071231</Value>                <Value>20061231</Value>                <Value>20051231</Value>                <Value>20041231</Value>                <Value>20031231</Value>                <Value>20021231</Value>                <Value>20011231</Value>                <Value>20001231</Value>                <Value>19991231</Value>                <Value>19981231</Value>                <Value>19971231</Value>                <Value>19961231</Value>                <Value>19951231</Value>                <Value>19941231</Value>                <Value>19931231</Value>                <Value>19921231</Value>                <Value>19911231</Value>                <Value>19901231</Value>                <Value>19891231</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.lubis-luftbilder-dritte-firmen/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Images aériennes de cantons</ows:Title>            <ows:Abstract>Dans le cadre de différents projets des images aériennes de la Suisse sont saisies sur mandat de cantons. Toutes ces images aériennes sont représentées sous la forme des coordonnées du centre de l&#39;image, de la zone couverte par l&#39;image (footprint) ainsi que par des métadonnées. Les images aériennes peuvent être commandées auprès des cantons concernés</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.lubis-luftbilder-dritte-kantone</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=5327cb7b-269b-4d02-b199-19418ee33d54"/>            <Style>                <ows:Title>Images aériennes de cantons</ows:Title>                <ows:Identifier>ch.swisstopo.lubis-luftbilder-dritte-kantone</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.lubis-luftbilder-dritte-kantone_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>99991231</Default>                <Value>99991231</Value>                <Value>20141231</Value>                <Value>20131231</Value>                <Value>20121231</Value>                <Value>20111231</Value>                <Value>20091231</Value>                <Value>19841231</Value>                <Value>19671231</Value>                <Value>19661231</Value>                <Value>19651231</Value>                <Value>19641231</Value>                <Value>19631231</Value>                <Value>19621231</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.lubis-luftbilder-dritte-kantone/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Images aér. swisstopo couleur</ows:Title>            <ows:Abstract>La collection photographique de swisstopo comprend quelques 500&#39;000 photos aériennes analogiques (en couleur, en infrarouge couleur ou en noir et blanc) et prises de vues terrestres. Environ 320’000 images aériennes sont représentées sous la forme des coordonnées du centre de l&#39;image, de la zone couverte par l&#39;image (footprint) ainsi que par des métadonnées. Environ 160‘000 images de ce fonds sont déjà numérisées et peuvent être visualisées en pleine résolution (état en janvier 2014). Les scans des images manquantes seront intégrés progressivement durant les prochaines années. Les images aériennes peuvent être commandées sous forme de fichier numérique. Les éléments d’orientation correspondant peuvent être livrés pour autant qu’ils existent</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.lubis-luftbilder_farbe</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=352c0302-fac6-455b-bd81-092850a7ad4e"/>            <Style>                <ows:Title>Images aér. swisstopo couleur</ows:Title>                <ows:Identifier>ch.swisstopo.lubis-luftbilder_farbe</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.lubis-luftbilder_farbe_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>99991231</Default>                <Value>99991231</Value>                <Value>20101231</Value>                <Value>20091231</Value>                <Value>20081231</Value>                <Value>20071231</Value>                <Value>20061231</Value>                <Value>20051231</Value>                <Value>20041231</Value>                <Value>20031231</Value>                <Value>20021231</Value>                <Value>20011231</Value>                <Value>20001231</Value>                <Value>19991231</Value>                <Value>19981231</Value>                <Value>19971231</Value>                <Value>19961231</Value>                <Value>19951231</Value>                <Value>19941231</Value>                <Value>19931231</Value>                <Value>19921231</Value>                <Value>19911231</Value>                <Value>19901231</Value>                <Value>19891231</Value>                <Value>19881231</Value>                <Value>19871231</Value>                <Value>19861231</Value>                <Value>19851231</Value>                <Value>19841231</Value>                <Value>19831231</Value>                <Value>19821231</Value>                <Value>19811231</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.lubis-luftbilder_farbe/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Images aériennes swisstopo IR</ows:Title>            <ows:Abstract>La collection photographique de swisstopo comprend quelques 500&#39;000 photos aériennes analogiques (en couleur, en infrarouge couleur ou en noir et blanc) et prises de vues terrestres. Environ 320’000 images aériennes sont représentées sous la forme des coordonnées du centre de l&#39;image, de la zone couverte par l&#39;image (footprint) ainsi que par des métadonnées. Environ 160‘000 images de ce fonds sont déjà numérisées et peuvent être visualisées en pleine résolution (état en janvier 2014). Les scans des images manquantes seront intégrés progressivement durant les prochaines années. Les images aériennes peuvent être commandées sous forme de fichier numérique. Les éléments d’orientation correspondant peuvent être livrés pour autant qu’ils existent</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.lubis-luftbilder_infrarot</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=aee873f9-127a-4567-86a9-abb740bb9706"/>            <Style>                <ows:Title>Images aériennes swisstopo IR</ows:Title>                <ows:Identifier>ch.swisstopo.lubis-luftbilder_infrarot</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.lubis-luftbilder_infrarot_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>99991231</Default>                <Value>99991231</Value>                <Value>20091231</Value>                <Value>20081231</Value>                <Value>20071231</Value>                <Value>20061231</Value>                <Value>20051231</Value>                <Value>20041231</Value>                <Value>20031231</Value>                <Value>20021231</Value>                <Value>20011231</Value>                <Value>20001231</Value>                <Value>19991231</Value>                <Value>19981231</Value>                <Value>19971231</Value>                <Value>19961231</Value>                <Value>19951231</Value>                <Value>19941231</Value>                <Value>19931231</Value>                <Value>19921231</Value>                <Value>19911231</Value>                <Value>19901231</Value>                <Value>19891231</Value>                <Value>19881231</Value>                <Value>19871231</Value>                <Value>19861231</Value>                <Value>19851231</Value>                <Value>19841231</Value>                <Value>19831231</Value>                <Value>19811231</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.lubis-luftbilder_infrarot/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Images aér. swisstopo n/b</ows:Title>            <ows:Abstract>La collection photographique de swisstopo comprend quelques 500&#39;000 photos aériennes analogiques (en couleur, en infrarouge couleur ou en noir et blanc) et prises de vues terrestres. Environ 320’000 images aériennes sont représentées sous la forme des coordonnées du centre de l&#39;image, de la zone couverte par l&#39;image (footprint) ainsi que par des métadonnées. Environ 160‘000 images de ce fonds sont déjà numérisées et peuvent être visualisées en pleine résolution (état en janvier 2014). Les scans des images manquantes seront intégrés progressivement durant les prochaines années. Les images aériennes peuvent être commandées sous forme de fichier numérique. Les éléments d’orientation correspondant peuvent être livrés pour autant qu’ils existent</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.lubis-luftbilder_schwarzweiss</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=12970991-2623-4e1e-a420-7435a6b5046c"/>            <Style>                <ows:Title>Images aér. swisstopo n/b</ows:Title>                <ows:Identifier>ch.swisstopo.lubis-luftbilder_schwarzweiss</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.lubis-luftbilder_schwarzweiss_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>99991231</Default>                <Value>99991231</Value>                <Value>20101231</Value>                <Value>20091231</Value>                <Value>20081231</Value>                <Value>20071231</Value>                <Value>20061231</Value>                <Value>20051231</Value>                <Value>20041231</Value>                <Value>20031231</Value>                <Value>20021231</Value>                <Value>20011231</Value>                <Value>20001231</Value>                <Value>19991231</Value>                <Value>19981231</Value>                <Value>19971231</Value>                <Value>19961231</Value>                <Value>19951231</Value>                <Value>19941231</Value>                <Value>19931231</Value>                <Value>19921231</Value>                <Value>19911231</Value>                <Value>19901231</Value>                <Value>19891231</Value>                <Value>19881231</Value>                <Value>19871231</Value>                <Value>19861231</Value>                <Value>19851231</Value>                <Value>19841231</Value>                <Value>19831231</Value>                <Value>19821231</Value>                <Value>19811231</Value>                <Value>19801231</Value>                <Value>19791231</Value>                <Value>19781231</Value>                <Value>19771231</Value>                <Value>19761231</Value>                <Value>19751231</Value>                <Value>19741231</Value>                <Value>19731231</Value>                <Value>19721231</Value>                <Value>19711231</Value>                <Value>19701231</Value>                <Value>19691231</Value>                <Value>19681231</Value>                <Value>19671231</Value>                <Value>19661231</Value>                <Value>19651231</Value>                <Value>19641231</Value>                <Value>19631231</Value>                <Value>19621231</Value>                <Value>19611231</Value>                <Value>19601231</Value>                <Value>19591231</Value>                <Value>19581231</Value>                <Value>19571231</Value>                <Value>19561231</Value>                <Value>19551231</Value>                <Value>19541231</Value>                <Value>19531231</Value>                <Value>19521231</Value>                <Value>19511231</Value>                <Value>19501231</Value>                <Value>19491231</Value>                <Value>19481231</Value>                <Value>19471231</Value>                <Value>19461231</Value>                <Value>19451231</Value>                <Value>19441231</Value>                <Value>19431231</Value>                <Value>19421231</Value>                <Value>19411231</Value>                <Value>19401231</Value>                <Value>19391231</Value>                <Value>19381231</Value>                <Value>19371231</Value>                <Value>19361231</Value>                <Value>19351231</Value>                <Value>19341231</Value>                <Value>19331231</Value>                <Value>19321231</Value>                <Value>19311231</Value>                <Value>19301231</Value>                <Value>19291231</Value>                <Value>19281231</Value>                <Value>19271231</Value>                <Value>19261231</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.lubis-luftbilder_schwarzweiss/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Cartes nationales (couleur)</ows:Title>            <ows:Abstract>swisstopo produit des cartes nationales à différentes échelles qui vont du 1:10&#39;000 au 1:1 million. La couche cartes nationales (couleur) combine les différentes échelles et affiche la carte la plus adaptée en fonction du niveau de zoom. La couche cartes nationales (couleur) sert de fond de carte au géoportail fédéral. Elle est également disponible en géoservice WMS, WMTS</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.pixelkarte-farbe</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=f9c31be1-887c-4203-8b11-57b40ecc039b"/>            <Style>                <ows:Title>Cartes nationales (couleur)</ows:Title>                <ows:Identifier>ch.swisstopo.pixelkarte-farbe</ows:Identifier>                                                             </Style>            <Format>image/jpeg</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>current</Default>                <Value>current</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_27</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/jpeg" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.pixelkarte-farbe/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.jpeg"/>        </Layer>        <Layer>            <ows:Title>Carte nationale 1:1 million | CN1000</ows:Title>            <ows:Abstract>La carte nationale au 1:1 million est une carte topographique synoptique de la Suisse et de l&#39;Europe centrale à petite échelle: La Suisse et les régions limitrophes de Lyon à Salzbourg et de Strasbourg à Gênes sur une carte au format très pratique. L&#39;état de mise à jour est actuellement de 2011. La carte nationale au 1:1 million est disponible sous forme analogique (carte papier) et digitale (Swiss Map Raster). L&#39;édition imprimée est disponible soit pliée, soit à plat. La Swiss Map Raster est la carte nationale digitalisée, livrable sous forme de données raster géoréférencées (format TIF). Les informations de la carte sont réparties par couches de couleurs et non par éléments thématiques. Les cartes-pixel sont à dispositions en couleurs combinées (254 dpi et 508 dpi) ainsi que par couches de couleurs séparées (données binaires 508 dpi)</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.pixelkarte-farbe-pk1000.noscale</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=4ea228b8-7910-4339-8a31-d38d8d8592bd"/>            <Style>                <ows:Title>Carte nationale 1:1 million | CN1000</ows:Title>                <ows:Identifier>ch.swisstopo.pixelkarte-farbe-pk1000.noscale</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.pixelkarte-farbe-pk1000.noscale_fr.png" />            </Style>            <Format>image/jpeg</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>current</Default>                <Value>current</Value>                <Value>20140106</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/jpeg" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.pixelkarte-farbe-pk1000.noscale/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.jpeg"/>        </Layer>        <Layer>            <ows:Title>Cartes nationales (grise)</ows:Title>            <ows:Abstract>swisstopo produit des cartes nationales à différentes échelles qui vont du 1:10&#39;000 au 1:1 million. La couche cartes nationales (grise) combine les différentes échelles et affiche la carte la plus adaptée en fonction du niveau de zoom. La couche cartes nationales (grise) sert de fond de carte au géoportail fédéral. Elle est également disponible en géoservice WMS, WMTS</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.pixelkarte-grau</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=74aef814-0c97-4261-a2c1-df4a948aca8e"/>            <Style>                <ows:Title>Cartes nationales (grise)</ows:Title>                <ows:Identifier>ch.swisstopo.pixelkarte-grau</ows:Identifier>                                                             </Style>            <Format>image/jpeg</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>current</Default>                <Value>current</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_27</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/jpeg" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.pixelkarte-grau/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.jpeg"/>        </Layer>        <Layer>            <ows:Title>swissALTI3D estompage du relief</ows:Title>            <ows:Abstract>Représentation dérivée du modèle altimétrique numérique swissALTI3D qui permet de visualiser le relief de la Suisse et de la Principauté de Liechtenstein. L’estompage du relief représente l’illumination d’une surface pour une position donnée du soleil. L’estompage de relief de swissALTI3D a été calculé avec la position solaire suivante : azimut 315° (nord-ouest), hauteur 45°</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.swissalti3d-reliefschattierung</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=1964cc81-5298-460f-9228-41120315bea8"/>            <Style>                <ows:Title>swissALTI3D estompage du relief</ows:Title>                <ows:Identifier>ch.swisstopo.swissalti3d-reliefschattierung</ows:Identifier>                                                             </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160101</Default>                <Value>20160101</Value>                <Value>20150101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_22</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.swissalti3d-reliefschattierung/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Limites de district</ows:Title>            <ows:Abstract>swissBOUNDARIES3D limites de district comprend les limites administratives des districts des cantons suisses. Le district est une subdivision administrative entre la commune et le canton. Les cantons de Genève, Uri, Obwalden, Nidwalden, Glarus, Zug, Basel-Stadt et Appenzell Innerrhoden ne sont pas divisés en districts. swissBOUNDARIES3D limites de district est dérivé du jeu de données swissBOUNDARIES3D</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.swissboundaries3d-bezirk-flaeche.fill</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=e1b8837d-8c19-4b65-a8b5-21aaff44fa91"/>            <Style>                <ows:Title>Limites de district</ows:Title>                <ows:Identifier>ch.swisstopo.swissboundaries3d-bezirk-flaeche.fill</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.swissboundaries3d-bezirk-flaeche.fill_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160101</Default>                <Value>20160101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.swissboundaries3d-bezirk-flaeche.fill/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Limites de commune</ows:Title>            <ows:Abstract>swissBOUNDARIES3D limites de commune comprend les limites administratives des communes de la Suisse et de la Principauté de Liechtenstein. La commune est la plus petite unité administrative. swissBOUNDARIES3D limites de commune est dérivé du jeu de données swissBOUNDARIES3D</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.swissboundaries3d-gemeinde-flaeche.fill</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=9961dc6c-20a9-4b16-8a24-b20c3d8ddb83"/>            <Style>                <ows:Title>Limites de commune</ows:Title>                <ows:Identifier>ch.swisstopo.swissboundaries3d-gemeinde-flaeche.fill</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.swissboundaries3d-gemeinde-flaeche.fill_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160101</Default>                <Value>20160101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.swissboundaries3d-gemeinde-flaeche.fill/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Limites cantonales</ows:Title>            <ows:Abstract>swissBOUNDARIES3D limites cantonales comprend les limites administratives entre les cantons suisses. La Suisse est formée de 26 cantons, qui ont le statut d&#39;États fédérés.swissBOUNDARIES3D limites cantonales est dérivé du jeu de données swissBOUNDARIES3D</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.swissboundaries3d-kanton-flaeche.fill</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=9eee6d40-f0a6-46c9-94ad-69679b9f3d38"/>            <Style>                <ows:Title>Limites cantonales</ows:Title>                <ows:Identifier>ch.swisstopo.swissboundaries3d-kanton-flaeche.fill</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.swissboundaries3d-kanton-flaeche.fill_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160101</Default>                <Value>20160101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.swissboundaries3d-kanton-flaeche.fill/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Frontières nationales</ows:Title>            <ows:Abstract>swissBOUNDARIES3D frontières nationales comprend la frontière de la Suisse et de la Principauté de Liechtenstein. swissBOUNDARIES3D frontières nationales est dérivé du jeu de données swissBOUNDARIES3D</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.swissboundaries3d-land-flaeche.fill</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=c5bd42e6-033f-4d43-a398-320b42538798"/>            <Style>                <ows:Title>Frontières nationales</ows:Title>                <ows:Identifier>ch.swisstopo.swissboundaries3d-land-flaeche.fill</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.swissboundaries3d-land-flaeche.fill_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160101</Default>                <Value>20160101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.swissboundaries3d-land-flaeche.fill/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Noms géographiques swissNAMES3D</ows:Title>            <ows:Abstract>swissNAMES3D est le recueil de noms géographiques le plus complet de la Suisse et la Principauté du Liechtenstein. swissNAMES3D comprend plus de 300&#39;000 entrées géoréférencées réparties en différentes catégories. Le jeu de données remplace dès 2015 le produit SwissNames basé sur les noms de la Carte nationale et mis à jour jusqu&#39;en 2008. Dans le géoportail fédéral, la couche &#34;noms géographiques&#34; correspond à une sélection de swissNAMES3D en fonction des niveaux de zoom</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.swissnames3d</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=ab24e5cc-7f53-451a-820a-f113fa545943"/>            <Style>                <ows:Title>Noms géographiques swissNAMES3D</ows:Title>                <ows:Identifier>ch.swisstopo.swissnames3d</ows:Identifier>                                                             </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160101</Default>                <Value>20160101</Value>                <Value>20150101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_24</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.swissnames3d/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Carte swissTLM (couleur)</ows:Title>            <ows:Abstract>swissTLM-Map est une carte générée entièrement automatiquement qui offre un complément aux cartes nationales pour les échelles de 1:5&#39;000 à 1:10&#39;000 environ. swissTLM-Map est basé sur les données du modèle topographique du paysage swissTLM3D complétées par des courbes de niveau et un ombrage du relief tirés du modèle numérique de terrain swissALTI3D</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.swisstlm3d-karte-farbe</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=b353f39c-6349-49e0-97d0-c522fc2fbf0f"/>            <Style>                <ows:Title>Carte swissTLM (couleur)</ows:Title>                <ows:Identifier>ch.swisstopo.swisstlm3d-karte-farbe</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.swisstlm3d-karte-farbe_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>current</Default>                <Value>current</Value>                <Value>20150401</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_27</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.swisstlm3d-karte-farbe/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Carte swissTLM (grise)</ows:Title>            <ows:Abstract>swissTLM-Map est une carte générée entièrement automatiquement qui offre un complément aux cartes nationales pour les échelles de 1:5&#39;000 à 1:10&#39;000 environ. swissTLM-Map est basé sur les données du modèle topographique du paysage swissTLM3D complétées par des courbes de niveau et un ombrage du relief tirés du modèle numérique de terrain swissALTI3D</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.swisstlm3d-karte-grau</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=ea59f826-b408-4657-a393-6fec178b2e30"/>            <Style>                <ows:Title>Carte swissTLM (grise)</ows:Title>                <ows:Identifier>ch.swisstopo.swisstlm3d-karte-grau</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.swisstlm3d-karte-grau_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>current</Default>                <Value>current</Value>                <Value>20150401</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_27</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.swisstlm3d-karte-grau/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Chemins de randonnée pédestre</ows:Title>            <ows:Abstract>swissTLM3D chemins de randonnée pédestre comprend les chemins de randonnée officiels de la Suisse et de la Principauté de Liechtenstein. Le jeu de données est publié en collaboration avec l&#39;Office fédéral des routes OFROU, SuisseMobile, Suisse Rando et les cantons. swissTLM3D chemins de randonnée pédestre fait partie du jeu de données swissTLM3D</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.swisstlm3d-wanderwege</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=4a064664-a346-4c1a-b424-4e8a0f0b56cb"/>            <Style>                <ows:Title>Chemins de randonnée pédestre</ows:Title>                <ows:Identifier>ch.swisstopo.swisstlm3d-wanderwege</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.swisstlm3d-wanderwege_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160315</Default>                <Value>20160315</Value>                <Value>20150101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.swisstlm3d-wanderwege/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>MN95 Précision de transformation</ows:Title>            <ows:Abstract>A partir de la carte de précision combinée, il est possible de déterminer la précision des données GNSS mesurées, par ex. avec le service de positionnement swipos, en MN03 (avec real-time-FINELTRA) ou en MN95, par rapport aux données de la mensuration nationale et du cadastre (cadre de référence). Une adaptation locale n’est en outre pas requise dans les zones de tensions négligeables. Pour plus d’informations concernant l’utilisation de cette carte de précision combinée, veuillez vous référer au &#34;lien vers la description détaillée&#34; ci-dessous</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.transformationsgenauigkeit</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=579e0ecf-6700-4652-81f5-bf0e28f2fcd6"/>            <Style>                <ows:Title>MN95 Précision de transformation</ows:Title>                <ows:Identifier>ch.swisstopo.transformationsgenauigkeit</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.transformationsgenauigkeit_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20151101</Default>                <Value>20151101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_25</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.transformationsgenauigkeit/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>NPA et localités</ows:Title>            <ows:Abstract>L’article 24 de l’ordonnance sur les noms géographiques (ONGéo) confie à l’Office fédéral de topographie swisstopo la tâche d’établir, de gérer et de publier le nouveau répertoire officiel des localités avec le code postal et le périmètre associés à chacune d’elles. La tenue de ce jeu de données qui correspond à l’exception de la suppression de l’identifiant «IDENT NPA, Chiffres_supplementaires» de la table «NPA»du TOPIC «NPA_Localite» de la mensuration officielle est centralisée par swisstopo. Le jeu de données couvre l&#39;intégralité du territoire suisse et peut être obtenu gratuitement (il est actualisé mensuellement)</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo-vd.ortschaftenverzeichnis_plz</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=972cd117-f1ed-4818-be14-233d89ab9fdf"/>            <Style>                <ows:Title>NPA et localités</ows:Title>                <ows:Identifier>ch.swisstopo-vd.ortschaftenverzeichnis_plz</ows:Identifier>                                                             </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20131101</Default>                <Value>20131101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo-vd.ortschaftenverzeichnis_plz/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Zones de tensions négligeables</ows:Title>            <ows:Abstract>Dans le cas de travaux de terrain réalisés pour la mensuration officielle, un ajustage local doit systématiquement être exécuté sauf si la preuve peut être apporté qu’il peut y être renoncé. Un tel ajustage local est superflu dans les zones où les tensions sont négligeables parce que la précision géométrique satisfait à des critères de qualité très élevés. Dans la pratique quotidienne, la connaissance des zones où les tensions sont négligeables facilite l’emploi des méthodes de mesure basées sur des satellites, en particulier le recours à des services de positionnement</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo-vd.spannungsarme-gebiete</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=c8b1a15e-b4db-49b0-ad3a-5b113c072fca"/>            <Style>                <ows:Title>Zones de tensions négligeables</ows:Title>                <ows:Identifier>ch.swisstopo-vd.spannungsarme-gebiete</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo-vd.spannungsarme-gebiete_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20151101</Default>                <Value>20151101</Value>                <Value>20141101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo-vd.spannungsarme-gebiete/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Sites protégés VECTOR200</ows:Title>            <ows:Abstract>Limites administratives: limites des sites protégés de la Suisse et de l&#39;étranger</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.vec200-adminboundaries-protectedarea</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=37c78660-531a-404c-86f8-8cdde0c3d985"/>            <Style>                <ows:Title>Sites protégés VECTOR200</ows:Title>                <ows:Identifier>ch.swisstopo.vec200-adminboundaries-protectedarea</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.vec200-adminboundaries-protectedarea_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160101</Default>                <Value>20160101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_25</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.vec200-adminboundaries-protectedarea/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Bâtiments gén. VECTOR200</ows:Title>            <ows:Abstract>Le Topic Buildings comprend les bâtiments isolés. Il est composé d&#39;une feature class. Les bâtiments saisis représentent, du fait de la forte généralisation liée à l&#39;échelle, en réalité souvent des groupes de bâtiments. Le Topic Buildings ne sert par conséquent pas à l&#39;identification de bâtiments isolés mais représente plutôt un moyen d&#39;orientation auxiliaire</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.vec200-building</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=fca926e5-99ee-4cc2-bec4-778a5f1ebda5"/>            <Style>                <ows:Title>Bâtiments gén. VECTOR200</ows:Title>                <ows:Identifier>ch.swisstopo.vec200-building</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.vec200-building_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160101</Default>                <Value>20160101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_25</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.vec200-building/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Couverture prim. sol VECTOR200</ows:Title>            <ows:Abstract>Le Topic Landcover décrit la couverture du sol. Il est composé d&#39;une feature class. Les surfaces forment un réseau de surface dans lequel des vides et des superpositions particulières sont autorisées</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.vec200-landcover</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=cfbd4793-4225-4743-942b-d9b97acfbfcc"/>            <Style>                <ows:Title>Couverture prim. sol VECTOR200</ows:Title>                <ows:Identifier>ch.swisstopo.vec200-landcover</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.vec200-landcover_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160101</Default>                <Value>20160101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_25</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.vec200-landcover/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Surfaces boisées</ows:Title>            <ows:Abstract>Le Topic Landcover décrit la couverture du sol. Ce sont les surfaces boisées qui sont représentées dans cet extrait</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.vec200-landcover-wald</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=de52b509-87c7-4f7e-be0b-ff3c557d2949"/>            <Style>                <ows:Title>Surfaces boisées</ows:Title>                <ows:Identifier>ch.swisstopo.vec200-landcover-wald</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.vec200-landcover-wald_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160101</Default>                <Value>20160101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_25</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.vec200-landcover-wald/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Cotes d&#39;altitude VECTOR200</ows:Title>            <ows:Abstract>Le Topic Miscellaneous comprend une sélection d&#39;objets ponctuels et linéaires marquants ainsi que des cotes d&#39;altitude. Il est composé de cinq feature classes. Feature Class GeodPoint Cotes d&#39;altitude</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.vec200-miscellaneous-geodpoint</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=e93697f6-2c2a-4774-94ea-bb95d17aba6e"/>            <Style>                <ows:Title>Cotes d&#39;altitude VECTOR200</ows:Title>                <ows:Identifier>ch.swisstopo.vec200-miscellaneous-geodpoint</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.vec200-miscellaneous-geodpoint_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160101</Default>                <Value>20160101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_25</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.vec200-miscellaneous-geodpoint/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Noms VECTOR200</ows:Title>            <ows:Abstract>Le Topic Names est composé d’une feature class NamedLocation qui contient les noms de communes, de localités, de sommets et de nombreux autres types de noms d’importance à l’échelle 1 :200&#39;000</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.vec200-names-namedlocation</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=4af350f6-2df1-4b5b-947f-6d65aea528f8"/>            <Style>                <ows:Title>Noms VECTOR200</ows:Title>                <ows:Identifier>ch.swisstopo.vec200-names-namedlocation</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.vec200-names-namedlocation_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160101</Default>                <Value>20160101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_25</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.vec200-names-namedlocation/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Surfaces aménagées VECTOR25</ows:Title>            <ows:Abstract>La couche Surfaces aménagées (abréviation anl) contient les catégories d&#39;objets gare, aire d&#39;aéroport et gare d&#39;aéroport</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.vec25-anlagen</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=67047f47-13d7-491a-bb7e-bb2c8016582d"/>            <Style>                <ows:Title>Surfaces aménagées VECTOR25</ows:Title>                <ows:Identifier>ch.swisstopo.vec25-anlagen</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.vec25-anlagen_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20090401</Default>                <Value>20090401</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.vec25-anlagen/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Réseau ferroviaire VECTOR25</ows:Title>            <ows:Abstract>La couche thématique Réseau ferroviaire (abréviation eis) contient toutes les lignes de chemins de fer figurant sur la Carte nationale 1:25&#39;000. Les chemins de fer forment un réseau de lignes: les voies convergeant à un aiguillage ou se ramifiant possèdent un noeud commun ce qui permet d&#39;effectuer une planification de routes.Les tronçons de chemins de fer qui passent dans des tunnels ou sur des ponts ont un attribut correspondant</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.vec25-eisenbahnnetz</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=399bc7a4-6b59-4568-821e-10c1dd13415c"/>            <Style>                <ows:Title>Réseau ferroviaire VECTOR25</ows:Title>                <ows:Identifier>ch.swisstopo.vec25-eisenbahnnetz</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.vec25-eisenbahnnetz_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20090401</Default>                <Value>20090401</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.vec25-eisenbahnnetz/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Bâtiments VECTOR25</ows:Title>            <ows:Abstract>La couche Bâtiments (abréviation geb) comprend l&#39;ensemble des bâtiments figurant sur la carte nationale 1:25&#39;000. La classification des bâtiments, représentés sous forme de surfaces, correspond aux catégories d&#39;objets figurant sur la légende de la carte</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.vec25-gebaeude</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=112c4f0e-0755-44bb-bdb0-249e9c56f8bb"/>            <Style>                <ows:Title>Bâtiments VECTOR25</ows:Title>                <ows:Identifier>ch.swisstopo.vec25-gebaeude</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.vec25-gebaeude_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20090401</Default>                <Value>20090401</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.vec25-gebaeude/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Réseau hydrographique VECTOR25</ows:Title>            <ows:Abstract>La couche réseau hydrographique contient un réseau de lignes orientées, reliées entre elles par des noeuds, ainsi qu&#39;une table sans géométrie. Pour les territoires de la Suisse et de la Principauté de Liechtenstein, ces éléments constituent la base du système d&#39;information des eaux de Suisse - GEWISS- géré par l&#39;Office fédéral de l&#39;environnement (OFEV). Dans le cadre du projet GWN07, la couche réseau hydrographique a été profondément remaniée. Depuis la version 2007 de VECTOR25, elle est publiée dans un nouveau modèle de données</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.vec25-gewaessernetz</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=0351bc2e-3cdc-4e8a-b422-0142e494e7b4"/>            <Style>                <ows:Title>Réseau hydrographique VECTOR25</ows:Title>                <ows:Identifier>ch.swisstopo.vec25-gewaessernetz</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.vec25-gewaessernetz_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20090401</Default>                <Value>20090401</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.vec25-gewaessernetz/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Surfaces primaires VECTOR25</ows:Title>            <ows:Abstract>La couche Surfaces primaires (abréviation pri) décrit la couverture du sol. Les différents types de surface de cette couche (lac et forêt) se délimitent réciproquement et forment un réseau de surfaces sans redondance et sans lacune. Contrairement à la Carte nationale, la couche Surfaces primaires présente les zones d&#39;habitation sous la forme de surface (interprétée). Les bâtiments isolés sont proposés en tant que couche thématique séparée. Les objets-lignes de cette couche constituent les limites entre les surfaces. Ils ont des catégories d&#39;objet indépendantes qui ne peuvent en principe pas être dérivés des surfaces (Rive gauche de la rivière, Rive droite de la rivière, Limite de forêt, Limite de forêt ouverte)</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.vec25-primaerflaechen</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=fb4c7281-bd58-4aae-b86a-3a73ba82e0aa"/>            <Style>                <ows:Title>Surfaces primaires VECTOR25</ows:Title>                <ows:Identifier>ch.swisstopo.vec25-primaerflaechen</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.vec25-primaerflaechen_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20090401</Default>                <Value>20090401</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.vec25-primaerflaechen/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Autres transports VECTOR25</ows:Title>            <ows:Abstract>Les moyens de transport (téléski, bacs, téléphériques, etc.) n&#39;appartenant pas aux couches Réseau routier et Réseau ferroviaire sont englobés dans la couche thématique Autres moyens de transport (abréviation uvk) sous forme d&#39;objets-lignes</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.vec25-uebrigerverkehr</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=721be44e-0ead-48e9-94e5-725c42749a77"/>            <Style>                <ows:Title>Autres transports VECTOR25</ows:Title>                <ows:Identifier>ch.swisstopo.vec25-uebrigerverkehr</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.vec25-uebrigerverkehr_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20090401</Default>                <Value>20090401</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.vec25-uebrigerverkehr/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>MN95 Vecteurs de déformation PAT1</ows:Title>            <ows:Abstract>Les vecteurs de déformations indiquent la direction et la grandeur de la correction locale (info-box) lors du passage de MN03 à MN95 au niveau des points PAT1</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.verschiebungsvektoren-tsp1</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=b7630e06-7e06-4ab0-9ed5-9fd2e66b6433"/>            <Style>                <ows:Title>MN95 Vecteurs de déformation PAT1</ows:Title>                <ows:Identifier>ch.swisstopo.verschiebungsvektoren-tsp1</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.verschiebungsvektoren-tsp1_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20061231</Default>                <Value>20061231</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.verschiebungsvektoren-tsp1/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>MN95 Vecteurs de déformation PAT2</ows:Title>            <ows:Abstract>Les vecteurs de déformations indiquent la direction et la grandeur de la correction locale (infobox) lors du passage de MN03 à MN95 au niveau des points PAT2</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.verschiebungsvektoren-tsp2</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=fcd80c13-8824-4c3b-835b-95172eb9e4e6"/>            <Style>                <ows:Title>MN95 Vecteurs de déformation PAT2</ows:Title>                <ows:Identifier>ch.swisstopo.verschiebungsvektoren-tsp2</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.verschiebungsvektoren-tsp2_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20070101</Default>                <Value>20070101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.verschiebungsvektoren-tsp2/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Centres logistiques de l&#39;armée CLA</ows:Title>            <ows:Abstract>Cinq centres logistiques de l’armée (CLA) veillent à ce que les troupes de l’Armée suisse obtiennent pour l’instruction et l’engagement les prestations logistiques nécessaires</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.vbs.armeelogistikcenter</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=ae538f59-74af-4ed4-999b-66cfb52c36de"/>            <Style>                <ows:Title>Centres logistiques de l&#39;armée CLA</ows:Title>                <ows:Identifier>ch.vbs.armeelogistikcenter</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.vbs.armeelogistikcenter_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20150330</Default>                <Value>20150330</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.vbs.armeelogistikcenter/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Stations-service BEBECO</ows:Title>            <ows:Abstract>Emplacements des stations-service de la Confédération (BEBECO)</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.vbs.bundestankstellen-bebeco</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=7f8c99f2-7736-4fe6-8d69-0af201f01526"/>            <Style>                <ows:Title>Stations-service BEBECO</ows:Title>                <ows:Identifier>ch.vbs.bundestankstellen-bebeco</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.vbs.bundestankstellen-bebeco_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20150909</Default>                <Value>20150909</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.vbs.bundestankstellen-bebeco/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Carte Zeus</ows:Title>            <ows:Abstract>Dispositif de base «Zeus» (édition en fac-similé). Carte déclassifiée. Ordre d&#39;engagement de l&#39;armée du 28.4.1989 (valable à partir du 1.1.1990) et du dispositif de base combiné correspondant datant du 31.10.1991 (valable à partir du 1.1.1992)</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.vbs.grunddispositiv-zeus</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=6441b459-e9c6-41a7-b88d-5529c3b1d003"/>            <Style>                <ows:Title>Carte Zeus</ows:Title>                <ows:Identifier>ch.vbs.grunddispositiv-zeus</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.vbs.grunddispositiv-zeus_fr.png" />            </Style>            <Format>image/jpeg</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20140116</Default>                <Value>20140116</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/jpeg" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.vbs.grunddispositiv-zeus/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.jpeg"/>        </Layer>        <Layer>            <ows:Title>Secteurs logistiques des CLA</ows:Title>            <ows:Abstract>Zones de responsabilité des centres logistiques de l&#39;armée (CLA)</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.vbs.logistikraeume-armeelogistikcenter</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=270a2032-d346-42c5-a657-9129186f1f08"/>            <Style>                <ows:Title>Secteurs logistiques des CLA</ows:Title>                <ows:Identifier>ch.vbs.logistikraeume-armeelogistikcenter</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.vbs.logistikraeume-armeelogistikcenter_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20141217</Default>                <Value>20141217</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.vbs.logistikraeume-armeelogistikcenter/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Mil Airspace Chart</ows:Title>            <ows:Abstract>La carte Mil Airspace Chart est une carte thématique de l&#39;aviation militaire qui a vu le jour en collaboration avec skyguide, swisstopo et les Forces aériennes suisses. Reposant sur la carte aéronautique OACI, elle est taillée sur mesure pour répondre aux besoins des opérations des Forces aériennes suisses. Elle est publiée une fois par an à la date de la modification de la structure de l&#39;espace aérien de la Suisse</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.vbs.milairspacechart</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=7cc94b45-7104-4187-92ea-d1f9a1f838ba"/>            <Style>                <ows:Title>Mil Airspace Chart</ows:Title>                <ows:Identifier>ch.vbs.milairspacechart</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.vbs.milairspacechart_fr.png" />            </Style>            <Format>image/jpeg</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160331</Default>                <Value>20160331</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_24</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/jpeg" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.vbs.milairspacechart/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.jpeg"/>        </Layer>        <Layer>            <ows:Title>Patrouille des Glaciers (course A)</ows:Title>            <ows:Abstract>La Patrouille des Glaciers (PDG) est une course militaire internationale de ski alpinisme de l’Armée Suisse, ouverte également aux patrouilles civiles. La course se déroule de Zermatt à Verbier (Parcours Z) respectivement d&#39;Arolla à Verbier (Parcours A). Elle doit être accomplie en une seule étape.Cette course unique se caractérise par la longueur et l’altitude du profil du parcours ainsi que les exigences du milieu alpin. /</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.vbs.patrouilledesglaciers-a_rennen</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=30c41be6-0f35-4caa-aeda-45f8705911fb"/>            <Style>                <ows:Title>Patrouille des Glaciers (course A)</ows:Title>                <ows:Identifier>ch.vbs.patrouilledesglaciers-a_rennen</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.vbs.patrouilledesglaciers-a_rennen_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20150511</Default>                <Value>20150511</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.vbs.patrouilledesglaciers-a_rennen/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Patrouille des Glaciers (course Z)</ows:Title>            <ows:Abstract>La Patrouille des Glaciers (PDG) est une course militaire internationale de ski alpinisme de l’Armée Suisse, ouverte également aux patrouilles civiles. La course se déroule de Zermatt à Verbier (Parcours Z) respectivement d&#39;Arolla à Verbier (Parcours A). Elle doit être accomplie en une seule étape.Cette course unique se caractérise par la longueur et l’altitude du profil du parcours ainsi que les exigences du milieu alpin</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.vbs.patrouilledesglaciers-z_rennen</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=64d14c1a-25bb-4bf5-bad3-057823a334ef"/>            <Style>                <ows:Title>Patrouille des Glaciers (course Z)</ows:Title>                <ows:Identifier>ch.vbs.patrouilledesglaciers-z_rennen</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.vbs.patrouilledesglaciers-z_rennen_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20150508</Default>                <Value>20150508</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.vbs.patrouilledesglaciers-z_rennen/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Postes de rétablissement</ows:Title>            <ows:Abstract>Les postes de rétablissement sont responsables de l’adaptation, du remplacement et de l’échange de l’équipement personnel que les militaires possèdent pendant la période de leur service obligatoire</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.vbs.retablierungsstellen</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=e436f7aa-3d59-4f4e-8940-46d2b181a9b4"/>            <Style>                <ows:Title>Postes de rétablissement</ows:Title>                <ows:Identifier>ch.vbs.retablierungsstellen</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.vbs.retablierungsstellen_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20150615</Default>                <Value>20150615</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.vbs.retablierungsstellen/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Carte des dégâts aux forêts</ows:Title>            <ows:Abstract>Le programme PROJEKTIL vous permet de visualiser:- les dommages causés aux arbres par des impacts de tirs, y compris les dommages subséquents provoqués par les militaires, et - les places de tir. Grâce à cette visualisation par le biais d&#39;Internet, l&#39;utilisateur dispose d&#39;un outil efficace pour acquérir une vue d&#39;ensemble sur les dégâts occasionnés par des tirs et sur les places de tir. L&#39;objectif, à l&#39;avenir, est de réduire les dégâts et le versement d&#39;indemnisations y relatives (prévention)</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.vbs.waldschadenkarte</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=2ff2299e-55b5-4ec7-bb92-fbb06e7ee422"/>            <Style>                <ows:Title>Carte des dégâts aux forêts</ows:Title>                <ows:Identifier>ch.vbs.waldschadenkarte</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.vbs.waldschadenkarte_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20110525</Default>                <Value>20110525</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.vbs.waldschadenkarte/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Registre des bâtiments et des logements</ows:Title>            <ows:Abstract>Le Registre fédéral des bâtiments et des logements (RegBL) contient les principales données de base sur les bâtiments et les logements. Il est utilisé à des fins statistiques, de recherche ou de planification, et il permet aux cantons et communes d&#39;exécuter certaines tâches que leur assigne la loi. La mise à jour est effectuée en coordination avec la statistique de la construction et des logements. Chaque bâtiment et chaque logement dispose d&#39;un numéro d&#39;identification fédéral unique sur tout le territoire suisse et attribué qu&#39;une seule fois (EGID et EWID), ainsi que d&#39;une adresse géocodée et conforme à la norme SN 612040. Numéros de parcelle et de bâtiment et surtout les coordonnées métriques permettent une localisation géographique exacte des bâtiments</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bfs.gebaeude_wohnungs_register</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=56553efe-4a2c-449d-93ba-cf7edd518d56"/>            <Style>                <ows:Title>Registre des bâtiments et des logements</ows:Title>                <ows:Identifier>ch.bfs.gebaeude_wohnungs_register</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bfs.gebaeude_wohnungs_register_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160208</Default>                <Value>20160208</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_20</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bfs.gebaeude_wohnungs_register/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Régions territoriales</ows:Title>            <ows:Abstract>Les régions territoriales (reg ter) forment le lien avec les autorités civiles et assurent la coopération avec les cantons; Elles sont le point de contact des autorités civiles lorsque ces dernières nécessitent l&#39;appui de l&#39;armée. De plus, les régions territoriales conduisent les engagements de soutien et subsidiaires de sûreté ainsi que les engagements d&#39;aide en cas de catastrophe dans leur secteur et immédiatement au-delà de la frontière sur décision du Conseil fédéral. Elles peuvent être engagées à l&#39;échelon opératif et conduire les formations qui leur sont subordonnées à l&#39;engagement. Elle portent la responsabilité de l&#39;instruction et de la disponibilité à la conduite des états-majors de liaison des cantons</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.vbs.territorialregionen</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=f1d7d608-74d7-46fc-a478-b4357409f34b"/>            <Style>                <ows:Title>Régions territoriales</ows:Title>                <ows:Identifier>ch.vbs.territorialregionen</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.vbs.territorialregionen_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20110501</Default>                <Value>20110501</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.vbs.territorialregionen/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Hydrologie VECTOR200</ows:Title>            <ows:Abstract>Le Topic Hydrography contient les différents éléments en rapport avec les eaux. Il comprend six feature classes et une table. Les lignes de &#34;FlowingWater&#34; et &#34;StagnantWater&#34; et les points de &#34;GWK_FW_Node&#34; sont liés topologiquement selon une structure de type arcs – noeuds, dans laquelle les arcs (lignes) sont reliés entre eux par des noeuds (points). Chaque arc a ainsi exactement deux noeuds, un par extrémité. Les arcs et les noeuds forment ensemble un réseau géométrique. En collaboration avec l&#39;Office fédéral de l’environnement (OFEV), les noeuds et les arcs situés en Suisse ont été structurés et adressés selon GEWISS (système d&#39;information suisse des eaux). A cette fin, les ainsi nommés Attributs-GEWISS ont été intégrés. Une feature class de point contenant des informations sur les chutes d’eau, les écluses et divers autres objets situés le long des cours d’eau est intégrée dans ce topic</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.vec200-hydrography</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=f22843ce-ee17-43b3-adc8-ad7015043984"/>            <Style>                <ows:Title>Hydrologie VECTOR200</ows:Title>                <ows:Identifier>ch.swisstopo.vec200-hydrography</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.vec200-hydrography_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160101</Default>                <Value>20160101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_25</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.vec200-hydrography/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>MEVE - vaccination recommandée</ows:Title>            <ows:Abstract>L’encéphalite à tiques ou méningo-encéphalite verno-estivale (MEVE) est une maladie infectieuse provoquée par le virus de la MEVE qui peut entraîner une méningite. Elle est transmise par la piqûre d’une tique infectée. Cette carte représente les régions où la vaccination contre la MEVE est recommandée. Elle se fonde sur les données du système de déclaration obligatoire depuis 1984 et sur les résultats d’études sur la proportion des tiques infectées. Cette carte repose sur les données suivantes : les régions d’endémie en 2011, les régions avec recommandation de vaccination pour les années 2013 à 2015, les zones à fréquence accrue d’encéphalite à tiques entre 2006 et 2015 ainsi que la découverte de tiques</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bag.zecken-fsme-impfung</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=c5b6314d-91ac-466b-ab97-4b7c3c6e5f94"/>            <Style>                <ows:Title>MEVE - vaccination recommandée</ows:Title>                <ows:Identifier>ch.bag.zecken-fsme-impfung</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bag.zecken-fsme-impfung_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20151231</Default>                <Value>20151231</Value>                <Value>20141231</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bag.zecken-fsme-impfung/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Les bâtiments en 3D simplifiés</ows:Title>            <ows:Abstract>swissBUILDINGS3D 1.0 est un jeu de données de bâtiments en 3D couvrant la Suisse et la Principauté du Liechtenstein (FL) et convenant pour un large éventail de modélisations et de visualisations. Ce jeu de données a été généré à partir des éléments de base de VECTOR25 que sont les contours des bâtiments et les surfaces boisées. Les hauteurs des bâtiments et leurs altitudes sont déduites du modèle numérique de surface (MNS), respectivement du modèle numérique de terrain de la mensuration officielle qui en est dérivé (MNT-MO). La hauteur (Height) a été calculée pour chaque bâtiment défini par son contour, sur la base des points correspondants du balayage laser. swissBUILDINGS3D décrit les volumes des bâtiments sans les formes de leurs toits et correspond à un modèle urbain en 3D simple. La représentation des modèles urbains en 3D s’effectue selon des degrés de spécification différents. La norme CityGML en prévoit cinq différents (Levels of Detail, LOD), fondés les uns sur les autres. swissBUILDINGS3D correspond au niveau LOD 1, soit celui d’un modèle urbain simple pour lequel les géométries des bâtiments sont décrites par des corps extrudés de forme prismatique (cubes). Les formes des toits ne sont pas prises en compte. Le jeu de données n&#39;est pas mis à jour</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.swissbuildings3d</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=4d4544b1-d57b-4ccc-b69d-582198286692"/>            <Style>                <ows:Title>Les bâtiments en 3D simplifiés</ows:Title>                <ows:Identifier>ch.swisstopo.swissbuildings3d</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.swissbuildings3d_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>19980101</Default>                <Value>19980101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.swissbuildings3d/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Géotopes suisses</ows:Title>            <ows:Abstract>Les géotopes sont des monuments naturels géoscientifiques. Certains d&#39;entre eux, qui témoignent de l&#39;histoire de la Terre, nous racontent l&#39;évolution du paysage, du climat et de la vie, la genèse et la disparition des montagnes, ainsi que la formation des roches. D&#39;autres géotopes nous révèle des processus qui se déroulent à la surface ou à l&#39;intérieur de la Terre. Les géotopes incluent également le monde caché des cavernes et des nappes d&#39;eau souterraine. Un dernier groupe comprend des formes actives qui modèlent le paysage, telles qu&#39;éboulis, zones alluviales ou émergences d&#39;eau souterraine.Les géotopes sont des portions de la géosphère (partie minérale, non vivante de la Terre) délimitées dans l&#39;espace. Ce terme peut recouvrir une occurrence unique, ponctuelle, ou tout un pan de paysage, selon son contenu thématique. Il faut les protéger contre les actions qui portent atteinte à leur contenu, leur structure, leur forme ou leur évolution naturelle. Les géotopes d&#39;importance nationale mentionnés ici proviennent de l&#39;inventaire informel dressé par le groupe de travail pour la protection des géotopes suisses (Académie des sciences naturelles SCNAT). N&#39;étant pas basé sur un recensement systématique, il ne prétend pas être exhaustif. Sources: M. Felber (1999): Inventaire des géotopes d&#39;importance nationale. Geologia Insubrica 4/1. Reynard, E., Berger, J.-P., Constandache, M., Felber, M., Grangier, L., Häuselmann, P., Jeannin, P.-Y. &amp; Martin, S. (2012): Révision de l&#39;inventaire des géotopes suisses: rapport final. – Geosciences, Platform of the Swiss Academy of Science</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.geologie-geotope</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=e7dd54e9-fc98-4e5c-b46a-694d1ba6c84e"/>            <Style>                <ows:Title>Géotopes suisses</ows:Title>                <ows:Identifier>ch.swisstopo.geologie-geotope</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.geologie-geotope_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20130107</Default>                <Value>20130107</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.geologie-geotope/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Carte nationale 1:50&#39;000 | CN50</ows:Title>            <ows:Abstract>La carte nationale au 1:50’000 est la carte topographique suisse avec une représentation détaillée des voies de communications, des surfaces bâties, de l’hydrographie, du terrain et de la végétation. Le périmètre total est divisé en 78 feuilles. Il existe également des assemblages pour certaines régions d’intérêt géographique ou touristique. La mise à jour s’effectue par secteur suivant un cycle de 6 ans. La carte nationale au 1:50’000 est disponible sous forme analogique (carte papier) et digitale (Swiss Map Raster). Les feuilles de l’édition imprimée sont disponibles soit pliées, soit à plat. La Swiss Map Raster est la carte nationale digitalisée, livrable sous forme de données raster géoréférencées (format TIF). Les informations de la carte sont réparties par couches de couleurs et non par éléments thématiques. Les cartes-pixel sont à dispositions en couleurs combinées (254 dpi et 508 dpi) ainsi que par couches de couleurs séparées (données binaires 508 dpi), soit par feuille, soit par un découpage individualisé</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.pixelkarte-farbe-pk50.noscale</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=4c8c7c58-61c7-4a61-8e7a-6ffb95d183df"/>            <Style>                <ows:Title>Carte nationale 1:50&#39;000 | CN50</ows:Title>                <ows:Identifier>ch.swisstopo.pixelkarte-farbe-pk50.noscale</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.pixelkarte-farbe-pk50.noscale_fr.png" />            </Style>            <Format>image/jpeg</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>current</Default>                <Value>current</Value>                <Value>20151231</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/jpeg" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.pixelkarte-farbe-pk50.noscale/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.jpeg"/>        </Layer>        <Layer>            <ows:Title>Objets isolés VECTOR25</ows:Title>            <ows:Abstract>La couche thématique Objets isolés (abréviation eob) contient une sélection d&#39;objets marquants figurant sous forme de points et de lignes (aides à l&#39;orientation)</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.vec25-einzelobjekte</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=5fb1376e-554a-4bcc-9c1d-e0b9b39d7aaa"/>            <Style>                <ows:Title>Objets isolés VECTOR25</ows:Title>                <ows:Identifier>ch.swisstopo.vec25-einzelobjekte</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.vec25-einzelobjekte_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>19980101</Default>                <Value>19980101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.vec25-einzelobjekte/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Voyage dans le temps - Cartes</ows:Title>            <ows:Abstract>Depuis sa fondation en 1838 par Guillaume-Henri Dufour, l’Office fédéral de topographie swisstopo a produit trois séries de cartes officielles : la Carte topographique de la Suisse 1:100’000 (carte Dufour), l’Atlas topographique de la Suisse 1:25’000 / 1:50’000 (Carte Siegfried) et les Cartes nationales suisses en différentes échelles. L’ensemble de ces fonds constitue un bien culturel d’importance nationale qui peut être qualifié de « mémoire du paysage de la Suisse topographique ». Avec le « voyage dans le temps » l’évolution du paysage peut être perçue de manière interactive sur la base de ces œuvres cartographiques</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.zeitreihen</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=22287cd6-b75b-4caf-9413-aa3f196548b2"/>            <Style>                <ows:Title>Voyage dans le temps - Cartes</ows:Title>                <ows:Identifier>ch.swisstopo.zeitreihen</ows:Identifier>                                                             </Style>            <Format>image/png</Format>            <Format>image/pngjpeg</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20131231</Default>                <Value>20131231</Value>                <Value>20121231</Value>                <Value>20111231</Value>                <Value>20101231</Value>                <Value>20091231</Value>                <Value>20081231</Value>                <Value>20071231</Value>                <Value>20061231</Value>                <Value>20051231</Value>                <Value>20041231</Value>                <Value>20031231</Value>                <Value>20021231</Value>                <Value>20011231</Value>                <Value>20001231</Value>                <Value>19991231</Value>                <Value>19981231</Value>                <Value>19971231</Value>                <Value>19961231</Value>                <Value>19951231</Value>                <Value>19941231</Value>                <Value>19931231</Value>                <Value>19921231</Value>                <Value>19911231</Value>                <Value>19901231</Value>                <Value>19891231</Value>                <Value>19881231</Value>                <Value>19871231</Value>                <Value>19861231</Value>                <Value>19851231</Value>                <Value>19841231</Value>                <Value>19831231</Value>                <Value>19821231</Value>                <Value>19811231</Value>                <Value>19801231</Value>                <Value>19791231</Value>                <Value>19781231</Value>                <Value>19771231</Value>                <Value>19761231</Value>                <Value>19751231</Value>                <Value>19741231</Value>                <Value>19731231</Value>                <Value>19721231</Value>                <Value>19711231</Value>                <Value>19701231</Value>                <Value>19691231</Value>                <Value>19681231</Value>                <Value>19671231</Value>                <Value>19661231</Value>                <Value>19651231</Value>                <Value>19641231</Value>                <Value>19631231</Value>                <Value>19621231</Value>                <Value>19611231</Value>                <Value>19601231</Value>                <Value>19591231</Value>                <Value>19581231</Value>                <Value>19571231</Value>                <Value>19561231</Value>                <Value>19551231</Value>                <Value>19541231</Value>                <Value>19531231</Value>                <Value>19521231</Value>                <Value>19511231</Value>                <Value>19501231</Value>                <Value>19491231</Value>                <Value>19481231</Value>                <Value>19471231</Value>                <Value>19461231</Value>                <Value>19451231</Value>                <Value>19441231</Value>                <Value>19431231</Value>                <Value>19421231</Value>                <Value>19411231</Value>                <Value>19401231</Value>                <Value>19391231</Value>                <Value>19381231</Value>                <Value>19371231</Value>                <Value>19361231</Value>                <Value>19351231</Value>                <Value>19341231</Value>                <Value>19331231</Value>                <Value>19321231</Value>                <Value>19311231</Value>                <Value>19301231</Value>                <Value>19291231</Value>                <Value>19281231</Value>                <Value>19271231</Value>                <Value>19261231</Value>                <Value>19251231</Value>                <Value>19241231</Value>                <Value>19231231</Value>                <Value>19221231</Value>                <Value>19211231</Value>                <Value>19201231</Value>                <Value>19191231</Value>                <Value>19181231</Value>                <Value>19171231</Value>                <Value>19161231</Value>                <Value>19151231</Value>                <Value>19141231</Value>                <Value>19131231</Value>                <Value>19121231</Value>                <Value>19111231</Value>                <Value>19101231</Value>                <Value>19091231</Value>                <Value>19081231</Value>                <Value>19071231</Value>                <Value>19061231</Value>                <Value>19051231</Value>                <Value>19041231</Value>                <Value>19031231</Value>                <Value>19021231</Value>                <Value>19011231</Value>                <Value>19001231</Value>                <Value>18991231</Value>                <Value>18981231</Value>                <Value>18971231</Value>                <Value>18961231</Value>                <Value>18951231</Value>                <Value>18941231</Value>                <Value>18931231</Value>                <Value>18921231</Value>                <Value>18911231</Value>                <Value>18901231</Value>                <Value>18891231</Value>                <Value>18881231</Value>                <Value>18871231</Value>                <Value>18861231</Value>                <Value>18851231</Value>                <Value>18841231</Value>                <Value>18831231</Value>                <Value>18821231</Value>                <Value>18811231</Value>                <Value>18801231</Value>                <Value>18791231</Value>                <Value>18781231</Value>                <Value>18771231</Value>                <Value>18761231</Value>                <Value>18751231</Value>                <Value>18741231</Value>                <Value>18731231</Value>                <Value>18721231</Value>                <Value>18711231</Value>                <Value>18701231</Value>                <Value>18691231</Value>                <Value>18681231</Value>                <Value>18671231</Value>                <Value>18661231</Value>                <Value>18651231</Value>                <Value>18641231</Value>                <Value>18631231</Value>                <Value>18621231</Value>                <Value>18611231</Value>                <Value>18601231</Value>                <Value>18591231</Value>                <Value>18581231</Value>                <Value>18571231</Value>                <Value>18561231</Value>                <Value>18551231</Value>                <Value>18541231</Value>                <Value>18531231</Value>                <Value>18521231</Value>                <Value>18511231</Value>                <Value>18501231</Value>                <Value>18491231</Value>                <Value>18481231</Value>                <Value>18471231</Value>                <Value>18461231</Value>                <Value>18451231</Value>                <Value>18441231</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_23</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.zeitreihen/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>                <ResourceURL format="image/pngjpeg" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.zeitreihen/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.pngjpeg"/>        </Layer>        <Layer>            <ows:Title>Utilisation simplifiée du sol</ows:Title>            <ows:Abstract>Parmi les besoins en informations sur l&#39;utilisation et la couverture des sols figurent aussi les représentations cartographiques. La statistique suisse de la superficie est constituée de points d&#39;échantillonnage qui ne représentent pas à proprement parler des surfaces. La reproduction cartographique de ses résultats est par conséquent problématique et ne mènerait qu&#39;à une image peu homogène, tourmentée et finalement peu plausible, sur laquelle certains catégories (particulièrement les types linéaires ou constitués de petites surfaces isolées comme cours d&#39;eau, rues, bâtiments) apparaîtraient fortement dispersées et réparties presque au hasard. Pour constituer une base de données mieux adaptée à la cartographie, l&#39;OFS a utilisé une procédure itérative pour regrouper en 18 classes et généraliser les données-points des statistiques de la superficie. A la fin, on a produit trois fichiers de fonds de carte aux niveaux de précision décroissants, adaptés à la visualisation cartographique à différentes échelles</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bfs.arealstatistik-hintergrund</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=f03f085a-6bff-4063-b664-5546e32ba2e2"/>            <Style>                <ows:Title>Utilisation simplifiée du sol</ows:Title>                <ows:Identifier>ch.bfs.arealstatistik-hintergrund</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bfs.arealstatistik-hintergrund_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20070116</Default>                <Value>20070116</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bfs.arealstatistik-hintergrund/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>la Suisse à vélo</ows:Title>            <ows:Abstract>&#34;SuisseMobile – La Suisse à vélo Itinéraires nationaux, régionaux, et locaux. La fondation SuisseMobile coordonne les offres de SuisseMobile sur mandat ou en accord avec différents offices fédéraux (Office fédéral des routes, Office fédéral du développement territorial, Secrétariat d&#39;Etat à l&#39;économie, Office fédéral de topographie, Office fédéral de l&#39;énergie, Office fédéral du sport, Office fédéral de l&#39;environnement, Office fédéral des transports) ainsi que sur mandat des cantons et de la Principauté du Liechtenstein. &#34;</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.astra.veloland</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=16d16fa3-a416-4e8b-99fc-69c7267f134d"/>            <Style>                <ows:Title>la Suisse à vélo</ows:Title>                <ows:Identifier>ch.astra.veloland</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.astra.veloland_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160518</Default>                <Value>20160518</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.astra.veloland/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Pente plus de 30°</ows:Title>            <ows:Abstract>Représentation dérivée des modèles altimétriques numériques swissALTI3D et MNT25 qui permet d&#39;identifier les pentes de plus de 30°. Cette information est utile à la prévention des accidents d&#39;avalanche. La pente représente la première dérivée d&#39;un modèle altimétrique numérique. Elle a été calculée sur un modèle altimétrique numérique avec une résolution de 10m combinant swissALTI3D (pour la Suisse et le Liechtenstein) et MNT25 (pour la partie à l&#39;étranger). Au passage entre les deux modèles de base, l&#39;exactitude des valeurs de pente n&#39;est pas garantie. Toute responsabilité basée sur la représentation des pentes de plus de 30° est exclue</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo-karto.hangneigung</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=c37cbfbf-0d87-4ae8-8c21-8932130eb3fa"/>            <Style>                <ows:Title>Pente plus de 30°</ows:Title>                <ows:Identifier>ch.swisstopo-karto.hangneigung</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo-karto.hangneigung_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20151202</Default>                <Value>20151202</Value>                <Value>20081107</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_25</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo-karto.hangneigung/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>MEVE - zones à fréquence accrue</ows:Title>            <ows:Abstract>L’encéphalite à tiques ou méningo-encéphalite verno-estivale (MEVE) est une maladie infectieuse provoquée par le virus de la MEVE qui peut entraîner une méningite. Elle est transmise par la piqûre d’une tique infectée. Les données montrent les zones présentant une fréquence accrue d’encéphalite à tiques. Elles sont basées sur les données recueillies par le système de déclaration obligatoire des années 2006 à 2015. Elles ont été établies par une méthode qui identifie les zones présentant un nombre de cas supérieur à la moyenne, les « zones à fréquence accrue »</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bag.zecken-fsme-faelle</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=836e4e0e-f2b5-4cbc-a20a-62fca7fd2ebe"/>            <Style>                <ows:Title>MEVE - zones à fréquence accrue</ows:Title>                <ows:Identifier>ch.bag.zecken-fsme-faelle</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bag.zecken-fsme-faelle_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20151231</Default>                <Value>20151231</Value>                <Value>20141231</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bag.zecken-fsme-faelle/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Objets marquants VECTOR200</ows:Title>            <ows:Abstract>Le Topic Miscellaneous comprend une sélection d&#39;objets ponctuels et linéaires marquants ainsi que des cotes d&#39;altitude. Il est composé de cinq feature classes</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.vec200-miscellaneous</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=2ba45ce9-b062-4792-95ba-9bbc8d840652"/>            <Style>                <ows:Title>Objets marquants VECTOR200</ows:Title>                <ows:Identifier>ch.swisstopo.vec200-miscellaneous</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.vec200-miscellaneous_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160101</Default>                <Value>20160101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_25</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.vec200-miscellaneous/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Stat. de la superficie 1979/85 NOAS04</ows:Title>            <ows:Abstract>Utilisation du sol selon 72 catégories de base, 17 et 27 classes, et 4 domaines principaux, relevée par interprétation visuelle de points d’échantillonnage distants de 100m et affichés sur des images aériennes digitales en 3 dimensions. Pour la première fois, on relève de manière distincte la couverture et l’utilisation du sol , de sorte que chaque point d&#39;échantillonnage se voit assorti de deux codes. On peut ainsi soit considérer seuls le type de couverture ou le mode d&#39;utilisation, soit combiner ces deux caractères. La nouvelle nomenclature 2004 (NOAS04) compte 72 catégories de base, qui garantissent dans une large mesure la comparabilité avec la nomenclature 1992 (NOAS92)</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bfs.arealstatistik-1985</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=0dff304b-d90c-4f9c-bd9d-f3c315a128c2"/>            <Style>                <ows:Title>Stat. de la superficie 1979/85 NOAS04</ows:Title>                <ows:Identifier>ch.bfs.arealstatistik-1985</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bfs.arealstatistik-1985_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20131121</Default>                <Value>20131121</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bfs.arealstatistik-1985/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>la Suisse à VTT</ows:Title>            <ows:Abstract>&#34;SuisseMobile – La Suisse à VTT Itinéraires nationaux, régionaux, et locaux. La fondation SuisseMobile coordonne les offres de SuisseMobile sur mandat ou en accord avec différents offices fédéraux (Office fédéral des routes, Office fédéral du développement territorial, Secrétariat d&#39;Etat à l&#39;économie, Office fédéral de topographie, Office fédéral de l&#39;énergie, Office fédéral du sport, Office fédéral de l&#39;environnement, Office fédéral des transports) ainsi que sur mandat des cantons et de la Principauté du Liechtenstein. &#34;</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.astra.mountainbikeland</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=d4f1ebde-f999-4c56-b4a5-7ec8720a4052"/>            <Style>                <ows:Title>la Suisse à VTT</ows:Title>                <ows:Identifier>ch.astra.mountainbikeland</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.astra.mountainbikeland_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160518</Default>                <Value>20160518</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.astra.mountainbikeland/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Réseau routier VECTOR200</ows:Title>            <ows:Abstract>&#34;Le réseau routier, est une partie du topic Transportation du produit VECTOR200 de swisstopo, qui présente les divers éléments en rapport avec le Trafic / Transport. Il présente des informations à propos des: Bureaux de douane (CustomsOffice), Noeuds routiers importants (Interchange), Rampes d&#39;accès aux routes (Ramp), Routes et sentiers (Road), Bacs pour voitures (ship) et Informations sur le trafic routier.VECTOR200 est un modèle bidimensionnel du territoire qui restitue les objets naturels et construits du paysage au format vectoriel. Grâce à son haut degré de généralisation (échelle de base 1:200&#39;000), il constitue un produit géodonnées de référence pour des travaux d&#39;ensemble au niveau régional et national.&#34;</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.vec200-transportation-strassennetz</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=2816b787-2508-42c8-8dec-094d68f5f094"/>            <Style>                <ows:Title>Réseau routier VECTOR200</ows:Title>                <ows:Identifier>ch.swisstopo.vec200-transportation-strassennetz</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.vec200-transportation-strassennetz_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160101</Default>                <Value>20160101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_25</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.vec200-transportation-strassennetz/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Carte nationale 1:500&#39;000 | CN500</ows:Title>            <ows:Abstract>La carte nationale au 1:500&#39;000 est une carte topographique synoptique de la Suisse. La mise à jour s&#39;effectue suivant un cycle de 6 ans. La carte nationale au 1:500&#39;000 est disponible sous forme analogique (carte papier) et digitale (Swiss Map Raster). L&#39;édition imprimée est disponible soit pliée, soit à plat. La Swiss Map Raster est la carte nationale digitalisée, livrable sous forme de données raster géoréférencées (format TIF). Les informations de la carte sont réparties par couches de couleurs et non par éléments thématiques. Les cartes-pixel sont à dispositions en couleurs combinées (254 dpi et 508 dpi) ainsi que par couches de couleurs séparées (données binaires 508 dpi)</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.pixelkarte-farbe-pk500.noscale</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=e1825425-2988-493e-9206-080171cadd27"/>            <Style>                <ows:Title>Carte nationale 1:500&#39;000 | CN500</ows:Title>                <ows:Identifier>ch.swisstopo.pixelkarte-farbe-pk500.noscale</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.pixelkarte-farbe-pk500.noscale_fr.png" />            </Style>            <Format>image/jpeg</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>current</Default>                <Value>current</Value>                <Value>20151231</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/jpeg" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.pixelkarte-farbe-pk500.noscale/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.jpeg"/>        </Layer>        <Layer>            <ows:Title>Réseau routier VECTOR25</ows:Title>            <ows:Abstract>La couche Réseau routier (abréviation str) de VECTOR25 comprend le réseau complet des routes et des chemins figurant sur la Carte nationale 1:25&#39;000. La classification (catégories d&#39;objet) correspond à la légende de la carte. Pour cette raison, en régions frontalières allemande et française, la classification étrangère est conservée (p.ex. Wirtweg ou route étroite). Les routes constituent un réseau de lignes: les tronçons (arcs) qui se croisent au même niveau ont un noeud commun permettant la planification de routes. Les catégories de routes qui ne peuvent être empruntées que dans un sens défini (p.ex. entrée d&#39;autoroute) sont saisies avec le sens de la direction. Les autres indications concernant l&#39;organisation de la circulation ne sont pas contenues (p.ex. interdiction de circuler ou de tourner, sens unique, etc.). Les tronçons de routes qui passent dans des tunnels ou sur des ponts ont un attribut correspondant. L&#39;attribut &#34;HikingType&#34; indique les chemins de randonnée pédestre officiels balisés (FSTP)</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.vec25-strassennetz</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=993a3d7d-070d-4992-92cb-ef82d2853661"/>            <Style>                <ows:Title>Réseau routier VECTOR25</ows:Title>                <ows:Identifier>ch.swisstopo.vec25-strassennetz</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.vec25-strassennetz_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20090401</Default>                <Value>20090401</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.vec25-strassennetz/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Prélèvements</ows:Title>            <ows:Abstract>La loi fédérale du 24 janvier 1991 sur la protection des eaux (LEaux) est entrée en vigueur le 1er novembre 1992 et, avec elle, ses dispositions concernant les débits résiduels. Conformément aux art. 80 ss. LEaux, les débits résiduels doivent, sur ordre des autorités et dans la mesure du possible, être assainis. Dans cette perspective, une première étape consiste pour les cantons à dresser un inventaire des prélèvements d’eau existants et de transmettre celui-ci à la Confédération. Les cantons évaluent sur cette base les prélèvements d’eau effectués et décident si et dans quelle mesure un assainissement est nécessaire. Ils rassemblent les résultats de leurs investigations dans un rapport qu’ils remettent également à la Confédération. Pour garantir une vue d’ensemble de l’application de la LEaux dans le domaine des débits résiduels et de leur assainissement et afin d’informer la population et les autres organes concernés, les données portant sur les prélèvements d’eau transmises par les cantons sont présentées sur une carte nationale des débits résiduels (échelle 1 : 200’000)</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bafu.wasser-entnahme</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=a4ecf3a4-9943-4826-a997-9d7523e4d8ad"/>            <Style>                <ows:Title>Prélèvements</ows:Title>                <ows:Identifier>ch.bafu.wasser-entnahme</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bafu.wasser-entnahme_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20040101</Default>                <Value>20040101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bafu.wasser-entnahme/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Haies, arbres isolés VECTOR25</ows:Title>            <ows:Abstract>La couche Haies et arbres isolés (abréviation heb) contient des objets-points et des objets-lignes appartenant à la végétation. Les objets sont saisis de manière semi-automatique à partir de la carte pixel</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.vec25-heckenbaeume</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=664aacf5-91f8-43b1-a6b4-f01eca6cc082"/>            <Style>                <ows:Title>Haies, arbres isolés VECTOR25</ows:Title>                <ows:Identifier>ch.swisstopo.vec25-heckenbaeume</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.vec25-heckenbaeume_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>19980101</Default>                <Value>19980101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.vec25-heckenbaeume/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Carte nationale 1:25&#39;000 | CN25</ows:Title>            <ows:Abstract>La carte nationale au 1:25’000 est la carte topographique suisse avec une représentation très détaillée des voies de communications, des surfaces bâties, de l’hydrographie, du terrain et de la végétation. Le périmètre total est divisé en 247 feuilles. Il existe également des assemblages pour certaines régions d’intérêt géographique ou touristique. La mise à jour s’effectue par secteur suivant un cycle de 6 ans. La carte nationale au 1:25’000 est disponible sous forme analogique (carte papier) et digitale (Swiss Map Raster). Les feuilles de l’édition imprimée sont disponibles soit pliées, soit à plat. La Swiss Map Raster sont est la carte nationale digitalisée, livrable sous forme de données raster géoréférencées (format TIF). Les informations de la carte sont réparties par couches de couleurs et non par éléments thématiques. Les cartes-pixel sont à dispositions en couleurs combinées (254 dpi et 508 dpi) ainsi que par couches de couleurs séparées (données binaires 508 dpi), soit par feuille, soit par un découpage individualisé</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.pixelkarte-farbe-pk25.noscale</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=2987a492-a097-46f3-b162-abc1b3115f85"/>            <Style>                <ows:Title>Carte nationale 1:25&#39;000 | CN25</ows:Title>                <ows:Identifier>ch.swisstopo.pixelkarte-farbe-pk25.noscale</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.pixelkarte-farbe-pk25.noscale_fr.png" />            </Style>            <Format>image/jpeg</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>current</Default>                <Value>current</Value>                <Value>20151231</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/jpeg" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.pixelkarte-farbe-pk25.noscale/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.jpeg"/>        </Layer>        <Layer>            <ows:Title>Carte nationale 1:200&#39;000 | CN200</ows:Title>            <ows:Abstract>La carte nationale au 1:200&#39;000 est une carte topographique synoptique précise de la Suisse. Le périmètre total est divisé en 4 feuilles. La mise à jour s&#39;effectue suivant un cycle de 4 ans. La carte nationale au 1:200&#39;000 est disponible sous forme analogique (carte papier) et digitale (Swiss Map Raster). Les feuilles de l&#39;édition imprimée sont disponibles soit pliées, soit à plat. La Swiss Map Raster est la carte nationale digitalisée, livrable sous forme de données raster géoréférencées (format TIF). Les informations de la carte sont réparties par couches de couleurs et non par éléments thématiques. Les cartes-pixel sont à dispositions en couleurs combinées (254 dpi et 508 dpi) ainsi que par couches de couleurs séparées (données binaires 508 dpi), soit par feuille, soit par un découpage individualisé</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.pixelkarte-farbe-pk200.noscale</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=5f75341e-2050-4ed9-a8de-ee7637490565"/>            <Style>                <ows:Title>Carte nationale 1:200&#39;000 | CN200</ows:Title>                <ows:Identifier>ch.swisstopo.pixelkarte-farbe-pk200.noscale</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.pixelkarte-farbe-pk200.noscale_fr.png" />            </Style>            <Format>image/jpeg</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>current</Default>                <Value>current</Value>                <Value>20151231</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/jpeg" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.pixelkarte-farbe-pk200.noscale/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.jpeg"/>        </Layer>        <Layer>            <ows:Title>Stat. superficie 1992/97 NOAS04</ows:Title>            <ows:Abstract>Utilisation du sol selon 72 catégories de base, 17 et 27 classes, et 4 domaines principaux, relevée par interprétation visuelle de points d’échantillonnage distants de 100m et affichés sur des images aériennes digitales en 3 dimensions. Pour la première fois, on relève de manière distincte la couverture et l’utilisation du sol , de sorte que chaque point d&#39;échantillonnage se voit assorti de deux codes. On peut ainsi soit considérer seuls le type de couverture ou le mode d&#39;utilisation, soit combiner ces deux caractères. La nouvelle nomenclature 2004 (NOAS04) compte 72 catégories de base, qui garantissent dans une large mesure la comparabilité avec la nomenclature 1992 (NOAS92)</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bfs.arealstatistik-1997</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=260bbbe0-0c10-4a31-b566-cd0d6f143a09"/>            <Style>                <ows:Title>Stat. superficie 1992/97 NOAS04</ows:Title>                <ows:Identifier>ch.bfs.arealstatistik-1997</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bfs.arealstatistik-1997_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20131121</Default>                <Value>20131121</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bfs.arealstatistik-1997/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>la Suisse à pied</ows:Title>            <ows:Abstract>&#34;SuisseMobile – La Suisse à pied Itinéraires nationaux, régionaux, locaux et chemins sans obstacles. La fondation SuisseMobile coordonne les offres de SuisseMobile sur mandat ou en accord avec différents offices fédéraux (Office fédéral des routes, Office fédéral du développement territorial, Secrétariat d&#39;Etat à l&#39;économie, Office fédéral de topographie, Office fédéral de l&#39;énergie, Office fédéral du sport, Office fédéral de l&#39;environnement, Office fédéral des transports) ainsi que sur mandat des cantons et de la Principauté du Liechtenstein. &#34;</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.astra.wanderland</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=95638869-ef86-4e95-ae60-20e84e8dca8c"/>            <Style>                <ows:Title>la Suisse à pied</ows:Title>                <ows:Identifier>ch.astra.wanderland</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.astra.wanderland_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160518</Default>                <Value>20160518</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.astra.wanderland/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Stat. superficie 2004/09 NOAS04</ows:Title>            <ows:Abstract>Utilisation du sol selon 72 catégories de base, 17 et 27 classes, et 4 domaines principaux, relevée par interprétation visuelle de points d’échantillonnage distants de 100m et affichés sur des images aériennes digitales en 3 dimensions. Pour la première fois, on relève de manière distincte la couverture et l’utilisation du sol , de sorte que chaque point d&#39;échantillonnage se voit assorti de deux codes. On peut ainsi soit considérer seuls le type de couverture ou le mode d&#39;utilisation, soit combiner ces deux caractères. La nouvelle nomenclature 2004 (NOAS04) compte 72 catégories de base, qui garantissent dans une large mesure la comparabilité avec la nomenclature 1992 (NOAS92)</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.bfs.arealstatistik</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=8ac687ee-ad27-4ac7-8c1c-b64abee9e3b3"/>            <Style>                <ows:Title>Stat. superficie 2004/09 NOAS04</ows:Title>                <ows:Identifier>ch.bfs.arealstatistik</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.bfs.arealstatistik_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20131121</Default>                <Value>20131121</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.bfs.arealstatistik/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>Carte nationale 1:100&#39;000 | CN100</ows:Title>            <ows:Abstract>La carte nationale au 1:100&#39;000 est la carte topographique suisse supra régionale. Le périmètre total est divisé en 23 feuilles. Il existe également des assemblages pour certaines régions d&#39;intérêt géographique ou touristique. La mise à jour s&#39;effectue par secteur suivant un cycle de 6 ans. La carte nationale au 1:100&#39;000 est disponible sous forme analogique (carte papier) et digitale (Swiss Map Raster). Les feuilles de l&#39;édition imprimée sont disponibles soit pliées, soit à plat. La Swiss Map Raster est la carte nationale digitalisée, livrable sous forme de données raster géoréférencées (format TIF). Les informations de la carte sont réparties par couches de couleurs et non par éléments thématiques. Les cartes-pixel sont à dispositions en couleurs combinées (254 dpi et 508 dpi) ainsi que par couches de couleurs séparées (données binaires 508 dpi), soit par feuille, soit par un découpage individualisé</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.pixelkarte-farbe-pk100.noscale</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=e8be74b0-fc58-4fc7-be9a-5dcc70dcea6e"/>            <Style>                <ows:Title>Carte nationale 1:100&#39;000 | CN100</ows:Title>                <ows:Identifier>ch.swisstopo.pixelkarte-farbe-pk100.noscale</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.pixelkarte-farbe-pk100.noscale_fr.png" />            </Style>            <Format>image/jpeg</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>current</Default>                <Value>current</Value>                <Value>20151231</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/jpeg" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.pixelkarte-farbe-pk100.noscale/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.jpeg"/>        </Layer>        <Layer>            <ows:Title>SWISSIMAGE</ows:Title>            <ows:Abstract>La mosaïque d&#39;orthophoto SWISSIMAGE est un assemblage d&#39;images aériennes numériques en couleur. Une orthophoto est une image aérienne dont les influences de l&#39;inclinaison de la chambre de prise de vue et du relief du terrain sont neutralisées. La mosaïque SWISSIMAGE présente ainsi une échelle et une radiométrie uniformes sur l&#39;ensemble de la Suisse</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.swissimage-product</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=db5a52b4-0f5f-4998-a9a8-dd9539f93809"/>            <Style>                <ows:Title>SWISSIMAGE</ows:Title>                <ows:Identifier>ch.swisstopo.swissimage-product</ows:Identifier>                                                             </Style>            <Format>image/jpeg</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>current</Default>                <Value>current</Value>                <Value>20151231</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_27</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/jpeg" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.swissimage-product/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.jpeg"/>        </Layer>        <Layer>            <ows:Title>CadastralWebMap</ows:Title>            <ows:Abstract>La base est un service de représentation (Web Map Service), créé depuis les données du Géoportail de la MO de la Confédération, dont le contenu est toutefois réduit par rapport aux données complètes de la mensuration officielle (MO)</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.kantone.cadastralwebmap-farbe</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=cf93dfb6-ffff-43ce-bd9b-271baba2d217"/>            <Style>                <ows:Title>CadastralWebMap</ows:Title>                <ows:Identifier>ch.kantone.cadastralwebmap-farbe</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.kantone.cadastralwebmap-farbe_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>current</Default>                <Current>true</Current>                <Value>current</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_27</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts20.geo.admin.ch/1.0.0/ch.kantone.cadastralwebmap-farbe/default/{Time}/21781/{TileMatrix}/{TileCol}/{TileRow}.png"/>        </Layer>        <Layer>            <ows:Title>Transports publics VECTOR200</ows:Title>            <ows:Abstract>Les Transports publics, sont une partie du topic Transportation qui décrit les différents éléments liés aux transports (réseau routier, réseau ferroviaire, aéroports, bacs pour voiture, etc.). Il est composé de 12 feature classes et de 4 tables. Les lignes et les points sont liés topologiquement selon une structure de type arcs – noeuds dans laquelle les arcs (lignes) sont reliés entre eux par des noeuds (points). Chaque arc a ainsi exactement deux noeuds, un par extrémité. Les arcs et les noeuds forment ensemble un réseau géométrique. Les règles régissant le transport (voies à sens unique, interdictions de tourner) ne sont pas indiquées</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.vec200-transportation-oeffentliche-verkehr</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=dbcb87f1-3704-4eb6-8bd4-efed536bbf56"/>            <Style>                <ows:Title>Transports publics VECTOR200</ows:Title>                <ows:Identifier>ch.swisstopo.vec200-transportation-oeffentliche-verkehr</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.swisstopo.vec200-transportation-oeffentliche-verkehr_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160101</Default>                <Value>20160101</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_25</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.vec200-transportation-oeffentliche-verkehr/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>la Suisse en rollers</ows:Title>            <ows:Abstract>&#34;SuisseMobile – La Suisse en rollers Itinéraires nationaux, régionaux, et locaux . La fondation SuisseMobile coordonne les offres de SuisseMobile sur mandat ou en accord avec différents offices fédéraux (Office fédéral des routes, Office fédéral du développement territorial, Secrétariat d&#39;Etat à l&#39;économie, Office fédéral de topographie, Office fédéral de l&#39;énergie, Office fédéral du sport, Office fédéral de l&#39;environnement, Office fédéral des transports) ainsi que sur mandat des cantons et de la Principauté du Liechtenstein. &#34;</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.astra.skatingland</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=deeb1f0f-ea25-46f0-977a-6ae1031cc55b"/>            <Style>                <ows:Title>la Suisse en rollers</ows:Title>                <ows:Identifier>ch.astra.skatingland</ows:Identifier>                                                                 <LegendURL format="image/png" xlink:href="https://api3.geo.admin.ch/static/images/legends/ch.astra.skatingland_fr.png" />            </Style>            <Format>image/png</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>20160518</Default>                <Value>20160518</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_26</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/png" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.astra.skatingland/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.png"/>        </Layer>        <Layer>            <ows:Title>SWISSIMAGE</ows:Title>            <ows:Abstract>La mosaïque d&#39;orthophoto SWISSIMAGE est un assemblage d&#39;images aériennes numériques en couleur. Une orthophoto est une image aérienne dont les influences de l&#39;inclinaison de la chambre de prise de vue et du relief du terrain sont neutralisées. La mosaïque SWISSIMAGE présente ainsi une échelle et une radiométrie uniformes sur l&#39;ensemble de la Suisse</ows:Abstract>            <ows:WGS84BoundingBox>                <ows:LowerCorner>5.140242 45.398181</ows:LowerCorner>                <ows:UpperCorner>11.47757 48.230651</ows:UpperCorner>            </ows:WGS84BoundingBox>            <ows:Identifier>ch.swisstopo.swissimage</ows:Identifier>            <ows:Metadata xlink:href="http://www.geocat.ch/geonetwork/srv/deu/metadata.show?uuid=db5a52b4-0f5f-4998-a9a8-dd9539f93809"/>            <Style>                <ows:Title>SWISSIMAGE</ows:Title>                <ows:Identifier>ch.swisstopo.swissimage</ows:Identifier>                                                             </Style>            <Format>image/jpeg</Format>            <Dimension>                <ows:Identifier>Time</ows:Identifier>                <Default>current</Default>                <Value>current</Value>                <Value>20151231</Value>                <Value>20140620</Value>                <Value>20131107</Value>                <Value>20130916</Value>                <Value>20130422</Value>                <Value>20120809</Value>                <Value>20120225</Value>                <Value>20110914</Value>            </Dimension>            <TileMatrixSetLink>                    <TileMatrixSet>21781_27</TileMatrixSet>            </TileMatrixSetLink>                <ResourceURL format="image/jpeg" resourceType="tile" template="https://wmts.geo.admin.ch/1.0.0/ch.swisstopo.swissimage/default/{Time}/21781/{TileMatrix}/{TileRow}/{TileCol}.jpeg"/>        </Layer>    <TileMatrixSet><ows:Identifier>2056_26</ows:Identifier><ows:SupportedCRS>urn:ogc:def:crs:EPSG:2056</ows:SupportedCRS><TileMatrix><ows:Identifier>0</ows:Identifier><ScaleDenominator>14285714.2857</ScaleDenominator><TopLeftCorner>2420000.0 1350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>1</ows:Identifier><ScaleDenominator>13392857.1429</ScaleDenominator><TopLeftCorner>2420000.0 1350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>2</ows:Identifier><ScaleDenominator>12500000.0</ScaleDenominator><TopLeftCorner>2420000.0 1350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>3</ows:Identifier><ScaleDenominator>11607142.8571</ScaleDenominator><TopLeftCorner>2420000.0 1350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>4</ows:Identifier><ScaleDenominator>10714285.7143</ScaleDenominator><TopLeftCorner>2420000.0 1350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>5</ows:Identifier><ScaleDenominator>9821428.57143</ScaleDenominator><TopLeftCorner>2420000.0 1350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>6</ows:Identifier><ScaleDenominator>8928571.42857</ScaleDenominator><TopLeftCorner>2420000.0 1350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>7</ows:Identifier><ScaleDenominator>8035714.28571</ScaleDenominator><TopLeftCorner>2420000.0 1350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>8</ows:Identifier><ScaleDenominator>7142857.14286</ScaleDenominator><TopLeftCorner>2420000.0 1350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>9</ows:Identifier><ScaleDenominator>6250000.0</ScaleDenominator><TopLeftCorner>2420000.0 1350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>10</ows:Identifier><ScaleDenominator>5357142.85714</ScaleDenominator><TopLeftCorner>2420000.0 1350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>11</ows:Identifier><ScaleDenominator>4464285.71429</ScaleDenominator><TopLeftCorner>2420000.0 1350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>12</ows:Identifier><ScaleDenominator>3571428.57143</ScaleDenominator><TopLeftCorner>2420000.0 1350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>13</ows:Identifier><ScaleDenominator>2678571.42857</ScaleDenominator><TopLeftCorner>2420000.0 1350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>3</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>14</ows:Identifier><ScaleDenominator>2321428.57143</ScaleDenominator><TopLeftCorner>2420000.0 1350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>3</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>15</ows:Identifier><ScaleDenominator>1785714.28571</ScaleDenominator><TopLeftCorner>2420000.0 1350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>4</MatrixWidth><MatrixHeight>3</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>16</ows:Identifier><ScaleDenominator>892857.142857</ScaleDenominator><TopLeftCorner>2420000.0 1350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>8</MatrixWidth><MatrixHeight>5</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>17</ows:Identifier><ScaleDenominator>357142.857143</ScaleDenominator><TopLeftCorner>2420000.0 1350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>19</MatrixWidth><MatrixHeight>13</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>18</ows:Identifier><ScaleDenominator>178571.428571</ScaleDenominator><TopLeftCorner>2420000.0 1350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>38</MatrixWidth><MatrixHeight>25</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>19</ows:Identifier><ScaleDenominator>71428.5714286</ScaleDenominator><TopLeftCorner>2420000.0 1350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>94</MatrixWidth><MatrixHeight>63</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>20</ows:Identifier><ScaleDenominator>35714.2857143</ScaleDenominator><TopLeftCorner>2420000.0 1350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>188</MatrixWidth><MatrixHeight>125</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>21</ows:Identifier><ScaleDenominator>17857.1428571</ScaleDenominator><TopLeftCorner>2420000.0 1350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>375</MatrixWidth><MatrixHeight>250</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>22</ows:Identifier><ScaleDenominator>8928.57142857</ScaleDenominator><TopLeftCorner>2420000.0 1350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>750</MatrixWidth><MatrixHeight>500</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>23</ows:Identifier><ScaleDenominator>7142.85714286</ScaleDenominator><TopLeftCorner>2420000.0 1350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>938</MatrixWidth><MatrixHeight>625</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>24</ows:Identifier><ScaleDenominator>5357.14285714</ScaleDenominator><TopLeftCorner>2420000.0 1350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1250</MatrixWidth><MatrixHeight>834</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>25</ows:Identifier><ScaleDenominator>3571.42857143</ScaleDenominator><TopLeftCorner>2420000.0 1350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1875</MatrixWidth><MatrixHeight>1250</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>26</ows:Identifier><ScaleDenominator>1785.71428571</ScaleDenominator><TopLeftCorner>2420000.0 1350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>3750</MatrixWidth><MatrixHeight>2500</MatrixHeight></TileMatrix></TileMatrixSet>     <TileMatrixSet><ows:Identifier>21781_17</ows:Identifier><ows:SupportedCRS>urn:ogc:def:crs:EPSG:21781</ows:SupportedCRS><!-- This tileMatrixSet in **only** for tiles generated through TileGenerator ! --><TileMatrix><ows:Identifier>0</ows:Identifier><ScaleDenominator>14285750.5715</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>1</ows:Identifier><ScaleDenominator>13392891.1608</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>2</ows:Identifier><ScaleDenominator>12500031.7501</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>3</ows:Identifier><ScaleDenominator>11607172.3393</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>4</ows:Identifier><ScaleDenominator>10714312.9286</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>5</ows:Identifier><ScaleDenominator>9821453.51791</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>6</ows:Identifier><ScaleDenominator>8928594.10719</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>7</ows:Identifier><ScaleDenominator>8035734.69647</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>8</ows:Identifier><ScaleDenominator>7142875.28575</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>9</ows:Identifier><ScaleDenominator>6250015.87503</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>10</ows:Identifier><ScaleDenominator>5357156.46431</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>11</ows:Identifier><ScaleDenominator>4464297.05359</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>12</ows:Identifier><ScaleDenominator>3571437.64287</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>13</ows:Identifier><ScaleDenominator>2678578.23216</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>3</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>14</ows:Identifier><ScaleDenominator>2321434.46787</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>3</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>15</ows:Identifier><ScaleDenominator>1785718.82144</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>4</MatrixWidth><MatrixHeight>3</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>16</ows:Identifier><ScaleDenominator>892859.410719</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>8</MatrixWidth><MatrixHeight>5</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>17</ows:Identifier><ScaleDenominator>357143.764287</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>19</MatrixWidth><MatrixHeight>13</MatrixHeight></TileMatrix></TileMatrixSet><TileMatrixSet><ows:Identifier>21781_18</ows:Identifier><ows:SupportedCRS>urn:ogc:def:crs:EPSG:21781</ows:SupportedCRS><!-- This tileMatrixSet in **only** for tiles generated through TileGenerator ! --><TileMatrix><ows:Identifier>0</ows:Identifier><ScaleDenominator>14285750.5715</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>1</ows:Identifier><ScaleDenominator>13392891.1608</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>2</ows:Identifier><ScaleDenominator>12500031.7501</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>3</ows:Identifier><ScaleDenominator>11607172.3393</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>4</ows:Identifier><ScaleDenominator>10714312.9286</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>5</ows:Identifier><ScaleDenominator>9821453.51791</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>6</ows:Identifier><ScaleDenominator>8928594.10719</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>7</ows:Identifier><ScaleDenominator>8035734.69647</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>8</ows:Identifier><ScaleDenominator>7142875.28575</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>9</ows:Identifier><ScaleDenominator>6250015.87503</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>10</ows:Identifier><ScaleDenominator>5357156.46431</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>11</ows:Identifier><ScaleDenominator>4464297.05359</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>12</ows:Identifier><ScaleDenominator>3571437.64287</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>13</ows:Identifier><ScaleDenominator>2678578.23216</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>3</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>14</ows:Identifier><ScaleDenominator>2321434.46787</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>3</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>15</ows:Identifier><ScaleDenominator>1785718.82144</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>4</MatrixWidth><MatrixHeight>3</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>16</ows:Identifier><ScaleDenominator>892859.410719</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>8</MatrixWidth><MatrixHeight>5</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>17</ows:Identifier><ScaleDenominator>357143.764287</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>19</MatrixWidth><MatrixHeight>13</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>18</ows:Identifier><ScaleDenominator>178571.882144</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>38</MatrixWidth><MatrixHeight>25</MatrixHeight></TileMatrix></TileMatrixSet><TileMatrixSet><ows:Identifier>21781_19</ows:Identifier><ows:SupportedCRS>urn:ogc:def:crs:EPSG:21781</ows:SupportedCRS><!-- This tileMatrixSet in **only** for tiles generated through TileGenerator ! --><TileMatrix><ows:Identifier>0</ows:Identifier><ScaleDenominator>14285750.5715</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>1</ows:Identifier><ScaleDenominator>13392891.1608</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>2</ows:Identifier><ScaleDenominator>12500031.7501</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>3</ows:Identifier><ScaleDenominator>11607172.3393</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>4</ows:Identifier><ScaleDenominator>10714312.9286</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>5</ows:Identifier><ScaleDenominator>9821453.51791</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>6</ows:Identifier><ScaleDenominator>8928594.10719</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>7</ows:Identifier><ScaleDenominator>8035734.69647</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>8</ows:Identifier><ScaleDenominator>7142875.28575</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>9</ows:Identifier><ScaleDenominator>6250015.87503</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>10</ows:Identifier><ScaleDenominator>5357156.46431</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>11</ows:Identifier><ScaleDenominator>4464297.05359</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>12</ows:Identifier><ScaleDenominator>3571437.64287</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>13</ows:Identifier><ScaleDenominator>2678578.23216</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>3</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>14</ows:Identifier><ScaleDenominator>2321434.46787</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>3</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>15</ows:Identifier><ScaleDenominator>1785718.82144</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>4</MatrixWidth><MatrixHeight>3</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>16</ows:Identifier><ScaleDenominator>892859.410719</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>8</MatrixWidth><MatrixHeight>5</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>17</ows:Identifier><ScaleDenominator>357143.764287</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>19</MatrixWidth><MatrixHeight>13</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>18</ows:Identifier><ScaleDenominator>178571.882144</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>38</MatrixWidth><MatrixHeight>25</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>19</ows:Identifier><ScaleDenominator>71428.7528575</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>94</MatrixWidth><MatrixHeight>63</MatrixHeight></TileMatrix></TileMatrixSet><TileMatrixSet><ows:Identifier>21781_20</ows:Identifier><ows:SupportedCRS>urn:ogc:def:crs:EPSG:21781</ows:SupportedCRS><!-- This tileMatrixSet in **only** for tiles generated through TileGenerator ! --><TileMatrix><ows:Identifier>0</ows:Identifier><ScaleDenominator>14285750.5715</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>1</ows:Identifier><ScaleDenominator>13392891.1608</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>2</ows:Identifier><ScaleDenominator>12500031.7501</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>3</ows:Identifier><ScaleDenominator>11607172.3393</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>4</ows:Identifier><ScaleDenominator>10714312.9286</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>5</ows:Identifier><ScaleDenominator>9821453.51791</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>6</ows:Identifier><ScaleDenominator>8928594.10719</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>7</ows:Identifier><ScaleDenominator>8035734.69647</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>8</ows:Identifier><ScaleDenominator>7142875.28575</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>9</ows:Identifier><ScaleDenominator>6250015.87503</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>10</ows:Identifier><ScaleDenominator>5357156.46431</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>11</ows:Identifier><ScaleDenominator>4464297.05359</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>12</ows:Identifier><ScaleDenominator>3571437.64287</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>13</ows:Identifier><ScaleDenominator>2678578.23216</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>3</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>14</ows:Identifier><ScaleDenominator>2321434.46787</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>3</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>15</ows:Identifier><ScaleDenominator>1785718.82144</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>4</MatrixWidth><MatrixHeight>3</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>16</ows:Identifier><ScaleDenominator>892859.410719</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>8</MatrixWidth><MatrixHeight>5</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>17</ows:Identifier><ScaleDenominator>357143.764287</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>19</MatrixWidth><MatrixHeight>13</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>18</ows:Identifier><ScaleDenominator>178571.882144</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>38</MatrixWidth><MatrixHeight>25</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>19</ows:Identifier><ScaleDenominator>71428.7528575</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>94</MatrixWidth><MatrixHeight>63</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>20</ows:Identifier><ScaleDenominator>35714.3764287</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>188</MatrixWidth><MatrixHeight>125</MatrixHeight></TileMatrix></TileMatrixSet><TileMatrixSet><ows:Identifier>21781_21</ows:Identifier><ows:SupportedCRS>urn:ogc:def:crs:EPSG:21781</ows:SupportedCRS><!-- This tileMatrixSet in **only** for tiles generated through TileGenerator ! --><TileMatrix><ows:Identifier>0</ows:Identifier><ScaleDenominator>14285750.5715</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>1</ows:Identifier><ScaleDenominator>13392891.1608</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>2</ows:Identifier><ScaleDenominator>12500031.7501</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>3</ows:Identifier><ScaleDenominator>11607172.3393</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>4</ows:Identifier><ScaleDenominator>10714312.9286</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>5</ows:Identifier><ScaleDenominator>9821453.51791</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>6</ows:Identifier><ScaleDenominator>8928594.10719</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>7</ows:Identifier><ScaleDenominator>8035734.69647</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>8</ows:Identifier><ScaleDenominator>7142875.28575</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>9</ows:Identifier><ScaleDenominator>6250015.87503</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>10</ows:Identifier><ScaleDenominator>5357156.46431</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>11</ows:Identifier><ScaleDenominator>4464297.05359</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>12</ows:Identifier><ScaleDenominator>3571437.64287</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>13</ows:Identifier><ScaleDenominator>2678578.23216</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>3</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>14</ows:Identifier><ScaleDenominator>2321434.46787</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>3</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>15</ows:Identifier><ScaleDenominator>1785718.82144</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>4</MatrixWidth><MatrixHeight>3</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>16</ows:Identifier><ScaleDenominator>892859.410719</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>8</MatrixWidth><MatrixHeight>5</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>17</ows:Identifier><ScaleDenominator>357143.764287</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>19</MatrixWidth><MatrixHeight>13</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>18</ows:Identifier><ScaleDenominator>178571.882144</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>38</MatrixWidth><MatrixHeight>25</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>19</ows:Identifier><ScaleDenominator>71428.7528575</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>94</MatrixWidth><MatrixHeight>63</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>20</ows:Identifier><ScaleDenominator>35714.3764287</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>188</MatrixWidth><MatrixHeight>125</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>21</ows:Identifier><ScaleDenominator>17857.1882144</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>375</MatrixWidth><MatrixHeight>250</MatrixHeight></TileMatrix></TileMatrixSet><TileMatrixSet><ows:Identifier>21781_22</ows:Identifier><ows:SupportedCRS>urn:ogc:def:crs:EPSG:21781</ows:SupportedCRS><!-- This tileMatrixSet in **only** for tiles generated through TileGenerator ! --><TileMatrix><ows:Identifier>0</ows:Identifier><ScaleDenominator>14285750.5715</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>1</ows:Identifier><ScaleDenominator>13392891.1608</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>2</ows:Identifier><ScaleDenominator>12500031.7501</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>3</ows:Identifier><ScaleDenominator>11607172.3393</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>4</ows:Identifier><ScaleDenominator>10714312.9286</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>5</ows:Identifier><ScaleDenominator>9821453.51791</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>6</ows:Identifier><ScaleDenominator>8928594.10719</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>7</ows:Identifier><ScaleDenominator>8035734.69647</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>8</ows:Identifier><ScaleDenominator>7142875.28575</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>9</ows:Identifier><ScaleDenominator>6250015.87503</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>10</ows:Identifier><ScaleDenominator>5357156.46431</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>11</ows:Identifier><ScaleDenominator>4464297.05359</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>12</ows:Identifier><ScaleDenominator>3571437.64287</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>13</ows:Identifier><ScaleDenominator>2678578.23216</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>3</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>14</ows:Identifier><ScaleDenominator>2321434.46787</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>3</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>15</ows:Identifier><ScaleDenominator>1785718.82144</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>4</MatrixWidth><MatrixHeight>3</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>16</ows:Identifier><ScaleDenominator>892859.410719</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>8</MatrixWidth><MatrixHeight>5</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>17</ows:Identifier><ScaleDenominator>357143.764287</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>19</MatrixWidth><MatrixHeight>13</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>18</ows:Identifier><ScaleDenominator>178571.882144</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>38</MatrixWidth><MatrixHeight>25</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>19</ows:Identifier><ScaleDenominator>71428.7528575</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>94</MatrixWidth><MatrixHeight>63</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>20</ows:Identifier><ScaleDenominator>35714.3764287</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>188</MatrixWidth><MatrixHeight>125</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>21</ows:Identifier><ScaleDenominator>17857.1882144</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>375</MatrixWidth><MatrixHeight>250</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>22</ows:Identifier><ScaleDenominator>8928.59410719</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>750</MatrixWidth><MatrixHeight>500</MatrixHeight></TileMatrix></TileMatrixSet><TileMatrixSet><ows:Identifier>21781_23</ows:Identifier><ows:SupportedCRS>urn:ogc:def:crs:EPSG:21781</ows:SupportedCRS><!-- This tileMatrixSet in **only** for tiles generated through TileGenerator ! --><TileMatrix><ows:Identifier>0</ows:Identifier><ScaleDenominator>14285750.5715</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>1</ows:Identifier><ScaleDenominator>13392891.1608</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>2</ows:Identifier><ScaleDenominator>12500031.7501</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>3</ows:Identifier><ScaleDenominator>11607172.3393</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>4</ows:Identifier><ScaleDenominator>10714312.9286</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>5</ows:Identifier><ScaleDenominator>9821453.51791</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>6</ows:Identifier><ScaleDenominator>8928594.10719</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>7</ows:Identifier><ScaleDenominator>8035734.69647</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>8</ows:Identifier><ScaleDenominator>7142875.28575</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>9</ows:Identifier><ScaleDenominator>6250015.87503</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>10</ows:Identifier><ScaleDenominator>5357156.46431</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>11</ows:Identifier><ScaleDenominator>4464297.05359</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>12</ows:Identifier><ScaleDenominator>3571437.64287</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>13</ows:Identifier><ScaleDenominator>2678578.23216</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>3</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>14</ows:Identifier><ScaleDenominator>2321434.46787</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>3</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>15</ows:Identifier><ScaleDenominator>1785718.82144</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>4</MatrixWidth><MatrixHeight>3</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>16</ows:Identifier><ScaleDenominator>892859.410719</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>8</MatrixWidth><MatrixHeight>5</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>17</ows:Identifier><ScaleDenominator>357143.764287</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>19</MatrixWidth><MatrixHeight>13</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>18</ows:Identifier><ScaleDenominator>178571.882144</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>38</MatrixWidth><MatrixHeight>25</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>19</ows:Identifier><ScaleDenominator>71428.7528575</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>94</MatrixWidth><MatrixHeight>63</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>20</ows:Identifier><ScaleDenominator>35714.3764287</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>188</MatrixWidth><MatrixHeight>125</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>21</ows:Identifier><ScaleDenominator>17857.1882144</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>375</MatrixWidth><MatrixHeight>250</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>22</ows:Identifier><ScaleDenominator>8928.59410719</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>750</MatrixWidth><MatrixHeight>500</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>23</ows:Identifier><ScaleDenominator>7142.87528575</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>938</MatrixWidth><MatrixHeight>625</MatrixHeight></TileMatrix></TileMatrixSet><TileMatrixSet><ows:Identifier>21781_24</ows:Identifier><ows:SupportedCRS>urn:ogc:def:crs:EPSG:21781</ows:SupportedCRS><!-- This tileMatrixSet in **only** for tiles generated through TileGenerator ! --><TileMatrix><ows:Identifier>0</ows:Identifier><ScaleDenominator>14285750.5715</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>1</ows:Identifier><ScaleDenominator>13392891.1608</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>2</ows:Identifier><ScaleDenominator>12500031.7501</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>3</ows:Identifier><ScaleDenominator>11607172.3393</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>4</ows:Identifier><ScaleDenominator>10714312.9286</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>5</ows:Identifier><ScaleDenominator>9821453.51791</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>6</ows:Identifier><ScaleDenominator>8928594.10719</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>7</ows:Identifier><ScaleDenominator>8035734.69647</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>8</ows:Identifier><ScaleDenominator>7142875.28575</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>9</ows:Identifier><ScaleDenominator>6250015.87503</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>10</ows:Identifier><ScaleDenominator>5357156.46431</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>11</ows:Identifier><ScaleDenominator>4464297.05359</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>12</ows:Identifier><ScaleDenominator>3571437.64287</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>13</ows:Identifier><ScaleDenominator>2678578.23216</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>3</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>14</ows:Identifier><ScaleDenominator>2321434.46787</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>3</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>15</ows:Identifier><ScaleDenominator>1785718.82144</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>4</MatrixWidth><MatrixHeight>3</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>16</ows:Identifier><ScaleDenominator>892859.410719</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>8</MatrixWidth><MatrixHeight>5</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>17</ows:Identifier><ScaleDenominator>357143.764287</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>19</MatrixWidth><MatrixHeight>13</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>18</ows:Identifier><ScaleDenominator>178571.882144</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>38</MatrixWidth><MatrixHeight>25</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>19</ows:Identifier><ScaleDenominator>71428.7528575</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>94</MatrixWidth><MatrixHeight>63</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>20</ows:Identifier><ScaleDenominator>35714.3764287</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>188</MatrixWidth><MatrixHeight>125</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>21</ows:Identifier><ScaleDenominator>17857.1882144</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>375</MatrixWidth><MatrixHeight>250</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>22</ows:Identifier><ScaleDenominator>8928.59410719</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>750</MatrixWidth><MatrixHeight>500</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>23</ows:Identifier><ScaleDenominator>7142.87528575</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>938</MatrixWidth><MatrixHeight>625</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>24</ows:Identifier><ScaleDenominator>5357.15646431</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1250</MatrixWidth><MatrixHeight>834</MatrixHeight></TileMatrix></TileMatrixSet><TileMatrixSet><ows:Identifier>21781_25</ows:Identifier><ows:SupportedCRS>urn:ogc:def:crs:EPSG:21781</ows:SupportedCRS><!-- This tileMatrixSet in **only** for tiles generated through TileGenerator ! --><TileMatrix><ows:Identifier>0</ows:Identifier><ScaleDenominator>14285750.5715</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>1</ows:Identifier><ScaleDenominator>13392891.1608</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>2</ows:Identifier><ScaleDenominator>12500031.7501</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>3</ows:Identifier><ScaleDenominator>11607172.3393</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>4</ows:Identifier><ScaleDenominator>10714312.9286</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>5</ows:Identifier><ScaleDenominator>9821453.51791</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>6</ows:Identifier><ScaleDenominator>8928594.10719</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>7</ows:Identifier><ScaleDenominator>8035734.69647</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>8</ows:Identifier><ScaleDenominator>7142875.28575</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>9</ows:Identifier><ScaleDenominator>6250015.87503</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>10</ows:Identifier><ScaleDenominator>5357156.46431</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>11</ows:Identifier><ScaleDenominator>4464297.05359</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>12</ows:Identifier><ScaleDenominator>3571437.64287</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>13</ows:Identifier><ScaleDenominator>2678578.23216</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>3</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>14</ows:Identifier><ScaleDenominator>2321434.46787</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>3</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>15</ows:Identifier><ScaleDenominator>1785718.82144</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>4</MatrixWidth><MatrixHeight>3</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>16</ows:Identifier><ScaleDenominator>892859.410719</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>8</MatrixWidth><MatrixHeight>5</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>17</ows:Identifier><ScaleDenominator>357143.764287</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>19</MatrixWidth><MatrixHeight>13</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>18</ows:Identifier><ScaleDenominator>178571.882144</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>38</MatrixWidth><MatrixHeight>25</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>19</ows:Identifier><ScaleDenominator>71428.7528575</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>94</MatrixWidth><MatrixHeight>63</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>20</ows:Identifier><ScaleDenominator>35714.3764287</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>188</MatrixWidth><MatrixHeight>125</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>21</ows:Identifier><ScaleDenominator>17857.1882144</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>375</MatrixWidth><MatrixHeight>250</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>22</ows:Identifier><ScaleDenominator>8928.59410719</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>750</MatrixWidth><MatrixHeight>500</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>23</ows:Identifier><ScaleDenominator>7142.87528575</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>938</MatrixWidth><MatrixHeight>625</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>24</ows:Identifier><ScaleDenominator>5357.15646431</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1250</MatrixWidth><MatrixHeight>834</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>25</ows:Identifier><ScaleDenominator>3571.43764287</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1875</MatrixWidth><MatrixHeight>1250</MatrixHeight></TileMatrix></TileMatrixSet><TileMatrixSet><ows:Identifier>21781_26</ows:Identifier><ows:SupportedCRS>urn:ogc:def:crs:EPSG:21781</ows:SupportedCRS><!-- This tileMatrixSet in **only** for tiles generated through TileGenerator ! --><TileMatrix><ows:Identifier>0</ows:Identifier><ScaleDenominator>14285750.5715</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>1</ows:Identifier><ScaleDenominator>13392891.1608</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>2</ows:Identifier><ScaleDenominator>12500031.7501</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>3</ows:Identifier><ScaleDenominator>11607172.3393</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>4</ows:Identifier><ScaleDenominator>10714312.9286</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>5</ows:Identifier><ScaleDenominator>9821453.51791</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>6</ows:Identifier><ScaleDenominator>8928594.10719</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>7</ows:Identifier><ScaleDenominator>8035734.69647</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>8</ows:Identifier><ScaleDenominator>7142875.28575</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>9</ows:Identifier><ScaleDenominator>6250015.87503</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>10</ows:Identifier><ScaleDenominator>5357156.46431</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>11</ows:Identifier><ScaleDenominator>4464297.05359</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>12</ows:Identifier><ScaleDenominator>3571437.64287</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>13</ows:Identifier><ScaleDenominator>2678578.23216</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>3</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>14</ows:Identifier><ScaleDenominator>2321434.46787</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>3</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>15</ows:Identifier><ScaleDenominator>1785718.82144</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>4</MatrixWidth><MatrixHeight>3</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>16</ows:Identifier><ScaleDenominator>892859.410719</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>8</MatrixWidth><MatrixHeight>5</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>17</ows:Identifier><ScaleDenominator>357143.764287</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>19</MatrixWidth><MatrixHeight>13</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>18</ows:Identifier><ScaleDenominator>178571.882144</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>38</MatrixWidth><MatrixHeight>25</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>19</ows:Identifier><ScaleDenominator>71428.7528575</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>94</MatrixWidth><MatrixHeight>63</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>20</ows:Identifier><ScaleDenominator>35714.3764287</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>188</MatrixWidth><MatrixHeight>125</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>21</ows:Identifier><ScaleDenominator>17857.1882144</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>375</MatrixWidth><MatrixHeight>250</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>22</ows:Identifier><ScaleDenominator>8928.59410719</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>750</MatrixWidth><MatrixHeight>500</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>23</ows:Identifier><ScaleDenominator>7142.87528575</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>938</MatrixWidth><MatrixHeight>625</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>24</ows:Identifier><ScaleDenominator>5357.15646431</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1250</MatrixWidth><MatrixHeight>834</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>25</ows:Identifier><ScaleDenominator>3571.43764287</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1875</MatrixWidth><MatrixHeight>1250</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>26</ows:Identifier><ScaleDenominator>1785.71882144</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>3750</MatrixWidth><MatrixHeight>2500</MatrixHeight></TileMatrix></TileMatrixSet><TileMatrixSet><ows:Identifier>21781_27</ows:Identifier><ows:SupportedCRS>urn:ogc:def:crs:EPSG:21781</ows:SupportedCRS><!-- This tileMatrixSet in **only** for tiles generated through TileGenerator ! --><TileMatrix><ows:Identifier>0</ows:Identifier><ScaleDenominator>14285750.5715</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>1</ows:Identifier><ScaleDenominator>13392891.1608</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>2</ows:Identifier><ScaleDenominator>12500031.7501</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>3</ows:Identifier><ScaleDenominator>11607172.3393</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>4</ows:Identifier><ScaleDenominator>10714312.9286</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>5</ows:Identifier><ScaleDenominator>9821453.51791</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>6</ows:Identifier><ScaleDenominator>8928594.10719</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>7</ows:Identifier><ScaleDenominator>8035734.69647</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>8</ows:Identifier><ScaleDenominator>7142875.28575</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>9</ows:Identifier><ScaleDenominator>6250015.87503</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>10</ows:Identifier><ScaleDenominator>5357156.46431</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>11</ows:Identifier><ScaleDenominator>4464297.05359</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>12</ows:Identifier><ScaleDenominator>3571437.64287</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>13</ows:Identifier><ScaleDenominator>2678578.23216</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>3</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>14</ows:Identifier><ScaleDenominator>2321434.46787</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>3</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>15</ows:Identifier><ScaleDenominator>1785718.82144</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>4</MatrixWidth><MatrixHeight>3</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>16</ows:Identifier><ScaleDenominator>892859.410719</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>8</MatrixWidth><MatrixHeight>5</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>17</ows:Identifier><ScaleDenominator>357143.764287</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>19</MatrixWidth><MatrixHeight>13</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>18</ows:Identifier><ScaleDenominator>178571.882144</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>38</MatrixWidth><MatrixHeight>25</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>19</ows:Identifier><ScaleDenominator>71428.7528575</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>94</MatrixWidth><MatrixHeight>63</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>20</ows:Identifier><ScaleDenominator>35714.3764287</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>188</MatrixWidth><MatrixHeight>125</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>21</ows:Identifier><ScaleDenominator>17857.1882144</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>375</MatrixWidth><MatrixHeight>250</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>22</ows:Identifier><ScaleDenominator>8928.59410719</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>750</MatrixWidth><MatrixHeight>500</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>23</ows:Identifier><ScaleDenominator>7142.87528575</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>938</MatrixWidth><MatrixHeight>625</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>24</ows:Identifier><ScaleDenominator>5357.15646431</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1250</MatrixWidth><MatrixHeight>834</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>25</ows:Identifier><ScaleDenominator>3571.43764287</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1875</MatrixWidth><MatrixHeight>1250</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>26</ows:Identifier><ScaleDenominator>1785.71882144</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>3750</MatrixWidth><MatrixHeight>2500</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>27</ows:Identifier><ScaleDenominator>892.859410719</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>7500</MatrixWidth><MatrixHeight>5000</MatrixHeight></TileMatrix></TileMatrixSet><TileMatrixSet><ows:Identifier>21781_28</ows:Identifier><ows:SupportedCRS>urn:ogc:def:crs:EPSG:21781</ows:SupportedCRS><!-- This tileMatrixSet in **only** for tiles generated through TileGenerator ! --><TileMatrix><ows:Identifier>0</ows:Identifier><ScaleDenominator>14285750.5715</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>1</ows:Identifier><ScaleDenominator>13392891.1608</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>2</ows:Identifier><ScaleDenominator>12500031.7501</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>3</ows:Identifier><ScaleDenominator>11607172.3393</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>4</ows:Identifier><ScaleDenominator>10714312.9286</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>5</ows:Identifier><ScaleDenominator>9821453.51791</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>6</ows:Identifier><ScaleDenominator>8928594.10719</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>7</ows:Identifier><ScaleDenominator>8035734.69647</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>8</ows:Identifier><ScaleDenominator>7142875.28575</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>9</ows:Identifier><ScaleDenominator>6250015.87503</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>10</ows:Identifier><ScaleDenominator>5357156.46431</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>11</ows:Identifier><ScaleDenominator>4464297.05359</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>1</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>12</ows:Identifier><ScaleDenominator>3571437.64287</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>2</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>13</ows:Identifier><ScaleDenominator>2678578.23216</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>3</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>14</ows:Identifier><ScaleDenominator>2321434.46787</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>3</MatrixWidth><MatrixHeight>2</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>15</ows:Identifier><ScaleDenominator>1785718.82144</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>4</MatrixWidth><MatrixHeight>3</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>16</ows:Identifier><ScaleDenominator>892859.410719</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>8</MatrixWidth><MatrixHeight>5</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>17</ows:Identifier><ScaleDenominator>357143.764287</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>19</MatrixWidth><MatrixHeight>13</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>18</ows:Identifier><ScaleDenominator>178571.882144</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>38</MatrixWidth><MatrixHeight>25</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>19</ows:Identifier><ScaleDenominator>71428.7528575</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>94</MatrixWidth><MatrixHeight>63</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>20</ows:Identifier><ScaleDenominator>35714.3764287</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>188</MatrixWidth><MatrixHeight>125</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>21</ows:Identifier><ScaleDenominator>17857.1882144</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>375</MatrixWidth><MatrixHeight>250</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>22</ows:Identifier><ScaleDenominator>8928.59410719</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>750</MatrixWidth><MatrixHeight>500</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>23</ows:Identifier><ScaleDenominator>7142.87528575</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>938</MatrixWidth><MatrixHeight>625</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>24</ows:Identifier><ScaleDenominator>5357.15646431</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1250</MatrixWidth><MatrixHeight>834</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>25</ows:Identifier><ScaleDenominator>3571.43764287</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>1875</MatrixWidth><MatrixHeight>1250</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>26</ows:Identifier><ScaleDenominator>1785.71882144</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>3750</MatrixWidth><MatrixHeight>2500</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>27</ows:Identifier><ScaleDenominator>892.859410719</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>7500</MatrixWidth><MatrixHeight>5000</MatrixHeight></TileMatrix><TileMatrix><ows:Identifier>28</ows:Identifier><ScaleDenominator>357.143764287</ScaleDenominator><TopLeftCorner>420000.0 350000.0</TopLeftCorner><TileWidth>256</TileWidth><TileHeight>256</TileHeight><MatrixWidth>18750</MatrixWidth><MatrixHeight>12500</MatrixHeight></TileMatrix></TileMatrixSet>    </Contents>    <Themes>                 <Theme>               <ows:Title>Territoire et population</ows:Title>               <ows:Abstract>Territoire et population</ows:Abstract>               <ows:Identifier>166aac5999e07f47a0e5a74b417d3bbf</ows:Identifier>               <Theme>                   <ows:Title>Santé et sécurité des personnes</ows:Title>                   <ows:Abstract>Santé et sécurité des personnes</ows:Abstract>                   <ows:Identifier>81</ows:Identifier>                                          <LayerRef>ch.bafu.hydrologie-gewaesserzustandsmessstationen</LayerRef>                       <LayerRef>ch.bafu.hydrologie-wassertemperaturmessstationen</LayerRef>                       <LayerRef>ch.bafu.laerm-bahnlaerm_nacht</LayerRef>                       <LayerRef>ch.bafu.laerm-bahnlaerm_tag</LayerRef>                       <LayerRef>ch.bafu.laerm-strassenlaerm_nacht</LayerRef>                       <LayerRef>ch.bafu.laerm-strassenlaerm_tag</LayerRef>                       <LayerRef>ch.bafu.nabelstationen</LayerRef>                       <LayerRef>ch.bafu.swissprtr</LayerRef>                       <LayerRef>ch.bag.zecken-fsme-faelle</LayerRef>                       <LayerRef>ch.bag.zecken-fsme-impfung</LayerRef>                       <LayerRef>ch.bag.zecken-lyme</LayerRef>                       <LayerRef>ch.bav.laerm-emissionsplan_eisenbahn_nacht</LayerRef>                       <LayerRef>ch.bav.laerm-emissionsplan_eisenbahn_tag</LayerRef>                       <LayerRef>ch.ensi.zonenplan-notfallschutz-kernanlagen</LayerRef>               </Theme>                                 <Theme>                   <ows:Title>Zones de réglementation et unités de déclaration</ows:Title>                   <ows:Abstract>Zones de réglementation et unités de déclaration</ows:Abstract>                   <ows:Identifier>95</ows:Identifier>                                          <LayerRef>ch.babs.kulturgueter</LayerRef>                       <LayerRef>ch.bak.bundesinventar-schuetzenswerte-ortsbilder</LayerRef>                       <LayerRef>ch.bazl.projektierungszonen-flughafenanlagen</LayerRef>                       <LayerRef>ch.blw.alpprodukte</LayerRef>                       <LayerRef>ch.blw.bergprodukte</LayerRef>                       <LayerRef>ch.blw.landwirtschaftliche-zonengrenzen</LayerRef>                       <LayerRef>ch.blw.ursprungsbezeichnungen-fleisch</LayerRef>                       <LayerRef>ch.blw.ursprungsbezeichnungen-kaese</LayerRef>                       <LayerRef>ch.blw.ursprungsbezeichnungen-konditoreiwaren</LayerRef>                       <LayerRef>ch.blw.ursprungsbezeichnungen-pflanzen</LayerRef>                       <LayerRef>ch.blw.ursprungsbezeichnungen-spirituosen</LayerRef>                       <LayerRef>ch.vbs.territorialregionen</LayerRef>               </Theme>                      </Theme>                  <Theme>               <ows:Title>Données de base</ows:Title>               <ows:Abstract>Données de base</ows:Abstract>               <ows:Identifier>3ca54fe99d7fa7b5bac71e1de6ed12cc</ows:Identifier>               <Theme>                   <ows:Title>Unités administratives</ows:Title>                   <ows:Abstract>Unités administratives</ows:Abstract>                   <ows:Identifier>34</ows:Identifier>                                          <LayerRef>ch.are.agglomerationen_isolierte_staedte</LayerRef>                       <LayerRef>ch.are.alpenkonvention</LayerRef>                       <LayerRef>ch.are.gemeindetypen</LayerRef>                       <LayerRef>ch.swisstopo.swissboundaries3d-bezirk-flaeche.fill</LayerRef>                       <LayerRef>ch.swisstopo.swissboundaries3d-gemeinde-flaeche.fill</LayerRef>                       <LayerRef>ch.swisstopo.swissboundaries3d-kanton-flaeche.fill</LayerRef>                       <LayerRef>ch.swisstopo.swissboundaries3d-land-flaeche.fill</LayerRef>                       <LayerRef>ch.swisstopo-vd.ortschaftenverzeichnis_plz</LayerRef>                       <LayerRef>ch.swisstopo.vec200-adminboundaries-protectedarea</LayerRef>               </Theme>                                 <Theme>                   <ows:Title>Dénominations géographiques</ows:Title>                   <ows:Abstract>Dénominations géographiques</ows:Abstract>                   <ows:Identifier>16</ows:Identifier>                                          <LayerRef>ch.swisstopo.hiks-dufour</LayerRef>                       <LayerRef>ch.swisstopo.hiks-siegfried</LayerRef>                       <LayerRef>ch.swisstopo.landeskarte-farbe-10</LayerRef>                       <LayerRef>ch.swisstopo.landeskarte-grau-10</LayerRef>                       <LayerRef>ch.swisstopo.landesschwerenetz</LayerRef>                       <LayerRef>ch.swisstopo.lotabweichungen</LayerRef>                       <LayerRef>ch.swisstopo.pixelkarte-farbe-pk1000.noscale</LayerRef>                       <LayerRef>ch.swisstopo.pixelkarte-farbe-pk100.noscale</LayerRef>                       <LayerRef>ch.swisstopo.pixelkarte-farbe-pk200.noscale</LayerRef>                       <LayerRef>ch.swisstopo.pixelkarte-farbe-pk25.noscale</LayerRef>                       <LayerRef>ch.swisstopo.pixelkarte-farbe-pk500.noscale</LayerRef>                       <LayerRef>ch.swisstopo.pixelkarte-farbe-pk50.noscale</LayerRef>                       <LayerRef>ch.swisstopo.swissnames3d</LayerRef>                       <LayerRef>ch.swisstopo.swisstlm3d-karte-farbe</LayerRef>                       <LayerRef>ch.swisstopo.swisstlm3d-karte-grau</LayerRef>                       <LayerRef>ch.swisstopo.vec200-miscellaneous</LayerRef>                       <LayerRef>ch.swisstopo.vec200-names-namedlocation</LayerRef>                       <LayerRef>ch.swisstopo.zeitreihen</LayerRef>               </Theme>                                 <Theme>                   <ows:Title>Référentiels de coordonnées</ows:Title>                   <ows:Abstract>Référentiels de coordonnées</ows:Abstract>                   <ows:Identifier>2</ows:Identifier>                                          <LayerRef>ch.swisstopo.dreiecksvermaschung</LayerRef>                       <LayerRef>ch.swisstopo.fixpunkte-agnes</LayerRef>                       <LayerRef>ch.swisstopo.fixpunkte-hfp1</LayerRef>                       <LayerRef>ch.swisstopo.fixpunkte-hfp2</LayerRef>                       <LayerRef>ch.swisstopo.fixpunkte-lfp1</LayerRef>                       <LayerRef>ch.swisstopo.fixpunkte-lfp2</LayerRef>                       <LayerRef>ch.swisstopo.geoidmodell-ch1903</LayerRef>                       <LayerRef>ch.swisstopo.geoidmodell-etrs89</LayerRef>                       <LayerRef>ch.swisstopo.koordinatenaenderung</LayerRef>                       <LayerRef>ch.swisstopo.transformationsgenauigkeit</LayerRef>                       <LayerRef>ch.swisstopo-vd.spannungsarme-gebiete</LayerRef>                       <LayerRef>ch.swisstopo.verschiebungsvektoren-tsp1</LayerRef>                       <LayerRef>ch.swisstopo.verschiebungsvektoren-tsp2</LayerRef>               </Theme>                                 <Theme>                   <ows:Title>Parcelles cadastrales</ows:Title>                   <ows:Abstract>Parcelles cadastrales</ows:Abstract>                   <ows:Identifier>47</ows:Identifier>                                          <LayerRef>ch.are.bauzonen</LayerRef>                       <LayerRef>ch.bazl.projektierungszonen-flughafenanlagen</LayerRef>                       <LayerRef>ch.kantone.cadastralwebmap-farbe</LayerRef>                       <LayerRef>ch.swisstopo-vd.spannungsarme-gebiete</LayerRef>               </Theme>                                 <Theme>                   <ows:Title>Adresses</ows:Title>                   <ows:Abstract>Adresses</ows:Abstract>                   <ows:Identifier>44</ows:Identifier>                                          <LayerRef>ch.bfs.gebaeude_wohnungs_register</LayerRef>                       <LayerRef>ch.bfs.gebaeude_wohnungs_register</LayerRef>                       <LayerRef>ch.swisstopo-vd.ortschaftenverzeichnis_plz</LayerRef>               </Theme>                      </Theme>                  <Theme>               <ows:Title>Couverture du sol</ows:Title>               <ows:Abstract>Couverture du sol</ows:Abstract>               <ows:Identifier>65ae525db9108d44af83c0ee85dfd6b9</ows:Identifier>               <Theme>                   <ows:Title>Ortho-imagerie</ows:Title>                   <ows:Abstract>Ortho-imagerie</ows:Abstract>                   <ows:Identifier>78</ows:Identifier>                                          <LayerRef>ch.swisstopo.swissimage-product</LayerRef>               </Theme>                                 <Theme>                   <ows:Title>Occupation des terres</ows:Title>                   <ows:Abstract>Occupation des terres</ows:Abstract>                   <ows:Identifier>69</ows:Identifier>                                          <LayerRef>ch.bfs.arealstatistik</LayerRef>                       <LayerRef>ch.bfs.arealstatistik-1985</LayerRef>                       <LayerRef>ch.bfs.arealstatistik-1997</LayerRef>                       <LayerRef>ch.bfs.arealstatistik-bodenbedeckung</LayerRef>                       <LayerRef>ch.bfs.arealstatistik-bodenbedeckung-1985</LayerRef>                       <LayerRef>ch.bfs.arealstatistik-bodenbedeckung-1997</LayerRef>                       <LayerRef>ch.bfs.arealstatistik-bodennutzung</LayerRef>                       <LayerRef>ch.bfs.arealstatistik-bodennutzung-1985</LayerRef>                       <LayerRef>ch.bfs.arealstatistik-bodennutzung-1997</LayerRef>                       <LayerRef>ch.bfs.arealstatistik-hintergrund</LayerRef>                       <LayerRef>ch.bfs.arealstatistik-waldmischungsgrad</LayerRef>                       <LayerRef>ch.swisstopo.vec200-landcover</LayerRef>                       <LayerRef>ch.swisstopo.vec200-landcover-wald</LayerRef>                       <LayerRef>ch.swisstopo.vec25-heckenbaeume</LayerRef>                       <LayerRef>ch.swisstopo.vec25-primaerflaechen</LayerRef>               </Theme>                                 <Theme>                   <ows:Title>Altitude</ows:Title>                   <ows:Abstract>Altitude</ows:Abstract>                   <ows:Identifier>62</ows:Identifier>                                          <LayerRef>ch.bazl.luftfahrtkarten-icao</LayerRef>                       <LayerRef>ch.bazl.segelflugkarte</LayerRef>                       <LayerRef>ch.swisstopo.digitales-hoehenmodell_25_reliefschattierung</LayerRef>                       <LayerRef>ch.swisstopo.geoidmodell-ch1903</LayerRef>                       <LayerRef>ch.swisstopo.geoidmodell-etrs89</LayerRef>                       <LayerRef>ch.swisstopo.hangneigung-ueber_30</LayerRef>                       <LayerRef>ch.swisstopo-karto.hangneigung</LayerRef>                       <LayerRef>ch.swisstopo.swissalti3d-reliefschattierung</LayerRef>                       <LayerRef>ch.swisstopo.vec200-miscellaneous-geodpoint</LayerRef>               </Theme>                                 <Theme>                   <ows:Title>Hydrographie</ows:Title>                   <ows:Abstract>Hydrographie</ows:Abstract>                   <ows:Identifier>58</ows:Identifier>                                          <LayerRef>ch.bafu.feststoffe-geschiebemessnetz</LayerRef>                       <LayerRef>ch.bafu.flussordnungszahlen-strahler</LayerRef>                       <LayerRef>ch.bafu.gewaesserschutz-badewasserqualitaet</LayerRef>                       <LayerRef>ch.bafu.gewaesserschutz-diffuse_eintraege_phosphor</LayerRef>                       <LayerRef>ch.bafu.gewaesserschutz-diffuse_eintraege_stickstoff</LayerRef>                       <LayerRef>ch.bafu.hydrogeologische-karte_100</LayerRef>                       <LayerRef>ch.bafu.hydrologie-daueruntersuchung_fliessgewaesser</LayerRef>                       <LayerRef>ch.bafu.hydrologie-hintergrundkarte</LayerRef>                       <LayerRef>ch.bafu.hydrologie-hochwassergrenzwertpegel</LayerRef>                       <LayerRef>ch.bafu.hydrologie-hochwasserstatistik</LayerRef>                       <LayerRef>ch.bafu.hydrologie-niedrigwasserstatistik</LayerRef>                       <LayerRef>ch.bafu.hydrologie-q347</LayerRef>                       <LayerRef>ch.bafu.hydrologie-untersuchungsgebiete</LayerRef>                       <LayerRef>ch.bafu.hydrologie-untersuchungsgebiete_stationen</LayerRef>                       <LayerRef>ch.bafu.hydrologischer-atlas_basisgebiete</LayerRef>                       <LayerRef>ch.bafu.hydrologischer-atlas_bilanzgebiete</LayerRef>                       <LayerRef>ch.bafu.hydrologischer-atlas_flussgebiete</LayerRef>                       <LayerRef>ch.bafu.hydrologischer-atlas_kantonale-messstationen</LayerRef>                       <LayerRef>ch.bafu.mittlere-abfluesse</LayerRef>                       <LayerRef>ch.bafu.oekomorphologie-f_abschnitte</LayerRef>                       <LayerRef>ch.bafu.oekomorphologie-f_abstuerze</LayerRef>                       <LayerRef>ch.bafu.oekomorphologie-f_bauwerke</LayerRef>                       <LayerRef>ch.bafu.strukturguete-hochrhein_linkesufer</LayerRef>                       <LayerRef>ch.bafu.strukturguete-hochrhein_linkesumfeld</LayerRef>                       <LayerRef>ch.bafu.strukturguete-hochrhein_rechtesufer</LayerRef>                       <LayerRef>ch.bafu.strukturguete-hochrhein_rechtesumfeld</LayerRef>                       <LayerRef>ch.bafu.strukturguete-hochrhein_sohle</LayerRef>                       <LayerRef>ch.bafu.typisierung-fliessgewaesser</LayerRef>                       <LayerRef>ch.bafu.vec25-gewaessernetz_2000</LayerRef>                       <LayerRef>ch.bafu.vec25-seen</LayerRef>                       <LayerRef>ch.bafu.wasserbau-querprofilmarken</LayerRef>                       <LayerRef>ch.bafu.wasserbau-vermessungsstrecken</LayerRef>                       <LayerRef>ch.bfe.kleinwasserkraftpotentiale</LayerRef>                       <LayerRef>ch.swisstopo.vec200-hydrography</LayerRef>                       <LayerRef>ch.swisstopo.vec25-gewaessernetz</LayerRef>               </Theme>                      </Theme>                  <Theme>               <ows:Title>Infrastructure et communication</ows:Title>               <ows:Abstract>Infrastructure et communication</ows:Abstract>               <ows:Identifier>7fb30ce0f2b5130ebcfd7b61127ba9ae</ows:Identifier>               <Theme>                   <ows:Title>Réseaux de transport</ows:Title>                   <ows:Abstract>Réseaux de transport</ows:Abstract>                   <ows:Identifier>109</ows:Identifier>                                          <LayerRef>ch.astra.ausnahmetransportrouten</LayerRef>                       <LayerRef>ch.astra.ivs-gelaendekarte</LayerRef>                       <LayerRef>ch.astra.ivs-nat</LayerRef>                       <LayerRef>ch.astra.ivs-nat_abgrenzungen</LayerRef>                       <LayerRef>ch.astra.ivs-nat-verlaeufe</LayerRef>                       <LayerRef>ch.astra.ivs-nat_wegbegleiter</LayerRef>                       <LayerRef>ch.astra.ivs-reg_loc</LayerRef>                       <LayerRef>ch.astra.mountainbikeland</LayerRef>                       <LayerRef>ch.astra.skatingland</LayerRef>                       <LayerRef>ch.astra.unfaelle-personenschaeden_alle</LayerRef>                       <LayerRef>ch.astra.unfaelle-personenschaeden_fahrraeder</LayerRef>                       <LayerRef>ch.astra.unfaelle-personenschaeden_fussgaenger</LayerRef>                       <LayerRef>ch.astra.unfaelle-personenschaeden_getoetete</LayerRef>                       <LayerRef>ch.astra.unfaelle-personenschaeden_motorraeder</LayerRef>                       <LayerRef>ch.astra.veloland</LayerRef>                       <LayerRef>ch.astra.wanderland</LayerRef>                       <LayerRef>ch.bav.haltestellen-oev</LayerRef>                       <LayerRef>ch.bav.schienennetz</LayerRef>                       <LayerRef>ch.bazl.luftfahrtkarten-icao</LayerRef>                       <LayerRef>ch.bazl.segelflugkarte</LayerRef>                       <LayerRef>ch.swisstopo-karto.schneeschuhrouten</LayerRef>                       <LayerRef>ch.swisstopo-karto.skitouren</LayerRef>                       <LayerRef>ch.swisstopo.swisstlm3d-wanderwege</LayerRef>                       <LayerRef>ch.swisstopo.vec200-transportation-oeffentliche-verkehr</LayerRef>                       <LayerRef>ch.swisstopo.vec200-transportation-strassennetz</LayerRef>                       <LayerRef>ch.swisstopo.vec25-anlagen</LayerRef>                       <LayerRef>ch.swisstopo.vec25-eisenbahnnetz</LayerRef>                       <LayerRef>ch.swisstopo.vec25-strassennetz</LayerRef>                       <LayerRef>ch.swisstopo.vec25-uebrigerverkehr</LayerRef>               </Theme>                                 <Theme>                   <ows:Title>Bâtiments</ows:Title>                   <ows:Abstract>Bâtiments</ows:Abstract>                   <ows:Identifier>128</ows:Identifier>                                          <LayerRef>ch.bfs.gebaeude_wohnungs_register</LayerRef>                       <LayerRef>ch.bfs.gebaeude_wohnungs_register</LayerRef>                       <LayerRef>ch.swisstopo.swissbuildings3d</LayerRef>                       <LayerRef>ch.swisstopo.vec200-building</LayerRef>                       <LayerRef>ch.swisstopo.vec25-gebaeude</LayerRef>               </Theme>                                 <Theme>                   <ows:Title>Services d&#39;utilité publique et services publics</ows:Title>                   <ows:Abstract>Services d&#39;utilité publique et services publics</ows:Abstract>                   <ows:Identifier>133</ows:Identifier>                                          <LayerRef>ch.astra.ausnahmetransportrouten</LayerRef>                       <LayerRef>ch.bafu.gewaesserschutz-klaeranlagen_anteilq347</LayerRef>                       <LayerRef>ch.bafu.gewaesserschutz-klaeranlagen_ausbaugroesse</LayerRef>                       <LayerRef>ch.bafu.gewaesserschutz-klaeranlagen_reinigungstyp</LayerRef>                       <LayerRef>ch.bakom.anbieter-eigenes_festnetz</LayerRef>                       <LayerRef>ch.bakom.anschlussart-glasfaser</LayerRef>                       <LayerRef>ch.bakom.anschlussart-koaxialkabel</LayerRef>                       <LayerRef>ch.bakom.anschlussart-kupferdraht</LayerRef>                       <LayerRef>ch.bakom.downlink1</LayerRef>                       <LayerRef>ch.bakom.downlink10</LayerRef>                       <LayerRef>ch.bakom.downlink100</LayerRef>                       <LayerRef>ch.bakom.downlink2</LayerRef>                       <LayerRef>ch.bakom.downlink20</LayerRef>                       <LayerRef>ch.bakom.downlink50</LayerRef>                       <LayerRef>ch.bakom.uplink1</LayerRef>                       <LayerRef>ch.bakom.uplink10</LayerRef>                       <LayerRef>ch.bakom.uplink100</LayerRef>                       <LayerRef>ch.bakom.uplink2</LayerRef>                       <LayerRef>ch.bakom.uplink20</LayerRef>                       <LayerRef>ch.bakom.uplink50</LayerRef>                       <LayerRef>ch.bakom.verfuegbarkeit-hdtv</LayerRef>                       <LayerRef>ch.bakom.verfuegbarkeit-tv</LayerRef>                       <LayerRef>ch.bakom.versorgungsgebiet-tv</LayerRef>                       <LayerRef>ch.bakom.versorgungsgebiet-ukw</LayerRef>                       <LayerRef>ch.bfe.kernkraftwerke</LayerRef>                       <LayerRef>ch.bfe.solarenergie-eignung-daecher</LayerRef>                       <LayerRef>ch.blw.alpprodukte</LayerRef>                       <LayerRef>ch.blw.bergprodukte</LayerRef>                       <LayerRef>ch.vbs.armeelogistikcenter</LayerRef>                       <LayerRef>ch.vbs.bundestankstellen-bebeco</LayerRef>                       <LayerRef>ch.vbs.grunddispositiv-zeus</LayerRef>                       <LayerRef>ch.vbs.logistikraeume-armeelogistikcenter</LayerRef>                       <LayerRef>ch.vbs.milairspacechart</LayerRef>                       <LayerRef>ch.vbs.patrouilledesglaciers-a_rennen</LayerRef>                       <LayerRef>ch.vbs.patrouilledesglaciers-z_rennen</LayerRef>                       <LayerRef>ch.vbs.retablierungsstellen</LayerRef>                       <LayerRef>ch.vbs.waldschadenkarte</LayerRef>               </Theme>                      </Theme>                  <Theme>               <ows:Title>Environnement, biologie et géologie</ows:Title>               <ows:Abstract>Environnement, biologie et géologie</ows:Abstract>               <ows:Identifier>a9e1354d90bc9d32387ca9eda47e50ad</ows:Identifier>               <Theme>                   <ows:Title>Sites protégés</ows:Title>                   <ows:Abstract>Sites protégés</ows:Abstract>                   <ows:Identifier>166</ows:Identifier>                                          <LayerRef>ch.bafu.bundesinventare-amphibien</LayerRef>                       <LayerRef>ch.bafu.bundesinventare-amphibien_wanderobjekte</LayerRef>                       <LayerRef>ch.bafu.bundesinventare-auen</LayerRef>                       <LayerRef>ch.bafu.bundesinventare-bln</LayerRef>                       <LayerRef>ch.bafu.bundesinventare-flachmoore</LayerRef>                       <LayerRef>ch.bafu.bundesinventare-hochmoore</LayerRef>                       <LayerRef>ch.bafu.bundesinventare-jagdbanngebiete</LayerRef>                       <LayerRef>ch.bafu.bundesinventare-moorlandschaften</LayerRef>                       <LayerRef>ch.bafu.bundesinventare-trockenwiesen_trockenweiden</LayerRef>                       <LayerRef>ch.bafu.bundesinventare-vogelreservate</LayerRef>                       <LayerRef>ch.bafu.schutzgebiete-paerke_nationaler_bedeutung</LayerRef>                       <LayerRef>ch.bafu.schutzgebiete-paerke_nationaler_bedeutung_perimeter</LayerRef>                       <LayerRef>ch.bafu.schutzgebiete-ramsar</LayerRef>                       <LayerRef>ch.bafu.schutzgebiete-schweizerischer_nationalpark</LayerRef>                       <LayerRef>ch.bafu.unesco-weltnaturerbe</LayerRef>                       <LayerRef>ch.bafu.waldreservate</LayerRef>                       <LayerRef>ch.bafu.wrz-jagdbanngebiete_select</LayerRef>                       <LayerRef>ch.bafu.wrz-wildruhezonen_portal</LayerRef>                       <LayerRef>ch.bak.schutzgebiete-unesco_weltkulturerbe</LayerRef>                       <LayerRef>ch.pronatura.waldreservate</LayerRef>                       <LayerRef>ch.swisstopo.geologie-geotope</LayerRef>               </Theme>                                 <Theme>                   <ows:Title>Zones à risque naturel</ows:Title>                   <ows:Abstract>Zones à risque naturel</ows:Abstract>                   <ows:Identifier>232</ows:Identifier>                                          <LayerRef>ch.bafu.permafrost</LayerRef>                       <LayerRef>ch.bafu.showme-gemeinden_hochwasser</LayerRef>                       <LayerRef>ch.bafu.showme-gemeinden_lawinen</LayerRef>                       <LayerRef>ch.bafu.showme-gemeinden_rutschungen</LayerRef>                       <LayerRef>ch.bafu.showme-gemeinden_sturzprozesse</LayerRef>                       <LayerRef>ch.bafu.showme-kantone_hochwasser</LayerRef>                       <LayerRef>ch.bafu.showme-kantone_lawinen</LayerRef>                       <LayerRef>ch.bafu.showme-kantone_rutschungen</LayerRef>                       <LayerRef>ch.bafu.showme-kantone_sturzprozesse</LayerRef>                       <LayerRef>ch.bafu.sturm-boeenspitzen_100</LayerRef>                       <LayerRef>ch.bafu.sturm-boeenspitzen_30</LayerRef>                       <LayerRef>ch.bafu.sturm-boeenspitzen_300</LayerRef>                       <LayerRef>ch.bafu.sturm-boeenspitzen_50</LayerRef>                       <LayerRef>ch.bafu.sturm-staudruck_100</LayerRef>                       <LayerRef>ch.bafu.sturm-staudruck_30</LayerRef>                       <LayerRef>ch.bafu.sturm-staudruck_300</LayerRef>                       <LayerRef>ch.bafu.sturm-staudruck_50</LayerRef>               </Theme>                                 <Theme>                   <ows:Title>Installations de suivi environnemental</ows:Title>                   <ows:Abstract>Installations de suivi environnemental</ows:Abstract>                   <ows:Identifier>223</ows:Identifier>                                          <LayerRef>ch.are.alpenkonvention</LayerRef>                       <LayerRef>ch.bafu.hydrologie-gewaesserzustandsmessstationen</LayerRef>                       <LayerRef>ch.bafu.hydrologie-hydromessstationen</LayerRef>                       <LayerRef>ch.bafu.hydrologie-wassertemperaturmessstationen</LayerRef>                       <LayerRef>ch.bafu.wasser-entnahme</LayerRef>                       <LayerRef>ch.bafu.wasser-leitungen</LayerRef>                       <LayerRef>ch.bafu.wasser-rueckgabe</LayerRef>               </Theme>                                 <Theme>                   <ows:Title>Sols</ows:Title>                   <ows:Abstract>Sols</ows:Abstract>                   <ows:Identifier>205</ows:Identifier>                                          <LayerRef>ch.blw.bodeneignung-gruendigkeit</LayerRef>                       <LayerRef>ch.blw.bodeneignung-kulturland</LayerRef>                       <LayerRef>ch.blw.bodeneignung-kulturtyp</LayerRef>                       <LayerRef>ch.blw.bodeneignung-naehrstoffspeichervermoegen</LayerRef>                       <LayerRef>ch.blw.bodeneignung-skelettgehalt</LayerRef>                       <LayerRef>ch.blw.bodeneignung-vernaessung</LayerRef>                       <LayerRef>ch.blw.bodeneignung-wasserdurchlaessigkeit</LayerRef>                       <LayerRef>ch.blw.bodeneignung-wasserspeichervermoegen</LayerRef>                       <LayerRef>ch.blw.erosion</LayerRef>                       <LayerRef>ch.blw.erosion-mit_bergzonen</LayerRef>                       <LayerRef>ch.blw.erosion-quantitativ</LayerRef>                       <LayerRef>ch.blw.feldblockkarte</LayerRef>                       <LayerRef>ch.blw.gewaesseranschlusskarte</LayerRef>                       <LayerRef>ch.blw.gewaesseranschlusskarte-direkt</LayerRef>                       <LayerRef>ch.blw.hang_steillagen</LayerRef>                       <LayerRef>ch.blw.steil_terrassenlagen_rebbau</LayerRef>               </Theme>                                 <Theme>                   <ows:Title>Géologie</ows:Title>                   <ows:Abstract>Géologie</ows:Abstract>                   <ows:Identifier>183</ows:Identifier>                                          <LayerRef>ch.bafu.hydrogeologie-uebersichtskarte</LayerRef>                       <LayerRef>ch.nagra.aeromagnetische-karte_1100</LayerRef>                       <LayerRef>ch.nagra.aeromagnetische-karte_1500</LayerRef>                       <LayerRef>ch.sgpk.maechtigkeit-lockergesteine</LayerRef>                       <LayerRef>ch.swisstopo.geologie-dosisleistung-terrestrisch</LayerRef>                       <LayerRef>ch.swisstopo.geologie-eiszeit-lgm</LayerRef>                       <LayerRef>ch.swisstopo.geologie-eiszeit-lgm-raster</LayerRef>                       <LayerRef>ch.swisstopo.geologie-generalkarte-ggk200</LayerRef>                       <LayerRef>ch.swisstopo.geologie-geocover</LayerRef>                       <LayerRef>ch.swisstopo.geologie-geodaesie-bouguer_anomalien</LayerRef>                       <LayerRef>ch.swisstopo.geologie-geodaesie-isostatische_anomalien</LayerRef>                       <LayerRef>ch.swisstopo.geologie-geologische_karte</LayerRef>                       <LayerRef>ch.swisstopo.geologie-geologischer_atlas</LayerRef>                       <LayerRef>ch.swisstopo.geologie-geomorphologie</LayerRef>                       <LayerRef>ch.swisstopo.geologie-geophysik-aeromagnetische_karte_jura</LayerRef>                       <LayerRef>ch.swisstopo.geologie-geophysik-aeromagnetische_karte_schweiz</LayerRef>                       <LayerRef>ch.swisstopo.geologie-geophysik-deklination</LayerRef>                       <LayerRef>ch.swisstopo.geologie-geophysik-geothermie</LayerRef>                       <LayerRef>ch.swisstopo.geologie-geophysik-inklination</LayerRef>                       <LayerRef>ch.swisstopo.geologie-geophysik-totalintensitaet</LayerRef>                       <LayerRef>ch.swisstopo.geologie-geotechnik-gk200</LayerRef>                       <LayerRef>ch.swisstopo.geologie-geotechnik-gk500-genese</LayerRef>                       <LayerRef>ch.swisstopo.geologie-geotechnik-gk500-gesteinsklassierung</LayerRef>                       <LayerRef>ch.swisstopo.geologie-geotechnik-gk500-lithologie_hauptgruppen</LayerRef>                       <LayerRef>ch.swisstopo.geologie-geotechnik-mineralische_rohstoffe200</LayerRef>                       <LayerRef>ch.swisstopo.geologie-geotechnik-steine_historische_bauwerke</LayerRef>                       <LayerRef>ch.swisstopo.geologie-geotope</LayerRef>                       <LayerRef>ch.swisstopo.geologie-geowege</LayerRef>                       <LayerRef>ch.swisstopo.geologie-gravimetrischer_atlas</LayerRef>                       <LayerRef>ch.swisstopo.geologie-gravimetrischer_atlas.messpunkte</LayerRef>                       <LayerRef>ch.swisstopo.geologie-gravimetrischer_atlas.metadata</LayerRef>                       <LayerRef>ch.swisstopo.geologie-hydrogeologische_karte-grundwasservorkommen</LayerRef>                       <LayerRef>ch.swisstopo.geologie-hydrogeologische_karte-grundwasservulnerabilitaet</LayerRef>                       <LayerRef>ch.swisstopo.geologie-spezialkarten_schweiz.metadata</LayerRef>                       <LayerRef>ch.swisstopo.geologie-tektonische_karte</LayerRef>                       <LayerRef>ch.swisstopo.landesschwerenetz</LayerRef>               </Theme>                                 <Theme>                   <ows:Title>Ressources minérales</ows:Title>                   <ows:Abstract>Ressources minérales</ows:Abstract>                   <ows:Identifier>280</ows:Identifier>                                          <LayerRef>ch.swisstopo.geologie-geotechnik-gk200</LayerRef>                       <LayerRef>ch.swisstopo.geologie-geotechnik-mineralische_rohstoffe200</LayerRef>               </Theme>                                 <Theme>                   <ows:Title>Répartition des espèces</ows:Title>                   <ows:Abstract>Répartition des espèces</ows:Abstract>                   <ows:Identifier>277</ows:Identifier>                                          <LayerRef>ch.bafu.fauna-steinbockkolonien</LayerRef>                       <LayerRef>ch.bafu.moose</LayerRef>                       <LayerRef>ch.bafu.neophyten-japanisches_geissblatt</LayerRef>                       <LayerRef>ch.bafu.neophyten-riesenbaerenklau</LayerRef>               </Theme>                                 <Theme>                   <ows:Title>Habitats et biotopes</ows:Title>                   <ows:Abstract>Habitats et biotopes</ows:Abstract>                   <ows:Identifier>261</ows:Identifier>                                          <LayerRef>ch.bafu.auen-vegetationskarten</LayerRef>                       <LayerRef>ch.bafu.bundesinventare-amphibien</LayerRef>                       <LayerRef>ch.bafu.bundesinventare-amphibien_wanderobjekte</LayerRef>                       <LayerRef>ch.bafu.bundesinventare-auen</LayerRef>                       <LayerRef>ch.bafu.bundesinventare-flachmoore</LayerRef>                       <LayerRef>ch.bafu.bundesinventare-hochmoore</LayerRef>                       <LayerRef>ch.bafu.bundesinventare-jagdbanngebiete</LayerRef>                       <LayerRef>ch.bafu.bundesinventare-moorlandschaften</LayerRef>                       <LayerRef>ch.bafu.bundesinventare-trockenwiesen_trockenweiden</LayerRef>                       <LayerRef>ch.bafu.bundesinventare-vogelreservate</LayerRef>                       <LayerRef>ch.bafu.ren-extensive_landwirtschaftsgebiete</LayerRef>                       <LayerRef>ch.bafu.ren-feuchtgebiete</LayerRef>                       <LayerRef>ch.bafu.ren-fliessgewaesser_seen</LayerRef>                       <LayerRef>ch.bafu.ren-trockenstandorte</LayerRef>                       <LayerRef>ch.bafu.ren-wald</LayerRef>                       <LayerRef>ch.bafu.unesco-weltnaturerbe</LayerRef>               </Theme>                                 <Theme>                   <ows:Title>Caractéristiques géographiques météorologiques</ows:Title>                   <ows:Abstract>Caractéristiques géographiques météorologiques</ows:Abstract>                   <ows:Identifier>242</ows:Identifier>                                          <LayerRef>ch.blw.bewaesserungsbeduerftigkeit</LayerRef>                       <LayerRef>ch.blw.bodeneignung-gruendigkeit</LayerRef>                       <LayerRef>ch.blw.bodeneignung-kulturland</LayerRef>                       <LayerRef>ch.blw.bodeneignung-kulturtyp</LayerRef>                       <LayerRef>ch.blw.bodeneignung-naehrstoffspeichervermoegen</LayerRef>                       <LayerRef>ch.blw.bodeneignung-skelettgehalt</LayerRef>                       <LayerRef>ch.blw.bodeneignung-vernaessung</LayerRef>                       <LayerRef>ch.blw.bodeneignung-wasserdurchlaessigkeit</LayerRef>                       <LayerRef>ch.blw.bodeneignung-wasserspeichervermoegen</LayerRef>                       <LayerRef>ch.blw.klimaeignung-futterbau</LayerRef>                       <LayerRef>ch.blw.klimaeignung-getreidebau</LayerRef>                       <LayerRef>ch.blw.klimaeignung-kartoffeln</LayerRef>                       <LayerRef>ch.blw.klimaeignung-koernermais</LayerRef>                       <LayerRef>ch.blw.klimaeignung-kulturland</LayerRef>                       <LayerRef>ch.blw.klimaeignung-spezialkulturen</LayerRef>                       <LayerRef>ch.blw.klimaeignung-typ</LayerRef>                       <LayerRef>ch.blw.klimaeignung-zwischenfruchtbau</LayerRef>                       <LayerRef>ch.blw.niederschlagshaushalt</LayerRef>               </Theme>                      </Theme>                  <Theme>               <ows:Title>Energie et économie</ows:Title>               <ows:Abstract>Energie et économie</ows:Abstract>               <ows:Identifier>fb3e2db0360b21a9acb953b54ef53b09</ows:Identifier>               <Theme>                   <ows:Title>Usage des sols</ows:Title>                   <ows:Abstract>Usage des sols</ows:Abstract>                   <ows:Identifier>287</ows:Identifier>                                          <LayerRef>ch.are.bauzonen</LayerRef>                       <LayerRef>ch.bfs.arealstatistik-hintergrund</LayerRef>                       <LayerRef>ch.blw.klimaeignung-futterbau</LayerRef>                       <LayerRef>ch.blw.klimaeignung-getreidebau</LayerRef>                       <LayerRef>ch.blw.klimaeignung-kartoffeln</LayerRef>                       <LayerRef>ch.blw.klimaeignung-koernermais</LayerRef>                       <LayerRef>ch.blw.klimaeignung-kulturland</LayerRef>                       <LayerRef>ch.blw.klimaeignung-spezialkulturen</LayerRef>                       <LayerRef>ch.blw.klimaeignung-typ</LayerRef>                       <LayerRef>ch.blw.klimaeignung-zwischenfruchtbau</LayerRef>                       <LayerRef>ch.blw.landwirtschaftliche-zonengrenzen</LayerRef>                       <LayerRef>ch.blw.niederschlagshaushalt</LayerRef>                       <LayerRef>ch.blw.ursprungsbezeichnungen-fleisch</LayerRef>                       <LayerRef>ch.blw.ursprungsbezeichnungen-kaese</LayerRef>                       <LayerRef>ch.blw.ursprungsbezeichnungen-konditoreiwaren</LayerRef>                       <LayerRef>ch.blw.ursprungsbezeichnungen-pflanzen</LayerRef>                       <LayerRef>ch.blw.ursprungsbezeichnungen-spirituosen</LayerRef>                       <LayerRef>ch.swisstopo.vec25-einzelobjekte</LayerRef>               </Theme>                                 <Theme>                   <ows:Title>Installations agricoles et aquacoles</ows:Title>                   <ows:Abstract>Installations agricoles et aquacoles</ows:Abstract>                   <ows:Identifier>306</ows:Identifier>                                          <LayerRef>ch.blw.bewaesserungsbeduerftigkeit</LayerRef>               </Theme>                                 <Theme>                   <ows:Title>Sources d&#39;énergie</ows:Title>                   <ows:Abstract>Sources d&#39;énergie</ows:Abstract>                   <ows:Identifier>308</ows:Identifier>                                          <LayerRef>ch.bfe.kernkraftwerke</LayerRef>                       <LayerRef>ch.bfe.kleinwasserkraftpotentiale</LayerRef>                       <LayerRef>ch.bfe.solarenergie-eignung-daecher</LayerRef>                       <LayerRef>ch.bfe.windenergieanlagen</LayerRef>                       <LayerRef>ch.swisstopo.geologie-geophysik-geothermie</LayerRef>                       <LayerRef>ch.swisstopo.vec200-miscellaneous</LayerRef>               </Theme>                                 <Theme>                   <ows:Title>Unités statistiques</ows:Title>                   <ows:Abstract>Unités statistiques</ows:Abstract>                   <ows:Identifier>284</ows:Identifier>                                          <LayerRef>ch.are.agglomerationen_isolierte_staedte</LayerRef>                       <LayerRef>ch.are.gemeindetypen</LayerRef>               </Theme>           </Theme>  </Themes>    <ServiceMetadataURL xlink:href="http://www.opengis.uab.es/SITiled/world/1.0.0/WMTSCapabilities.xml"/></Capabilities>',
};
